
module MenhirBasics = struct
  
  exception Error = Parsing.Parse_error
  
  let _eRR =
    fun _s ->
      raise Error
  
  type token = 
    | WSTRING_CONSTANT of (
# 262 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 15 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | WRITES
    | WITH
    | VOLATILE
    | VOID
    | VARIANT
    | VALID_READ
    | VALID_RANGE
    | VALID_INDEX
    | VALID_FUNCTION
    | VALID
    | UNSIGNED
    | UNION
    | UNALLOCATED
    | TYPEOF
    | TYPENAME of (
# 257 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 34 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | TYPE
    | TRUE
    | TILDE
    | TERMINATES
    | STRUCT
    | STRING_LITERAL of (
# 258 "src/kernel_internals/parsing/logic_parser.mly"
       (bool*string)
# 44 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | STRING_CONSTANT of (
# 261 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 49 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | STATIC
    | STARHAT
    | STAR
    | SLICE
    | SLASH
    | SIZEOF
    | SIGNED
    | SHORT
    | SEPARATED
    | SEMICOLON
    | RSQUAREPIPE
    | RSQUARE
    | RPAR
    | RETURNS
    | RESULT
    | REQUIRES
    | REGISTER
    | REAL
    | READS
    | RBRACE
    | QUESTION
    | PREDICATE
    | PRAGMA
    | PLUS
    | PIPE
    | PI
    | PERCENT
    | OR
    | OLD
    | OFFSET
    | OBJECT_POINTER
    | NULL
    | NOTHING
    | NOT
    | NE
    | MODULE
    | MODEL
    | MINUS
    | LTLT
    | LT
    | LSQUAREPIPE
    | LSQUARE
    | LPAR
    | LOOP
    | LONG
    | LOGIC
    | LET
    | LEMMA
    | LE
    | LBRACE
    | LAMBDA
    | LABEL
    | INVARIANT
    | INT_CONSTANT of (
# 259 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 107 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | INTER
    | INTEGER
    | INT
    | INITIALIZED
    | INDUCTIVE
    | INCLUDE
    | IN
    | IMPLIES
    | IMPACT
    | IFF
    | IF
    | IDENTIFIER_EXT of (
# 257 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 123 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | IDENTIFIER of (
# 257 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 128 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | HATHAT
    | HAT
    | GTGT
    | GT
    | GLOBAL
    | GHOST
    | GE
    | FUNCTION
    | FROM
    | FRESH
    | FREES
    | FREEABLE
    | FORALL
    | FOR
    | FLOAT_CONSTANT of (
# 260 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 147 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | FLOAT
    | FALSE
    | EXT_LET
    | EXT_GLOBAL_BLOCK of (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 155 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | EXT_GLOBAL of (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 160 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | EXT_CONTRACT of (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 165 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | EXT_CODE_ANNOT of (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 170 "src/kernel_internals/parsing/logic_parser.ml"
  )
    | EXT_AT
    | EXITS
    | EXISTS
    | EQUAL
    | EQ
    | EOF
    | ENUM
    | ENSURES
    | EMPTY
    | ELSE
    | DYNAMIC
    | DOUBLE
    | DOTDOTDOT
    | DOTDOT
    | DOT
    | DOLLAR
    | DISJOINT
    | DECREASES
    | DANGLING
    | CONTRACT
    | CONTINUES
    | CONST
    | COMPLETE
    | COMMA
    | COLONCOLON
    | COLON2
    | COLON
    | CHECK_RETURNS
    | CHECK_REQUIRES
    | CHECK_LOOP
    | CHECK_LEMMA
    | CHECK_INVARIANT
    | CHECK_EXITS
    | CHECK_ENSURES
    | CHECK_CONTINUES
    | CHECK_BREAKS
    | CHECK
    | CHAR
    | CASE
    | BSUNION
    | BSTYPE
    | BSGHOST
    | BREAKS
    | BOOLEAN
    | BOOL
    | BLOCK_LENGTH
    | BIMPLIES
    | BIFF
    | BEHAVIORS
    | BEHAVIOR
    | BASE_ADDR
    | AXIOMATIC
    | AXIOM
    | AUTOMATIC
    | AT
    | ASSUMES
    | ASSIGNS
    | ASSERT
    | ARROW
    | AND
    | AMP
    | ALLOCATION
    | ALLOCATES
    | ALLOCABLE
    | ADMIT_RETURNS
    | ADMIT_REQUIRES
    | ADMIT_LOOP
    | ADMIT_LEMMA
    | ADMIT_INVARIANT
    | ADMIT_EXITS
    | ADMIT_ENSURES
    | ADMIT_CONTINUES
    | ADMIT_BREAKS
    | ADMIT
  
end

include MenhirBasics

# 27 "src/kernel_internals/parsing/logic_parser.mly"
  

  open Cil_types
  open Logic_ptree
  open Logic_utils

  let loc (start_pos, end_pos) =
    Cil_datatype.Location.of_lexing_loc
      (start_pos, end_pos)

  let pos pos =
    Cil_datatype.Position.of_lexing_pos pos

  let loc_info lexpr_loc x = { lexpr_node = x; lexpr_loc }
  let loc_start x = fst x.lexpr_loc
  let loc_end x = snd x.lexpr_loc

  let info start_end x = loc_info (loc start_end) x

  (* Normalize p1 && (p2 && p3) into (p1 && p2) && p3 *)
  let rec pland p1 p2 =
    match p2.lexpr_node with
      | PLand (p3,p4) ->
        let loc = (loc_start p1, loc_end p3) in
        PLand(loc_info loc (pland p1 p3),p4)
      | _ -> PLand(p1,p2)

  let rec plor p1 p2 =
    match p2.lexpr_node with
      | PLor(p3,p4) ->
        let loc = (loc_start p1, loc_end p3) in
        PLor(loc_info loc (plor p1 p3),p4)
      | _ -> PLor(p1,p2)

  let clause_order start_end name1 name2 =
    raise
      (Not_well_formed
         (loc start_end,
          "wrong order of clause in contract: "
          ^ name1 ^ " after " ^ name2 ^ "."))

  let missing start_end token next_token =
    raise
      (Not_well_formed
         (loc start_end,
          Format.asprintf "expecting '%s' before %s" token next_token))

  type sense_of_relation = Unknown | Disequal | Less | Greater

  let check_empty (loc,msg) l =
    match l with
        [] -> ()
      | _ -> raise (Not_well_formed (loc,msg))

  let relation_sense rel sense =
    match rel, sense with
      | Eq, (Unknown|Greater|Less) -> sense, true
      | Neq, Unknown -> Disequal, false (* No chain of disequality for now*)
      | (Gt|Ge), (Unknown|Greater) -> Greater, true
      | (Lt|Le), (Unknown|Less) -> Less, true
      | _ -> sense, false

  let type_variables_stack = Stack.create ()

  let enter_type_variables_scope l =
    List.iter Logic_env.add_typename l;
    Stack.push l type_variables_stack

  let exit_type_variables_scope () =
    let l = Stack.pop type_variables_stack in
    List.iter Logic_env.remove_typename l

  let loc_decl start_end d = { decl_node = d; decl_loc = loc start_end }

  let loc_ext start_end d = { extended_node = d; extended_loc = loc start_end }

  let filter_from l = function
    | FromAny ->
      l, FromAny
    | From ds ->
      let f ds d = if List.exists (is_same_lexpr d) ds then ds else d :: ds in
      l, From(List.(rev (fold_left f [] ds)))

  let concat_froms cura newa =
    let compare_pair (curb,_) (newb,_) = is_same_lexpr curb newb in
    (* NB: the following has an horrible complexity, but the order of
       clauses in the input is preserved. *)
    let concat_one acc (newloc, newf)  =
      let (newloc, newf) as p = filter_from newloc newf in
      try
        let (curloc,curf) = List.find (compare_pair p) acc
        in
        match (curf, newf) with
          | _,FromAny ->
            (* the new fundeps does not give more information than the one
               which is already present. Just ignore it.
             *)
           acc
          | FromAny, _ ->
              (* the new fundeps is strictly more precise than the old one.
                 We replace the old dependency by the new one, but keep
                 the location at its old place in the list. This ensures
                 that we get the exact same clause if we try to
                 link the original contract with its pretty-printed version. *)
              Extlib.replace compare_pair p acc
          | From curl, From newl ->
            let incl l lin =
              List.(for_all (fun e -> exists (is_same_lexpr e) lin) l)
            in
            let drop d k =
              Kernel.warning ~current:false ~wkey:Kernel.wkey_multi_from
                "Drop '%a' \\from at %a for more precise one at %a"
                Logic_print.print_lexpr curloc
                Cil_datatype.Location.pretty d.lexpr_loc
                Cil_datatype.Location.pretty k.lexpr_loc
            in
            if incl curl newl then begin
              if not (incl newl curl) then drop newloc curloc;
              acc
            end
            else if incl newl curl then begin
              drop curloc newloc;
              Extlib.replace compare_pair p acc
            end
            else acc @ [p]
      with Not_found -> acc @ [p]
    in List.fold_left concat_one cura newa

  let concat_allocation fa1 fa2 =
    match fa1,fa2 with
      | FreeAllocAny,_ -> fa2
      | _,FreeAllocAny -> fa1
      | FreeAlloc(f1,a1),FreeAlloc(f2,a2) -> FreeAlloc(f2@f1,a2@a1)

  (* a1 represents the assigns _after_ the current clause a2. *)
  let concat_assigns start_pos a1 a2 =
    match a1,a2 with
        WritesAny,a -> Writes (concat_froms [] a)
      | Writes [], [] -> a1
      | Writes [], _  | Writes _, [] ->
        raise (
          Not_well_formed (loc start_pos,"Mixing \\nothing and a real location"))
      | Writes a1, a2 -> Writes (concat_froms (concat_froms [] a2) a1)

  let concat_loop_assigns_allocation start_pos annots bhvs2 a2 fa2=
    (* NB: this is supposed to merge assigns related to named behaviors, in
       case of annotation like
       for a,b: assigns x,y;
       for b,c: assigns z,t;
       DO NOT CALL this function for loop assigns not attached to specific
       behaviors.
     *)
    assert (bhvs2 <> []);
    if fa2 == FreeAllocAny && a2 == WritesAny
    then annots
    else
    let split l1 l2 =
      let treat_one (only1,both,only2) x =
        if List.mem x l1 then
          (List.filter (fun y -> x <> y) only1,x::both,only2)
        else (only1,both,x::only2)
      in List.fold_left treat_one (l1,[],[]) l2
    in
    let treat_one ca (bhvs2,acc) =
      match ca,a2,fa2 with
          (AAssigns(bhvs1,a1)),(Writes a2),_ ->
            let (only1,both,only2) = split bhvs1 bhvs2 in
            (match both with
              | [] -> bhvs2, ca::acc
              | _ ->
                let common_annot = AAssigns(both,concat_assigns start_pos a1 a2) in
                let annots =
                  match only1 with
                    | [] -> common_annot :: acc
                    | _ -> AAssigns(only1,a1) :: common_annot :: acc
                in only2,annots)
        | (AAllocation(bhvs1,fa1)),_,(FreeAlloc _) ->
           let (only1,both,only2) = split bhvs1 bhvs2 in
            (match both with
              | [] -> bhvs2, ca::acc
              | _ ->
                let common_annot =
                  AAllocation(both,concat_allocation fa1 fa2)
                in
                let annots =
                  match only1 with
                    | [] -> common_annot :: acc
                    | _ -> AAllocation(only1,fa1) :: common_annot :: acc
                in only2,annots)
         | _,_,_ -> bhvs2,ca::acc
    in
    let (bhvs2, annots) = List.fold_right treat_one annots (bhvs2,[]) in
    match bhvs2 with
      | [] -> annots (* Already considered all cases. *)
      | _ ->
	  let annots = if a2 <> WritesAny
	    then AAssigns (bhvs2,a2) :: annots
            else annots
	  in
	  if fa2 <> FreeAllocAny
	    then AAllocation (bhvs2,fa2) :: annots
            else annots

  let obsolete name ~source ~now =
    Kernel.warning ~source
      "parsing obsolete ACSL construct '%s'. '%s' should be used instead."
      name now

  let escape =
    let regex1 = Str.regexp "\\(\\(\\\\\\\\\\)*[^\\]\\)\\(['\"]\\)" in
    let regex2 = Str.regexp "\\(\\\\\\\\\\)*\\\\$" in
    fun str ->
      let str = Str.global_replace regex1 "\\1\\\\3" str in
      Str.global_replace regex2 "\\1\\\\" str

  let cv_const = Attr ("const", [])
  let cv_volatile = Attr ("volatile", [])
  let cv_ghost = Attr("ghost", [])

  let toplevel_pred tp_kind tp_statement = { tp_kind; tp_statement }

# 473 "src/kernel_internals/parsing/logic_parser.ml"

type ('s, 'r) _menhir_state = 
  | MenhirState0000 : ('s, _menhir_box_annot) _menhir_state
    (** State 0000.
        Stack shape : .
        Start symbol: annot. *)

  | MenhirState0002 : (('s, 'r) _menhir_cell1_VOLATILE, 'r) _menhir_state
    (** State 0002.
        Stack shape : VOLATILE.
        Start symbol: <undetermined>. *)

  | MenhirState0007 : (('s, 'r) _menhir_cell1_VALID_READ, 'r) _menhir_state
    (** State 0007.
        Stack shape : VALID_READ.
        Start symbol: <undetermined>. *)

  | MenhirState0008 : (('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_state
    (** State 0008.
        Stack shape : LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0103 : (('s, 'r) _menhir_cell1_label_name, 'r) _menhir_state
    (** State 0103.
        Stack shape : label_name.
        Start symbol: <undetermined>. *)

  | MenhirState0116 : ((('s, 'r) _menhir_cell1_VALID_READ, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0116.
        Stack shape : VALID_READ opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0117 : (('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_state
    (** State 0117.
        Stack shape : VALID_RANGE.
        Start symbol: <undetermined>. *)

  | MenhirState0119 : ((('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0119.
        Stack shape : VALID_RANGE opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0120 : (('s, 'r) _menhir_cell1_VALID_INDEX, 'r) _menhir_state
    (** State 0120.
        Stack shape : VALID_INDEX.
        Start symbol: <undetermined>. *)

  | MenhirState0122 : ((('s, 'r) _menhir_cell1_VALID_INDEX, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0122.
        Stack shape : VALID_INDEX opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0124 : (('s, 'r) _menhir_cell1_VALID_FUNCTION _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0124.
        Stack shape : VALID_FUNCTION LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0125 : (('s, 'r) _menhir_cell1_VALID, 'r) _menhir_state
    (** State 0125.
        Stack shape : VALID.
        Start symbol: <undetermined>. *)

  | MenhirState0127 : ((('s, 'r) _menhir_cell1_VALID, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0127.
        Stack shape : VALID opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0130 : (('s, 'r) _menhir_cell1_TYPEOF _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0130.
        Stack shape : TYPEOF LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0133 : (('s, 'r) _menhir_cell1_TILDE, 'r) _menhir_state
    (** State 0133.
        Stack shape : TILDE.
        Start symbol: <undetermined>. *)

  | MenhirState0140 : (('s, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 0140.
        Stack shape : STAR.
        Start symbol: <undetermined>. *)

  | MenhirState0143 : (('s, 'r) _menhir_cell1_SIZEOF _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0143.
        Stack shape : SIZEOF LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0155 : (('s, 'r) _menhir_cell1_UNION, 'r) _menhir_state
    (** State 0155.
        Stack shape : UNION.
        Start symbol: <undetermined>. *)

  | MenhirState0203 : (('s, 'r) _menhir_cell1_TYPENAME _menhir_cell0_LT, 'r) _menhir_state
    (** State 0203.
        Stack shape : TYPENAME LT.
        Start symbol: <undetermined>. *)

  | MenhirState0206 : (('s, 'r) _menhir_cell1_UNION, 'r) _menhir_state
    (** State 0206.
        Stack shape : UNION.
        Start symbol: <undetermined>. *)

  | MenhirState0208 : (('s, 'r) _menhir_cell1_STRUCT, 'r) _menhir_state
    (** State 0208.
        Stack shape : STRUCT.
        Start symbol: <undetermined>. *)

  | MenhirState0230 : (('s, 'r) _menhir_cell1_ENUM, 'r) _menhir_state
    (** State 0230.
        Stack shape : ENUM.
        Start symbol: <undetermined>. *)

  | MenhirState0236 : (('s, 'r) _menhir_cell1_type_spec_TYPENAME_, 'r) _menhir_state
    (** State 0236.
        Stack shape : type_spec(TYPENAME).
        Start symbol: <undetermined>. *)

  | MenhirState0238 : (('s, 'r) _menhir_cell1_LSQUARE, 'r) _menhir_state
    (** State 0238.
        Stack shape : LSQUARE.
        Start symbol: <undetermined>. *)

  | MenhirState0242 : ((('s, 'r) _menhir_cell1_LSQUARE, 'r) _menhir_cell1_array_size _menhir_cell0_RSQUARE, 'r) _menhir_state
    (** State 0242.
        Stack shape : LSQUARE array_size RSQUARE.
        Start symbol: <undetermined>. *)

  | MenhirState0244 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0244.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0246 : (('s, 'r) _menhir_cell1_stars, 'r) _menhir_state
    (** State 0246.
        Stack shape : stars.
        Start symbol: <undetermined>. *)

  | MenhirState0249 : ((('s, 'r) _menhir_cell1_stars, 'r) _menhir_cell1_abs_spec_bis, 'r) _menhir_state
    (** State 0249.
        Stack shape : stars abs_spec_bis.
        Start symbol: <undetermined>. *)

  | MenhirState0250 : ((('s, 'r) _menhir_cell1_abs_spec_bis, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0250.
        Stack shape : abs_spec_bis LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0261 : (('s, 'r) _menhir_cell1_UNION, 'r) _menhir_state
    (** State 0261.
        Stack shape : UNION.
        Start symbol: <undetermined>. *)

  | MenhirState0264 : (('s, 'r) _menhir_cell1_STRUCT, 'r) _menhir_state
    (** State 0264.
        Stack shape : STRUCT.
        Start symbol: <undetermined>. *)

  | MenhirState0286 : (('s, 'r) _menhir_cell1_ENUM, 'r) _menhir_state
    (** State 0286.
        Stack shape : ENUM.
        Start symbol: <undetermined>. *)

  | MenhirState0293 : (('s, 'r) _menhir_cell1_typename _menhir_cell0_LT, 'r) _menhir_state
    (** State 0293.
        Stack shape : typename LT.
        Start symbol: <undetermined>. *)

  | MenhirState0294 : (('s, 'r) _menhir_cell1_type_spec_typename_, 'r) _menhir_state
    (** State 0294.
        Stack shape : type_spec(typename).
        Start symbol: <undetermined>. *)

  | MenhirState0296 : (('s, 'r) _menhir_cell1_abs_spec_bis, 'r) _menhir_state
    (** State 0296.
        Stack shape : abs_spec_bis.
        Start symbol: <undetermined>. *)

  | MenhirState0303 : (('s, 'r) _menhir_cell1_logic_type_gen_typename_, 'r) _menhir_state
    (** State 0303.
        Stack shape : logic_type_gen(typename).
        Start symbol: <undetermined>. *)

  | MenhirState0310 : (('s, 'r) _menhir_cell1_abs_param_list, 'r) _menhir_state
    (** State 0310.
        Stack shape : abs_param_list.
        Start symbol: <undetermined>. *)

  | MenhirState0322 : (('s, 'r) _menhir_cell1_logic_type_gen_TYPENAME_, 'r) _menhir_state
    (** State 0322.
        Stack shape : logic_type_gen(TYPENAME).
        Start symbol: <undetermined>. *)

  | MenhirState0325 : (('s, 'r) _menhir_cell1_STRUCT, 'r) _menhir_state
    (** State 0325.
        Stack shape : STRUCT.
        Start symbol: <undetermined>. *)

  | MenhirState0332 : (('s, 'r) _menhir_cell1_SEPARATED _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0332.
        Stack shape : SEPARATED LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0339 : (('s, 'r) _menhir_cell1_PLUS, 'r) _menhir_state
    (** State 0339.
        Stack shape : PLUS.
        Start symbol: <undetermined>. *)

  | MenhirState0342 : (('s, 'r) _menhir_cell1_OLD _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0342.
        Stack shape : OLD LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0343 : (('s, 'r) _menhir_cell1_OFFSET, 'r) _menhir_state
    (** State 0343.
        Stack shape : OFFSET.
        Start symbol: <undetermined>. *)

  | MenhirState0345 : ((('s, 'r) _menhir_cell1_OFFSET, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0345.
        Stack shape : OFFSET opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0346 : (('s, 'r) _menhir_cell1_OBJECT_POINTER, 'r) _menhir_state
    (** State 0346.
        Stack shape : OBJECT_POINTER.
        Start symbol: <undetermined>. *)

  | MenhirState0348 : ((('s, 'r) _menhir_cell1_OBJECT_POINTER, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0348.
        Stack shape : OBJECT_POINTER opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0350 : (('s, 'r) _menhir_cell1_NOT, 'r) _menhir_state
    (** State 0350.
        Stack shape : NOT.
        Start symbol: <undetermined>. *)

  | MenhirState0351 : (('s, 'r) _menhir_cell1_NOT, 'r) _menhir_state
    (** State 0351.
        Stack shape : NOT.
        Start symbol: <undetermined>. *)

  | MenhirState0352 : (('s, 'r) _menhir_cell1_MINUS, 'r) _menhir_state
    (** State 0352.
        Stack shape : MINUS.
        Start symbol: <undetermined>. *)

  | MenhirState0353 : (('s, 'r) _menhir_cell1_LSQUAREPIPE, 'r) _menhir_state
    (** State 0353.
        Stack shape : LSQUAREPIPE.
        Start symbol: <undetermined>. *)

  | MenhirState0356 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0356.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0361 : (('s, 'r) _menhir_cell1_LET, 'r) _menhir_state
    (** State 0361.
        Stack shape : LET.
        Start symbol: <undetermined>. *)

  | MenhirState0366 : ((('s, 'r) _menhir_cell1_LET, 'r) _menhir_cell1_bounded_var _menhir_cell0_EQUAL, 'r) _menhir_state
    (** State 0366.
        Stack shape : LET bounded_var EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0368 : (('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_state
    (** State 0368.
        Stack shape : LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0369 : (('s, 'r) _menhir_cell1_LSQUARE, 'r) _menhir_state
    (** State 0369.
        Stack shape : LSQUARE.
        Start symbol: <undetermined>. *)

  | MenhirState0370 : (('s, 'r) _menhir_cell1_LAMBDA, 'r) _menhir_state
    (** State 0370.
        Stack shape : LAMBDA.
        Start symbol: <undetermined>. *)

  | MenhirState0371 : (('s, 'r) _menhir_cell1_type_spec_typename_, 'r) _menhir_state
    (** State 0371.
        Stack shape : type_spec(typename).
        Start symbol: <undetermined>. *)

  | MenhirState0372 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0372.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0374 : (('s, 'r) _menhir_cell1_var_spec_bis, 'r) _menhir_state
    (** State 0374.
        Stack shape : var_spec_bis.
        Start symbol: <undetermined>. *)

  | MenhirState0377 : (('s, 'r) _menhir_cell1_var_spec_bis _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0377.
        Stack shape : var_spec_bis LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0382 : (('s, 'r) _menhir_cell1_stars, 'r) _menhir_state
    (** State 0382.
        Stack shape : stars.
        Start symbol: <undetermined>. *)

  | MenhirState0388 : (('s, 'r) _menhir_cell1_binders_reentrance, 'r) _menhir_state
    (** State 0388.
        Stack shape : binders_reentrance.
        Start symbol: <undetermined>. *)

  | MenhirState0392 : ((('s, 'r) _menhir_cell1_LAMBDA, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 0392.
        Stack shape : LAMBDA binders SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0396 : (('s, 'r) _menhir_cell1_INTER _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0396.
        Stack shape : INTER LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0397 : (('s, 'r) _menhir_cell1_INITIALIZED, 'r) _menhir_state
    (** State 0397.
        Stack shape : INITIALIZED.
        Start symbol: <undetermined>. *)

  | MenhirState0399 : ((('s, 'r) _menhir_cell1_INITIALIZED, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0399.
        Stack shape : INITIALIZED opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0406 : (('s, 'r) _menhir_cell1_FRESH, 'r) _menhir_state
    (** State 0406.
        Stack shape : FRESH.
        Start symbol: <undetermined>. *)

  | MenhirState0409 : ((('s, 'r) _menhir_cell1_FRESH, 'r) _menhir_cell1_opt_label_2 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0409.
        Stack shape : FRESH opt_label_2 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0411 : (('s, 'r) _menhir_cell1_FREEABLE, 'r) _menhir_state
    (** State 0411.
        Stack shape : FREEABLE.
        Start symbol: <undetermined>. *)

  | MenhirState0413 : ((('s, 'r) _menhir_cell1_FREEABLE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0413.
        Stack shape : FREEABLE opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0414 : (('s, 'r) _menhir_cell1_FORALL, 'r) _menhir_state
    (** State 0414.
        Stack shape : FORALL.
        Start symbol: <undetermined>. *)

  | MenhirState0416 : ((('s, 'r) _menhir_cell1_FORALL, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 0416.
        Stack shape : FORALL binders SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0426 : (('s, 'r) _menhir_cell1_EXISTS, 'r) _menhir_state
    (** State 0426.
        Stack shape : EXISTS.
        Start symbol: <undetermined>. *)

  | MenhirState0428 : ((('s, 'r) _menhir_cell1_EXISTS, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 0428.
        Stack shape : EXISTS binders SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0434 : (('s, 'r) _menhir_cell1_DANGLING, 'r) _menhir_state
    (** State 0434.
        Stack shape : DANGLING.
        Start symbol: <undetermined>. *)

  | MenhirState0436 : ((('s, 'r) _menhir_cell1_DANGLING, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0436.
        Stack shape : DANGLING opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0442 : (('s, 'r) _menhir_cell1_BSUNION _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0442.
        Stack shape : BSUNION LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0444 : (('s, 'r) _menhir_cell1_BSTYPE _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0444.
        Stack shape : BSTYPE LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0445 : ((('s, 'r) _menhir_cell1_BSTYPE _menhir_cell0_LPAR, 'r) _menhir_cell1_type_spec_typename_, 'r) _menhir_state
    (** State 0445.
        Stack shape : BSTYPE LPAR type_spec(typename).
        Start symbol: <undetermined>. *)

  | MenhirState0447 : (((('s, 'r) _menhir_cell1_BSTYPE _menhir_cell0_LPAR, 'r) _menhir_cell1_type_spec_typename_, 'r) _menhir_cell1_stars, 'r) _menhir_state
    (** State 0447.
        Stack shape : BSTYPE LPAR type_spec(typename) stars.
        Start symbol: <undetermined>. *)

  | MenhirState0450 : (('s, 'r) _menhir_cell1_BLOCK_LENGTH, 'r) _menhir_state
    (** State 0450.
        Stack shape : BLOCK_LENGTH.
        Start symbol: <undetermined>. *)

  | MenhirState0452 : ((('s, 'r) _menhir_cell1_BLOCK_LENGTH, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0452.
        Stack shape : BLOCK_LENGTH opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0454 : (('s, 'r) _menhir_cell1_BASE_ADDR, 'r) _menhir_state
    (** State 0454.
        Stack shape : BASE_ADDR.
        Start symbol: <undetermined>. *)

  | MenhirState0456 : ((('s, 'r) _menhir_cell1_BASE_ADDR, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0456.
        Stack shape : BASE_ADDR opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0461 : (('s, 'r) _menhir_cell1_AT _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0461.
        Stack shape : AT LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0465 : (('s, 'r) _menhir_cell1_AMP, 'r) _menhir_state
    (** State 0465.
        Stack shape : AMP.
        Start symbol: <undetermined>. *)

  | MenhirState0466 : (('s, 'r) _menhir_cell1_ALLOCATION, 'r) _menhir_state
    (** State 0466.
        Stack shape : ALLOCATION.
        Start symbol: <undetermined>. *)

  | MenhirState0468 : ((('s, 'r) _menhir_cell1_ALLOCATION, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0468.
        Stack shape : ALLOCATION opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0470 : (('s, 'r) _menhir_cell1_ALLOCABLE, 'r) _menhir_state
    (** State 0470.
        Stack shape : ALLOCABLE.
        Start symbol: <undetermined>. *)

  | MenhirState0472 : ((('s, 'r) _menhir_cell1_ALLOCABLE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0472.
        Stack shape : ALLOCABLE opt_label_1 LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0476 : (('s, 'r) _menhir_cell1_string _menhir_cell0_COLON, 'r) _menhir_state
    (** State 0476.
        Stack shape : string COLON.
        Start symbol: <undetermined>. *)

  | MenhirState0478 : (('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0478.
        Stack shape : lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0479 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_STARHAT, 'r) _menhir_state
    (** State 0479.
        Stack shape : lexpr_inner STARHAT.
        Start symbol: <undetermined>. *)

  | MenhirState0481 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_STARHAT, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0481.
        Stack shape : lexpr_inner STARHAT lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0482 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 0482.
        Stack shape : lexpr_inner STAR.
        Start symbol: <undetermined>. *)

  | MenhirState0483 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0483.
        Stack shape : lexpr_inner STAR lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0484 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_LSQUARE, 'r) _menhir_state
    (** State 0484.
        Stack shape : lexpr_inner LSQUARE.
        Start symbol: <undetermined>. *)

  | MenhirState0488 : (('s, 'r) _menhir_cell1_lexpr_option _menhir_cell0_DOTDOT, 'r) _menhir_state
    (** State 0488.
        Stack shape : lexpr_option DOTDOT.
        Start symbol: <undetermined>. *)

  | MenhirState0492 : ((('s, 'r) _menhir_cell1_lexpr_option _menhir_cell0_DOTDOT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0492.
        Stack shape : lexpr_option DOTDOT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0493 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_QUESTION, 'r) _menhir_state
    (** State 0493.
        Stack shape : lexpr QUESTION.
        Start symbol: <undetermined>. *)

  | MenhirState0494 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_QUESTION, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0494.
        Stack shape : lexpr QUESTION lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0495 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_state
    (** State 0495.
        Stack shape : lexpr PIPE.
        Start symbol: <undetermined>. *)

  | MenhirState0496 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0496.
        Stack shape : lexpr PIPE lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0497 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_IN, 'r) _menhir_state
    (** State 0497.
        Stack shape : lexpr IN.
        Start symbol: <undetermined>. *)

  | MenhirState0501 : (('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0501.
        Stack shape : full_identifier LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0504 : (('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0504.
        Stack shape : lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0505 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_OR, 'r) _menhir_state
    (** State 0505.
        Stack shape : lexpr OR.
        Start symbol: <undetermined>. *)

  | MenhirState0506 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_OR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0506.
        Stack shape : lexpr OR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0507 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_HATHAT, 'r) _menhir_state
    (** State 0507.
        Stack shape : lexpr HATHAT.
        Start symbol: <undetermined>. *)

  | MenhirState0508 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_HATHAT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0508.
        Stack shape : lexpr HATHAT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0509 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_HAT, 'r) _menhir_state
    (** State 0509.
        Stack shape : lexpr HAT.
        Start symbol: <undetermined>. *)

  | MenhirState0510 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_HAT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0510.
        Stack shape : lexpr HAT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0511 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_AMP, 'r) _menhir_state
    (** State 0511.
        Stack shape : lexpr AMP.
        Start symbol: <undetermined>. *)

  | MenhirState0512 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_AMP, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0512.
        Stack shape : lexpr AMP lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0515 : (('s, 'r) _menhir_cell1_any_identifier _menhir_cell0_COLON, 'r) _menhir_state
    (** State 0515.
        Stack shape : any_identifier COLON.
        Start symbol: <undetermined>. *)

  | MenhirState0516 : ((('s, 'r) _menhir_cell1_any_identifier _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0516.
        Stack shape : any_identifier COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0517 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_IMPLIES, 'r) _menhir_state
    (** State 0517.
        Stack shape : lexpr IMPLIES.
        Start symbol: <undetermined>. *)

  | MenhirState0518 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_IMPLIES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0518.
        Stack shape : lexpr IMPLIES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0519 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_BIMPLIES, 'r) _menhir_state
    (** State 0519.
        Stack shape : lexpr BIMPLIES.
        Start symbol: <undetermined>. *)

  | MenhirState0520 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_BIMPLIES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0520.
        Stack shape : lexpr BIMPLIES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0521 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_BIFF, 'r) _menhir_state
    (** State 0521.
        Stack shape : lexpr BIFF.
        Start symbol: <undetermined>. *)

  | MenhirState0522 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_BIFF, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0522.
        Stack shape : lexpr BIFF lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0523 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_AND, 'r) _menhir_state
    (** State 0523.
        Stack shape : lexpr AND.
        Start symbol: <undetermined>. *)

  | MenhirState0524 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_AND, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0524.
        Stack shape : lexpr AND lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0525 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_IFF, 'r) _menhir_state
    (** State 0525.
        Stack shape : lexpr IFF.
        Start symbol: <undetermined>. *)

  | MenhirState0526 : (((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_IFF, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0526.
        Stack shape : lexpr IFF lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0527 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_state
    (** State 0527.
        Stack shape : lexpr COMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0529 : (('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LBRACE, 'r) _menhir_state
    (** State 0529.
        Stack shape : full_identifier LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0532 : ((('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LBRACE, 'r) _menhir_cell1_ne_label_args _menhir_cell0_RBRACE _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0532.
        Stack shape : full_identifier LBRACE ne_label_args RBRACE LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0536 : (('s, 'r) _menhir_cell1_identifier_or_typename_full, 'r) _menhir_state
    (** State 0536.
        Stack shape : identifier_or_typename_full.
        Start symbol: <undetermined>. *)

  | MenhirState0538 : ((((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_QUESTION, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COLON2, 'r) _menhir_state
    (** State 0538.
        Stack shape : lexpr QUESTION lexpr COLON2.
        Start symbol: <undetermined>. *)

  | MenhirState0539 : (((((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_QUESTION, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COLON2, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0539.
        Stack shape : lexpr QUESTION lexpr COLON2 lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0540 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_LSQUARE, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0540.
        Stack shape : lexpr_inner LSQUARE lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0542 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_DOT, 'r) _menhir_state
    (** State 0542.
        Stack shape : lexpr_inner DOT.
        Start symbol: <undetermined>. *)

  | MenhirState0544 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_ARROW, 'r) _menhir_state
    (** State 0544.
        Stack shape : lexpr_inner ARROW.
        Start symbol: <undetermined>. *)

  | MenhirState0546 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_SLASH, 'r) _menhir_state
    (** State 0546.
        Stack shape : lexpr_inner SLASH.
        Start symbol: <undetermined>. *)

  | MenhirState0547 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_SLASH, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0547.
        Stack shape : lexpr_inner SLASH lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0548 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_PLUS, 'r) _menhir_state
    (** State 0548.
        Stack shape : lexpr_inner PLUS.
        Start symbol: <undetermined>. *)

  | MenhirState0549 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_PLUS, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0549.
        Stack shape : lexpr_inner PLUS lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0550 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_PERCENT, 'r) _menhir_state
    (** State 0550.
        Stack shape : lexpr_inner PERCENT.
        Start symbol: <undetermined>. *)

  | MenhirState0551 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_PERCENT, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0551.
        Stack shape : lexpr_inner PERCENT lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0552 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_MINUS, 'r) _menhir_state
    (** State 0552.
        Stack shape : lexpr_inner MINUS.
        Start symbol: <undetermined>. *)

  | MenhirState0553 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_MINUS, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0553.
        Stack shape : lexpr_inner MINUS lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0554 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_LTLT, 'r) _menhir_state
    (** State 0554.
        Stack shape : lexpr_inner LTLT.
        Start symbol: <undetermined>. *)

  | MenhirState0555 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_LTLT, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0555.
        Stack shape : lexpr_inner LTLT lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0556 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_GTGT, 'r) _menhir_state
    (** State 0556.
        Stack shape : lexpr_inner GTGT.
        Start symbol: <undetermined>. *)

  | MenhirState0557 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_GTGT, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0557.
        Stack shape : lexpr_inner GTGT lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0565 : ((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_relation, 'r) _menhir_state
    (** State 0565.
        Stack shape : lexpr_inner relation.
        Start symbol: <undetermined>. *)

  | MenhirState0566 : (((('s, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_cell1_relation, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0566.
        Stack shape : lexpr_inner relation lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0570 : ((('s, 'r) _menhir_cell1_string _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0570.
        Stack shape : string COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0571 : (((('s, 'r) _menhir_cell1_ALLOCABLE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0571.
        Stack shape : ALLOCABLE opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0573 : (((('s, 'r) _menhir_cell1_ALLOCATION, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0573.
        Stack shape : ALLOCATION opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0575 : ((('s, 'r) _menhir_cell1_AMP, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0575.
        Stack shape : AMP lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0576 : ((('s, 'r) _menhir_cell1_AT _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0576.
        Stack shape : AT LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0577 : (((('s, 'r) _menhir_cell1_AT _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_state
    (** State 0577.
        Stack shape : AT LPAR lexpr COMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0580 : (((('s, 'r) _menhir_cell1_BASE_ADDR, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0580.
        Stack shape : BASE_ADDR opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0582 : (((('s, 'r) _menhir_cell1_BLOCK_LENGTH, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0582.
        Stack shape : BLOCK_LENGTH opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0587 : (((('s, 'r) _menhir_cell1_DANGLING, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0587.
        Stack shape : DANGLING opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0589 : (((('s, 'r) _menhir_cell1_EXISTS, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0589.
        Stack shape : EXISTS binders SEMICOLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0590 : (((('s, 'r) _menhir_cell1_FORALL, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0590.
        Stack shape : FORALL binders SEMICOLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0591 : (((('s, 'r) _menhir_cell1_FREEABLE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0591.
        Stack shape : FREEABLE opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0593 : (((('s, 'r) _menhir_cell1_FRESH, 'r) _menhir_cell1_opt_label_2 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0593.
        Stack shape : FRESH opt_label_2 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0594 : ((((('s, 'r) _menhir_cell1_FRESH, 'r) _menhir_cell1_opt_label_2 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_state
    (** State 0594.
        Stack shape : FRESH opt_label_2 LPAR lexpr COMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0595 : (((((('s, 'r) _menhir_cell1_FRESH, 'r) _menhir_cell1_opt_label_2 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0595.
        Stack shape : FRESH opt_label_2 LPAR lexpr COMMA lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0597 : (((('s, 'r) _menhir_cell1_INITIALIZED, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0597.
        Stack shape : INITIALIZED opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0601 : (((('s, 'r) _menhir_cell1_LAMBDA, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0601.
        Stack shape : LAMBDA binders SEMICOLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0604 : ((('s, 'r) _menhir_cell1_LSQUARE, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0604.
        Stack shape : LSQUARE lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0606 : (('s, 'r) _menhir_cell1_DOT, 'r) _menhir_state
    (** State 0606.
        Stack shape : DOT.
        Start symbol: <undetermined>. *)

  | MenhirState0610 : ((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0610.
        Stack shape : LBRACE lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0611 : (((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_WITH, 'r) _menhir_state
    (** State 0611.
        Stack shape : LBRACE lexpr WITH.
        Start symbol: <undetermined>. *)

  | MenhirState0613 : (('s, 'r) _menhir_cell1_update_elt, 'r) _menhir_state
    (** State 0613.
        Stack shape : update_elt.
        Start symbol: <undetermined>. *)

  | MenhirState0615 : (('s, 'r) _menhir_cell1_path_elt, 'r) _menhir_state
    (** State 0615.
        Stack shape : path_elt.
        Start symbol: <undetermined>. *)

  | MenhirState0620 : (('s, 'r) _menhir_cell1_path _menhir_cell0_EQUAL, 'r) _menhir_state
    (** State 0620.
        Stack shape : path EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0621 : ((('s, 'r) _menhir_cell1_path _menhir_cell0_EQUAL, 'r) _menhir_cell1_LBRACE, 'r) _menhir_state
    (** State 0621.
        Stack shape : path EQUAL LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0622 : (((('s, 'r) _menhir_cell1_path _menhir_cell0_EQUAL, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_WITH, 'r) _menhir_state
    (** State 0622.
        Stack shape : path EQUAL LBRACE WITH.
        Start symbol: <undetermined>. *)

  | MenhirState0626 : (('s, 'r) _menhir_cell1_field_path_elt _menhir_cell0_EQUAL, 'r) _menhir_state
    (** State 0626.
        Stack shape : field_path_elt EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0627 : ((('s, 'r) _menhir_cell1_field_path_elt _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0627.
        Stack shape : field_path_elt EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0629 : (('s, 'r) _menhir_cell1_field_init_elt, 'r) _menhir_state
    (** State 0629.
        Stack shape : field_init_elt.
        Start symbol: <undetermined>. *)

  | MenhirState0634 : (('s, 'r) _menhir_cell1_array_path_elt _menhir_cell0_EQUAL, 'r) _menhir_state
    (** State 0634.
        Stack shape : array_path_elt EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0635 : ((('s, 'r) _menhir_cell1_array_path_elt _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0635.
        Stack shape : array_path_elt EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0637 : (('s, 'r) _menhir_cell1_array_init_elt, 'r) _menhir_state
    (** State 0637.
        Stack shape : array_init_elt.
        Start symbol: <undetermined>. *)

  | MenhirState0641 : ((('s, 'r) _menhir_cell1_path _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0641.
        Stack shape : path EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0644 : (((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_state
    (** State 0644.
        Stack shape : LBRACE lexpr PIPE.
        Start symbol: <undetermined>. *)

  | MenhirState0647 : ((((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_UNION, 'r) _menhir_state
    (** State 0647.
        Stack shape : LBRACE lexpr PIPE UNION.
        Start symbol: <undetermined>. *)

  | MenhirState0649 : ((((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_STRUCT, 'r) _menhir_state
    (** State 0649.
        Stack shape : LBRACE lexpr PIPE STRUCT.
        Start symbol: <undetermined>. *)

  | MenhirState0657 : ((((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_ENUM, 'r) _menhir_state
    (** State 0657.
        Stack shape : LBRACE lexpr PIPE ENUM.
        Start symbol: <undetermined>. *)

  | MenhirState0663 : ((((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 0663.
        Stack shape : LBRACE lexpr PIPE binders SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0664 : (((((('s, 'r) _menhir_cell1_LBRACE, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_binders _menhir_cell0_SEMICOLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0664.
        Stack shape : LBRACE lexpr PIPE binders SEMICOLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0667 : (((('s, 'r) _menhir_cell1_LET, 'r) _menhir_cell1_bounded_var _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0667.
        Stack shape : LET bounded_var EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0668 : ((((('s, 'r) _menhir_cell1_LET, 'r) _menhir_cell1_bounded_var _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 0668.
        Stack shape : LET bounded_var EQUAL lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0669 : (((((('s, 'r) _menhir_cell1_LET, 'r) _menhir_cell1_bounded_var _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0669.
        Stack shape : LET bounded_var EQUAL lexpr SEMICOLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0673 : (('s, 'r) _menhir_cell1_ENUM, 'r) _menhir_state
    (** State 0673.
        Stack shape : ENUM.
        Start symbol: <undetermined>. *)

  | MenhirState0680 : (('s, 'r) _menhir_cell1_type_spec_cv_TYPENAME_, 'r) _menhir_state
    (** State 0680.
        Stack shape : type_spec_cv(TYPENAME).
        Start symbol: <undetermined>. *)

  | MenhirState0681 : (('s, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 0681.
        Stack shape : STAR.
        Start symbol: <undetermined>. *)

  | MenhirState0685 : (('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0685.
        Stack shape : LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0687 : (('s, 'r) _menhir_cell1_stars_cv, 'r) _menhir_state
    (** State 0687.
        Stack shape : stars_cv.
        Start symbol: <undetermined>. *)

  | MenhirState0688 : ((('s, 'r) _menhir_cell1_stars_cv, 'r) _menhir_cell1_STAR, 'r) _menhir_state
    (** State 0688.
        Stack shape : stars_cv STAR.
        Start symbol: <undetermined>. *)

  | MenhirState0691 : ((('s, 'r) _menhir_cell1_stars_cv, 'r) _menhir_cell1_abs_spec_bis_cv, 'r) _menhir_state
    (** State 0691.
        Stack shape : stars_cv abs_spec_bis_cv.
        Start symbol: <undetermined>. *)

  | MenhirState0692 : ((('s, 'r) _menhir_cell1_abs_spec_bis_cv, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0692.
        Stack shape : abs_spec_bis_cv LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0698 : (('s, 'r) _menhir_cell1_abs_spec_bis_cv, 'r) _menhir_state
    (** State 0698.
        Stack shape : abs_spec_bis_cv.
        Start symbol: <undetermined>. *)

  | MenhirState0702 : (('s, 'r) _menhir_cell1_type_spec_TYPENAME_, 'r) _menhir_state
    (** State 0702.
        Stack shape : type_spec(TYPENAME).
        Start symbol: <undetermined>. *)

  | MenhirState0704 : (('s, 'r) _menhir_cell1_cv, 'r) _menhir_state
    (** State 0704.
        Stack shape : cv.
        Start symbol: <undetermined>. *)

  | MenhirState0708 : ((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0708.
        Stack shape : LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0710 : (('s, 'r) _menhir_cell1_cv, 'r) _menhir_state
    (** State 0710.
        Stack shape : cv.
        Start symbol: <undetermined>. *)

  | MenhirState0713 : ((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_cast_logic_type _menhir_cell0_RPAR, 'r) _menhir_state
    (** State 0713.
        Stack shape : LPAR cast_logic_type RPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0714 : (((('s, 'r) _menhir_cell1_LPAR, 'r) _menhir_cell1_cast_logic_type _menhir_cell0_RPAR, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0714.
        Stack shape : LPAR cast_logic_type RPAR lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0717 : ((('s, 'r) _menhir_cell1_MINUS, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0717.
        Stack shape : MINUS lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0718 : ((('s, 'r) _menhir_cell1_NOT, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0718.
        Stack shape : NOT lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0720 : (((('s, 'r) _menhir_cell1_OBJECT_POINTER, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0720.
        Stack shape : OBJECT_POINTER opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0722 : (((('s, 'r) _menhir_cell1_OFFSET, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0722.
        Stack shape : OFFSET opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0724 : ((('s, 'r) _menhir_cell1_OLD _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0724.
        Stack shape : OLD LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0726 : ((('s, 'r) _menhir_cell1_PLUS, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0726.
        Stack shape : PLUS lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0729 : ((('s, 'r) _menhir_cell1_SIZEOF _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0729.
        Stack shape : SIZEOF LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0733 : ((('s, 'r) _menhir_cell1_STAR, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0733.
        Stack shape : STAR lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0734 : ((('s, 'r) _menhir_cell1_TILDE, 'r) _menhir_cell1_lexpr_inner, 'r) _menhir_state
    (** State 0734.
        Stack shape : TILDE lexpr_inner.
        Start symbol: <undetermined>. *)

  | MenhirState0735 : ((('s, 'r) _menhir_cell1_TYPEOF _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0735.
        Stack shape : TYPEOF LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0737 : (((('s, 'r) _menhir_cell1_VALID, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0737.
        Stack shape : VALID opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0739 : ((('s, 'r) _menhir_cell1_VALID_FUNCTION _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0739.
        Stack shape : VALID_FUNCTION LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0741 : (((('s, 'r) _menhir_cell1_VALID_INDEX, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0741.
        Stack shape : VALID_INDEX opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0742 : ((((('s, 'r) _menhir_cell1_VALID_INDEX, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_state
    (** State 0742.
        Stack shape : VALID_INDEX opt_label_1 LPAR lexpr COMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0743 : (((((('s, 'r) _menhir_cell1_VALID_INDEX, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0743.
        Stack shape : VALID_INDEX opt_label_1 LPAR lexpr COMMA lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0745 : (((('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0745.
        Stack shape : VALID_RANGE opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0746 : ((((('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_state
    (** State 0746.
        Stack shape : VALID_RANGE opt_label_1 LPAR lexpr COMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0747 : (((((('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0747.
        Stack shape : VALID_RANGE opt_label_1 LPAR lexpr COMMA lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0748 : ((((((('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_state
    (** State 0748.
        Stack shape : VALID_RANGE opt_label_1 LPAR lexpr COMMA lexpr COMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0749 : (((((((('s, 'r) _menhir_cell1_VALID_RANGE, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_COMMA, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0749.
        Stack shape : VALID_RANGE opt_label_1 LPAR lexpr COMMA lexpr COMMA lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0751 : (((('s, 'r) _menhir_cell1_VALID_READ, 'r) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0751.
        Stack shape : VALID_READ opt_label_1 LPAR lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0753 : ((('s, 'r) _menhir_cell1_VOLATILE, 'r) _menhir_cell1_ne_zones, 'r) _menhir_state
    (** State 0753.
        Stack shape : VOLATILE ne_zones.
        Start symbol: <undetermined>. *)

  | MenhirState0754 : (('s, 'r) _menhir_cell1_WRITES, 'r) _menhir_state
    (** State 0754.
        Stack shape : WRITES.
        Start symbol: <undetermined>. *)

  | MenhirState0755 : ((('s, 'r) _menhir_cell1_WRITES, 'r) _menhir_cell1_any_identifier, 'r) _menhir_state
    (** State 0755.
        Stack shape : WRITES any_identifier.
        Start symbol: <undetermined>. *)

  | MenhirState0756 : (('s, 'r) _menhir_cell1_READS, 'r) _menhir_state
    (** State 0756.
        Stack shape : READS.
        Start symbol: <undetermined>. *)

  | MenhirState0757 : ((('s, 'r) _menhir_cell1_READS, 'r) _menhir_cell1_any_identifier, 'r) _menhir_state
    (** State 0757.
        Stack shape : READS any_identifier.
        Start symbol: <undetermined>. *)

  | MenhirState0763 : (('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_state
    (** State 0763.
        Stack shape : TYPE.
        Start symbol: <undetermined>. *)

  | MenhirState0764 : ((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_state
    (** State 0764.
        Stack shape : TYPE INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0766 : (((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_cell1_any_identifier _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0766.
        Stack shape : TYPE INVARIANT any_identifier LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0777 : (('s, 'r) _menhir_cell1_UNION, 'r) _menhir_state
    (** State 0777.
        Stack shape : UNION.
        Start symbol: <undetermined>. *)

  | MenhirState0779 : (('s, 'r) _menhir_cell1_STRUCT, 'r) _menhir_state
    (** State 0779.
        Stack shape : STRUCT.
        Start symbol: <undetermined>. *)

  | MenhirState0801 : (('s, 'r) _menhir_cell1_ENUM, 'r) _menhir_state
    (** State 0801.
        Stack shape : ENUM.
        Start symbol: <undetermined>. *)

  | MenhirState0807 : (('s, 'r) _menhir_cell1_type_spec_identifier_or_typename_, 'r) _menhir_state
    (** State 0807.
        Stack shape : type_spec(identifier_or_typename).
        Start symbol: <undetermined>. *)

  | MenhirState0811 : ((((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_cell1_any_identifier _menhir_cell0_LPAR, 'r) _menhir_cell1_parameter _menhir_cell0_RPAR _menhir_cell0_EQUAL, 'r) _menhir_state
    (** State 0811.
        Stack shape : TYPE INVARIANT any_identifier LPAR parameter RPAR EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0812 : (((((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_cell1_any_identifier _menhir_cell0_LPAR, 'r) _menhir_cell1_parameter _menhir_cell0_RPAR _menhir_cell0_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0812.
        Stack shape : TYPE INVARIANT any_identifier LPAR parameter RPAR EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0815 : (('s, 'r) _menhir_cell1_identifier_or_typename _menhir_cell0_LT, 'r) _menhir_state
    (** State 0815.
        Stack shape : identifier_or_typename LT.
        Start symbol: <undetermined>. *)

  | MenhirState0816 : (('s, 'r) _menhir_cell1_type_spec_identifier_or_typename_, 'r) _menhir_state
    (** State 0816.
        Stack shape : type_spec(identifier_or_typename).
        Start symbol: <undetermined>. *)

  | MenhirState0822 : (('s, 'r) _menhir_cell1_logic_type_gen_identifier_or_typename_, 'r) _menhir_state
    (** State 0822.
        Stack shape : logic_type_gen(identifier_or_typename).
        Start symbol: <undetermined>. *)

  | MenhirState0825 : ((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, 'r) _menhir_state
    (** State 0825.
        Stack shape : TYPE poly_id_type_add_typename EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0826 : (((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, 'r) _menhir_cell1_PIPE, 'r) _menhir_state
    (** State 0826.
        Stack shape : TYPE poly_id_type_add_typename EQUAL PIPE.
        Start symbol: <undetermined>. *)

  | MenhirState0828 : (('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LPAR, 'r) _menhir_state
    (** State 0828.
        Stack shape : full_identifier LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0832 : (('s, 'r) _menhir_cell1_logic_type, 'r) _menhir_state
    (** State 0832.
        Stack shape : logic_type.
        Start symbol: <undetermined>. *)

  | MenhirState0834 : ((((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_datacons, 'r) _menhir_state
    (** State 0834.
        Stack shape : TYPE poly_id_type_add_typename EQUAL PIPE datacons.
        Start symbol: <undetermined>. *)

  | MenhirState0835 : ((('s, 'r) _menhir_cell1_datacons, 'r) _menhir_cell1_PIPE, 'r) _menhir_state
    (** State 0835.
        Stack shape : datacons PIPE.
        Start symbol: <undetermined>. *)

  | MenhirState0836 : (((('s, 'r) _menhir_cell1_datacons, 'r) _menhir_cell1_PIPE, 'r) _menhir_cell1_datacons, 'r) _menhir_state
    (** State 0836.
        Stack shape : datacons PIPE datacons.
        Start symbol: <undetermined>. *)

  | MenhirState0843 : (((('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, 'r) _menhir_cell1_datacons, 'r) _menhir_state
    (** State 0843.
        Stack shape : TYPE poly_id_type_add_typename EQUAL datacons.
        Start symbol: <undetermined>. *)

  | MenhirState0848 : (('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LT, 'r) _menhir_state
    (** State 0848.
        Stack shape : full_identifier LT.
        Start symbol: <undetermined>. *)

  | MenhirState0852 : (('s, 'r) _menhir_cell1_full_identifier, 'r) _menhir_state
    (** State 0852.
        Stack shape : full_identifier.
        Start symbol: <undetermined>. *)

  | MenhirState0855 : (('s, 'r) _menhir_cell1_SLICE _menhir_cell0_PRAGMA, 'r) _menhir_state
    (** State 0855.
        Stack shape : SLICE PRAGMA.
        Start symbol: <undetermined>. *)

  | MenhirState0856 : ((('s, 'r) _menhir_cell1_SLICE _menhir_cell0_PRAGMA, 'r) _menhir_cell1_any_identifier, 'r) _menhir_state
    (** State 0856.
        Stack shape : SLICE PRAGMA any_identifier.
        Start symbol: <undetermined>. *)

  | MenhirState0858 : (((('s, 'r) _menhir_cell1_SLICE _menhir_cell0_PRAGMA, 'r) _menhir_cell1_any_identifier, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0858.
        Stack shape : SLICE PRAGMA any_identifier lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0860 : (('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_state
    (** State 0860.
        Stack shape : PREDICATE.
        Start symbol: <undetermined>. *)

  | MenhirState0862 : ((('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_cell1_poly_id, 'r) _menhir_state
    (** State 0862.
        Stack shape : PREDICATE poly_id.
        Start symbol: <undetermined>. *)

  | MenhirState0863 : ((('s, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_LPAR, 'r) _menhir_state
    (** State 0863.
        Stack shape : poly_id LPAR.
        Start symbol: <undetermined>. *)

  | MenhirState0865 : (('s, 'r) _menhir_cell1_parameter, 'r) _menhir_state
    (** State 0865.
        Stack shape : parameter.
        Start symbol: <undetermined>. *)

  | MenhirState0870 : (((('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_state
    (** State 0870.
        Stack shape : PREDICATE poly_id opt_parameters.
        Start symbol: <undetermined>. *)

  | MenhirState0872 : ((((('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_cell1_EQUAL, 'r) _menhir_state
    (** State 0872.
        Stack shape : PREDICATE poly_id opt_parameters EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0873 : (((((('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_cell1_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0873.
        Stack shape : PREDICATE poly_id opt_parameters EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0876 : (('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LBRACE, 'r) _menhir_state
    (** State 0876.
        Stack shape : full_identifier LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0879 : ((('s, 'r) _menhir_cell1_full_identifier _menhir_cell0_LBRACE, 'r) _menhir_cell1_ne_label_list _menhir_cell0_RBRACE _menhir_cell0_LT, 'r) _menhir_state
    (** State 0879.
        Stack shape : full_identifier LBRACE ne_label_list RBRACE LT.
        Start symbol: <undetermined>. *)

  | MenhirState0882 : (('s, 'r) _menhir_cell1_MODEL, 'r) _menhir_state
    (** State 0882.
        Stack shape : MODEL.
        Start symbol: <undetermined>. *)

  | MenhirState0884 : ((('s, 'r) _menhir_cell1_MODEL, 'r) _menhir_cell1_type_spec_typename_ _menhir_cell0_LBRACE, 'r) _menhir_state
    (** State 0884.
        Stack shape : MODEL type_spec(typename) LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0890 : (('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_state
    (** State 0890.
        Stack shape : LOOP.
        Start symbol: <undetermined>. *)

  | MenhirState0891 : ((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_VARIANT, 'r) _menhir_state
    (** State 0891.
        Stack shape : LOOP VARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0894 : (('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0894.
        Stack shape : lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0895 : ((('s, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_FOR, 'r) _menhir_state
    (** State 0895.
        Stack shape : lexpr FOR.
        Start symbol: <undetermined>. *)

  | MenhirState0897 : ((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_PRAGMA, 'r) _menhir_state
    (** State 0897.
        Stack shape : LOOP PRAGMA.
        Start symbol: <undetermined>. *)

  | MenhirState0898 : (((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_PRAGMA, 'r) _menhir_cell1_any_identifier, 'r) _menhir_state
    (** State 0898.
        Stack shape : LOOP PRAGMA any_identifier.
        Start symbol: <undetermined>. *)

  | MenhirState0901 : ((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_state
    (** State 0901.
        Stack shape : LOOP INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0902 : (((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0902.
        Stack shape : LOOP INVARIANT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0904 : ((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_state
    (** State 0904.
        Stack shape : LOOP IDENTIFIER_EXT.
        Start symbol: <undetermined>. *)

  | MenhirState0909 : (((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 0909.
        Stack shape : LOOP IDENTIFIER_EXT extension_content SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0910 : (('s, 'r) _menhir_cell1_FOR, 'r) _menhir_state
    (** State 0910.
        Stack shape : FOR.
        Start symbol: <undetermined>. *)

  | MenhirState0912 : ((('s, 'r) _menhir_cell1_FOR, 'r) _menhir_cell1_ne_behavior_name_list _menhir_cell0_COLON, 'r) _menhir_state
    (** State 0912.
        Stack shape : FOR ne_behavior_name_list COLON.
        Start symbol: <undetermined>. *)

  | MenhirState0914 : (('s, 'r) _menhir_cell1_CHECK_LOOP _menhir_cell0_INVARIANT, 'r) _menhir_state
    (** State 0914.
        Stack shape : CHECK_LOOP INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0915 : ((('s, 'r) _menhir_cell1_CHECK_LOOP _menhir_cell0_INVARIANT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0915.
        Stack shape : CHECK_LOOP INVARIANT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0918 : (('s, 'r) _menhir_cell1_ADMIT_LOOP _menhir_cell0_INVARIANT, 'r) _menhir_state
    (** State 0918.
        Stack shape : ADMIT_LOOP INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0919 : ((('s, 'r) _menhir_cell1_ADMIT_LOOP _menhir_cell0_INVARIANT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0919.
        Stack shape : ADMIT_LOOP INVARIANT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0921 : (('s, 'r) _menhir_cell1_loop_variant, 'r) _menhir_state
    (** State 0921.
        Stack shape : loop_variant.
        Start symbol: <undetermined>. *)

  | MenhirState0922 : (('s, 'r) _menhir_cell1_loop_pragma, 'r) _menhir_state
    (** State 0922.
        Stack shape : loop_pragma.
        Start symbol: <undetermined>. *)

  | MenhirState0923 : (('s, 'r) _menhir_cell1_loop_invariant, 'r) _menhir_state
    (** State 0923.
        Stack shape : loop_invariant.
        Start symbol: <undetermined>. *)

  | MenhirState0924 : (('s, 'r) _menhir_cell1_loop_grammar_extension, 'r) _menhir_state
    (** State 0924.
        Stack shape : loop_grammar_extension.
        Start symbol: <undetermined>. *)

  | MenhirState0925 : (('s, 'r) _menhir_cell1_loop_effects, 'r) _menhir_state
    (** State 0925.
        Stack shape : loop_effects.
        Start symbol: <undetermined>. *)

  | MenhirState0928 : (('s, 'r) _menhir_cell1_loop_allocation, 'r) _menhir_state
    (** State 0928.
        Stack shape : loop_allocation.
        Start symbol: <undetermined>. *)

  | MenhirState0936 : (('s, 'r) _menhir_cell1_behavior_name, 'r) _menhir_state
    (** State 0936.
        Stack shape : behavior_name.
        Start symbol: <undetermined>. *)

  | MenhirState0940 : (('s, 'r) _menhir_cell1_FREES, 'r) _menhir_state
    (** State 0940.
        Stack shape : FREES.
        Start symbol: <undetermined>. *)

  | MenhirState0942 : ((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_EXT_CODE_ANNOT, 'r) _menhir_state
    (** State 0942.
        Stack shape : LOOP EXT_CODE_ANNOT.
        Start symbol: <undetermined>. *)

  | MenhirState0945 : ((('s, 'r) _menhir_cell1_LOOP, 'r) _menhir_cell1_ASSIGNS, 'r) _menhir_state
    (** State 0945.
        Stack shape : LOOP ASSIGNS.
        Start symbol: <undetermined>. *)

  | MenhirState0948 : ((('s, 'r) _menhir_cell1_ASSIGNS, 'r) _menhir_cell1_ne_zones, 'r) _menhir_state
    (** State 0948.
        Stack shape : ASSIGNS ne_zones.
        Start symbol: <undetermined>. *)

  | MenhirState0952 : (('s, 'r) _menhir_cell1_ALLOCATES, 'r) _menhir_state
    (** State 0952.
        Stack shape : ALLOCATES.
        Start symbol: <undetermined>. *)

  | MenhirState0956 : (('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_state
    (** State 0956.
        Stack shape : LOGIC.
        Start symbol: <undetermined>. *)

  | MenhirState0958 : ((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_state
    (** State 0958.
        Stack shape : LOGIC logic_rt_type.
        Start symbol: <undetermined>. *)

  | MenhirState0959 : (((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_cell1_poly_id, 'r) _menhir_state
    (** State 0959.
        Stack shape : LOGIC logic_rt_type poly_id.
        Start symbol: <undetermined>. *)

  | MenhirState0960 : ((((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_state
    (** State 0960.
        Stack shape : LOGIC logic_rt_type poly_id opt_parameters.
        Start symbol: <undetermined>. *)

  | MenhirState0962 : (((((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_cell1_EQUAL, 'r) _menhir_state
    (** State 0962.
        Stack shape : LOGIC logic_rt_type poly_id opt_parameters EQUAL.
        Start symbol: <undetermined>. *)

  | MenhirState0963 : ((((((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_cell1_EQUAL, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0963.
        Stack shape : LOGIC logic_rt_type poly_id opt_parameters EQUAL lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0965 : (('s, 'r) _menhir_cell1_LEMMA, 'r) _menhir_state
    (** State 0965.
        Stack shape : LEMMA.
        Start symbol: <undetermined>. *)

  | MenhirState0967 : ((('s, 'r) _menhir_cell1_LEMMA, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_state
    (** State 0967.
        Stack shape : LEMMA poly_id COLON.
        Start symbol: <undetermined>. *)

  | MenhirState0968 : (((('s, 'r) _menhir_cell1_LEMMA, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0968.
        Stack shape : LEMMA poly_id COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0970 : (('s, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_state
    (** State 0970.
        Stack shape : INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0971 : ((('s, 'r) _menhir_cell1_INVARIANT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0971.
        Stack shape : INVARIANT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0973 : (('s, 'r) _menhir_cell1_INDUCTIVE, 'r) _menhir_state
    (** State 0973.
        Stack shape : INDUCTIVE.
        Start symbol: <undetermined>. *)

  | MenhirState0974 : ((('s, 'r) _menhir_cell1_INDUCTIVE, 'r) _menhir_cell1_poly_id, 'r) _menhir_state
    (** State 0974.
        Stack shape : INDUCTIVE poly_id.
        Start symbol: <undetermined>. *)

  | MenhirState0977 : (((('s, 'r) _menhir_cell1_INDUCTIVE, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_parameters _menhir_cell0_midrule___anonymous_0_ _menhir_cell0_LBRACE, 'r) _menhir_state
    (** State 0977.
        Stack shape : INDUCTIVE poly_id parameters midrule(__anonymous_0) LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState0978 : (('s, 'r) _menhir_cell1_CASE, 'r) _menhir_state
    (** State 0978.
        Stack shape : CASE.
        Start symbol: <undetermined>. *)

  | MenhirState0980 : ((('s, 'r) _menhir_cell1_CASE, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_state
    (** State 0980.
        Stack shape : CASE poly_id COLON.
        Start symbol: <undetermined>. *)

  | MenhirState0981 : (((('s, 'r) _menhir_cell1_CASE, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0981.
        Stack shape : CASE poly_id COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0982 : ((((('s, 'r) _menhir_cell1_CASE, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 0982.
        Stack shape : CASE poly_id COLON lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState0987 : (('s, 'r) _menhir_cell1_IMPACT _menhir_cell0_PRAGMA, 'r) _menhir_state
    (** State 0987.
        Stack shape : IMPACT PRAGMA.
        Start symbol: <undetermined>. *)

  | MenhirState0988 : ((('s, 'r) _menhir_cell1_IMPACT _menhir_cell0_PRAGMA, 'r) _menhir_cell1_any_identifier, 'r) _menhir_state
    (** State 0988.
        Stack shape : IMPACT PRAGMA any_identifier.
        Start symbol: <undetermined>. *)

  | MenhirState0990 : (((('s, 'r) _menhir_cell1_IMPACT _menhir_cell0_PRAGMA, 'r) _menhir_cell1_any_identifier, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0990.
        Stack shape : IMPACT PRAGMA any_identifier lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState0992 : (('s, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_state
    (** State 0992.
        Stack shape : IDENTIFIER_EXT.
        Start symbol: <undetermined>. *)

  | MenhirState0996 : (('s, 'r) _menhir_cell1_GLOBAL _menhir_cell0_INVARIANT, 'r) _menhir_state
    (** State 0996.
        Stack shape : GLOBAL INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState0998 : ((('s, 'r) _menhir_cell1_GLOBAL _menhir_cell0_INVARIANT, 'r) _menhir_cell1_any_identifier _menhir_cell0_COLON, 'r) _menhir_state
    (** State 0998.
        Stack shape : GLOBAL INVARIANT any_identifier COLON.
        Start symbol: <undetermined>. *)

  | MenhirState0999 : (((('s, 'r) _menhir_cell1_GLOBAL _menhir_cell0_INVARIANT, 'r) _menhir_cell1_any_identifier _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 0999.
        Stack shape : GLOBAL INVARIANT any_identifier COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1001 : (('s, 'r) _menhir_cell1_FOR, 'r) _menhir_state
    (** State 1001.
        Stack shape : FOR.
        Start symbol: <undetermined>. *)

  | MenhirState1003 : ((('s, 'r) _menhir_cell1_FOR, 'r) _menhir_cell1_ne_behavior_name_list _menhir_cell0_COLON, 'r) _menhir_state
    (** State 1003.
        Stack shape : FOR ne_behavior_name_list COLON.
        Start symbol: <undetermined>. *)

  | MenhirState1004 : (('s, 'r) _menhir_cell1_REQUIRES, 'r) _menhir_state
    (** State 1004.
        Stack shape : REQUIRES.
        Start symbol: <undetermined>. *)

  | MenhirState1005 : ((('s, 'r) _menhir_cell1_REQUIRES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1005.
        Stack shape : REQUIRES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1006 : (((('s, 'r) _menhir_cell1_REQUIRES, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1006.
        Stack shape : REQUIRES lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1007 : (('s, 'r) _menhir_cell1_CHECK_REQUIRES, 'r) _menhir_state
    (** State 1007.
        Stack shape : CHECK_REQUIRES.
        Start symbol: <undetermined>. *)

  | MenhirState1008 : ((('s, 'r) _menhir_cell1_CHECK_REQUIRES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1008.
        Stack shape : CHECK_REQUIRES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1009 : (((('s, 'r) _menhir_cell1_CHECK_REQUIRES, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1009.
        Stack shape : CHECK_REQUIRES lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1010 : (('s, 'r) _menhir_cell1_ADMIT_REQUIRES, 'r) _menhir_state
    (** State 1010.
        Stack shape : ADMIT_REQUIRES.
        Start symbol: <undetermined>. *)

  | MenhirState1011 : ((('s, 'r) _menhir_cell1_ADMIT_REQUIRES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1011.
        Stack shape : ADMIT_REQUIRES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1012 : (((('s, 'r) _menhir_cell1_ADMIT_REQUIRES, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1012.
        Stack shape : ADMIT_REQUIRES lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1041 : (('s, 'r) _menhir_cell1_EXT_CODE_ANNOT, 'r) _menhir_state
    (** State 1041.
        Stack shape : EXT_CODE_ANNOT.
        Start symbol: <undetermined>. *)

  | MenhirState1044 : (('s, 'r) _menhir_cell1_CHECK_INVARIANT, 'r) _menhir_state
    (** State 1044.
        Stack shape : CHECK_INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState1045 : ((('s, 'r) _menhir_cell1_CHECK_INVARIANT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1045.
        Stack shape : CHECK_INVARIANT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1047 : (('s, 'r) _menhir_cell1_CHECK, 'r) _menhir_state
    (** State 1047.
        Stack shape : CHECK.
        Start symbol: <undetermined>. *)

  | MenhirState1048 : ((('s, 'r) _menhir_cell1_CHECK, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1048.
        Stack shape : CHECK lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1050 : (('s, 'r) _menhir_cell1_ASSERT, 'r) _menhir_state
    (** State 1050.
        Stack shape : ASSERT.
        Start symbol: <undetermined>. *)

  | MenhirState1051 : ((('s, 'r) _menhir_cell1_ASSERT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1051.
        Stack shape : ASSERT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1053 : (('s, 'r) _menhir_cell1_ADMIT_INVARIANT, 'r) _menhir_state
    (** State 1053.
        Stack shape : ADMIT_INVARIANT.
        Start symbol: <undetermined>. *)

  | MenhirState1054 : ((('s, 'r) _menhir_cell1_ADMIT_INVARIANT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1054.
        Stack shape : ADMIT_INVARIANT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1056 : (('s, 'r) _menhir_cell1_ADMIT, 'r) _menhir_state
    (** State 1056.
        Stack shape : ADMIT.
        Start symbol: <undetermined>. *)

  | MenhirState1057 : ((('s, 'r) _menhir_cell1_ADMIT, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1057.
        Stack shape : ADMIT lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1060 : (('s, 'r) _menhir_cell1_requires _menhir_cell0_TERMINATES, 'r) _menhir_state
    (** State 1060.
        Stack shape : requires TERMINATES.
        Start symbol: <undetermined>. *)

  | MenhirState1061 : ((('s, 'r) _menhir_cell1_requires _menhir_cell0_TERMINATES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1061.
        Stack shape : requires TERMINATES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1065 : (('s, 'r) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_DECREASES, 'r) _menhir_state
    (** State 1065.
        Stack shape : requires terminates DECREASES.
        Start symbol: <undetermined>. *)

  | MenhirState1066 : ((('s, 'r) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_DECREASES, 'r) _menhir_cell1_variant, 'r) _menhir_state
    (** State 1066.
        Stack shape : requires terminates DECREASES variant.
        Start symbol: <undetermined>. *)

  | MenhirState1072 : (('s, 'r) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, 'r) _menhir_state
    (** State 1072.
        Stack shape : requires terminates decreases.
        Start symbol: <undetermined>. *)

  | MenhirState1073 : (('s, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_state
    (** State 1073.
        Stack shape : IDENTIFIER_EXT.
        Start symbol: <undetermined>. *)

  | MenhirState1075 : ((('s, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 1075.
        Stack shape : IDENTIFIER_EXT extension_content SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1076 : (('s, 'r) _menhir_cell1_EXT_CONTRACT, 'r) _menhir_state
    (** State 1076.
        Stack shape : EXT_CONTRACT.
        Start symbol: <undetermined>. *)

  | MenhirState1078 : ((('s, 'r) _menhir_cell1_EXT_CONTRACT, 'r) _menhir_cell1_ne_grammar_extension, 'r) _menhir_state
    (** State 1078.
        Stack shape : EXT_CONTRACT ne_grammar_extension.
        Start symbol: <undetermined>. *)

  | MenhirState1081 : ((('s, 'r) _menhir_cell1_EXT_CONTRACT, 'r) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 1081.
        Stack shape : EXT_CONTRACT extension_content SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1082 : (('s, 'r) _menhir_cell1_ASSIGNS, 'r) _menhir_state
    (** State 1082.
        Stack shape : ASSIGNS.
        Start symbol: <undetermined>. *)

  | MenhirState1083 : ((('s, 'r) _menhir_cell1_ASSIGNS, 'r) _menhir_cell1_assigns, 'r) _menhir_state
    (** State 1083.
        Stack shape : ASSIGNS assigns.
        Start symbol: <undetermined>. *)

  | MenhirState1084 : (((('s, 'r) _menhir_cell1_ASSIGNS, 'r) _menhir_cell1_assigns, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1084.
        Stack shape : ASSIGNS assigns SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1086 : (('s, 'r) _menhir_cell1_post_cond_kind, 'r) _menhir_state
    (** State 1086.
        Stack shape : post_cond_kind.
        Start symbol: <undetermined>. *)

  | MenhirState1087 : ((('s, 'r) _menhir_cell1_post_cond_kind, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1087.
        Stack shape : post_cond_kind lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1088 : (((('s, 'r) _menhir_cell1_post_cond_kind, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1088.
        Stack shape : post_cond_kind lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1092 : (('s, 'r) _menhir_cell1_allocation, 'r) _menhir_state
    (** State 1092.
        Stack shape : allocation.
        Start symbol: <undetermined>. *)

  | MenhirState1093 : ((('s, 'r) _menhir_cell1_allocation, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1093.
        Stack shape : allocation SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1100 : ((('s, 'r) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, 'r) _menhir_cell1_simple_clauses, 'r) _menhir_state
    (** State 1100.
        Stack shape : requires terminates decreases simple_clauses.
        Start symbol: <undetermined>. *)

  | MenhirState1101 : (('s, 'r) _menhir_cell1_BEHAVIOR, 'r) _menhir_state
    (** State 1101.
        Stack shape : BEHAVIOR.
        Start symbol: <undetermined>. *)

  | MenhirState1103 : ((('s, 'r) _menhir_cell1_BEHAVIOR, 'r) _menhir_cell1_behavior_name _menhir_cell0_COLON, 'r) _menhir_state
    (** State 1103.
        Stack shape : BEHAVIOR behavior_name COLON.
        Start symbol: <undetermined>. *)

  | MenhirState1104 : (('s, 'r) _menhir_cell1_ASSUMES, 'r) _menhir_state
    (** State 1104.
        Stack shape : ASSUMES.
        Start symbol: <undetermined>. *)

  | MenhirState1105 : ((('s, 'r) _menhir_cell1_ASSUMES, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1105.
        Stack shape : ASSUMES lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1106 : (((('s, 'r) _menhir_cell1_ASSUMES, 'r) _menhir_cell1_lexpr, 'r) _menhir_cell1_SEMICOLON, 'r) _menhir_state
    (** State 1106.
        Stack shape : ASSUMES lexpr SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1109 : (((('s, 'r) _menhir_cell1_BEHAVIOR, 'r) _menhir_cell1_behavior_name _menhir_cell0_COLON, 'r) _menhir_cell1_behavior_body, 'r) _menhir_state
    (** State 1109.
        Stack shape : BEHAVIOR behavior_name COLON behavior_body.
        Start symbol: <undetermined>. *)

  | MenhirState1112 : (((('s, 'r) _menhir_cell1_BEHAVIOR, 'r) _menhir_cell1_behavior_name _menhir_cell0_COLON, 'r) _menhir_cell1_assumes, 'r) _menhir_state
    (** State 1112.
        Stack shape : BEHAVIOR behavior_name COLON assumes.
        Start symbol: <undetermined>. *)

  | MenhirState1113 : ((((('s, 'r) _menhir_cell1_BEHAVIOR, 'r) _menhir_cell1_behavior_name _menhir_cell0_COLON, 'r) _menhir_cell1_assumes, 'r) _menhir_cell1_requires, 'r) _menhir_state
    (** State 1113.
        Stack shape : BEHAVIOR behavior_name COLON assumes requires.
        Start symbol: <undetermined>. *)

  | MenhirState1123 : (((('s, 'r) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, 'r) _menhir_cell1_simple_clauses, 'r) _menhir_cell1_behaviors, 'r) _menhir_state
    (** State 1123.
        Stack shape : requires terminates decreases simple_clauses behaviors.
        Start symbol: <undetermined>. *)

  | MenhirState1125 : (('s, 'r) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS, 'r) _menhir_state
    (** State 1125.
        Stack shape : DISJOINT BEHAVIORS.
        Start symbol: <undetermined>. *)

  | MenhirState1126 : ((('s, 'r) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS, 'r) _menhir_cell1_ne_behavior_name_list, 'r) _menhir_state
    (** State 1126.
        Stack shape : DISJOINT BEHAVIORS ne_behavior_name_list.
        Start symbol: <undetermined>. *)

  | MenhirState1129 : ((('s, 'r) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS, 'r) _menhir_cell1_behavior_name_list _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 1129.
        Stack shape : DISJOINT BEHAVIORS behavior_name_list SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1131 : (('s, 'r) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS, 'r) _menhir_state
    (** State 1131.
        Stack shape : COMPLETE BEHAVIORS.
        Start symbol: <undetermined>. *)

  | MenhirState1132 : ((('s, 'r) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS, 'r) _menhir_cell1_ne_behavior_name_list, 'r) _menhir_state
    (** State 1132.
        Stack shape : COMPLETE BEHAVIORS ne_behavior_name_list.
        Start symbol: <undetermined>. *)

  | MenhirState1135 : ((('s, 'r) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS, 'r) _menhir_cell1_behavior_name_list _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 1135.
        Stack shape : COMPLETE BEHAVIORS behavior_name_list SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1139 : ((((('s, 'r) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, 'r) _menhir_cell1_simple_clauses, 'r) _menhir_cell1_behaviors, 'r) _menhir_cell1_ne_complete_or_disjoint, 'r) _menhir_state
    (** State 1139.
        Stack shape : requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint.
        Start symbol: <undetermined>. *)

  | MenhirState1158 : (('s, 'r) _menhir_cell1_EXT_GLOBAL_BLOCK, 'r) _menhir_state
    (** State 1158.
        Stack shape : EXT_GLOBAL_BLOCK.
        Start symbol: <undetermined>. *)

  | MenhirState1160 : ((('s, 'r) _menhir_cell1_EXT_GLOBAL_BLOCK, 'r) _menhir_cell1_any_identifier _menhir_cell0_LBRACE, 'r) _menhir_state
    (** State 1160.
        Stack shape : EXT_GLOBAL_BLOCK any_identifier LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState1161 : (('s, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_state
    (** State 1161.
        Stack shape : IDENTIFIER_EXT.
        Start symbol: <undetermined>. *)

  | MenhirState1163 : ((('s, 'r) _menhir_cell1_IDENTIFIER_EXT, 'r) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON, 'r) _menhir_state
    (** State 1163.
        Stack shape : IDENTIFIER_EXT extension_content SEMICOLON.
        Start symbol: <undetermined>. *)

  | MenhirState1164 : (('s, 'r) _menhir_cell1_EXT_GLOBAL, 'r) _menhir_state
    (** State 1164.
        Stack shape : EXT_GLOBAL.
        Start symbol: <undetermined>. *)

  | MenhirState1168 : (('s, 'r) _menhir_cell1_ext_decl_loc, 'r) _menhir_state
    (** State 1168.
        Stack shape : ext_decl_loc.
        Start symbol: <undetermined>. *)

  | MenhirState1173 : (('s, 'r) _menhir_cell1_CHECK_LEMMA, 'r) _menhir_state
    (** State 1173.
        Stack shape : CHECK_LEMMA.
        Start symbol: <undetermined>. *)

  | MenhirState1175 : ((('s, 'r) _menhir_cell1_CHECK_LEMMA, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_state
    (** State 1175.
        Stack shape : CHECK_LEMMA poly_id COLON.
        Start symbol: <undetermined>. *)

  | MenhirState1176 : (((('s, 'r) _menhir_cell1_CHECK_LEMMA, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1176.
        Stack shape : CHECK_LEMMA poly_id COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1179 : (('s, 'r) _menhir_cell1_AXIOMATIC, 'r) _menhir_state
    (** State 1179.
        Stack shape : AXIOMATIC.
        Start symbol: <undetermined>. *)

  | MenhirState1181 : ((('s, 'r) _menhir_cell1_AXIOMATIC, 'r) _menhir_cell1_any_identifier _menhir_cell0_LBRACE, 'r) _menhir_state
    (** State 1181.
        Stack shape : AXIOMATIC any_identifier LBRACE.
        Start symbol: <undetermined>. *)

  | MenhirState1182 : (('s, 'r) _menhir_cell1_TYPE, 'r) _menhir_state
    (** State 1182.
        Stack shape : TYPE.
        Start symbol: <undetermined>. *)

  | MenhirState1185 : (('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_state
    (** State 1185.
        Stack shape : PREDICATE.
        Start symbol: <undetermined>. *)

  | MenhirState1186 : ((('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_cell1_poly_id, 'r) _menhir_state
    (** State 1186.
        Stack shape : PREDICATE poly_id.
        Start symbol: <undetermined>. *)

  | MenhirState1187 : (((('s, 'r) _menhir_cell1_PREDICATE, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_state
    (** State 1187.
        Stack shape : PREDICATE poly_id opt_parameters.
        Start symbol: <undetermined>. *)

  | MenhirState1188 : (((('s, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_cell1_READS, 'r) _menhir_state
    (** State 1188.
        Stack shape : poly_id opt_parameters READS.
        Start symbol: <undetermined>. *)

  | MenhirState1192 : (('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_state
    (** State 1192.
        Stack shape : LOGIC.
        Start symbol: <undetermined>. *)

  | MenhirState1193 : ((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_state
    (** State 1193.
        Stack shape : LOGIC logic_rt_type.
        Start symbol: <undetermined>. *)

  | MenhirState1194 : (((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_cell1_poly_id, 'r) _menhir_state
    (** State 1194.
        Stack shape : LOGIC logic_rt_type poly_id.
        Start symbol: <undetermined>. *)

  | MenhirState1195 : ((((('s, 'r) _menhir_cell1_LOGIC, 'r) _menhir_cell1_logic_rt_type, 'r) _menhir_cell1_poly_id, 'r) _menhir_cell1_opt_parameters, 'r) _menhir_state
    (** State 1195.
        Stack shape : LOGIC logic_rt_type poly_id opt_parameters.
        Start symbol: <undetermined>. *)

  | MenhirState1198 : (('s, 'r) _menhir_cell1_AXIOM, 'r) _menhir_state
    (** State 1198.
        Stack shape : AXIOM.
        Start symbol: <undetermined>. *)

  | MenhirState1200 : ((('s, 'r) _menhir_cell1_AXIOM, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_state
    (** State 1200.
        Stack shape : AXIOM poly_id COLON.
        Start symbol: <undetermined>. *)

  | MenhirState1201 : (((('s, 'r) _menhir_cell1_AXIOM, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1201.
        Stack shape : AXIOM poly_id COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1203 : (('s, 'r) _menhir_cell1_ADMIT_LEMMA, 'r) _menhir_state
    (** State 1203.
        Stack shape : ADMIT_LEMMA.
        Start symbol: <undetermined>. *)

  | MenhirState1205 : ((('s, 'r) _menhir_cell1_ADMIT_LEMMA, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_state
    (** State 1205.
        Stack shape : ADMIT_LEMMA poly_id COLON.
        Start symbol: <undetermined>. *)

  | MenhirState1206 : (((('s, 'r) _menhir_cell1_ADMIT_LEMMA, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1206.
        Stack shape : ADMIT_LEMMA poly_id COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1211 : (('s, 'r) _menhir_cell1_logic_decl_loc, 'r) _menhir_state
    (** State 1211.
        Stack shape : logic_decl_loc.
        Start symbol: <undetermined>. *)

  | MenhirState1214 : (('s, 'r) _menhir_cell1_AXIOM, 'r) _menhir_state
    (** State 1214.
        Stack shape : AXIOM.
        Start symbol: <undetermined>. *)

  | MenhirState1216 : ((('s, 'r) _menhir_cell1_AXIOM, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_state
    (** State 1216.
        Stack shape : AXIOM poly_id COLON.
        Start symbol: <undetermined>. *)

  | MenhirState1217 : (((('s, 'r) _menhir_cell1_AXIOM, 'r) _menhir_cell1_poly_id _menhir_cell0_COLON, 'r) _menhir_cell1_lexpr, 'r) _menhir_state
    (** State 1217.
        Stack shape : AXIOM poly_id COLON lexpr.
        Start symbol: <undetermined>. *)

  | MenhirState1239 : (('s, _menhir_box_annot) _menhir_cell1_is_acsl_spec, _menhir_box_annot) _menhir_state
    (** State 1239.
        Stack shape : is_acsl_spec.
        Start symbol: annot. *)

  | MenhirState1333 : (('s, _menhir_box_annot) _menhir_cell1_wildcard, _menhir_box_annot) _menhir_state
    (** State 1333.
        Stack shape : wildcard.
        Start symbol: annot. *)

  | MenhirState1345 : (('s, _menhir_box_annot) _menhir_cell1_decl, _menhir_box_annot) _menhir_state
    (** State 1345.
        Stack shape : decl.
        Start symbol: annot. *)

  | MenhirState1351 : ('s, _menhir_box_ext_spec) _menhir_state
    (** State 1351.
        Stack shape : .
        Start symbol: ext_spec. *)

  | MenhirState1352 : (('s, _menhir_box_ext_spec) _menhir_cell1_INCLUDE, _menhir_box_ext_spec) _menhir_state
    (** State 1352.
        Stack shape : INCLUDE.
        Start symbol: ext_spec. *)

  | MenhirState1356 : (('s, _menhir_box_ext_spec) _menhir_cell1_GLOBAL _menhir_cell0_EXT_LET, _menhir_box_ext_spec) _menhir_state
    (** State 1356.
        Stack shape : GLOBAL EXT_LET.
        Start symbol: ext_spec. *)

  | MenhirState1358 : ((('s, _menhir_box_ext_spec) _menhir_cell1_GLOBAL _menhir_cell0_EXT_LET, _menhir_box_ext_spec) _menhir_cell1_any_identifier _menhir_cell0_EQUAL, _menhir_box_ext_spec) _menhir_state
    (** State 1358.
        Stack shape : GLOBAL EXT_LET any_identifier EQUAL.
        Start symbol: ext_spec. *)

  | MenhirState1359 : (((('s, _menhir_box_ext_spec) _menhir_cell1_GLOBAL _menhir_cell0_EXT_LET, _menhir_box_ext_spec) _menhir_cell1_any_identifier _menhir_cell0_EQUAL, _menhir_box_ext_spec) _menhir_cell1_lexpr, _menhir_box_ext_spec) _menhir_state
    (** State 1359.
        Stack shape : GLOBAL EXT_LET any_identifier EQUAL lexpr.
        Start symbol: ext_spec. *)

  | MenhirState1361 : (('s, _menhir_box_ext_spec) _menhir_cell1_EXT_LET, _menhir_box_ext_spec) _menhir_state
    (** State 1361.
        Stack shape : EXT_LET.
        Start symbol: ext_spec. *)

  | MenhirState1363 : ((('s, _menhir_box_ext_spec) _menhir_cell1_EXT_LET, _menhir_box_ext_spec) _menhir_cell1_any_identifier _menhir_cell0_EQUAL, _menhir_box_ext_spec) _menhir_state
    (** State 1363.
        Stack shape : EXT_LET any_identifier EQUAL.
        Start symbol: ext_spec. *)

  | MenhirState1364 : (((('s, _menhir_box_ext_spec) _menhir_cell1_EXT_LET, _menhir_box_ext_spec) _menhir_cell1_any_identifier _menhir_cell0_EQUAL, _menhir_box_ext_spec) _menhir_cell1_lexpr, _menhir_box_ext_spec) _menhir_state
    (** State 1364.
        Stack shape : EXT_LET any_identifier EQUAL lexpr.
        Start symbol: ext_spec. *)

  | MenhirState1367 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_state
    (** State 1367.
        Stack shape : ext_global_clauses_opt.
        Start symbol: ext_spec. *)

  | MenhirState1368 : (('s, _menhir_box_ext_spec) _menhir_cell1_FUNCTION, _menhir_box_ext_spec) _menhir_state
    (** State 1368.
        Stack shape : FUNCTION.
        Start symbol: ext_spec. *)

  | MenhirState1372 : (('s, _menhir_box_ext_spec) _menhir_cell1_EXT_AT, _menhir_box_ext_spec) _menhir_state
    (** State 1372.
        Stack shape : EXT_AT.
        Start symbol: ext_spec. *)

  | MenhirState1376 : (('s, _menhir_box_ext_spec) _menhir_cell1_stmt_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1376.
        Stack shape : stmt_markup.
        Start symbol: ext_spec. *)

  | MenhirState1379 : (('s, _menhir_box_ext_spec) _menhir_cell1_CONTRACT, _menhir_box_ext_spec) _menhir_state
    (** State 1379.
        Stack shape : CONTRACT.
        Start symbol: ext_spec. *)

  | MenhirState1383 : ((('s, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_cell1_ext_module_specs_opt, _menhir_box_ext_spec) _menhir_state
    (** State 1383.
        Stack shape : ext_global_clauses_opt ext_module_specs_opt.
        Start symbol: ext_spec. *)

  | MenhirState1384 : (('s, _menhir_box_ext_spec) _menhir_cell1_MODULE, _menhir_box_ext_spec) _menhir_state
    (** State 1384.
        Stack shape : MODULE.
        Start symbol: ext_spec. *)

  | MenhirState1387 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_module_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1387.
        Stack shape : ext_module_markup.
        Start symbol: ext_spec. *)

  | MenhirState1388 : ((('s, _menhir_box_ext_spec) _menhir_cell1_ext_module_markup, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_state
    (** State 1388.
        Stack shape : ext_module_markup ext_global_clauses_opt.
        Start symbol: ext_spec. *)

  | MenhirState1390 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_module_spec, _menhir_box_ext_spec) _menhir_state
    (** State 1390.
        Stack shape : ext_module_spec.
        Start symbol: ext_spec. *)

  | MenhirState1392 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_function_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1392.
        Stack shape : ext_function_markup.
        Start symbol: ext_spec. *)

  | MenhirState1396 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_function_spec, _menhir_box_ext_spec) _menhir_state
    (** State 1396.
        Stack shape : ext_function_spec.
        Start symbol: ext_spec. *)

  | MenhirState1399 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_contract_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1399.
        Stack shape : ext_contract_markup.
        Start symbol: ext_spec. *)

  | MenhirState1401 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1401.
        Stack shape : ext_at_stmt_markup.
        Start symbol: ext_spec. *)

  | MenhirState1403 : ((('s, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup, _menhir_box_ext_spec) _menhir_cell1_ext_contract_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1403.
        Stack shape : ext_at_stmt_markup ext_contract_markup.
        Start symbol: ext_spec. *)

  | MenhirState1408 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_global_clause, _menhir_box_ext_spec) _menhir_state
    (** State 1408.
        Stack shape : ext_global_clause.
        Start symbol: ext_spec. *)

  | MenhirState1413 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_global_spec, _menhir_box_ext_spec) _menhir_state
    (** State 1413.
        Stack shape : ext_global_spec.
        Start symbol: ext_spec. *)

  | MenhirState1416 : ((('s, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_cell1_ext_fun_specs, _menhir_box_ext_spec) _menhir_state
    (** State 1416.
        Stack shape : ext_global_clauses_opt ext_fun_specs.
        Start symbol: ext_spec. *)

  | MenhirState1418 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_fun_spec, _menhir_box_ext_spec) _menhir_state
    (** State 1418.
        Stack shape : ext_fun_spec.
        Start symbol: ext_spec. *)

  | MenhirState1420 : (('s, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup, _menhir_box_ext_spec) _menhir_state
    (** State 1420.
        Stack shape : ext_at_stmt_markup.
        Start symbol: ext_spec. *)

  | MenhirState1421 : ('s, _menhir_box_lexpr_eof) _menhir_state
    (** State 1421.
        Stack shape : .
        Start symbol: lexpr_eof. *)

  | MenhirState1423 : (('s, _menhir_box_lexpr_eof) _menhir_cell1_lexpr, _menhir_box_lexpr_eof) _menhir_state
    (** State 1423.
        Stack shape : lexpr.
        Start symbol: lexpr_eof. *)

  | MenhirState1425 : ('s, _menhir_box_spec) _menhir_state
    (** State 1425.
        Stack shape : .
        Start symbol: spec. *)


and ('s, 'r) _menhir_cell1_abs_param_list = 
  | MenhirCell1_abs_param_list of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type list) * Lexing.position

and ('s, 'r) _menhir_cell1_abs_spec_bis = 
  | MenhirCell1_abs_spec_bis of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type -> Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_abs_spec_bis_cv = 
  | MenhirCell1_abs_spec_bis_cv of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type -> Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_allocation = 
  | MenhirCell1_allocation of 's * ('s, 'r) _menhir_state * (Logic_ptree.allocation) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_any_identifier = 
  | MenhirCell1_any_identifier of 's * ('s, 'r) _menhir_state * (string) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_array_init_elt = 
  | MenhirCell1_array_init_elt of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr * Logic_ptree.lexpr)

and ('s, 'r) _menhir_cell1_array_path_elt = 
  | MenhirCell1_array_path_elt of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr)

and ('s, 'r) _menhir_cell1_array_size = 
  | MenhirCell1_array_size of 's * ('s, 'r) _menhir_state * (Logic_ptree.array_size)

and ('s, 'r) _menhir_cell1_assigns = 
  | MenhirCell1_assigns of 's * ('s, 'r) _menhir_state * ((Logic_ptree.lexpr * Logic_ptree.deps) list) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_assumes = 
  | MenhirCell1_assumes of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr list)

and ('s, 'r) _menhir_cell1_behavior_body = 
  | MenhirCell1_behavior_body of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr list * Logic_ptree.toplevel_predicate list *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list))

and ('s, 'r) _menhir_cell1_behavior_name = 
  | MenhirCell1_behavior_name of 's * ('s, 'r) _menhir_state * (string) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_behavior_name_list = 
  | MenhirCell1_behavior_name_list of 's * ('s, 'r) _menhir_state * (string list)

and ('s, 'r) _menhir_cell1_behaviors = 
  | MenhirCell1_behaviors of 's * ('s, 'r) _menhir_state * (Logic_ptree.behavior list) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_binders = 
  | MenhirCell1_binders of 's * ('s, 'r) _menhir_state * (Logic_ptree.quantifiers)

and ('s, 'r) _menhir_cell1_binders_reentrance = 
  | MenhirCell1_binders_reentrance of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type * Logic_ptree.quantifiers)

and ('s, 'r) _menhir_cell1_bounded_var = 
  | MenhirCell1_bounded_var of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_cast_logic_type = 
  | MenhirCell1_cast_logic_type of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_cv = 
  | MenhirCell1_cv of 's * ('s, 'r) _menhir_state * (Cil_types.attribute)

and ('s, 'r) _menhir_cell1_datacons = 
  | MenhirCell1_datacons of 's * ('s, 'r) _menhir_state * (string * Logic_ptree.logic_type list)

and ('s, 'r) _menhir_cell1_decl = 
  | MenhirCell1_decl of 's * ('s, 'r) _menhir_state * (Logic_ptree.decl_node) * Lexing.position * Lexing.position

and 's _menhir_cell0_decreases = 
  | MenhirCell0_decreases of 's * (Logic_ptree.variant option) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ext_at_stmt_markup = 
  | MenhirCell1_ext_at_stmt_markup of 's * ('s, 'r) _menhir_state * (string list) * Lexing.position

and ('s, 'r) _menhir_cell1_ext_contract_markup = 
  | MenhirCell1_ext_contract_markup of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_ext_decl_loc = 
  | MenhirCell1_ext_decl_loc of 's * ('s, 'r) _menhir_state * (Logic_ptree.extended_decl)

and ('s, 'r) _menhir_cell1_ext_fun_spec = 
  | MenhirCell1_ext_fun_spec of 's * ('s, 'r) _menhir_state * (Logic_ptree.ext_function)

and ('s, 'r) _menhir_cell1_ext_fun_specs = 
  | MenhirCell1_ext_fun_specs of 's * ('s, 'r) _menhir_state * (Logic_ptree.ext_function list)

and ('s, 'r) _menhir_cell1_ext_function_markup = 
  | MenhirCell1_ext_function_markup of 's * ('s, 'r) _menhir_state * (string * Logic_ptree.location)

and ('s, 'r) _menhir_cell1_ext_function_spec = 
  | MenhirCell1_ext_function_spec of 's * ('s, 'r) _menhir_state * (Logic_ptree.ext_function)

and ('s, 'r) _menhir_cell1_ext_global_clause = 
  | MenhirCell1_ext_global_clause of 's * ('s, 'r) _menhir_state * (Logic_ptree.ext_decl)

and ('s, 'r) _menhir_cell1_ext_global_clauses_opt = 
  | MenhirCell1_ext_global_clauses_opt of 's * ('s, 'r) _menhir_state * (Logic_ptree.ext_decl list)

and ('s, 'r) _menhir_cell1_ext_global_spec = 
  | MenhirCell1_ext_global_spec of 's * ('s, 'r) _menhir_state * (Logic_ptree.ext_module)

and ('s, 'r) _menhir_cell1_ext_module_markup = 
  | MenhirCell1_ext_module_markup of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_ext_module_spec = 
  | MenhirCell1_ext_module_spec of 's * ('s, 'r) _menhir_state * ((string * Logic_ptree.location) option * Logic_ptree.ext_function list)

and ('s, 'r) _menhir_cell1_ext_module_specs_opt = 
  | MenhirCell1_ext_module_specs_opt of 's * ('s, 'r) _menhir_state * (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list)

and ('s, 'r) _menhir_cell1_extension_content = 
  | MenhirCell1_extension_content of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr list)

and ('s, 'r) _menhir_cell1_field_init_elt = 
  | MenhirCell1_field_init_elt of 's * ('s, 'r) _menhir_state * (string * Logic_ptree.lexpr)

and ('s, 'r) _menhir_cell1_field_path_elt = 
  | MenhirCell1_field_path_elt of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_full_identifier = 
  | MenhirCell1_full_identifier of 's * ('s, 'r) _menhir_state * (string) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_identifier_or_typename = 
  | MenhirCell1_identifier_or_typename of 's * ('s, 'r) _menhir_state * (string) * Lexing.position

and ('s, 'r) _menhir_cell1_identifier_or_typename_full = 
  | MenhirCell1_identifier_or_typename_full of 's * ('s, 'r) _menhir_state * (string) * Lexing.position

and ('s, 'r) _menhir_cell1_is_acsl_spec = 
  | MenhirCell1_is_acsl_spec of 's * ('s, 'r) _menhir_state * (string) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_label_name = 
  | MenhirCell1_label_name of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_lexpr = 
  | MenhirCell1_lexpr of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_lexpr_inner = 
  | MenhirCell1_lexpr_inner of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_lexpr_option = 
  | MenhirCell1_lexpr_option of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr option) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_logic_decl_loc = 
  | MenhirCell1_logic_decl_loc of 's * ('s, 'r) _menhir_state * (Logic_ptree.decl)

and ('s, 'r) _menhir_cell1_logic_rt_type = 
  | MenhirCell1_logic_rt_type of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_logic_type = 
  | MenhirCell1_logic_type of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type) * Lexing.position

and ('s, 'r) _menhir_cell1_logic_type_gen_TYPENAME_ = 
  | MenhirCell1_logic_type_gen_TYPENAME_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_logic_type_gen_identifier_or_typename_ = 
  | MenhirCell1_logic_type_gen_identifier_or_typename_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_logic_type_gen_typename_ = 
  | MenhirCell1_logic_type_gen_typename_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type) * Lexing.position

and ('s, 'r) _menhir_cell1_loop_allocation = 
  | MenhirCell1_loop_allocation of 's * ('s, 'r) _menhir_state * (Logic_ptree.allocation) * Lexing.position

and ('s, 'r) _menhir_cell1_loop_effects = 
  | MenhirCell1_loop_effects of 's * ('s, 'r) _menhir_state * ((Logic_ptree.lexpr * Logic_ptree.deps) list) * Lexing.position

and ('s, 'r) _menhir_cell1_loop_grammar_extension = 
  | MenhirCell1_loop_grammar_extension of 's * ('s, 'r) _menhir_state * (Logic_ptree.extension) * Lexing.position

and ('s, 'r) _menhir_cell1_loop_invariant = 
  | MenhirCell1_loop_invariant of 's * ('s, 'r) _menhir_state * (Logic_ptree.toplevel_predicate) * Lexing.position

and ('s, 'r) _menhir_cell1_loop_pragma = 
  | MenhirCell1_loop_pragma of 's * ('s, 'r) _menhir_state * (Logic_ptree.loop_pragma) * Lexing.position

and ('s, 'r) _menhir_cell1_loop_variant = 
  | MenhirCell1_loop_variant of 's * ('s, 'r) _menhir_state * (Logic_ptree.location * Logic_ptree.variant) * Lexing.position

and 's _menhir_cell0_midrule___anonymous_0_ = 
  | MenhirCell0_midrule___anonymous_0_ of 's * (unit)

and ('s, 'r) _menhir_cell1_ne_behavior_name_list = 
  | MenhirCell1_ne_behavior_name_list of 's * ('s, 'r) _menhir_state * (string list) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ne_complete_or_disjoint = 
  | MenhirCell1_ne_complete_or_disjoint of 's * ('s, 'r) _menhir_state * (string list list * string list list) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ne_grammar_extension = 
  | MenhirCell1_ne_grammar_extension of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr list)

and ('s, 'r) _menhir_cell1_ne_label_args = 
  | MenhirCell1_ne_label_args of 's * ('s, 'r) _menhir_state * (string list)

and ('s, 'r) _menhir_cell1_ne_label_list = 
  | MenhirCell1_ne_label_list of 's * ('s, 'r) _menhir_state * (string list)

and ('s, 'r) _menhir_cell1_ne_zones = 
  | MenhirCell1_ne_zones of 's * ('s, 'r) _menhir_state * (Logic_ptree.lexpr list) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_opt_label_1 = 
  | MenhirCell1_opt_label_1 of 's * ('s, 'r) _menhir_state * (string option)

and ('s, 'r) _menhir_cell1_opt_label_2 = 
  | MenhirCell1_opt_label_2 of 's * ('s, 'r) _menhir_state * ((string * string) option)

and ('s, 'r) _menhir_cell1_opt_parameters = 
  | MenhirCell1_opt_parameters of 's * ('s, 'r) _menhir_state * ((Logic_ptree.logic_type * string) list)

and ('s, 'r) _menhir_cell1_parameter = 
  | MenhirCell1_parameter of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type * string)

and ('s, 'r) _menhir_cell1_parameters = 
  | MenhirCell1_parameters of 's * ('s, 'r) _menhir_state * ((Logic_ptree.logic_type * string) list)

and ('s, 'r) _menhir_cell1_path = 
  | MenhirCell1_path of 's * ('s, 'r) _menhir_state * (Logic_ptree.path_elt list)

and ('s, 'r) _menhir_cell1_path_elt = 
  | MenhirCell1_path_elt of 's * ('s, 'r) _menhir_state * (Logic_ptree.path_elt)

and ('s, 'r) _menhir_cell1_poly_id = 
  | MenhirCell1_poly_id of 's * ('s, 'r) _menhir_state * (string * string list * string list)

and ('s, 'r) _menhir_cell1_poly_id_type_add_typename = 
  | MenhirCell1_poly_id_type_add_typename of 's * ('s, 'r) _menhir_state * (string * string list)

and ('s, 'r) _menhir_cell1_post_cond_kind = 
  | MenhirCell1_post_cond_kind of 's * ('s, 'r) _menhir_state * (Cil_types.predicate_kind * Cil_types.termination_kind) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_pragma_or_code_annotation = 
  | MenhirCell1_pragma_or_code_annotation of 's * ('s, 'r) _menhir_state * (Logic_ptree.code_annot) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_relation = 
  | MenhirCell1_relation of 's * ('s, 'r) _menhir_state * (Logic_ptree.relation) * Lexing.position

and ('s, 'r) _menhir_cell1_requires = 
  | MenhirCell1_requires of 's * ('s, 'r) _menhir_state * (Logic_ptree.toplevel_predicate list) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_simple_clauses = 
  | MenhirCell1_simple_clauses of 's * ('s, 'r) _menhir_state * (bool *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_stars = 
  | MenhirCell1_stars of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type -> Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_stars_cv = 
  | MenhirCell1_stars_cv of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type -> Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_stmt_markup = 
  | MenhirCell1_stmt_markup of 's * ('s, 'r) _menhir_state * (string)

and ('s, 'r) _menhir_cell1_string = 
  | MenhirCell1_string of 's * ('s, 'r) _menhir_state * (bool * string) * Lexing.position * Lexing.position

and 's _menhir_cell0_terminates = 
  | MenhirCell0_terminates of 's * (Logic_ptree.lexpr option) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_type_spec_TYPENAME_ = 
  | MenhirCell1_type_spec_TYPENAME_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_type_spec_identifier_or_typename_ = 
  | MenhirCell1_type_spec_identifier_or_typename_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_type_spec_typename_ = 
  | MenhirCell1_type_spec_typename_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type) * Lexing.position

and ('s, 'r) _menhir_cell1_type_spec_cv_TYPENAME_ = 
  | MenhirCell1_type_spec_cv_TYPENAME_ of 's * ('s, 'r) _menhir_state * (Logic_ptree.logic_type)

and ('s, 'r) _menhir_cell1_typename = 
  | MenhirCell1_typename of 's * ('s, 'r) _menhir_state * (string) * Lexing.position

and ('s, 'r) _menhir_cell1_update_elt = 
  | MenhirCell1_update_elt of 's * ('s, 'r) _menhir_state * (Logic_ptree.path_elt list * Logic_ptree.update_term)

and ('s, 'r) _menhir_cell1_var_spec_bis = 
  | MenhirCell1_var_spec_bis of 's * ('s, 'r) _menhir_state * ((Logic_ptree.logic_type -> Logic_ptree.logic_type) *
  (Logic_ptree.logic_type -> Logic_ptree.logic_type) * string)

and ('s, 'r) _menhir_cell1_variant = 
  | MenhirCell1_variant of 's * ('s, 'r) _menhir_state * (Logic_ptree.variant) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_wildcard = 
  | MenhirCell1_wildcard of 's * ('s, 'r) _menhir_state * (unit)

and ('s, 'r) _menhir_cell1_ADMIT = 
  | MenhirCell1_ADMIT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ADMIT_INVARIANT = 
  | MenhirCell1_ADMIT_INVARIANT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ADMIT_LEMMA = 
  | MenhirCell1_ADMIT_LEMMA of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ADMIT_LOOP = 
  | MenhirCell1_ADMIT_LOOP of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ADMIT_REQUIRES = 
  | MenhirCell1_ADMIT_REQUIRES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ALLOCABLE = 
  | MenhirCell1_ALLOCABLE of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_ALLOCATES = 
  | MenhirCell1_ALLOCATES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ALLOCATION = 
  | MenhirCell1_ALLOCATION of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_AMP = 
  | MenhirCell1_AMP of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_AND = 
  | MenhirCell1_AND of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_ARROW = 
  | MenhirCell1_ARROW of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_ASSERT = 
  | MenhirCell1_ASSERT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ASSIGNS = 
  | MenhirCell1_ASSIGNS of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_ASSUMES = 
  | MenhirCell1_ASSUMES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_AT = 
  | MenhirCell1_AT of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_AXIOM = 
  | MenhirCell1_AXIOM of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_AXIOMATIC = 
  | MenhirCell1_AXIOMATIC of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_BASE_ADDR = 
  | MenhirCell1_BASE_ADDR of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_BEHAVIOR = 
  | MenhirCell1_BEHAVIOR of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_BEHAVIORS = 
  | MenhirCell0_BEHAVIORS of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_BIFF = 
  | MenhirCell1_BIFF of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_BIMPLIES = 
  | MenhirCell1_BIMPLIES of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_BLOCK_LENGTH = 
  | MenhirCell1_BLOCK_LENGTH of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_BSTYPE = 
  | MenhirCell1_BSTYPE of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_BSUNION = 
  | MenhirCell1_BSUNION of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_CASE = 
  | MenhirCell1_CASE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_CHECK = 
  | MenhirCell1_CHECK of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_CHECK_INVARIANT = 
  | MenhirCell1_CHECK_INVARIANT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_CHECK_LEMMA = 
  | MenhirCell1_CHECK_LEMMA of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_CHECK_LOOP = 
  | MenhirCell1_CHECK_LOOP of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_CHECK_REQUIRES = 
  | MenhirCell1_CHECK_REQUIRES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_COLON = 
  | MenhirCell0_COLON of 's * Lexing.position

and ('s, 'r) _menhir_cell1_COLON2 = 
  | MenhirCell1_COLON2 of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_COMMA = 
  | MenhirCell1_COMMA of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_COMPLETE = 
  | MenhirCell1_COMPLETE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_CONTRACT = 
  | MenhirCell1_CONTRACT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_DANGLING = 
  | MenhirCell1_DANGLING of 's * ('s, 'r) _menhir_state * Lexing.position

and 's _menhir_cell0_DECREASES = 
  | MenhirCell0_DECREASES of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_DISJOINT = 
  | MenhirCell1_DISJOINT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_DOT = 
  | MenhirCell1_DOT of 's * ('s, 'r) _menhir_state

and 's _menhir_cell0_DOTDOT = 
  | MenhirCell0_DOTDOT of 's * Lexing.position

and ('s, 'r) _menhir_cell1_ENUM = 
  | MenhirCell1_ENUM of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EQUAL = 
  | MenhirCell1_EQUAL of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_EQUAL = 
  | MenhirCell0_EQUAL of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EXISTS = 
  | MenhirCell1_EXISTS of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_EXT_AT = 
  | MenhirCell1_EXT_AT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EXT_CODE_ANNOT = 
  | MenhirCell1_EXT_CODE_ANNOT of 's * ('s, 'r) _menhir_state * (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 3116 "src/kernel_internals/parsing/logic_parser.ml"
) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EXT_CONTRACT = 
  | MenhirCell1_EXT_CONTRACT of 's * ('s, 'r) _menhir_state * (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 3123 "src/kernel_internals/parsing/logic_parser.ml"
) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EXT_GLOBAL = 
  | MenhirCell1_EXT_GLOBAL of 's * ('s, 'r) _menhir_state * (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 3130 "src/kernel_internals/parsing/logic_parser.ml"
) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EXT_GLOBAL_BLOCK = 
  | MenhirCell1_EXT_GLOBAL_BLOCK of 's * ('s, 'r) _menhir_state * (
# 278 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 3137 "src/kernel_internals/parsing/logic_parser.ml"
) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_EXT_LET = 
  | MenhirCell1_EXT_LET of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_EXT_LET = 
  | MenhirCell0_EXT_LET of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_FOR = 
  | MenhirCell1_FOR of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_FORALL = 
  | MenhirCell1_FORALL of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_FREEABLE = 
  | MenhirCell1_FREEABLE of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_FREES = 
  | MenhirCell1_FREES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_FRESH = 
  | MenhirCell1_FRESH of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_FUNCTION = 
  | MenhirCell1_FUNCTION of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_GLOBAL = 
  | MenhirCell1_GLOBAL of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_GTGT = 
  | MenhirCell1_GTGT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_HAT = 
  | MenhirCell1_HAT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_HATHAT = 
  | MenhirCell1_HATHAT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_IDENTIFIER_EXT = 
  | MenhirCell1_IDENTIFIER_EXT of 's * ('s, 'r) _menhir_state * (
# 257 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 3180 "src/kernel_internals/parsing/logic_parser.ml"
) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_IFF = 
  | MenhirCell1_IFF of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_IMPACT = 
  | MenhirCell1_IMPACT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_IMPLIES = 
  | MenhirCell1_IMPLIES of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_IN = 
  | MenhirCell1_IN of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_INCLUDE = 
  | MenhirCell1_INCLUDE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_INDUCTIVE = 
  | MenhirCell1_INDUCTIVE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_INITIALIZED = 
  | MenhirCell1_INITIALIZED of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_INTER = 
  | MenhirCell1_INTER of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_INVARIANT = 
  | MenhirCell1_INVARIANT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_INVARIANT = 
  | MenhirCell0_INVARIANT of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_LAMBDA = 
  | MenhirCell1_LAMBDA of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_LBRACE = 
  | MenhirCell1_LBRACE of 's * ('s, 'r) _menhir_state * Lexing.position

and 's _menhir_cell0_LBRACE = 
  | MenhirCell0_LBRACE of 's * Lexing.position

and ('s, 'r) _menhir_cell1_LEMMA = 
  | MenhirCell1_LEMMA of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_LET = 
  | MenhirCell1_LET of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_LOGIC = 
  | MenhirCell1_LOGIC of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_LONG = 
  | MenhirCell1_LONG of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_LOOP = 
  | MenhirCell1_LOOP of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_LPAR = 
  | MenhirCell1_LPAR of 's * ('s, 'r) _menhir_state * Lexing.position

and 's _menhir_cell0_LPAR = 
  | MenhirCell0_LPAR of 's * Lexing.position

and ('s, 'r) _menhir_cell1_LSQUARE = 
  | MenhirCell1_LSQUARE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_LSQUAREPIPE = 
  | MenhirCell1_LSQUAREPIPE of 's * ('s, 'r) _menhir_state * Lexing.position

and 's _menhir_cell0_LT = 
  | MenhirCell0_LT of 's * Lexing.position

and ('s, 'r) _menhir_cell1_LTLT = 
  | MenhirCell1_LTLT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_MINUS = 
  | MenhirCell1_MINUS of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_MODEL = 
  | MenhirCell1_MODEL of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_MODULE = 
  | MenhirCell1_MODULE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_NOT = 
  | MenhirCell1_NOT of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_OBJECT_POINTER = 
  | MenhirCell1_OBJECT_POINTER of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_OFFSET = 
  | MenhirCell1_OFFSET of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_OLD = 
  | MenhirCell1_OLD of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_OR = 
  | MenhirCell1_OR of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_PERCENT = 
  | MenhirCell1_PERCENT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_PIPE = 
  | MenhirCell1_PIPE of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_PLUS = 
  | MenhirCell1_PLUS of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_PRAGMA = 
  | MenhirCell1_PRAGMA of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_PRAGMA = 
  | MenhirCell0_PRAGMA of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_PREDICATE = 
  | MenhirCell1_PREDICATE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_QUESTION = 
  | MenhirCell1_QUESTION of 's * ('s, 'r) _menhir_state

and 's _menhir_cell0_RBRACE = 
  | MenhirCell0_RBRACE of 's * Lexing.position

and ('s, 'r) _menhir_cell1_READS = 
  | MenhirCell1_READS of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_REQUIRES = 
  | MenhirCell1_REQUIRES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_RPAR = 
  | MenhirCell0_RPAR of 's * Lexing.position

and 's _menhir_cell0_RSQUARE = 
  | MenhirCell0_RSQUARE of 's * Lexing.position

and ('s, 'r) _menhir_cell1_SEMICOLON = 
  | MenhirCell1_SEMICOLON of 's * ('s, 'r) _menhir_state * Lexing.position

and 's _menhir_cell0_SEMICOLON = 
  | MenhirCell0_SEMICOLON of 's * Lexing.position

and ('s, 'r) _menhir_cell1_SEPARATED = 
  | MenhirCell1_SEPARATED of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_SHORT = 
  | MenhirCell1_SHORT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_SIGNED = 
  | MenhirCell1_SIGNED of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_SIZEOF = 
  | MenhirCell1_SIZEOF of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_SLASH = 
  | MenhirCell1_SLASH of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_SLICE = 
  | MenhirCell1_SLICE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_STAR = 
  | MenhirCell1_STAR of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_STARHAT = 
  | MenhirCell1_STARHAT of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_STRUCT = 
  | MenhirCell1_STRUCT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and 's _menhir_cell0_TERMINATES = 
  | MenhirCell0_TERMINATES of 's * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_TILDE = 
  | MenhirCell1_TILDE of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_TYPE = 
  | MenhirCell1_TYPE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_TYPENAME = 
  | MenhirCell1_TYPENAME of 's * ('s, 'r) _menhir_state * (
# 257 "src/kernel_internals/parsing/logic_parser.mly"
       (string)
# 3361 "src/kernel_internals/parsing/logic_parser.ml"
) * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_TYPEOF = 
  | MenhirCell1_TYPEOF of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_UNION = 
  | MenhirCell1_UNION of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_UNSIGNED = 
  | MenhirCell1_UNSIGNED of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_VALID = 
  | MenhirCell1_VALID of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_VALID_FUNCTION = 
  | MenhirCell1_VALID_FUNCTION of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_VALID_INDEX = 
  | MenhirCell1_VALID_INDEX of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_VALID_RANGE = 
  | MenhirCell1_VALID_RANGE of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_VALID_READ = 
  | MenhirCell1_VALID_READ of 's * ('s, 'r) _menhir_state * Lexing.position

and ('s, 'r) _menhir_cell1_VARIANT = 
  | MenhirCell1_VARIANT of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_VOLATILE = 
  | MenhirCell1_VOLATILE of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and ('s, 'r) _menhir_cell1_WITH = 
  | MenhirCell1_WITH of 's * ('s, 'r) _menhir_state

and ('s, 'r) _menhir_cell1_WRITES = 
  | MenhirCell1_WRITES of 's * ('s, 'r) _menhir_state * Lexing.position * Lexing.position

and _menhir_box_spec = 
  | MenhirBox_spec of (Logic_ptree.spec) [@@unboxed]

and _menhir_box_lexpr_eof = 
  | MenhirBox_lexpr_eof of (Logic_ptree.lexpr) [@@unboxed]

and _menhir_box_ext_spec = 
  | MenhirBox_ext_spec of (Logic_ptree.ext_spec) [@@unboxed]

and _menhir_box_annot = 
  | MenhirBox_annot of (Logic_ptree.annot) [@@unboxed]

let _menhir_action_004 =
  fun _1 ->
    (* abs_param -> logic_type *)
    (
# 712 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 3418 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_005 =
  fun _1 ->
    (* abs_param_list -> abs_param *)
    (
# 704 "src/kernel_internals/parsing/logic_parser.mly"
            ( [ _1 ] )
# 3427 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_006 =
  fun _1 _3 ->
    (* abs_param_list -> abs_param_list COMMA abs_param *)
    (
# 705 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( _1 @ [ _3 ] )
# 3436 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_007 =
  fun () ->
    (* abs_param_type_list -> *)
    (
# 695 "src/kernel_internals/parsing/logic_parser.mly"
                 ( [ ] )
# 3445 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_008 =
  fun _1 ->
    (* abs_param_type_list -> abs_param_list *)
    (
# 696 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 3454 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_009 =
  fun _startpos__1_ ->
    (* abs_param_type_list -> abs_param_list COMMA DOTDOTDOT *)
    let _symbolstartpos = _startpos__1_ in
    (
# 697 "src/kernel_internals/parsing/logic_parser.mly"
                                 (
  let source = pos _symbolstartpos in
  Kernel.not_yet_implemented ~source "variadic C function types"
  )
# 3467 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_010 =
  fun _1 ->
    (* abs_spec -> tabs *)
    (
# 772 "src/kernel_internals/parsing/logic_parser.mly"
                          ( _1 )
# 3476 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_011 =
  fun _1 ->
    (* abs_spec -> stars *)
    (
# 773 "src/kernel_internals/parsing/logic_parser.mly"
                          ( _1 )
# 3485 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_012 =
  fun _1 _2 ->
    (* abs_spec -> stars tabs *)
    (
# 774 "src/kernel_internals/parsing/logic_parser.mly"
                          ( fun t -> _2 (_1 t) )
# 3494 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_013 =
  fun _1 _2 ->
    (* abs_spec -> stars abs_spec_bis *)
    (
# 775 "src/kernel_internals/parsing/logic_parser.mly"
                          ( fun t -> _2 (_1 t) )
# 3503 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_014 =
  fun _1 _2 _3 ->
    (* abs_spec -> stars abs_spec_bis tabs *)
    (
# 776 "src/kernel_internals/parsing/logic_parser.mly"
                          ( fun t -> _2 (_3 (_1 t)) )
# 3512 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_015 =
  fun _1 _2 ->
    (* abs_spec -> abs_spec_bis tabs *)
    (
# 777 "src/kernel_internals/parsing/logic_parser.mly"
                          ( fun t -> _1 (_2 t) )
# 3521 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_016 =
  fun _1 ->
    (* abs_spec -> abs_spec_bis *)
    (
# 778 "src/kernel_internals/parsing/logic_parser.mly"
                          ( _1 )
# 3530 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_017 =
  fun _2 ->
    (* abs_spec_bis -> LPAR abs_spec RPAR *)
    (
# 792 "src/kernel_internals/parsing/logic_parser.mly"
                     ( _2 )
# 3539 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_018 =
  fun _1 _3 ->
    (* abs_spec_bis -> abs_spec_bis LPAR abs_param_type_list RPAR *)
    (
# 793 "src/kernel_internals/parsing/logic_parser.mly"
                                             ( fun t -> _1 (LTarrow(_3,t)) )
# 3548 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_019 =
  fun _2 ->
    (* abs_spec_bis_cv -> LPAR abs_spec_cv RPAR *)
    (
# 797 "src/kernel_internals/parsing/logic_parser.mly"
                        ( _2 )
# 3557 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_020 =
  fun _1 _3 ->
    (* abs_spec_bis_cv -> abs_spec_bis_cv LPAR abs_param_type_list RPAR *)
    (
# 798 "src/kernel_internals/parsing/logic_parser.mly"
                                                ( fun t -> _1 (LTarrow(_3,t)) )
# 3566 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_021 =
  fun _1 ->
    (* abs_spec_cv -> tabs *)
    (
# 782 "src/kernel_internals/parsing/logic_parser.mly"
                               ( _1 )
# 3575 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_022 =
  fun _1 ->
    (* abs_spec_cv -> stars_cv *)
    (
# 783 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( _1 )
# 3584 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_023 =
  fun _1 _2 ->
    (* abs_spec_cv -> stars_cv tabs *)
    (
# 784 "src/kernel_internals/parsing/logic_parser.mly"
                                               ( fun t -> _2 (_1 t) )
# 3593 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_024 =
  fun _1 _2 ->
    (* abs_spec_cv -> stars_cv abs_spec_bis_cv *)
    (
# 785 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( fun t -> _2 (_1 t) )
# 3602 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_025 =
  fun _1 _2 _3 ->
    (* abs_spec_cv -> stars_cv abs_spec_bis_cv tabs *)
    (
# 786 "src/kernel_internals/parsing/logic_parser.mly"
                                               ( fun t -> _2 (_3 (_1 t)) )
# 3611 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_026 =
  fun _1 _2 ->
    (* abs_spec_cv -> abs_spec_bis_cv tabs *)
    (
# 787 "src/kernel_internals/parsing/logic_parser.mly"
                                               ( fun t -> _1 (_2 t) )
# 3620 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_027 =
  fun _1 ->
    (* abs_spec_cv -> abs_spec_bis_cv *)
    (
# 788 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( _1 )
# 3629 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_028 =
  fun () ->
    (* abs_spec_cv_option -> *)
    (
# 767 "src/kernel_internals/parsing/logic_parser.mly"
                ( fun t -> t )
# 3638 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_029 =
  fun _1 ->
    (* abs_spec_cv_option -> abs_spec_cv *)
    (
# 768 "src/kernel_internals/parsing/logic_parser.mly"
              ( _1 )
# 3647 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_030 =
  fun () ->
    (* abs_spec_option -> *)
    (
# 762 "src/kernel_internals/parsing/logic_parser.mly"
              ( fun t -> t )
# 3656 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_031 =
  fun _1 ->
    (* abs_spec_option -> abs_spec *)
    (
# 763 "src/kernel_internals/parsing/logic_parser.mly"
              ( _1 )
# 3665 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_032 =
  fun () ->
    (* acsl_c_keyword -> CASE *)
    (
# 1920 "src/kernel_internals/parsing/logic_parser.mly"
           ( "case" )
# 3674 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_033 =
  fun () ->
    (* acsl_c_keyword -> FOR *)
    (
# 1921 "src/kernel_internals/parsing/logic_parser.mly"
           ( "for" )
# 3683 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_034 =
  fun () ->
    (* acsl_c_keyword -> VOLATILE *)
    (
# 1922 "src/kernel_internals/parsing/logic_parser.mly"
           ( "volatile" )
# 3692 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_035 =
  fun _2 ->
    (* allocation -> ALLOCATES zones *)
    (
# 1198 "src/kernel_internals/parsing/logic_parser.mly"
                  ( FreeAlloc([],_2) )
# 3701 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation))

let _menhir_action_036 =
  fun _2 ->
    (* allocation -> FREES zones *)
    (
# 1199 "src/kernel_internals/parsing/logic_parser.mly"
              ( FreeAlloc(_2,[]) )
# 3710 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation))

let _menhir_action_037 =
  fun _1 ->
    (* annot -> annotation EOF *)
    (
# 1312 "src/kernel_internals/parsing/logic_parser.mly"
                  ( _1 )
# 3719 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_038 =
  fun () ->
    (* annot -> is_acsl_spec any EOF *)
    (
# 1313 "src/kernel_internals/parsing/logic_parser.mly"
                       ( Aspec )
# 3728 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_039 =
  fun _1 ->
    (* annot -> decl_list EOF *)
    (
# 1314 "src/kernel_internals/parsing/logic_parser.mly"
                  ( Adecl (_1) )
# 3737 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_040 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* annotation -> loop_annotations *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1319 "src/kernel_internals/parsing/logic_parser.mly"
      ( let (b,v,p) = _1 in
        (* TODO: do better, do not lose the structure ! *)
        let l = b@v@p in
        Aloop_annot (loc _sloc, l) )
# 3752 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_041 =
  fun _2 _4 ->
    (* annotation -> FOR ne_behavior_name_list COLON contract_or_code_annotation *)
    (
# 1324 "src/kernel_internals/parsing/logic_parser.mly"
      ( _4 _2 )
# 3761 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_042 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* annotation -> pragma_or_code_annotation *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1325 "src/kernel_internals/parsing/logic_parser.mly"
                            ( Acode_annot (loc _sloc,_1) )
# 3773 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_043 =
  fun _endpos__2_ _startpos__1_ ->
    (* annotation -> pragma_or_code_annotation beg_pragma_or_code_annotation *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1327 "src/kernel_internals/parsing/logic_parser.mly"
      ( raise
          (Not_well_formed (loc _sloc,
                            "Only one code annotation is allowed per comment"))
      )
# 3788 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_044 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* annotation -> identifier *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1331 "src/kernel_internals/parsing/logic_parser.mly"
             ( Aattribute_annot (loc _sloc, _1) )
# 3800 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_045 =
  fun _endpos__1_ _startpos__1_ ->
    (* annotation -> BSGHOST *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1332 "src/kernel_internals/parsing/logic_parser.mly"
          ( Aattribute_annot(loc _sloc,"\\ghost") )
# 3812 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_046 =
  fun content id ->
    (* annotation -> IDENTIFIER_EXT extension_content SEMICOLON *)
    let _1 = 
# 924 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( (id,content) )
# 3821 "src/kernel_internals/parsing/logic_parser.ml"
     in
    (
# 1333 "src/kernel_internals/parsing/logic_parser.mly"
                              ( raise Unknown_ext )
# 3826 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_047 =
  fun () ->
    (* any -> wildcard *)
    (
# 2119 "src/kernel_internals/parsing/logic_parser.mly"
           ( () )
# 3835 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_048 =
  fun () ->
    (* any -> wildcard any *)
    (
# 2120 "src/kernel_internals/parsing/logic_parser.mly"
               ( () )
# 3844 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_049 =
  fun _1 ->
    (* any_identifier -> identifier *)
    (
# 1858 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 3853 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_050 =
  fun _1 ->
    (* any_identifier -> is_acsl_typename *)
    (
# 1859 "src/kernel_internals/parsing/logic_parser.mly"
                   ( _1 )
# 3862 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_051 =
  fun _1 ->
    (* any_identifier -> TYPENAME *)
    (
# 1860 "src/kernel_internals/parsing/logic_parser.mly"
           ( _1 )
# 3871 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_052 =
  fun _1 ->
    (* any_identifier -> keyword *)
    (
# 1861 "src/kernel_internals/parsing/logic_parser.mly"
          ( _1 )
# 3880 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_053 =
  fun _1 ->
    (* array_init -> array_init_elt *)
    (
# 611 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( [_1] )
# 3889 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.lexpr * Logic_ptree.lexpr) list))

let _menhir_action_054 =
  fun _1 _3 ->
    (* array_init -> array_init_elt COMMA array_init *)
    (
# 612 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( _1::_3 )
# 3898 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.lexpr * Logic_ptree.lexpr) list))

let _menhir_action_055 =
  fun _1 _3 ->
    (* array_init_elt -> array_path_elt EQUAL lexpr *)
    (
# 607 "src/kernel_internals/parsing/logic_parser.mly"
                             ( (_1, _3) )
# 3907 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr * Logic_ptree.lexpr))

let _menhir_action_056 =
  fun _2 ->
    (* array_path_elt -> LSQUARE lexpr RSQUARE *)
    (
# 602 "src/kernel_internals/parsing/logic_parser.mly"
                             ( _2 )
# 3916 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_057 =
  fun _2 ->
    (* array_path_elt -> LSQUARE range RSQUARE *)
    (
# 603 "src/kernel_internals/parsing/logic_parser.mly"
                             ( _2 )
# 3925 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_058 =
  fun _1 ->
    (* array_size -> INT_CONSTANT *)
    (
# 675 "src/kernel_internals/parsing/logic_parser.mly"
               ( ASinteger _1 )
# 3934 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.array_size))

let _menhir_action_059 =
  fun _1 ->
    (* array_size -> full_identifier *)
    (
# 676 "src/kernel_internals/parsing/logic_parser.mly"
                  ( ASidentifier _1 )
# 3943 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.array_size))

let _menhir_action_060 =
  fun () ->
    (* array_size -> *)
    (
# 677 "src/kernel_internals/parsing/logic_parser.mly"
              ( ASnone )
# 3952 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.array_size))

let _menhir_action_061 =
  fun _1 ->
    (* assigns -> zones *)
    (
# 1296 "src/kernel_internals/parsing/logic_parser.mly"
        ( List.map (fun x -> (x,FromAny)) _1 )
# 3961 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.lexpr * Logic_ptree.deps) list))

let _menhir_action_062 =
  fun _1 _3 ->
    (* assigns -> ne_zones FROM zones *)
    (
# 1297 "src/kernel_internals/parsing/logic_parser.mly"
                      (List.map (fun x -> (x, From _3)) _1)
# 3970 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.lexpr * Logic_ptree.deps) list))

let _menhir_action_063 =
  fun () ->
    (* assumes -> *)
    (
# 1270 "src/kernel_internals/parsing/logic_parser.mly"
                ( [] )
# 3979 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_064 =
  fun _2 _4 ->
    (* assumes -> ASSUMES lexpr SEMICOLON assumes *)
    (
# 1271 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( _2::_4 )
# 3988 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_065 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* assumes -> ASSUMES lexpr clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1272 "src/kernel_internals/parsing/logic_parser.mly"
                          ( missing _loc__2_ ";" _3 )
# 3998 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_066 =
  fun () ->
    (* beg_pragma_or_code_annotation -> IMPACT *)
    (
# 1473 "src/kernel_internals/parsing/logic_parser.mly"
         ()
# 4007 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_067 =
  fun () ->
    (* beg_pragma_or_code_annotation -> SLICE *)
    (
# 1474 "src/kernel_internals/parsing/logic_parser.mly"
        ()
# 4016 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_068 =
  fun () ->
    (* beg_pragma_or_code_annotation -> FOR *)
    (
# 1475 "src/kernel_internals/parsing/logic_parser.mly"
      ()
# 4025 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_069 =
  fun () ->
    (* beg_pragma_or_code_annotation -> ASSERT *)
    (
# 1476 "src/kernel_internals/parsing/logic_parser.mly"
         ()
# 4034 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_070 =
  fun () ->
    (* beg_pragma_or_code_annotation -> CHECK *)
    (
# 1477 "src/kernel_internals/parsing/logic_parser.mly"
        ()
# 4043 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_071 =
  fun () ->
    (* beg_pragma_or_code_annotation -> ADMIT *)
    (
# 1478 "src/kernel_internals/parsing/logic_parser.mly"
        ()
# 4052 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_072 =
  fun () ->
    (* beg_pragma_or_code_annotation -> INVARIANT *)
    (
# 1479 "src/kernel_internals/parsing/logic_parser.mly"
            ()
# 4061 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_073 =
  fun () ->
    (* beg_pragma_or_code_annotation -> CHECK_INVARIANT *)
    (
# 1480 "src/kernel_internals/parsing/logic_parser.mly"
                  ()
# 4070 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_074 =
  fun () ->
    (* beg_pragma_or_code_annotation -> ADMIT_INVARIANT *)
    (
# 1481 "src/kernel_internals/parsing/logic_parser.mly"
                  ()
# 4079 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_075 =
  fun () ->
    (* beg_pragma_or_code_annotation -> CHECK_LOOP *)
    (
# 1482 "src/kernel_internals/parsing/logic_parser.mly"
             ()
# 4088 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_076 =
  fun () ->
    (* beg_pragma_or_code_annotation -> ADMIT_LOOP *)
    (
# 1483 "src/kernel_internals/parsing/logic_parser.mly"
             ()
# 4097 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_077 =
  fun () ->
    (* beg_pragma_or_code_annotation -> EXT_CODE_ANNOT *)
    (
# 1484 "src/kernel_internals/parsing/logic_parser.mly"
                 ()
# 4106 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_078 =
  fun _1 _2 _3 ->
    (* behavior_body -> assumes requires simple_clauses *)
    (
# 1260 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( _1,_2,snd _3 )
# 4115 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list * Logic_ptree.toplevel_predicate list *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)))

let _menhir_action_079 =
  fun _endpos__3_ _startpos__3_ ->
    (* behavior_body -> assumes ne_requires ASSUMES *)
    let _loc__3_ = (_startpos__3_, _endpos__3_) in
    (
# 1262 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__3_ "assumes" "requires" )
# 4128 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list * Logic_ptree.toplevel_predicate list *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)))

let _menhir_action_080 =
  fun _endpos__4_ _startpos__4_ ->
    (* behavior_body -> assumes requires ne_simple_clauses ASSUMES *)
    let _loc__4_ = (_startpos__4_, _endpos__4_) in
    (
# 1264 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__4_ "assumes" "assigns or post-condition" )
# 4141 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list * Logic_ptree.toplevel_predicate list *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)))

let _menhir_action_081 =
  fun _endpos__4_ _startpos__4_ ->
    (* behavior_body -> assumes requires ne_simple_clauses REQUIRES *)
    let _loc__4_ = (_startpos__4_, _endpos__4_) in
    (
# 1266 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__4_ "requires" "assigns or post-condition" )
# 4154 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list * Logic_ptree.toplevel_predicate list *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)))

let _menhir_action_082 =
  fun _1 ->
    (* behavior_name -> any_identifier *)
    (
# 1854 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 4166 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_083 =
  fun () ->
    (* behavior_name_list -> *)
    (
# 1844 "src/kernel_internals/parsing/logic_parser.mly"
                        ( [] )
# 4175 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_084 =
  fun _1 ->
    (* behavior_name_list -> ne_behavior_name_list *)
    (
# 1845 "src/kernel_internals/parsing/logic_parser.mly"
                        ( _1 )
# 4184 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_085 =
  fun () ->
    (* behaviors -> *)
    (
# 1244 "src/kernel_internals/parsing/logic_parser.mly"
                ( [] )
# 4193 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.behavior list))

let _menhir_action_086 =
  fun _1 ->
    (* behaviors -> ne_behaviors *)
    (
# 1245 "src/kernel_internals/parsing/logic_parser.mly"
               ( _1 )
# 4202 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.behavior list))

let _menhir_action_087 =
  fun _1 ->
    (* binders -> binders_reentrance *)
    (
# 639 "src/kernel_internals/parsing/logic_parser.mly"
                     ( let (_lt, vars) = _1 in vars )
# 4211 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.quantifiers))

let _menhir_action_088 =
  fun _1 ->
    (* binders_reentrance -> decl_spec *)
    (
# 643 "src/kernel_internals/parsing/logic_parser.mly"
            ( let (lt, var) = _1 in (lt, [var]) )
# 4220 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type * Logic_ptree.quantifiers))

let _menhir_action_089 =
  fun _1 _3 ->
    (* binders_reentrance -> binders_reentrance COMMA decl_spec *)
    (
# 645 "src/kernel_internals/parsing/logic_parser.mly"
    ( let _, vars = _1 in
      let (lt, var) = _3 in
        (lt, vars @ [ var ])
    )
# 4232 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type * Logic_ptree.quantifiers))

let _menhir_action_090 =
  fun _1 _3 ->
    (* binders_reentrance -> binders_reentrance COMMA var_spec *)
    (
# 650 "src/kernel_internals/parsing/logic_parser.mly"
    ( let last_type_spec, vars = _1 in
        (last_type_spec, vars @ [ let (modif, name) = _3 in (modif last_type_spec, name)])
    )
# 4243 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type * Logic_ptree.quantifiers))

let _menhir_action_091 =
  fun _1 ->
    (* bounded_var -> full_identifier *)
    (
# 1884 "src/kernel_internals/parsing/logic_parser.mly"
                  ( _1 )
# 4252 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_092 =
  fun _endpos__1_ _startpos__1_ ->
    (* bounded_var -> is_acsl_typename *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1886 "src/kernel_internals/parsing/logic_parser.mly"
    ( raise
	(Not_well_formed(loc _sloc,
			 "Type names are not allowed as binding variable"))
    )
# 4267 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_093 =
  fun _endpos__1_ _startpos__1_ ->
    (* bounded_var -> TYPENAME *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1891 "src/kernel_internals/parsing/logic_parser.mly"
    ( raise
	(Not_well_formed(loc _sloc,
			 "Type names are not allowed as binding variable"))
    )
# 4282 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_094 =
  fun () ->
    (* bs_keyword -> ALLOCABLE *)
    (
# 2018 "src/kernel_internals/parsing/logic_parser.mly"
            ( () )
# 4291 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_095 =
  fun () ->
    (* bs_keyword -> ALLOCATION *)
    (
# 2019 "src/kernel_internals/parsing/logic_parser.mly"
             ( () )
# 4300 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_096 =
  fun () ->
    (* bs_keyword -> AUTOMATIC *)
    (
# 2020 "src/kernel_internals/parsing/logic_parser.mly"
            ( () )
# 4309 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_097 =
  fun () ->
    (* bs_keyword -> AT *)
    (
# 2021 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 4318 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_098 =
  fun () ->
    (* bs_keyword -> BASE_ADDR *)
    (
# 2022 "src/kernel_internals/parsing/logic_parser.mly"
            ( () )
# 4327 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_099 =
  fun () ->
    (* bs_keyword -> BLOCK_LENGTH *)
    (
# 2023 "src/kernel_internals/parsing/logic_parser.mly"
               ( () )
# 4336 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_100 =
  fun () ->
    (* bs_keyword -> BSGHOST *)
    (
# 2024 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 4345 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_101 =
  fun () ->
    (* bs_keyword -> DYNAMIC *)
    (
# 2025 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 4354 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_102 =
  fun () ->
    (* bs_keyword -> EMPTY *)
    (
# 2026 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 4363 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_103 =
  fun () ->
    (* bs_keyword -> FALSE *)
    (
# 2027 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 4372 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_104 =
  fun () ->
    (* bs_keyword -> FORALL *)
    (
# 2028 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 4381 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_105 =
  fun () ->
    (* bs_keyword -> FREEABLE *)
    (
# 2029 "src/kernel_internals/parsing/logic_parser.mly"
           ( () )
# 4390 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_106 =
  fun () ->
    (* bs_keyword -> FRESH *)
    (
# 2030 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 4399 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_107 =
  fun () ->
    (* bs_keyword -> FROM *)
    (
# 2031 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 4408 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_108 =
  fun () ->
    (* bs_keyword -> INTER *)
    (
# 2032 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 4417 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_109 =
  fun () ->
    (* bs_keyword -> LAMBDA *)
    (
# 2033 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 4426 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_110 =
  fun () ->
    (* bs_keyword -> LET *)
    (
# 2034 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 4435 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_111 =
  fun () ->
    (* bs_keyword -> NOTHING *)
    (
# 2035 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 4444 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_112 =
  fun () ->
    (* bs_keyword -> NULL *)
    (
# 2036 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 4453 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_113 =
  fun () ->
    (* bs_keyword -> OLD *)
    (
# 2037 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 4462 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_114 =
  fun () ->
    (* bs_keyword -> OFFSET *)
    (
# 2038 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 4471 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_115 =
  fun () ->
    (* bs_keyword -> REGISTER *)
    (
# 2039 "src/kernel_internals/parsing/logic_parser.mly"
           ( () )
# 4480 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_116 =
  fun () ->
    (* bs_keyword -> RESULT *)
    (
# 2040 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 4489 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_117 =
  fun () ->
    (* bs_keyword -> SEPARATED *)
    (
# 2041 "src/kernel_internals/parsing/logic_parser.mly"
            ( () )
# 4498 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_118 =
  fun () ->
    (* bs_keyword -> TRUE *)
    (
# 2042 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 4507 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_119 =
  fun () ->
    (* bs_keyword -> BSTYPE *)
    (
# 2043 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 4516 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_120 =
  fun () ->
    (* bs_keyword -> TYPEOF *)
    (
# 2044 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 4525 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_121 =
  fun () ->
    (* bs_keyword -> BSUNION *)
    (
# 2045 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 4534 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_122 =
  fun () ->
    (* bs_keyword -> UNALLOCATED *)
    (
# 2046 "src/kernel_internals/parsing/logic_parser.mly"
              ( () )
# 4543 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_123 =
  fun () ->
    (* bs_keyword -> OBJECT_POINTER *)
    (
# 2047 "src/kernel_internals/parsing/logic_parser.mly"
                 ( () )
# 4552 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_124 =
  fun () ->
    (* bs_keyword -> VALID *)
    (
# 2048 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 4561 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_125 =
  fun () ->
    (* bs_keyword -> VALID_INDEX *)
    (
# 2049 "src/kernel_internals/parsing/logic_parser.mly"
              ( () )
# 4570 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_126 =
  fun () ->
    (* bs_keyword -> VALID_RANGE *)
    (
# 2050 "src/kernel_internals/parsing/logic_parser.mly"
              ( () )
# 4579 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_127 =
  fun () ->
    (* bs_keyword -> VALID_READ *)
    (
# 2051 "src/kernel_internals/parsing/logic_parser.mly"
             ( () )
# 4588 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_128 =
  fun () ->
    (* bs_keyword -> VALID_FUNCTION *)
    (
# 2052 "src/kernel_internals/parsing/logic_parser.mly"
                 ( () )
# 4597 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_129 =
  fun () ->
    (* bs_keyword -> INITIALIZED *)
    (
# 2053 "src/kernel_internals/parsing/logic_parser.mly"
              ( () )
# 4606 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_130 =
  fun () ->
    (* bs_keyword -> DANGLING *)
    (
# 2054 "src/kernel_internals/parsing/logic_parser.mly"
           ( () )
# 4615 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_131 =
  fun () ->
    (* bs_keyword -> WITH *)
    (
# 2055 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 4624 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_132 =
  fun () ->
    (* c_keyword -> CHAR *)
    (
# 1898 "src/kernel_internals/parsing/logic_parser.mly"
           ( "char" )
# 4633 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_133 =
  fun () ->
    (* c_keyword -> BOOLEAN *)
    (
# 1899 "src/kernel_internals/parsing/logic_parser.mly"
           ( "boolean" )
# 4642 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_134 =
  fun () ->
    (* c_keyword -> BOOL *)
    (
# 1900 "src/kernel_internals/parsing/logic_parser.mly"
           ( "_Bool" )
# 4651 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_135 =
  fun () ->
    (* c_keyword -> CONST *)
    (
# 1901 "src/kernel_internals/parsing/logic_parser.mly"
           ( "const" )
# 4660 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_136 =
  fun () ->
    (* c_keyword -> DOUBLE *)
    (
# 1902 "src/kernel_internals/parsing/logic_parser.mly"
           ( "double" )
# 4669 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_137 =
  fun () ->
    (* c_keyword -> ENUM *)
    (
# 1903 "src/kernel_internals/parsing/logic_parser.mly"
           ( "enum" )
# 4678 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_138 =
  fun () ->
    (* c_keyword -> ELSE *)
    (
# 1904 "src/kernel_internals/parsing/logic_parser.mly"
           ( "else" )
# 4687 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_139 =
  fun () ->
    (* c_keyword -> FLOAT *)
    (
# 1905 "src/kernel_internals/parsing/logic_parser.mly"
           ( "float" )
# 4696 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_140 =
  fun () ->
    (* c_keyword -> IF *)
    (
# 1906 "src/kernel_internals/parsing/logic_parser.mly"
           ( "if" )
# 4705 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_141 =
  fun () ->
    (* c_keyword -> INT *)
    (
# 1907 "src/kernel_internals/parsing/logic_parser.mly"
           ( "int" )
# 4714 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_142 =
  fun () ->
    (* c_keyword -> LONG *)
    (
# 1908 "src/kernel_internals/parsing/logic_parser.mly"
           ( "long" )
# 4723 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_143 =
  fun () ->
    (* c_keyword -> SHORT *)
    (
# 1909 "src/kernel_internals/parsing/logic_parser.mly"
           ( "short" )
# 4732 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_144 =
  fun () ->
    (* c_keyword -> SIGNED *)
    (
# 1910 "src/kernel_internals/parsing/logic_parser.mly"
           ( "signed" )
# 4741 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_145 =
  fun () ->
    (* c_keyword -> SIZEOF *)
    (
# 1911 "src/kernel_internals/parsing/logic_parser.mly"
           ( "sizeof" )
# 4750 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_146 =
  fun () ->
    (* c_keyword -> STATIC *)
    (
# 1912 "src/kernel_internals/parsing/logic_parser.mly"
           ( "static" )
# 4759 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_147 =
  fun () ->
    (* c_keyword -> STRUCT *)
    (
# 1913 "src/kernel_internals/parsing/logic_parser.mly"
           ( "struct" )
# 4768 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_148 =
  fun () ->
    (* c_keyword -> UNION *)
    (
# 1914 "src/kernel_internals/parsing/logic_parser.mly"
           ( "union" )
# 4777 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_149 =
  fun () ->
    (* c_keyword -> UNSIGNED *)
    (
# 1915 "src/kernel_internals/parsing/logic_parser.mly"
           ( "unsigned" )
# 4786 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_150 =
  fun () ->
    (* c_keyword -> VOID *)
    (
# 1916 "src/kernel_internals/parsing/logic_parser.mly"
           ( "void" )
# 4795 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_151 =
  fun _1 _2 ->
    (* cast_logic_type -> type_spec_cv(TYPENAME) abs_spec_cv_option *)
    (
# 754 "src/kernel_internals/parsing/logic_parser.mly"
                                             ( _2 _1 )
# 4804 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_152 =
  fun () ->
    (* clause_kw -> ADMIT_REQUIRES *)
    (
# 1130 "src/kernel_internals/parsing/logic_parser.mly"
                 ( "admit requires" )
# 4813 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_153 =
  fun () ->
    (* clause_kw -> ADMIT_INVARIANT *)
    (
# 1131 "src/kernel_internals/parsing/logic_parser.mly"
                  ( "admit invariant" )
# 4822 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_154 =
  fun () ->
    (* clause_kw -> ADMIT_LEMMA *)
    (
# 1132 "src/kernel_internals/parsing/logic_parser.mly"
              ( "admit lemma" )
# 4831 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_155 =
  fun () ->
    (* clause_kw -> ADMIT_LOOP *)
    (
# 1133 "src/kernel_internals/parsing/logic_parser.mly"
             ( "admit loop" )
# 4840 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_156 =
  fun () ->
    (* clause_kw -> CHECK_REQUIRES *)
    (
# 1134 "src/kernel_internals/parsing/logic_parser.mly"
                 ( "check requires" )
# 4849 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_157 =
  fun () ->
    (* clause_kw -> CHECK_INVARIANT *)
    (
# 1135 "src/kernel_internals/parsing/logic_parser.mly"
                  ( "check invariant" )
# 4858 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_158 =
  fun () ->
    (* clause_kw -> CHECK_LEMMA *)
    (
# 1136 "src/kernel_internals/parsing/logic_parser.mly"
              ( "check lemma" )
# 4867 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_159 =
  fun () ->
    (* clause_kw -> CHECK_LOOP *)
    (
# 1137 "src/kernel_internals/parsing/logic_parser.mly"
             ( "check loop" )
# 4876 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_160 =
  fun () ->
    (* clause_kw -> REQUIRES *)
    (
# 1138 "src/kernel_internals/parsing/logic_parser.mly"
           ( "requires" )
# 4885 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_161 =
  fun () ->
    (* clause_kw -> ASSUMES *)
    (
# 1139 "src/kernel_internals/parsing/logic_parser.mly"
          ("assumes")
# 4894 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_162 =
  fun () ->
    (* clause_kw -> ASSIGNS *)
    (
# 1140 "src/kernel_internals/parsing/logic_parser.mly"
          ( "assigns" )
# 4903 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_163 =
  fun _1 ->
    (* clause_kw -> post_cond *)
    (
# 1141 "src/kernel_internals/parsing/logic_parser.mly"
            ( snd _1 )
# 4912 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_164 =
  fun () ->
    (* clause_kw -> DECREASES *)
    (
# 1142 "src/kernel_internals/parsing/logic_parser.mly"
            ( "decreases")
# 4921 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_165 =
  fun () ->
    (* clause_kw -> BEHAVIOR *)
    (
# 1143 "src/kernel_internals/parsing/logic_parser.mly"
           ( "behavior")
# 4930 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_166 =
  fun () ->
    (* clause_kw -> ALLOCATES *)
    (
# 1144 "src/kernel_internals/parsing/logic_parser.mly"
            ("allocates")
# 4939 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_167 =
  fun () ->
    (* clause_kw -> FREES *)
    (
# 1145 "src/kernel_internals/parsing/logic_parser.mly"
        ("frees")
# 4948 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_168 =
  fun () ->
    (* clause_kw -> COMPLETE *)
    (
# 1146 "src/kernel_internals/parsing/logic_parser.mly"
           ("complete")
# 4957 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_169 =
  fun () ->
    (* clause_kw -> DISJOINT *)
    (
# 1147 "src/kernel_internals/parsing/logic_parser.mly"
           ("disjoint")
# 4966 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_170 =
  fun _1 ->
    (* clause_kw -> EXT_CONTRACT *)
    (
# 1148 "src/kernel_internals/parsing/logic_parser.mly"
               ( _1 )
# 4975 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_171 =
  fun id ->
    (* clause_kw -> IDENTIFIER_EXT *)
    (
# 1149 "src/kernel_internals/parsing/logic_parser.mly"
                    ( id )
# 4984 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_172 =
  fun () ->
    (* clause_kw -> EOF *)
    (
# 1150 "src/kernel_internals/parsing/logic_parser.mly"
      ( "end of annotation" )
# 4993 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_173 =
  fun _2 ->
    (* code_annotation -> ASSERT lexpr SEMICOLON *)
    (
# 1495 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs -> AAssert (bhvs,toplevel_pred Assert _2) )
# 5002 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_174 =
  fun _2 ->
    (* code_annotation -> CHECK lexpr SEMICOLON *)
    (
# 1497 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs -> AAssert (bhvs,toplevel_pred Check _2) )
# 5011 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_175 =
  fun _2 ->
    (* code_annotation -> ADMIT lexpr SEMICOLON *)
    (
# 1499 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs -> AAssert (bhvs,toplevel_pred Admit _2) )
# 5020 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_176 =
  fun _2 ->
    (* code_annotation -> INVARIANT lexpr SEMICOLON *)
    (
# 1501 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs -> AInvariant (bhvs,false,toplevel_pred Assert _2) )
# 5029 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_177 =
  fun _2 ->
    (* code_annotation -> CHECK_INVARIANT lexpr SEMICOLON *)
    (
# 1503 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs -> AInvariant (bhvs,false,toplevel_pred Check _2) )
# 5038 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_178 =
  fun _2 ->
    (* code_annotation -> ADMIT_INVARIANT lexpr SEMICOLON *)
    (
# 1505 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs -> AInvariant (bhvs,false,toplevel_pred Admit _2) )
# 5047 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_179 =
  fun _1 _2 _endpos__1_ _startpos__1_ ->
    (* code_annotation -> EXT_CODE_ANNOT extension_content SEMICOLON *)
    let _loc__1_ = (_startpos__1_, _endpos__1_) in
    (
# 1507 "src/kernel_internals/parsing/logic_parser.mly"
  ( fun bhvs ->
    let open Cil_types in
    let ext = _1 in
    try
      begin match Logic_env.extension_category ext with
        | Ext_code_annot (Ext_here | Ext_next_stmt | Ext_next_both) ->
          let processed = Logic_env.preprocess_extension ext _2 in
          Logic_ptree.AExtended(bhvs,false,(ext,processed))
        | Ext_code_annot Ext_next_loop ->
          raise
            (Not_well_formed
               (loc _loc__1_,
                Printf.sprintf
                  "%s is a loop annotation extension. It can't be used as a \
                   plain code annotation extension. Did you mean 'loop %s'?"
                  ext ext))
        | _ -> raise Not_found
      end
    with Not_found ->
      Kernel.fatal ~source:(pos _startpos__1_)
        "%s is not a code annotation extension. Parser got wrong lexeme" ext
  )
# 5078 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.code_annot))

let _menhir_action_180 =
  fun () ->
    (* complete_or_disjoint -> *)
    (
# 1276 "src/kernel_internals/parsing/logic_parser.mly"
                ( [],[] )
# 5087 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list list * string list list))

let _menhir_action_181 =
  fun _1 ->
    (* complete_or_disjoint -> ne_complete_or_disjoint *)
    (
# 1277 "src/kernel_internals/parsing/logic_parser.mly"
                          ( _1 )
# 5096 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list list * string list list))

let _menhir_action_182 =
  fun _1 ->
    (* constant -> INT_CONSTANT *)
    (
# 668 "src/kernel_internals/parsing/logic_parser.mly"
                 ( IntConstant _1 )
# 5105 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.constant))

let _menhir_action_183 =
  fun _1 ->
    (* constant -> FLOAT_CONSTANT *)
    (
# 669 "src/kernel_internals/parsing/logic_parser.mly"
                 ( FloatConstant _1 )
# 5114 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.constant))

let _menhir_action_184 =
  fun _1 ->
    (* constant -> STRING_CONSTANT *)
    (
# 670 "src/kernel_internals/parsing/logic_parser.mly"
                  ( StringConstant _1 )
# 5123 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.constant))

let _menhir_action_185 =
  fun _1 ->
    (* constant -> WSTRING_CONSTANT *)
    (
# 671 "src/kernel_internals/parsing/logic_parser.mly"
                   ( WStringConstant _1 )
# 5132 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.constant))

let _menhir_action_186 =
  fun _1 _2 _3 _4 _5 _6 _endpos__1_ _endpos__2_ _endpos__3_ _endpos__4_ _endpos__5_ _endpos__6_ _startpos__1_ _startpos__2_ _startpos__3_ _startpos__4_ _startpos__5_ _startpos__6_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors complete_or_disjoint *)
    let _endpos = _endpos__6_ in
    let _symbolstartpos = if _startpos__1_ != _endpos__1_ then
      _startpos__1_
    else
      if _startpos__2_ != _endpos__2_ then
        _startpos__2_
      else
        if _startpos__3_ != _endpos__3_ then
          _startpos__3_
        else
          if _startpos__4_ != _endpos__4_ then
            _startpos__4_
          else
            if _startpos__5_ != _endpos__5_ then
              _startpos__5_
            else
              if _startpos__6_ != _endpos__6_ then
                _startpos__6_
              else
                _endpos in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1059 "src/kernel_internals/parsing/logic_parser.mly"
    ( let requires=_1 in
      let (empty,(allocation,assigns,post_cond,extended)) = _4 in
      let behaviors = _5 in
      let (completes,disjoints) = _6 in
      let behaviors =
        if requires <> [] || post_cond <> [] ||
	   allocation <> FreeAllocAny ||
           assigns <> WritesAny || extended <> []
        then
          (Cabshelper.mk_behavior
             ~requires ~post_cond ~assigns ~allocation ~extended ())
          :: behaviors
        else if _2<>None || _3<>None ||
                behaviors<>[] || completes<>[] ||disjoints<>[]
        then behaviors
        else
          if empty then
            raise (Not_well_formed (loc _sloc,"Empty annotation is not allowed"))
          else
            raise Unknown_ext
      in
        { spec_terminates = _2;
          spec_variant = _3;
          spec_behavior = behaviors;
          spec_complete_behaviors = completes;
          spec_disjoint_behaviors = disjoints;
        }, loc _sloc
    )
# 5189 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_187 =
  fun _endpos__3_ _startpos__3_ ->
    (* contract -> requires ne_terminates REQUIRES *)
    let _loc__3_ = (_startpos__3_, _endpos__3_) in
    (
# 1087 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( clause_order _loc__3_ "requires" "terminates" )
# 5199 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_188 =
  fun _endpos__4_ _startpos__4_ ->
    (* contract -> requires terminates ne_decreases REQUIRES *)
    let _loc__4_ = (_startpos__4_, _endpos__4_) in
    (
# 1089 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__4_ "requires" "decreases" )
# 5209 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_189 =
  fun _endpos__4_ _startpos__4_ ->
    (* contract -> requires terminates ne_decreases TERMINATES *)
    let _loc__4_ = (_startpos__4_, _endpos__4_) in
    (
# 1091 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__4_ "terminates" "decreases" )
# 5219 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_190 =
  fun _endpos__5_ _startpos__5_ ->
    (* contract -> requires terminates decreases ne_simple_clauses REQUIRES *)
    let _loc__5_ = (_startpos__5_, _endpos__5_) in
    (
# 1093 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__5_ "requires" "post-condition, assigns or allocates" )
# 5229 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_191 =
  fun _endpos__5_ _startpos__5_ ->
    (* contract -> requires terminates decreases ne_simple_clauses TERMINATES *)
    let _loc__5_ = (_startpos__5_, _endpos__5_) in
    (
# 1095 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__5_ "terminates" "post-condition, assigns or allocates" )
# 5239 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_192 =
  fun _endpos__5_ _startpos__5_ ->
    (* contract -> requires terminates decreases ne_simple_clauses DECREASES *)
    let _loc__5_ = (_startpos__5_, _endpos__5_) in
    (
# 1097 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__5_ "decreases" "post-condition, assigns or allocates" )
# 5249 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_193 =
  fun _endpos__6_ _startpos__6_ ->
    (* contract -> requires terminates decreases simple_clauses ne_behaviors TERMINATES *)
    let _loc__6_ = (_startpos__6_, _endpos__6_) in
    (
# 1099 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__6_ "terminates" "behavior" )
# 5259 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_194 =
  fun _endpos__6_ _startpos__6_ ->
    (* contract -> requires terminates decreases simple_clauses ne_behaviors DECREASES *)
    let _loc__6_ = (_startpos__6_, _endpos__6_) in
    (
# 1101 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__6_ "decreases" "behavior" )
# 5269 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_195 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint REQUIRES *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1104 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "requires" "complete or disjoint" )
# 5279 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_196 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint TERMINATES *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1107 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "terminates" "complete or disjoint" )
# 5289 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_197 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint DECREASES *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1110 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "decreases" "complete or disjoint" )
# 5299 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_198 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint BEHAVIOR *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1113 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "behavior" "complete or disjoint" )
# 5309 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_199 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint ASSIGNS *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1116 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "assigns" "complete or disjoint" )
# 5319 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_200 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint ALLOCATES *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1119 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "allocates" "complete or disjoint" )
# 5329 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_201 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint FREES *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1122 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "frees" "complete or disjoint" )
# 5339 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_202 =
  fun _endpos__7_ _startpos__7_ ->
    (* contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint post_cond_kind *)
    let _loc__7_ = (_startpos__7_, _endpos__7_) in
    (
# 1125 "src/kernel_internals/parsing/logic_parser.mly"
      ( clause_order _loc__7_ "post-condition" "complete or disjoint" )
# 5349 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec * Logic_ptree.location))

let _menhir_action_203 =
  fun _1 ->
    (* contract_or_code_annotation -> contract *)
    (
# 1338 "src/kernel_internals/parsing/logic_parser.mly"
      ( fun bhvs -> let s, pos = _1 in Acode_annot (pos, AStmtSpec (bhvs,s)) )
# 5358 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.annot))

let _menhir_action_204 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* contract_or_code_annotation -> code_annotation *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1339 "src/kernel_internals/parsing/logic_parser.mly"
                  ( fun bhvs -> Acode_annot (loc _sloc, (_1 bhvs)) )
# 5370 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list -> Logic_ptree.annot))

let _menhir_action_205 =
  fun () ->
    (* cv -> CONST *)
    (
# 740 "src/kernel_internals/parsing/logic_parser.mly"
        ( cv_const )
# 5379 "src/kernel_internals/parsing/logic_parser.ml"
     : (Cil_types.attribute))

let _menhir_action_206 =
  fun () ->
    (* cv -> VOLATILE *)
    (
# 741 "src/kernel_internals/parsing/logic_parser.mly"
           ( cv_volatile )
# 5388 "src/kernel_internals/parsing/logic_parser.ml"
     : (Cil_types.attribute))

let _menhir_action_207 =
  fun () ->
    (* cv -> BSGHOST *)
    (
# 742 "src/kernel_internals/parsing/logic_parser.mly"
          ( cv_ghost )
# 5397 "src/kernel_internals/parsing/logic_parser.ml"
     : (Cil_types.attribute))

let _menhir_action_208 =
  fun () ->
    (* cv_after -> *)
    (
# 750 "src/kernel_internals/parsing/logic_parser.mly"
              ( fun t -> t )
# 5406 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_209 =
  fun _1 _2 ->
    (* cv_after -> cv cv_after *)
    (
# 751 "src/kernel_internals/parsing/logic_parser.mly"
              ( fun t -> _2 (LTattribute (t,_1)) )
# 5415 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_210 =
  fun _1 ->
    (* datacons -> full_identifier *)
    (
# 1790 "src/kernel_internals/parsing/logic_parser.mly"
                  ( (_1,[]) )
# 5424 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * Logic_ptree.logic_type list))

let _menhir_action_211 =
  fun _1 _3 ->
    (* datacons -> full_identifier LPAR ne_type_list RPAR *)
    (
# 1791 "src/kernel_internals/parsing/logic_parser.mly"
                                         ( (_1,_3) )
# 5433 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * Logic_ptree.logic_type list))

let _menhir_action_212 =
  fun () ->
    (* datacons_list -> *)
    (
# 1780 "src/kernel_internals/parsing/logic_parser.mly"
                ( [] )
# 5442 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.logic_type list) list))

let _menhir_action_213 =
  fun _2 _3 ->
    (* datacons_list -> PIPE datacons datacons_list *)
    (
# 1781 "src/kernel_internals/parsing/logic_parser.mly"
                              ( _2 :: _3 )
# 5451 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.logic_type list) list))

let _menhir_action_214 =
  fun _3 _5 ->
    (* decl -> GLOBAL INVARIANT any_identifier COLON lexpr SEMICOLON *)
    (
# 1559 "src/kernel_internals/parsing/logic_parser.mly"
    ( LDinvariant (_3, _5) )
# 5460 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_215 =
  fun _2 _3 ->
    (* decl -> VOLATILE ne_zones volatile_opt SEMICOLON *)
    (
# 1560 "src/kernel_internals/parsing/logic_parser.mly"
                                           ( LDvolatile (_2, _3) )
# 5469 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_216 =
  fun _1 ->
    (* decl -> type_annot *)
    (
# 1561 "src/kernel_internals/parsing/logic_parser.mly"
             (LDtype_annot _1)
# 5478 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_217 =
  fun _1 ->
    (* decl -> model_annot *)
    (
# 1562 "src/kernel_internals/parsing/logic_parser.mly"
              (LDmodel_annot _1)
# 5487 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_218 =
  fun _1 ->
    (* decl -> logic_def *)
    (
# 1563 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 5496 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_219 =
  fun _1 ->
    (* decl -> ext_decl *)
    (
# 1564 "src/kernel_internals/parsing/logic_parser.mly"
           ( LDextended _1 )
# 5505 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_220 =
  fun _1 ->
    (* decl -> deprecated_logic_decl *)
    (
# 1565 "src/kernel_internals/parsing/logic_parser.mly"
                        ( _1 )
# 5514 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_221 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* decl_list -> decl *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1553 "src/kernel_internals/parsing/logic_parser.mly"
                  ( [loc_decl _sloc _1] )
# 5526 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl list))

let _menhir_action_222 =
  fun _1 _2 _endpos__2_ _startpos__1_ ->
    (* decl_list -> decl decl_list *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1554 "src/kernel_internals/parsing/logic_parser.mly"
                  ( (loc_decl _sloc _1) :: _2 )
# 5538 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl list))

let _menhir_action_223 =
  fun _1 _2 ->
    (* decl_spec -> type_spec(typename) var_spec *)
    (
# 656 "src/kernel_internals/parsing/logic_parser.mly"
                               ( (_1, let (modif, name) = _2 in (modif _1, name))  )
# 5547 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type * (Logic_ptree.logic_type * string)))

let _menhir_action_224 =
  fun () ->
    (* decreases -> *)
    (
# 1178 "src/kernel_internals/parsing/logic_parser.mly"
                  ( None )
# 5556 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.variant option))

let _menhir_action_225 =
  fun _1 ->
    (* decreases -> ne_decreases *)
    (
# 1179 "src/kernel_internals/parsing/logic_parser.mly"
               ( Some _1 )
# 5565 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.variant option))

let _menhir_action_226 =
  fun _2 _3 _4 _startpos__1_ ->
    (* deprecated_logic_decl -> LOGIC logic_rt_type poly_id opt_parameters SEMICOLON *)
    let _symbolstartpos = _startpos__1_ in
    (
# 1701 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id, labels, tvars) = _3 in
      let source = pos _symbolstartpos in
      exit_type_variables_scope ();
      obsolete  "logic declaration" ~source ~now:"an axiomatic block";
      LDlogic_reads (id, labels, tvars, _2, _4, None) )
# 5579 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_227 =
  fun _2 _3 _startpos__1_ ->
    (* deprecated_logic_decl -> PREDICATE poly_id opt_parameters SEMICOLON *)
    let _symbolstartpos = _startpos__1_ in
    (
# 1708 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      let source = pos _symbolstartpos in
      obsolete "logic declaration" ~source ~now:"an axiomatic block";
      LDpredicate_reads (id, labels, tvars, _3, None) )
# 5593 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_228 =
  fun _2 _startpos__1_ ->
    (* deprecated_logic_decl -> TYPE poly_id_type SEMICOLON *)
    let _symbolstartpos = _startpos__1_ in
    (
# 1715 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,tvars) = _2 in
      Logic_env.add_typename id;
      exit_type_variables_scope ();
      let source = pos _symbolstartpos in
      obsolete "logic type declaration" ~source ~now:"an axiomatic block";
      LDtype(id,tvars,None)
    )
# 5609 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_229 =
  fun _2 _endpos__5_ _startpos__1_ ->
    (* deprecated_logic_decl -> AXIOM poly_id COLON lexpr SEMICOLON *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1724 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,_,_) = _2 in
      raise
	(Not_well_formed
	   (loc _sloc,"Axiom " ^ id ^ " is declared outside of an axiomatic."))
    )
# 5625 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_230 =
  fun _2 ->
    (* ext_at_stmt_markup -> EXT_AT stmt_markup_attr COLON *)
    (
# 1048 "src/kernel_internals/parsing/logic_parser.mly"
                                ( _2 )
# 5634 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_231 =
  fun _2 ->
    (* ext_contract_markup -> CONTRACT ext_identifier_opt COLON *)
    (
# 1034 "src/kernel_internals/parsing/logic_parser.mly"
                                    ( _2 )
# 5643 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_232 =
  fun _1 _2 ->
    (* ext_decl -> EXT_GLOBAL extension_content SEMICOLON *)
    (
# 1569 "src/kernel_internals/parsing/logic_parser.mly"
                                         (
     let processed = Logic_env.preprocess_extension _1 _2 in
     Ext_lexpr(_1, processed)
   )
# 5655 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.global_extension))

let _menhir_action_233 =
  fun _1 _2 _4 ->
    (* ext_decl -> EXT_GLOBAL_BLOCK any_identifier LBRACE ext_decls RBRACE *)
    (
# 1573 "src/kernel_internals/parsing/logic_parser.mly"
                                                          (
    let processed_id,processed_block =
       Logic_env.preprocess_extension_block _1 (_2,_4)
    in
    Ext_extension(_1,processed_id,processed_block)
   )
# 5669 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.global_extension))

let _menhir_action_234 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* ext_decl_loc -> ext_decl *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1590 "src/kernel_internals/parsing/logic_parser.mly"
           ( loc_ext _sloc _1 )
# 5681 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.extended_decl))

let _menhir_action_235 =
  fun () ->
    (* ext_decls -> *)
    (
# 1583 "src/kernel_internals/parsing/logic_parser.mly"
    ( [] )
# 5690 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.extended_decl list))

let _menhir_action_236 =
  fun _3 content id ->
    (* ext_decls -> IDENTIFIER_EXT extension_content SEMICOLON ext_decls *)
    let _1 = 
# 924 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( (id,content) )
# 5699 "src/kernel_internals/parsing/logic_parser.ml"
     in
    (
# 1584 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( _3 )
# 5704 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.extended_decl list))

let _menhir_action_237 =
  fun _1 _2 ->
    (* ext_decls -> ext_decl_loc ext_decls *)
    (
# 1586 "src/kernel_internals/parsing/logic_parser.mly"
    ( _1::_2 )
# 5713 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.extended_decl list))

let _menhir_action_238 =
  fun _1 _2 _endpos__2_ _startpos__1_ ->
    (* ext_fun_spec -> ext_at_stmt_markup ext_stmt_loop_spec *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1006 "src/kernel_internals/parsing/logic_parser.mly"
    ( Ext_stmt(_1,_2,loc _sloc) )
# 5725 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function))

let _menhir_action_239 =
  fun _2 ->
    (* ext_fun_spec -> ext_contract_markup contract *)
    (
# 1008 "src/kernel_internals/parsing/logic_parser.mly"
    ( let s,pos = _2 in Ext_spec (s,pos) )
# 5734 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function))

let _menhir_action_240 =
  fun _1 ->
    (* ext_fun_specs -> ext_fun_spec *)
    (
# 1000 "src/kernel_internals/parsing/logic_parser.mly"
                             ( [_1] )
# 5743 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_241 =
  fun _1 _2 ->
    (* ext_fun_specs -> ext_fun_spec ext_fun_specs *)
    (
# 1001 "src/kernel_internals/parsing/logic_parser.mly"
                             ( _1::_2 )
# 5752 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_242 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* ext_function_markup -> FUNCTION ext_identifier COLON *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1030 "src/kernel_internals/parsing/logic_parser.mly"
                                ( _2, loc _sloc )
# 5764 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * Logic_ptree.location))

let _menhir_action_243 =
  fun _1 ->
    (* ext_function_spec -> ext_global_clause *)
    (
# 995 "src/kernel_internals/parsing/logic_parser.mly"
                    ( Ext_glob _1 )
# 5773 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function))

let _menhir_action_244 =
  fun _1 ->
    (* ext_function_spec -> ext_fun_spec *)
    (
# 996 "src/kernel_internals/parsing/logic_parser.mly"
                    ( _1 )
# 5782 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function))

let _menhir_action_245 =
  fun () ->
    (* ext_function_specs -> ext_at_stmt_markup *)
    (
# 989 "src/kernel_internals/parsing/logic_parser.mly"
                      ( [])
# 5791 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_246 =
  fun _1 ->
    (* ext_function_specs -> ext_function_spec *)
    (
# 990 "src/kernel_internals/parsing/logic_parser.mly"
                      ( [_1] )
# 5800 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_247 =
  fun _1 _2 ->
    (* ext_function_specs -> ext_function_spec ext_function_specs *)
    (
# 991 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( _1::_2 )
# 5809 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_248 =
  fun () ->
    (* ext_function_specs_opt -> *)
    (
# 984 "src/kernel_internals/parsing/logic_parser.mly"
                      ( [] )
# 5818 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_249 =
  fun _1 ->
    (* ext_function_specs_opt -> ext_function_specs *)
    (
# 985 "src/kernel_internals/parsing/logic_parser.mly"
                      ( _1 )
# 5827 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_function list))

let _menhir_action_250 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* ext_global_clause -> decl *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 944 "src/kernel_internals/parsing/logic_parser.mly"
        ( Ext_decl (loc_decl _sloc _1) )
# 5839 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl))

let _menhir_action_251 =
  fun _2 _4 ->
    (* ext_global_clause -> EXT_LET any_identifier EQUAL lexpr SEMICOLON *)
    (
# 945 "src/kernel_internals/parsing/logic_parser.mly"
                                               ( Ext_macro (false, _2, _4) )
# 5848 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl))

let _menhir_action_252 =
  fun _3 _5 ->
    (* ext_global_clause -> GLOBAL EXT_LET any_identifier EQUAL lexpr SEMICOLON *)
    (
# 946 "src/kernel_internals/parsing/logic_parser.mly"
                                                      ( Ext_macro (true, _3, _5) )
# 5857 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl))

let _menhir_action_253 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* ext_global_clause -> INCLUDE string SEMICOLON *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 947 "src/kernel_internals/parsing/logic_parser.mly"
                           ( let b,s = _2 in Ext_include(b,s, loc _sloc) )
# 5869 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl))

let _menhir_action_254 =
  fun _1 ->
    (* ext_global_clauses -> ext_global_clause *)
    (
# 939 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( [_1] )
# 5878 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl list))

let _menhir_action_255 =
  fun _1 _2 ->
    (* ext_global_clauses -> ext_global_clause ext_global_clauses *)
    (
# 940 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( _1::_2 )
# 5887 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl list))

let _menhir_action_256 =
  fun () ->
    (* ext_global_clauses_opt -> *)
    (
# 934 "src/kernel_internals/parsing/logic_parser.mly"
                       ( [] )
# 5896 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl list))

let _menhir_action_257 =
  fun _1 ->
    (* ext_global_clauses_opt -> ext_global_clauses *)
    (
# 935 "src/kernel_internals/parsing/logic_parser.mly"
                       ( _1 )
# 5905 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_decl list))

let _menhir_action_258 =
  fun _1 _2 _3 ->
    (* ext_global_spec -> ext_module_markup ext_global_clauses_opt ext_module_specs *)
    (
# 962 "src/kernel_internals/parsing/logic_parser.mly"
    ( (Some _1),_2,_3 )
# 5914 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_module))

let _menhir_action_259 =
  fun _1 _2 ->
    (* ext_global_spec -> ext_module_markup ext_global_clauses_opt *)
    (
# 964 "src/kernel_internals/parsing/logic_parser.mly"
    ( (Some _1),_2,[] )
# 5923 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_module))

let _menhir_action_260 =
  fun _1 ->
    (* ext_global_specs -> ext_global_spec *)
    (
# 956 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( [_1] )
# 5932 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_module list))

let _menhir_action_261 =
  fun _1 _2 ->
    (* ext_global_specs -> ext_global_spec ext_global_specs *)
    (
# 957 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( _1::_2 )
# 5941 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_module list))

let _menhir_action_262 =
  fun () ->
    (* ext_global_specs_opt -> *)
    (
# 951 "src/kernel_internals/parsing/logic_parser.mly"
                     ( [] )
# 5950 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_module list))

let _menhir_action_263 =
  fun _1 ->
    (* ext_global_specs_opt -> ext_global_specs *)
    (
# 952 "src/kernel_internals/parsing/logic_parser.mly"
                     ( _1 )
# 5959 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_module list))

let _menhir_action_264 =
  fun _1 ->
    (* ext_identifier -> any_identifier *)
    (
# 1022 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 5968 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_265 =
  fun () ->
    (* ext_identifier_opt -> *)
    (
# 1017 "src/kernel_internals/parsing/logic_parser.mly"
                 ( "" )
# 5977 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_266 =
  fun _1 ->
    (* ext_identifier_opt -> ext_identifier *)
    (
# 1018 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 5986 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_267 =
  fun _2 ->
    (* ext_module_markup -> MODULE ext_identifier COLON *)
    (
# 1026 "src/kernel_internals/parsing/logic_parser.mly"
                              ( _2 )
# 5995 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_268 =
  fun _1 _2 ->
    (* ext_module_spec -> ext_function_markup ext_function_specs_opt *)
    (
# 980 "src/kernel_internals/parsing/logic_parser.mly"
                                             ( (Some _1),_2 )
# 6004 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.location) option * Logic_ptree.ext_function list))

let _menhir_action_269 =
  fun _1 ->
    (* ext_module_specs -> ext_module_spec *)
    (
# 975 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( [_1] )
# 6013 "src/kernel_internals/parsing/logic_parser.ml"
     : (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list))

let _menhir_action_270 =
  fun _1 _2 ->
    (* ext_module_specs -> ext_module_spec ext_module_specs *)
    (
# 976 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( _1::_2 )
# 6023 "src/kernel_internals/parsing/logic_parser.ml"
     : (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list))

let _menhir_action_271 =
  fun () ->
    (* ext_module_specs_opt -> *)
    (
# 968 "src/kernel_internals/parsing/logic_parser.mly"
                    ( [] )
# 6033 "src/kernel_internals/parsing/logic_parser.ml"
     : (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list))

let _menhir_action_272 =
  fun _1 ->
    (* ext_module_specs_opt -> ext_module_specs *)
    (
# 969 "src/kernel_internals/parsing/logic_parser.mly"
                    ( _1 )
# 6043 "src/kernel_internals/parsing/logic_parser.ml"
     : (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list))

let _menhir_action_273 =
  fun _1 ->
    (* ext_module_specs_opt -> ext_fun_specs *)
    (
# 970 "src/kernel_internals/parsing/logic_parser.mly"
                 ( [None, _1] )
# 6053 "src/kernel_internals/parsing/logic_parser.ml"
     : (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list))

let _menhir_action_274 =
  fun _1 _2 ->
    (* ext_module_specs_opt -> ext_fun_specs ext_module_specs *)
    (
# 971 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( (None, _1)::_2 )
# 6063 "src/kernel_internals/parsing/logic_parser.ml"
     : (((string * Logic_ptree.location) option * Logic_ptree.ext_function list)
  list))

let _menhir_action_275 =
  fun _1 _2 _3 ->
    (* ext_spec -> ext_global_clauses_opt ext_module_specs_opt ext_global_specs_opt EOF *)
    (
# 930 "src/kernel_internals/parsing/logic_parser.mly"
                                                                        ( (None,_1,_2)::_3 )
# 6073 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.ext_spec))

let _menhir_action_276 =
  fun _1 ->
    (* ext_stmt_loop_spec -> annotation *)
    (
# 1012 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 6082 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_277 =
  fun _2 ->
    (* ext_stmt_loop_spec -> ext_contract_markup contract *)
    (
# 1013 "src/kernel_internals/parsing/logic_parser.mly"
                               ( let s, pos = _2 in Acode_annot (pos, AStmtSpec ([],s)) )
# 6091 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.annot))

let _menhir_action_278 =
  fun () ->
    (* extension_content -> *)
    (
# 1235 "src/kernel_internals/parsing/logic_parser.mly"
                ( [] )
# 6100 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_279 =
  fun _1 ->
    (* extension_content -> zones *)
    (
# 1236 "src/kernel_internals/parsing/logic_parser.mly"
        ( _1 )
# 6109 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_280 =
  fun _1 ->
    (* field_init -> field_init_elt *)
    (
# 597 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( [_1] )
# 6118 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.lexpr) list))

let _menhir_action_281 =
  fun _1 _3 ->
    (* field_init -> field_init_elt COMMA field_init *)
    (
# 598 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( _1::_3 )
# 6127 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.lexpr) list))

let _menhir_action_282 =
  fun _1 _3 ->
    (* field_init_elt -> field_path_elt EQUAL lexpr *)
    (
# 593 "src/kernel_internals/parsing/logic_parser.mly"
                             ( (_1, _3) )
# 6136 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * Logic_ptree.lexpr))

let _menhir_action_283 =
  fun _2 ->
    (* field_path_elt -> DOT identifier_or_typename_full *)
    (
# 590 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( _2 )
# 6145 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_284 =
  fun id ->
    (* full_identifier -> identifier *)
    (
# 876 "src/kernel_internals/parsing/logic_parser.mly"
                  ( id )
# 6154 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_285 =
  fun () ->
    (* full_identifier -> ADMIT *)
    (
# 877 "src/kernel_internals/parsing/logic_parser.mly"
        ( "admit" )
# 6163 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_286 =
  fun () ->
    (* full_identifier -> ALLOCATES *)
    (
# 878 "src/kernel_internals/parsing/logic_parser.mly"
            ( "allocates" )
# 6172 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_287 =
  fun () ->
    (* full_identifier -> ASSERT *)
    (
# 879 "src/kernel_internals/parsing/logic_parser.mly"
         ( "assert" )
# 6181 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_288 =
  fun () ->
    (* full_identifier -> ASSIGNS *)
    (
# 880 "src/kernel_internals/parsing/logic_parser.mly"
          ( "assigns" )
# 6190 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_289 =
  fun () ->
    (* full_identifier -> ASSUMES *)
    (
# 881 "src/kernel_internals/parsing/logic_parser.mly"
          ( "assumes" )
# 6199 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_290 =
  fun () ->
    (* full_identifier -> EXT_AT *)
    (
# 882 "src/kernel_internals/parsing/logic_parser.mly"
         ( "at" )
# 6208 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_291 =
  fun () ->
    (* full_identifier -> AXIOM *)
    (
# 883 "src/kernel_internals/parsing/logic_parser.mly"
        ( "axiom" )
# 6217 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_292 =
  fun () ->
    (* full_identifier -> AXIOMATIC *)
    (
# 884 "src/kernel_internals/parsing/logic_parser.mly"
            ( "axiomatic" )
# 6226 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_293 =
  fun () ->
    (* full_identifier -> BEHAVIOR *)
    (
# 885 "src/kernel_internals/parsing/logic_parser.mly"
           ( "behavior" )
# 6235 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_294 =
  fun () ->
    (* full_identifier -> BREAKS *)
    (
# 886 "src/kernel_internals/parsing/logic_parser.mly"
         ( "breaks" )
# 6244 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_295 =
  fun () ->
    (* full_identifier -> CHECK *)
    (
# 887 "src/kernel_internals/parsing/logic_parser.mly"
        ( "check" )
# 6253 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_296 =
  fun () ->
    (* full_identifier -> COMPLETE *)
    (
# 888 "src/kernel_internals/parsing/logic_parser.mly"
           ( "complete" )
# 6262 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_297 =
  fun () ->
    (* full_identifier -> CONTINUES *)
    (
# 889 "src/kernel_internals/parsing/logic_parser.mly"
            ( "continues" )
# 6271 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_298 =
  fun () ->
    (* full_identifier -> CONTRACT *)
    (
# 890 "src/kernel_internals/parsing/logic_parser.mly"
           ( "contract" )
# 6280 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_299 =
  fun () ->
    (* full_identifier -> DECREASES *)
    (
# 891 "src/kernel_internals/parsing/logic_parser.mly"
            ( "decreases" )
# 6289 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_300 =
  fun () ->
    (* full_identifier -> DISJOINT *)
    (
# 892 "src/kernel_internals/parsing/logic_parser.mly"
           ( "disjoint" )
# 6298 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_301 =
  fun () ->
    (* full_identifier -> ENSURES *)
    (
# 893 "src/kernel_internals/parsing/logic_parser.mly"
          ( "ensures" )
# 6307 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_302 =
  fun () ->
    (* full_identifier -> EXITS *)
    (
# 894 "src/kernel_internals/parsing/logic_parser.mly"
        ( "exits" )
# 6316 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_303 =
  fun () ->
    (* full_identifier -> FREES *)
    (
# 895 "src/kernel_internals/parsing/logic_parser.mly"
        ( "frees" )
# 6325 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_304 =
  fun () ->
    (* full_identifier -> FUNCTION *)
    (
# 896 "src/kernel_internals/parsing/logic_parser.mly"
           ( "function" )
# 6334 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_305 =
  fun () ->
    (* full_identifier -> GLOBAL *)
    (
# 897 "src/kernel_internals/parsing/logic_parser.mly"
         ( "global" )
# 6343 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_306 =
  fun () ->
    (* full_identifier -> IMPACT *)
    (
# 898 "src/kernel_internals/parsing/logic_parser.mly"
         ( "impact" )
# 6352 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_307 =
  fun () ->
    (* full_identifier -> INDUCTIVE *)
    (
# 899 "src/kernel_internals/parsing/logic_parser.mly"
            ( "inductive" )
# 6361 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_308 =
  fun () ->
    (* full_identifier -> INCLUDE *)
    (
# 900 "src/kernel_internals/parsing/logic_parser.mly"
          ( "include" )
# 6370 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_309 =
  fun () ->
    (* full_identifier -> INVARIANT *)
    (
# 901 "src/kernel_internals/parsing/logic_parser.mly"
            ( "invariant" )
# 6379 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_310 =
  fun () ->
    (* full_identifier -> LEMMA *)
    (
# 902 "src/kernel_internals/parsing/logic_parser.mly"
        ( "lemma" )
# 6388 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_311 =
  fun () ->
    (* full_identifier -> EXT_LET *)
    (
# 903 "src/kernel_internals/parsing/logic_parser.mly"
          ( "let" )
# 6397 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_312 =
  fun () ->
    (* full_identifier -> LOGIC *)
    (
# 904 "src/kernel_internals/parsing/logic_parser.mly"
        ( "logic" )
# 6406 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_313 =
  fun () ->
    (* full_identifier -> LOOP *)
    (
# 905 "src/kernel_internals/parsing/logic_parser.mly"
       ( "loop" )
# 6415 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_314 =
  fun () ->
    (* full_identifier -> MODEL *)
    (
# 906 "src/kernel_internals/parsing/logic_parser.mly"
        ( "model" )
# 6424 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_315 =
  fun () ->
    (* full_identifier -> MODULE *)
    (
# 907 "src/kernel_internals/parsing/logic_parser.mly"
         ( "module" )
# 6433 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_316 =
  fun () ->
    (* full_identifier -> PRAGMA *)
    (
# 908 "src/kernel_internals/parsing/logic_parser.mly"
         ( "pragma" )
# 6442 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_317 =
  fun () ->
    (* full_identifier -> PREDICATE *)
    (
# 909 "src/kernel_internals/parsing/logic_parser.mly"
            ( "predicate" )
# 6451 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_318 =
  fun () ->
    (* full_identifier -> REQUIRES *)
    (
# 910 "src/kernel_internals/parsing/logic_parser.mly"
           ( "requires" )
# 6460 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_319 =
  fun () ->
    (* full_identifier -> RETURNS *)
    (
# 911 "src/kernel_internals/parsing/logic_parser.mly"
          ( "returns" )
# 6469 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_320 =
  fun () ->
    (* full_identifier -> SLICE *)
    (
# 912 "src/kernel_internals/parsing/logic_parser.mly"
        ( "slice" )
# 6478 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_321 =
  fun () ->
    (* full_identifier -> TERMINATES *)
    (
# 913 "src/kernel_internals/parsing/logic_parser.mly"
             ( "terminates" )
# 6487 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_322 =
  fun () ->
    (* full_identifier -> TYPE *)
    (
# 914 "src/kernel_internals/parsing/logic_parser.mly"
       ( "type" )
# 6496 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_323 =
  fun () ->
    (* full_identifier -> VARIANT *)
    (
# 915 "src/kernel_internals/parsing/logic_parser.mly"
          ( "variant" )
# 6505 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_324 =
  fun id ->
    (* full_identifier -> EXT_CODE_ANNOT *)
    (
# 916 "src/kernel_internals/parsing/logic_parser.mly"
                      ( id )
# 6514 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_325 =
  fun id ->
    (* full_identifier -> EXT_CONTRACT *)
    (
# 917 "src/kernel_internals/parsing/logic_parser.mly"
                    ( id )
# 6523 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_326 =
  fun id ->
    (* full_identifier -> EXT_GLOBAL *)
    (
# 918 "src/kernel_internals/parsing/logic_parser.mly"
                  ( id )
# 6532 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_327 =
  fun id ->
    (* full_identifier -> EXT_GLOBAL_BLOCK *)
    (
# 919 "src/kernel_internals/parsing/logic_parser.mly"
                        ( id )
# 6541 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_328 =
  fun id ->
    (* full_identifier -> IDENTIFIER_EXT *)
    (
# 920 "src/kernel_internals/parsing/logic_parser.mly"
                      ( id )
# 6550 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_329 =
  fun _1 ->
    (* identifier -> IDENTIFIER *)
    (
# 1875 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 6559 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_330 =
  fun () ->
    (* identifier -> BEHAVIORS *)
    (
# 1877 "src/kernel_internals/parsing/logic_parser.mly"
             ( "behaviors" )
# 6568 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_331 =
  fun () ->
    (* identifier -> LABEL *)
    (
# 1878 "src/kernel_internals/parsing/logic_parser.mly"
             ( "label" )
# 6577 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_332 =
  fun () ->
    (* identifier -> READS *)
    (
# 1879 "src/kernel_internals/parsing/logic_parser.mly"
             ( "reads" )
# 6586 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_333 =
  fun () ->
    (* identifier -> WRITES *)
    (
# 1880 "src/kernel_internals/parsing/logic_parser.mly"
             ( "writes" )
# 6595 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_334 =
  fun _1 ->
    (* identifier_or_typename -> TYPENAME *)
    (
# 1865 "src/kernel_internals/parsing/logic_parser.mly"
           ( _1 )
# 6604 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_335 =
  fun _1 ->
    (* identifier_or_typename -> full_identifier *)
    (
# 1866 "src/kernel_internals/parsing/logic_parser.mly"
                  ( _1 )
# 6613 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_336 =
  fun _1 ->
    (* identifier_or_typename_full -> is_acsl_typename *)
    (
# 1870 "src/kernel_internals/parsing/logic_parser.mly"
                    ( _1 )
# 6622 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_337 =
  fun _1 ->
    (* identifier_or_typename_full -> identifier_or_typename *)
    (
# 1871 "src/kernel_internals/parsing/logic_parser.mly"
                         ( _1 )
# 6631 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_338 =
  fun _3 _4 _endpos__5_ _startpos__1_ ->
    (* impact_pragma -> IMPACT PRAGMA any_identifier lexpr SEMICOLON *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1543 "src/kernel_internals/parsing/logic_parser.mly"
    ( if _3 = "expr" then IPexpr _4
      else raise (Not_well_formed (loc _sloc, "Unknown impact pragma")) )
# 6644 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.impact_pragma))

let _menhir_action_339 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* impact_pragma -> IMPACT PRAGMA any_identifier SEMICOLON *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1546 "src/kernel_internals/parsing/logic_parser.mly"
    ( if _3 = "stmt" then IPstmt
      else raise (Not_well_formed (loc _sloc, "Unknown impact pragma")) )
# 6657 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.impact_pragma))

let _menhir_action_340 =
  fun () ->
    (* indcases -> *)
    (
# 1800 "src/kernel_internals/parsing/logic_parser.mly"
    ( [] )
# 6666 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * string list * string list * Logic_ptree.lexpr) list))

let _menhir_action_341 =
  fun _2 _4 _6 ->
    (* indcases -> CASE poly_id COLON lexpr SEMICOLON indcases *)
    (
# 1802 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      (id,labels,tvars,_4)::_6 )
# 6677 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * string list * string list * Logic_ptree.lexpr) list))

let _menhir_action_342 =
  fun _1 ->
    (* is_acsl_decl_or_code_annot -> EXT_CODE_ANNOT *)
    (
# 1960 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 6686 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_343 =
  fun _1 ->
    (* is_acsl_decl_or_code_annot -> EXT_GLOBAL *)
    (
# 1961 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 6695 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_344 =
  fun _1 ->
    (* is_acsl_decl_or_code_annot -> EXT_GLOBAL_BLOCK *)
    (
# 1962 "src/kernel_internals/parsing/logic_parser.mly"
                   ( _1 )
# 6704 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_345 =
  fun _1 ->
    (* is_acsl_decl_or_code_annot -> IDENTIFIER_EXT *)
    (
# 1963 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 6713 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_346 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> ASSUMES *)
    (
# 1964 "src/kernel_internals/parsing/logic_parser.mly"
            ( "assumes" )
# 6722 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_347 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> ASSERT *)
    (
# 1965 "src/kernel_internals/parsing/logic_parser.mly"
            ( "assert" )
# 6731 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_348 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> CHECK *)
    (
# 1966 "src/kernel_internals/parsing/logic_parser.mly"
            ( "check" )
# 6740 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_349 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> ADMIT *)
    (
# 1967 "src/kernel_internals/parsing/logic_parser.mly"
            ( "admit" )
# 6749 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_350 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> GLOBAL *)
    (
# 1968 "src/kernel_internals/parsing/logic_parser.mly"
            ( "global" )
# 6758 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_351 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> IMPACT *)
    (
# 1969 "src/kernel_internals/parsing/logic_parser.mly"
            ( "impact" )
# 6767 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_352 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> INDUCTIVE *)
    (
# 1970 "src/kernel_internals/parsing/logic_parser.mly"
            ( "inductive" )
# 6776 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_353 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> INVARIANT *)
    (
# 1971 "src/kernel_internals/parsing/logic_parser.mly"
            ( "invariant" )
# 6785 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_354 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> ADMIT_INVARIANT *)
    (
# 1972 "src/kernel_internals/parsing/logic_parser.mly"
                  ( "admit invariant" )
# 6794 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_355 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> CHECK_INVARIANT *)
    (
# 1973 "src/kernel_internals/parsing/logic_parser.mly"
                  ( "check invariant" )
# 6803 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_356 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> LEMMA *)
    (
# 1974 "src/kernel_internals/parsing/logic_parser.mly"
            ( "lemma" )
# 6812 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_357 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> ADMIT_LEMMA *)
    (
# 1975 "src/kernel_internals/parsing/logic_parser.mly"
              ( "admit lemma" )
# 6821 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_358 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> CHECK_LEMMA *)
    (
# 1976 "src/kernel_internals/parsing/logic_parser.mly"
              ( "check lemma" )
# 6830 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_359 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> LOOP *)
    (
# 1977 "src/kernel_internals/parsing/logic_parser.mly"
            ( "loop" )
# 6839 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_360 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> ADMIT_LOOP *)
    (
# 1978 "src/kernel_internals/parsing/logic_parser.mly"
             ( "admit loop" )
# 6848 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_361 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> CHECK_LOOP *)
    (
# 1979 "src/kernel_internals/parsing/logic_parser.mly"
             ( "check loop" )
# 6857 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_362 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> PRAGMA *)
    (
# 1980 "src/kernel_internals/parsing/logic_parser.mly"
            ( "pragma" )
# 6866 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_363 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> PREDICATE *)
    (
# 1981 "src/kernel_internals/parsing/logic_parser.mly"
            ( "predicate" )
# 6875 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_364 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> SLICE *)
    (
# 1982 "src/kernel_internals/parsing/logic_parser.mly"
            ( "slice" )
# 6884 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_365 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> TYPE *)
    (
# 1983 "src/kernel_internals/parsing/logic_parser.mly"
            ( "type" )
# 6893 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_366 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> MODEL *)
    (
# 1984 "src/kernel_internals/parsing/logic_parser.mly"
            ( "model" )
# 6902 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_367 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> AXIOM *)
    (
# 1985 "src/kernel_internals/parsing/logic_parser.mly"
            ( "axiom" )
# 6911 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_368 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> VARIANT *)
    (
# 1986 "src/kernel_internals/parsing/logic_parser.mly"
            ( "variant" )
# 6920 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_369 =
  fun () ->
    (* is_acsl_decl_or_code_annot -> AXIOMATIC *)
    (
# 1987 "src/kernel_internals/parsing/logic_parser.mly"
            ( "axiomatic" )
# 6929 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_370 =
  fun _1 ->
    (* is_acsl_spec -> post_cond *)
    (
# 1944 "src/kernel_internals/parsing/logic_parser.mly"
             ( snd _1 )
# 6938 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_371 =
  fun _1 ->
    (* is_acsl_spec -> EXT_CONTRACT *)
    (
# 1945 "src/kernel_internals/parsing/logic_parser.mly"
               ( _1 )
# 6947 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_372 =
  fun () ->
    (* is_acsl_spec -> ASSIGNS *)
    (
# 1946 "src/kernel_internals/parsing/logic_parser.mly"
             ( "assigns" )
# 6956 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_373 =
  fun () ->
    (* is_acsl_spec -> ALLOCATES *)
    (
# 1947 "src/kernel_internals/parsing/logic_parser.mly"
             ( "allocates" )
# 6965 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_374 =
  fun () ->
    (* is_acsl_spec -> FREES *)
    (
# 1948 "src/kernel_internals/parsing/logic_parser.mly"
             ( "frees" )
# 6974 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_375 =
  fun () ->
    (* is_acsl_spec -> BEHAVIOR *)
    (
# 1949 "src/kernel_internals/parsing/logic_parser.mly"
             ( "behavior" )
# 6983 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_376 =
  fun () ->
    (* is_acsl_spec -> REQUIRES *)
    (
# 1950 "src/kernel_internals/parsing/logic_parser.mly"
             ( "requires" )
# 6992 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_377 =
  fun () ->
    (* is_acsl_spec -> CHECK_REQUIRES *)
    (
# 1951 "src/kernel_internals/parsing/logic_parser.mly"
                 ( "check requires" )
# 7001 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_378 =
  fun () ->
    (* is_acsl_spec -> ADMIT_REQUIRES *)
    (
# 1952 "src/kernel_internals/parsing/logic_parser.mly"
                 ( "admit requires" )
# 7010 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_379 =
  fun () ->
    (* is_acsl_spec -> TERMINATES *)
    (
# 1953 "src/kernel_internals/parsing/logic_parser.mly"
             ( "terminates" )
# 7019 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_380 =
  fun () ->
    (* is_acsl_spec -> COMPLETE *)
    (
# 1954 "src/kernel_internals/parsing/logic_parser.mly"
             ( "complete" )
# 7028 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_381 =
  fun () ->
    (* is_acsl_spec -> DECREASES *)
    (
# 1955 "src/kernel_internals/parsing/logic_parser.mly"
             ( "decreases" )
# 7037 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_382 =
  fun () ->
    (* is_acsl_spec -> DISJOINT *)
    (
# 1956 "src/kernel_internals/parsing/logic_parser.mly"
             ( "disjoint" )
# 7046 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_383 =
  fun () ->
    (* is_acsl_typename -> INTEGER *)
    (
# 1991 "src/kernel_internals/parsing/logic_parser.mly"
           ( "integer" (* token that can be used in C fields *) )
# 7055 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_384 =
  fun () ->
    (* is_acsl_typename -> REAL *)
    (
# 1992 "src/kernel_internals/parsing/logic_parser.mly"
           ( "real" (* token that can be used in C fields *) )
# 7064 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_385 =
  fun () ->
    (* is_ext_spec -> CONTRACT *)
    (
# 1996 "src/kernel_internals/parsing/logic_parser.mly"
           ( "contract" )
# 7073 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_386 =
  fun () ->
    (* is_ext_spec -> FUNCTION *)
    (
# 1997 "src/kernel_internals/parsing/logic_parser.mly"
           ( "function" )
# 7082 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_387 =
  fun () ->
    (* is_ext_spec -> MODULE *)
    (
# 1998 "src/kernel_internals/parsing/logic_parser.mly"
           ( "module" )
# 7091 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_388 =
  fun () ->
    (* is_ext_spec -> INCLUDE *)
    (
# 1999 "src/kernel_internals/parsing/logic_parser.mly"
           ( "include" )
# 7100 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_389 =
  fun () ->
    (* is_ext_spec -> EXT_AT *)
    (
# 2000 "src/kernel_internals/parsing/logic_parser.mly"
           ( "at" )
# 7109 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_390 =
  fun () ->
    (* is_ext_spec -> EXT_LET *)
    (
# 2001 "src/kernel_internals/parsing/logic_parser.mly"
           ( "let" )
# 7118 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_391 =
  fun () ->
    (* keyword -> LOGIC *)
    (
# 2005 "src/kernel_internals/parsing/logic_parser.mly"
          ( "logic" )
# 7127 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_392 =
  fun _1 ->
    (* keyword -> non_logic_keyword *)
    (
# 2006 "src/kernel_internals/parsing/logic_parser.mly"
                    ( _1 )
# 7136 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_393 =
  fun _1 ->
    (* label_name -> any_identifier *)
    (
# 1840 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 7145 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_394 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr IMPLIES lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 354 "src/kernel_internals/parsing/logic_parser.mly"
                      ( info _sloc (PLimplies (_1, _3)) )
# 7157 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_395 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr IFF lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 355 "src/kernel_internals/parsing/logic_parser.mly"
                  ( info _sloc (PLiff (_1, _3)) )
# 7169 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_396 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr OR lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 356 "src/kernel_internals/parsing/logic_parser.mly"
                     ( info _sloc (plor _1 _3) )
# 7181 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_397 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr AND lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 357 "src/kernel_internals/parsing/logic_parser.mly"
                     ( info _sloc (pland _1 _3) )
# 7193 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_398 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr HATHAT lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 358 "src/kernel_internals/parsing/logic_parser.mly"
                        ( info _sloc (PLxor (_1, _3)) )
# 7205 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_399 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr AMP lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 360 "src/kernel_internals/parsing/logic_parser.mly"
                  ( info _sloc (PLbinop (_1, Bbw_and, _3)) )
# 7217 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_400 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr PIPE lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 361 "src/kernel_internals/parsing/logic_parser.mly"
                   ( info _sloc (PLbinop (_1, Bbw_or, _3)) )
# 7229 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_401 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr HAT lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 362 "src/kernel_internals/parsing/logic_parser.mly"
                  ( info _sloc (PLbinop (_1, Bbw_xor, _3)) )
# 7241 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_402 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr BIMPLIES lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 363 "src/kernel_internals/parsing/logic_parser.mly"
                       ( info _sloc (PLbinop (info _sloc (PLunop (Ubw_not, _1)), Bbw_or, _3)) )
# 7253 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_403 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr BIFF lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 364 "src/kernel_internals/parsing/logic_parser.mly"
                   ( info _sloc (PLbinop (info _sloc (PLunop (Ubw_not, _1)), Bbw_xor, _3)) )
# 7265 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_404 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> lexpr IN lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 365 "src/kernel_internals/parsing/logic_parser.mly"
                 ( info _sloc (PLapp ("\\subset", [], [info _sloc (PLset [_1]);_3])) )
# 7277 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_405 =
  fun _1 _3 _5 _endpos__5_ _startpos__1_ ->
    (* lexpr -> lexpr QUESTION lexpr COLON2 lexpr *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 367 "src/kernel_internals/parsing/logic_parser.mly"
    ( info _sloc (PLif (_1, _3, _5)) )
# 7289 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_406 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> any_identifier COLON lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 369 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( info _sloc (PLnamed (_1, _3)) )
# 7301 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_407 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr -> string COLON lexpr *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 371 "src/kernel_internals/parsing/logic_parser.mly"
      ( let (iswide,str) = _1 in
        if iswide then begin
           let l = loc _sloc in
           raise (Not_well_formed(l, "Wide strings are not allowed as labels."))
         end;
        let str = escape str in
         info _sloc (PLnamed (str, _3))
       )
# 7320 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_408 =
  fun _1 ->
    (* lexpr -> lexpr_rel *)
    (
# 379 "src/kernel_internals/parsing/logic_parser.mly"
            ( _1 )
# 7329 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_409 =
  fun _2 _4 _6 _endpos__6_ _startpos__1_ ->
    (* lexpr_binder -> LET bounded_var EQUAL lexpr SEMICOLON lexpr *)
    let _endpos = _endpos__6_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 396 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLlet(_2,_4,_6)))
# 7341 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_410 =
  fun _2 _4 _endpos__4_ _startpos__1_ ->
    (* lexpr_binder -> FORALL binders SEMICOLON lexpr *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 398 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLforall (_2, _4)) )
# 7353 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_411 =
  fun _2 _4 _endpos__4_ _startpos__1_ ->
    (* lexpr_binder -> EXISTS binders SEMICOLON lexpr *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 400 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLexists (_2, _4)) )
# 7365 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_412 =
  fun _2 _4 _endpos__4_ _startpos__1_ ->
    (* lexpr_binder -> LAMBDA binders SEMICOLON lexpr *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 402 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLlambda (_2,_4)) )
# 7377 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_413 =
  fun _1 ->
    (* lexpr_end_rel -> lexpr_inner *)
    (
# 406 "src/kernel_internals/parsing/logic_parser.mly"
               ( _1 )
# 7386 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_414 =
  fun _1 ->
    (* lexpr_end_rel -> lexpr_binder *)
    (
# 407 "src/kernel_internals/parsing/logic_parser.mly"
               ( _1 )
# 7395 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_415 =
  fun _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_end_rel -> NOT lexpr_binder *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 408 "src/kernel_internals/parsing/logic_parser.mly"
                   ( info _sloc (PLnot _2) )
# 7407 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_416 =
  fun _1 ->
    (* lexpr_eof -> lexpr EOF *)
    (
# 344 "src/kernel_internals/parsing/logic_parser.mly"
            ( _1 )
# 7416 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_417 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> string *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 453 "src/kernel_internals/parsing/logic_parser.mly"
         (
      let (is_wide,content) = _1 in
      let cst = if is_wide then
        WStringConstant content
      else
        StringConstant content
      in
      info _sloc (PLconstant cst)
    )
# 7436 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_418 =
  fun _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_inner -> NOT lexpr_inner *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 462 "src/kernel_internals/parsing/logic_parser.mly"
                  ( info _sloc (PLnot _2) )
# 7448 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_419 =
  fun _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> TRUE *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 463 "src/kernel_internals/parsing/logic_parser.mly"
       ( info _sloc PLtrue )
# 7460 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_420 =
  fun _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> FALSE *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 464 "src/kernel_internals/parsing/logic_parser.mly"
        ( info _sloc PLfalse )
# 7472 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_421 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> OBJECT_POINTER opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 465 "src/kernel_internals/parsing/logic_parser.mly"
                                             ( info _sloc (PLobject_pointer (_2,_4)) )
# 7484 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_422 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> VALID opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 466 "src/kernel_internals/parsing/logic_parser.mly"
                                    ( info _sloc (PLvalid (_2,_4)) )
# 7496 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_423 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> VALID_READ opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 467 "src/kernel_internals/parsing/logic_parser.mly"
                                         ( info _sloc (PLvalid_read (_2,_4)) )
# 7508 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_424 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> VALID_FUNCTION LPAR lexpr RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 468 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( info _sloc (PLvalid_function _3) )
# 7520 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_425 =
  fun _2 _4 _6 _endpos__7_ _startpos__1_ ->
    (* lexpr_inner -> VALID_INDEX opt_label_1 LPAR lexpr COMMA lexpr RPAR *)
    let _endpos = _endpos__7_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 469 "src/kernel_internals/parsing/logic_parser.mly"
                                                      (
  let source = pos _symbolstartpos in
  obsolete ~source "\\valid_index(addr,idx)" ~now:"\\valid(addr+idx)";
  info _sloc (PLvalid (_2,info _sloc (PLbinop (_4, Badd, _6)))) )
# 7535 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_426 =
  fun _2 _4 _6 _8 _endpos__9_ _startpos__1_ ->
    (* lexpr_inner -> VALID_RANGE opt_label_1 LPAR lexpr COMMA lexpr COMMA lexpr RPAR *)
    let _endpos = _endpos__9_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 473 "src/kernel_internals/parsing/logic_parser.mly"
                                                                  (
  let source = pos _symbolstartpos in
  obsolete "\\valid_range(addr,min,max)"
    ~source ~now:"\\valid(addr+(min..max))";
  info _sloc (PLvalid
          (_2,info _sloc (PLbinop (_4, Badd, (info _sloc (PLrange((Some _6),Some _8)))))))
)
# 7553 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_427 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> INITIALIZED opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 480 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( info _sloc (PLinitialized (_2,_4)) )
# 7565 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_428 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> DANGLING opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 481 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( info _sloc (PLdangling (_2,_4)) )
# 7577 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_429 =
  fun _2 _4 _6 _endpos__7_ _startpos__1_ ->
    (* lexpr_inner -> FRESH opt_label_2 LPAR lexpr COMMA lexpr RPAR *)
    let _endpos = _endpos__7_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 482 "src/kernel_internals/parsing/logic_parser.mly"
                                                ( info _sloc (PLfresh (_2,_4, _6)) )
# 7589 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_430 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> BASE_ADDR opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 483 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( info _sloc (PLbase_addr (_2,_4)) )
# 7601 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_431 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> BLOCK_LENGTH opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 484 "src/kernel_internals/parsing/logic_parser.mly"
                                           ( info _sloc (PLblock_length (_2,_4)) )
# 7613 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_432 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> OFFSET opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 485 "src/kernel_internals/parsing/logic_parser.mly"
                                     ( info _sloc (PLoffset (_2,_4)) )
# 7625 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_433 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> ALLOCABLE opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 486 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( info _sloc (PLallocable (_2,_4)) )
# 7637 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_434 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> FREEABLE opt_label_1 LPAR lexpr RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 487 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( info _sloc (PLfreeable (_2,_4)) )
# 7649 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_435 =
  fun _startpos__1_ ->
    (* lexpr_inner -> ALLOCATION opt_label_1 LPAR lexpr RPAR *)
    let _symbolstartpos = _startpos__1_ in
    (
# 489 "src/kernel_internals/parsing/logic_parser.mly"
  ( let source = pos _symbolstartpos in
    Kernel.not_yet_implemented ~source "\\allocation" )
# 7660 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_436 =
  fun _startpos__1_ ->
    (* lexpr_inner -> AUTOMATIC *)
    let _symbolstartpos = _startpos__1_ in
    (
# 491 "src/kernel_internals/parsing/logic_parser.mly"
            (
  let source = pos _symbolstartpos in
  Kernel.not_yet_implemented ~source "\\automatic" )
# 7672 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_437 =
  fun _startpos__1_ ->
    (* lexpr_inner -> DYNAMIC *)
    let _symbolstartpos = _startpos__1_ in
    (
# 494 "src/kernel_internals/parsing/logic_parser.mly"
          (
  let source = pos _symbolstartpos in
  Kernel.not_yet_implemented ~source "\\dynamic" )
# 7684 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_438 =
  fun _startpos__1_ ->
    (* lexpr_inner -> REGISTER *)
    let _symbolstartpos = _startpos__1_ in
    (
# 497 "src/kernel_internals/parsing/logic_parser.mly"
           (
  let source = pos _symbolstartpos in
  Kernel.not_yet_implemented ~source "\\register" )
# 7696 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_439 =
  fun _startpos__1_ ->
    (* lexpr_inner -> STATIC *)
    let _symbolstartpos = _startpos__1_ in
    (
# 500 "src/kernel_internals/parsing/logic_parser.mly"
         (
  let source = pos _symbolstartpos in
  Kernel.not_yet_implemented ~source "\\static" )
# 7708 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_440 =
  fun _startpos__1_ ->
    (* lexpr_inner -> UNALLOCATED *)
    let _symbolstartpos = _startpos__1_ in
    (
# 503 "src/kernel_internals/parsing/logic_parser.mly"
              (
  let source = pos _symbolstartpos in
  Kernel.not_yet_implemented ~source "\\unallocated" )
# 7720 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_441 =
  fun _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> NULL *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 506 "src/kernel_internals/parsing/logic_parser.mly"
       ( info _sloc PLnull )
# 7732 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_442 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> constant *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 507 "src/kernel_internals/parsing/logic_parser.mly"
           ( info _sloc (PLconstant _1) )
# 7744 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_443 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner PLUS lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 508 "src/kernel_internals/parsing/logic_parser.mly"
                               ( info _sloc (PLbinop (_1, Badd, _3)) )
# 7756 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_444 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner MINUS lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 509 "src/kernel_internals/parsing/logic_parser.mly"
                                ( info _sloc (PLbinop (_1, Bsub, _3)) )
# 7768 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_445 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner STAR lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 510 "src/kernel_internals/parsing/logic_parser.mly"
                               ( info _sloc (PLbinop (_1, Bmul, _3)) )
# 7780 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_446 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner SLASH lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 511 "src/kernel_internals/parsing/logic_parser.mly"
                                ( info _sloc (PLbinop (_1, Bdiv, _3)) )
# 7792 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_447 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner PERCENT lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 512 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( info _sloc (PLbinop (_1, Bmod, _3)) )
# 7804 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_448 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner STARHAT lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 513 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( info _sloc (PLrepeat (_1, _3)) )
# 7816 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_449 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner ARROW identifier_or_typename_full *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 514 "src/kernel_internals/parsing/logic_parser.mly"
                                                ( info _sloc (PLarrow (_1, _3)) )
# 7828 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_450 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner DOT identifier_or_typename_full *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 515 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( info _sloc (PLdot (_1, _3)) )
# 7840 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_451 =
  fun _1 _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner LSQUARE range RSQUARE *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 516 "src/kernel_internals/parsing/logic_parser.mly"
                                    ( info _sloc (PLarrget (_1, _3)) )
# 7852 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_452 =
  fun _1 _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner LSQUARE lexpr RSQUARE *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 517 "src/kernel_internals/parsing/logic_parser.mly"
                                    ( info _sloc (PLarrget (_1, _3)) )
# 7864 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_453 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> LSQUAREPIPE lexpr_list RSQUAREPIPE *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 518 "src/kernel_internals/parsing/logic_parser.mly"
                                     ( info _sloc (PLlist _2) )
# 7876 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_454 =
  fun _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_inner -> MINUS lexpr_inner *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 519 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( info _sloc (PLunop (Uminus, _2)) )
# 7888 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_455 =
  fun _2 ->
    (* lexpr_inner -> PLUS lexpr_inner *)
    (
# 520 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( _2 )
# 7897 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_456 =
  fun _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_inner -> TILDE lexpr_inner *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 521 "src/kernel_internals/parsing/logic_parser.mly"
                    ( info _sloc (PLunop (Ubw_not, _2)) )
# 7909 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_457 =
  fun _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_inner -> STAR lexpr_inner *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 522 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( info _sloc (PLunop (Ustar, _2)) )
# 7921 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_458 =
  fun _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_inner -> AMP lexpr_inner *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 523 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( info _sloc (PLunop (Uamp, _2)) )
# 7933 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_459 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> SIZEOF LPAR lexpr RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 524 "src/kernel_internals/parsing/logic_parser.mly"
                         ( info _sloc (PLsizeofE _3) )
# 7945 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_460 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> SIZEOF LPAR cast_logic_type RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 525 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( info _sloc (PLsizeof _3) )
# 7957 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_461 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> OLD LPAR lexpr RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 526 "src/kernel_internals/parsing/logic_parser.mly"
                      ( info _sloc (PLold _3) )
# 7969 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_462 =
  fun _3 _5 _endpos__6_ _startpos__1_ ->
    (* lexpr_inner -> AT LPAR lexpr COMMA label_name RPAR *)
    let _endpos = _endpos__6_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 527 "src/kernel_internals/parsing/logic_parser.mly"
                                      ( info _sloc (PLat (_3, _5)) )
# 7981 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_463 =
  fun _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> RESULT *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 528 "src/kernel_internals/parsing/logic_parser.mly"
         ( info _sloc PLresult )
# 7993 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_464 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> SEPARATED LPAR ne_lexpr_list RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 530 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLseparated _3) )
# 8005 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_465 =
  fun _1 _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> full_identifier LPAR ne_lexpr_list RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 532 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLapp (_1, [], _3)) )
# 8017 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_466 =
  fun _1 _3 _6 _endpos__7_ _startpos__1_ ->
    (* lexpr_inner -> full_identifier LBRACE ne_label_args RBRACE LPAR ne_lexpr_list RPAR *)
    let _endpos = _endpos__7_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 534 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLapp (_1, _3, _6)) )
# 8029 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_467 =
  fun _1 _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> full_identifier LBRACE ne_label_args RBRACE *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 536 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLapp (_1, _3, [])) )
# 8041 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_468 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> full_identifier *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 537 "src/kernel_internals/parsing/logic_parser.mly"
                   ( info _sloc (PLvar _1) )
# 8053 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_469 =
  fun _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> PI *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 538 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLvar "\\pi") )
# 8065 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_470 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner GTGT lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 539 "src/kernel_internals/parsing/logic_parser.mly"
                               ( info _sloc (PLbinop (_1, Brshift, _3)))
# 8077 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_471 =
  fun _1 _3 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> lexpr_inner LTLT lexpr_inner *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 540 "src/kernel_internals/parsing/logic_parser.mly"
                               ( info _sloc (PLbinop (_1, Blshift, _3)))
# 8089 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_472 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> LPAR lexpr RPAR *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 541 "src/kernel_internals/parsing/logic_parser.mly"
                  ( info _sloc _2.lexpr_node )
# 8101 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_473 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> LPAR range RPAR *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 542 "src/kernel_internals/parsing/logic_parser.mly"
                  ( info _sloc _2.lexpr_node )
# 8113 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_474 =
  fun _2 _4 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> LPAR cast_logic_type RPAR lexpr_inner *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 544 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLcast (_2, _4)) )
# 8125 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_475 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> TYPEOF LPAR lexpr RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 545 "src/kernel_internals/parsing/logic_parser.mly"
                         ( info _sloc (PLtypeof _3) )
# 8137 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_476 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> BSTYPE LPAR type_spec(typename) RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 546 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( info _sloc (PLtype _3) )
# 8149 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_477 =
  fun _3 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> BSTYPE LPAR type_spec(typename) stars RPAR *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 547 "src/kernel_internals/parsing/logic_parser.mly"
                                             ( info _sloc (PLtype (_4 _3)) )
# 8161 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_478 =
  fun _endpos__1_ _startpos__1_ ->
    (* lexpr_inner -> EMPTY *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 549 "src/kernel_internals/parsing/logic_parser.mly"
        ( info _sloc PLempty )
# 8173 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_479 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> BSUNION LPAR lexpr_list RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 550 "src/kernel_internals/parsing/logic_parser.mly"
                               ( info _sloc (PLunion _3) )
# 8185 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_480 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* lexpr_inner -> INTER LPAR lexpr_list RPAR *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 551 "src/kernel_internals/parsing/logic_parser.mly"
                             ( info _sloc (PLinter _3) )
# 8197 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_481 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> LBRACE lexpr_list RBRACE *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 553 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLset (_2)) )
# 8209 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_482 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> LBRACE lexpr PIPE binders RBRACE *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 555 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLcomprehension (_2,_4,None)) )
# 8221 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_483 =
  fun _2 _4 _6 _endpos__7_ _startpos__1_ ->
    (* lexpr_inner -> LBRACE lexpr PIPE binders SEMICOLON lexpr RBRACE *)
    let _endpos = _endpos__7_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 557 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLcomprehension (_2,_4,Some _6)) )
# 8233 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_484 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> LBRACE field_init RBRACE *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 560 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLinitField(_2)) )
# 8245 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_485 =
  fun _2 _endpos__3_ _startpos__1_ ->
    (* lexpr_inner -> LBRACE array_init RBRACE *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 562 "src/kernel_internals/parsing/logic_parser.mly"
      ( info _sloc (PLinitIndex(_2)) )
# 8257 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_486 =
  fun _2 _4 _endpos__5_ _startpos__1_ ->
    (* lexpr_inner -> LBRACE lexpr WITH update RBRACE *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 564 "src/kernel_internals/parsing/logic_parser.mly"
      ( List.fold_left
	  (fun a (path,upd_val) -> info _sloc (PLupdate(a,path,upd_val))) _2 _4 )
# 8270 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_487 =
  fun () ->
    (* lexpr_list -> *)
    (
# 334 "src/kernel_internals/parsing/logic_parser.mly"
                ( [] )
# 8279 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_488 =
  fun _1 ->
    (* lexpr_list -> ne_lexpr_list *)
    (
# 335 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 8288 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_489 =
  fun () ->
    (* lexpr_option -> *)
    (
# 348 "src/kernel_internals/parsing/logic_parser.mly"
                ( None )
# 8297 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr option))

let _menhir_action_490 =
  fun _1 ->
    (* lexpr_option -> lexpr *)
    (
# 349 "src/kernel_internals/parsing/logic_parser.mly"
                ( Some _1 )
# 8306 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr option))

let _menhir_action_491 =
  fun _1 ->
    (* lexpr_rel -> lexpr_end_rel *)
    (
# 383 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 8315 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_492 =
  fun _1 _2 _endpos__2_ _startpos__1_ ->
    (* lexpr_rel -> lexpr_inner rel_list *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 385 "src/kernel_internals/parsing/logic_parser.mly"
      ( let rel, rhs, _, oth_rel = _2 in
        let loc = loc_start _1, loc_end rhs in
        let relation = loc_info loc (PLrel(_1,rel,rhs)) in
        match oth_rel with
            None -> relation
          | Some oth_relation -> info _sloc (pland relation oth_relation)
      )
# 8333 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_493 =
  fun _1 ->
    (* logic_decl -> logic_def *)
    (
# 1740 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 8342 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_494 =
  fun _2 _3 _4 _5 ->
    (* logic_decl -> LOGIC logic_rt_type poly_id opt_parameters reads_clause SEMICOLON *)
    (
# 1743 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id, labels, tvars) = _3 in
      exit_type_variables_scope ();
      LDlogic_reads (id, labels, tvars, _2, _4, _5) )
# 8353 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_495 =
  fun _2 _3 _4 ->
    (* logic_decl -> PREDICATE poly_id opt_parameters reads_clause SEMICOLON *)
    (
# 1748 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      LDpredicate_reads (id, labels, tvars, _3, _4) )
# 8364 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_496 =
  fun _2 ->
    (* logic_decl -> TYPE poly_id_type SEMICOLON *)
    (
# 1753 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,tvars) = _2 in
      Logic_env.add_typename id;
      exit_type_variables_scope ();
      LDtype(id,tvars,None) )
# 8376 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_497 =
  fun _2 _4 ->
    (* logic_decl -> AXIOM poly_id COLON lexpr SEMICOLON *)
    (
# 1759 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      LDlemma (id, labels, tvars, toplevel_pred Admit _4) )
# 8387 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_498 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* logic_decl_loc -> logic_decl *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1765 "src/kernel_internals/parsing/logic_parser.mly"
             ( loc_decl _sloc _1 )
# 8399 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl))

let _menhir_action_499 =
  fun () ->
    (* logic_decls -> *)
    (
# 1734 "src/kernel_internals/parsing/logic_parser.mly"
    ( [] )
# 8408 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl list))

let _menhir_action_500 =
  fun _1 _2 ->
    (* logic_decls -> logic_decl_loc logic_decls *)
    (
# 1736 "src/kernel_internals/parsing/logic_parser.mly"
    ( _1::_2 )
# 8417 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl list))

let _menhir_action_501 =
  fun _2 _3 _4 _6 ->
    (* logic_def -> LOGIC logic_rt_type poly_id opt_parameters EQUAL lexpr SEMICOLON *)
    (
# 1663 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id, labels, tvars) = _3 in
      exit_type_variables_scope ();
      LDlogic_def (id, labels, tvars, _2, _4, _6) )
# 8428 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_502 =
  fun _2 _3 _5 ->
    (* logic_def -> PREDICATE poly_id opt_parameters EQUAL lexpr SEMICOLON *)
    (
# 1668 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      LDpredicate_def (id, labels, tvars, _3, _5) )
# 8439 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_503 =
  fun cases params pred ->
    (* logic_def -> INDUCTIVE poly_id parameters midrule(__anonymous_0) LBRACE indcases RBRACE *)
    (
# 1675 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = pred in
      LDinductive_def(id, labels, tvars, params, cases) )
# 8449 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_504 =
  fun _2 _4 ->
    (* logic_def -> LEMMA poly_id COLON lexpr SEMICOLON *)
    (
# 1678 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      LDlemma (id, labels, tvars, toplevel_pred Assert _4) )
# 8460 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_505 =
  fun _2 _4 ->
    (* logic_def -> CHECK_LEMMA poly_id COLON lexpr SEMICOLON *)
    (
# 1682 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      LDlemma (id, labels, tvars, toplevel_pred Check _4) )
# 8471 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_506 =
  fun _2 _4 ->
    (* logic_def -> ADMIT_LEMMA poly_id COLON lexpr SEMICOLON *)
    (
# 1686 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (id,labels,tvars) = _2 in
      exit_type_variables_scope ();
      LDlemma (id, labels, tvars, toplevel_pred Admit _4) )
# 8482 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_507 =
  fun _2 _4 ->
    (* logic_def -> AXIOMATIC any_identifier LBRACE logic_decls RBRACE *)
    (
# 1690 "src/kernel_internals/parsing/logic_parser.mly"
    ( LDaxiomatic(_2,_4) )
# 8491 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_508 =
  fun _2 _4 ->
    (* logic_def -> TYPE poly_id_type_add_typename EQUAL typedef SEMICOLON *)
    (
# 1692 "src/kernel_internals/parsing/logic_parser.mly"
        ( let (id,tvars) = _2 in
          exit_type_variables_scope ();
          LDtype(id,tvars,Some _4)
        )
# 8503 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.decl_node))

let _menhir_action_509 =
  fun _1 ->
    (* logic_rt_type -> logic_type_gen(identifier_or_typename) *)
    (
# 758 "src/kernel_internals/parsing/logic_parser.mly"
                                         ( _1 )
# 8512 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_510 =
  fun _1 ->
    (* logic_type -> logic_type_gen(typename) *)
    (
# 737 "src/kernel_internals/parsing/logic_parser.mly"
                                     ( _1 )
# 8521 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_511 =
  fun _1 _2 ->
    (* logic_type_gen(TYPENAME) -> type_spec(TYPENAME) abs_spec_option *)
    (
# 729 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( _2 _1 )
# 8530 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_512 =
  fun _1 _2 ->
    (* logic_type_gen(identifier_or_typename) -> type_spec(identifier_or_typename) abs_spec_option *)
    (
# 729 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( _2 _1 )
# 8539 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_513 =
  fun _1 _2 ->
    (* logic_type_gen(typename) -> type_spec(typename) abs_spec_option *)
    (
# 729 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( _2 _1 )
# 8548 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_514 =
  fun _2 ->
    (* loop_allocation -> LOOP allocation SEMICOLON *)
    (
# 1426 "src/kernel_internals/parsing/logic_parser.mly"
                            ( _2 )
# 8557 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation))

let _menhir_action_515 =
  fun () ->
    (* loop_annot_opt -> *)
    (
# 1416 "src/kernel_internals/parsing/logic_parser.mly"
    ( ([], FreeAllocAny, WritesAny, [], [], [], []) )
# 8566 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_516 =
  fun _1 ->
    (* loop_annot_opt -> loop_annot_stack *)
    (
# 1418 "src/kernel_internals/parsing/logic_parser.mly"
    ( _1 )
# 8578 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_517 =
  fun _1 _2 ->
    (* loop_annot_stack -> loop_invariant loop_annot_opt *)
    (
# 1367 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (i,fa,a,b,v,p,e) = _2 in (_1::i,fa,a,b,v,p,e) )
# 8590 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_518 =
  fun _1 _2 _endpos__2_ _startpos__1_ ->
    (* loop_annot_stack -> loop_effects loop_annot_opt *)
    let _endpos = _endpos__2_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1369 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (i,fa,a,b,v,p,e) = _2 in (i,fa,concat_assigns _sloc a _1,b,v,p,e) )
# 8605 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_519 =
  fun _1 _2 ->
    (* loop_annot_stack -> loop_allocation loop_annot_opt *)
    (
# 1371 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (i,fa,a,b,v,p,e) = _2 in (i,concat_allocation fa _1,a,b,v,p,e) )
# 8617 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_520 =
  fun _2 _4 _endpos__4_ _startpos__1_ ->
    (* loop_annot_stack -> FOR ne_behavior_name_list COLON loop_annot_stack *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1373 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (i,fa,a,b,v,p,e) = _4 in
      let behav = _2 in
      let invs = List.map (fun i -> AInvariant(behav,true,i)) i in
      let ext = List.map (fun x -> AExtended(behav,true,x)) e in
      let oth = concat_loop_assigns_allocation _sloc b behav a fa in
      ([],FreeAllocAny,WritesAny,invs@ext@oth,v,p,[])
    )
# 8638 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_521 =
  fun _1 _2 ->
    (* loop_annot_stack -> loop_variant loop_annot_opt *)
    (
# 1381 "src/kernel_internals/parsing/logic_parser.mly"
    ( let pos,loop_variant = _1 in
      let (i,fa,a,b,v,p,e) = _2 in
      check_empty
        (pos,"loop invariant is not allowed after loop variant.") i ;
      check_empty
        (pos, "loop extension is not allowed after loop variant.") e;
      (match fa with
        | FreeAlloc(f,a) ->
	    check_empty
              (pos,"loop frees is not allowed after loop variant.") f ;
	    check_empty
              (pos,"loop allocates is not allowed after loop variant.") a
        | FreeAllocAny -> ());
      (match a with
          WritesAny -> ()
        | Writes _ ->
          raise
            (Not_well_formed
               (pos,"loop assigns is not allowed after loop variant.")));
      check_empty
        (pos,"loop behavior is not allowed after loop variant.") b ;
      check_empty
        (pos,"loop annotations can have at most one variant.") v ;
      (i,fa,a,b,AVariant loop_variant::v,p,e) )
# 8673 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_522 =
  fun _1 _2 ->
    (* loop_annot_stack -> loop_pragma loop_annot_opt *)
    (
# 1406 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (i,fa,a,b,v,p,e) = _2 in (i,fa,a,b,v,APragma (Loop_pragma _1)::p,e) )
# 8685 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_523 =
  fun _1 _2 ->
    (* loop_annot_stack -> loop_grammar_extension loop_annot_opt *)
    (
# 1407 "src/kernel_internals/parsing/logic_parser.mly"
                                        (
    let (i,fa,a,b,v,p,e) = _2 in
    (i,fa,a,b,v,p, _1::e)
  )
# 8700 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_524 =
  fun _4 content id ->
    (* loop_annot_stack -> LOOP IDENTIFIER_EXT extension_content SEMICOLON loop_annot_opt *)
    let _2 = 
# 924 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( (id,content) )
# 8712 "src/kernel_internals/parsing/logic_parser.ml"
     in
    (
# 1411 "src/kernel_internals/parsing/logic_parser.mly"
                                                  ( _4 )
# 8717 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list * Logic_ptree.allocation *
  Logic_ptree.assigns * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.extension list))

let _menhir_action_525 =
  fun _1 ->
    (* loop_annotations -> loop_annot_stack *)
    (
# 1346 "src/kernel_internals/parsing/logic_parser.mly"
    ( let (i,fa,a,b,v,p, e) = _1 in
      let invs = List.map (fun i -> AInvariant([],true,i)) i in
      let ext = List.map (fun x -> AExtended([],true, x)) e in
      let oth = match a with
        | WritesAny -> b
        | Writes _ ->
            (* by definition all existing AAssigns are tied to at least
               one behavior. No need to merge against them. *)
            AAssigns ([],a)::b
      in
      let oth = match fa with
        | FreeAllocAny -> oth
        | _ -> AAllocation ([],fa)::oth
      in
	(invs@oth@ext,v,p)
    )
# 8744 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.code_annot list * Logic_ptree.code_annot list *
  Logic_ptree.code_annot list))

let _menhir_action_526 =
  fun _3 ->
    (* loop_effects -> LOOP ASSIGNS assigns SEMICOLON *)
    (
# 1422 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( _3 )
# 8754 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.lexpr * Logic_ptree.deps) list))

let _menhir_action_527 =
  fun _2 _3 _endpos__2_ _startpos__2_ ->
    (* loop_grammar_extension -> LOOP EXT_CODE_ANNOT extension_content SEMICOLON *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1441 "src/kernel_internals/parsing/logic_parser.mly"
                                                  (
  let open Cil_types in
  let ext = _2 in
  try
    begin match Logic_env.extension_category ext with
      | Ext_code_annot (Ext_next_loop | Ext_next_both) ->
        let processed = Logic_env.preprocess_extension ext _3 in
        (ext, processed)
      | Ext_code_annot (Ext_here | Ext_next_stmt) ->
        raise
          (Not_well_formed
            (loc _loc__2_, ext ^ " is not a loop annotation extension"))
      | _ -> raise Not_found
    end
  with Not_found ->
    Kernel.fatal ~source:(pos _startpos__2_)
      "%s is not a code annotation extension. Parser got wrong lexeme." ext
)
# 8781 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.extension))

let _menhir_action_528 =
  fun _3 ->
    (* loop_invariant -> LOOP INVARIANT lexpr SEMICOLON *)
    (
# 1430 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( toplevel_pred Assert _3 )
# 8790 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate))

let _menhir_action_529 =
  fun _3 ->
    (* loop_invariant -> CHECK_LOOP INVARIANT lexpr SEMICOLON *)
    (
# 1431 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( toplevel_pred Check _3 )
# 8799 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate))

let _menhir_action_530 =
  fun _3 ->
    (* loop_invariant -> ADMIT_LOOP INVARIANT lexpr SEMICOLON *)
    (
# 1432 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( toplevel_pred Admit _3 )
# 8808 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate))

let _menhir_action_531 =
  fun _3 _4 _endpos__5_ _startpos__1_ ->
    (* loop_pragma -> LOOP PRAGMA any_identifier ne_lexpr_list SEMICOLON *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1463 "src/kernel_internals/parsing/logic_parser.mly"
  ( if _3 = "UNROLL_LOOP" || _3 = "UNROLL" then
      (if _3 <> "UNROLL" then
	 Format.eprintf "Warning: use of deprecated keyword '%s'.\nShould use 'UNROLL' instead.@." _3;
       Unroll_specs _4)
    else raise (Not_well_formed (loc _sloc,"Unknown loop pragma")) )
# 8824 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.loop_pragma))

let _menhir_action_532 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* loop_variant -> LOOP VARIANT variant SEMICOLON *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1436 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( loc _sloc,_3 )
# 8836 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.location * Logic_ptree.variant))

let _menhir_action_533 =
  fun () ->
    (* midrule(__anonymous_0) -> *)
    let x = 
# 1673 "src/kernel_internals/parsing/logic_parser.mly"
            (exit_type_variables_scope())
# 8845 "src/kernel_internals/parsing/logic_parser.ml"
     in
    (
# 94 "<standard.mly>"
    ( x )
# 8850 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_534 =
  fun _2 _4 ->
    (* model_annot -> MODEL type_spec(typename) LBRACE parameter opt_semicolon RBRACE SEMICOLON *)
    (
# 1624 "src/kernel_internals/parsing/logic_parser.mly"
  ( let typ,name = _4 in
    { model_for_type = _2; model_name = name; model_type = typ; }
  )
# 8861 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.model_annot))

let _menhir_action_535 =
  fun _1 ->
    (* ne_behavior_name_list -> behavior_name *)
    (
# 1849 "src/kernel_internals/parsing/logic_parser.mly"
                                            ( [_1] )
# 8870 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_536 =
  fun _1 _3 ->
    (* ne_behavior_name_list -> behavior_name COMMA ne_behavior_name_list *)
    (
# 1850 "src/kernel_internals/parsing/logic_parser.mly"
                                            (_1 :: _3)
# 8879 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_537 =
  fun _2 _4 _5 ->
    (* ne_behaviors -> BEHAVIOR behavior_name COLON behavior_body behaviors *)
    (
# 1249 "src/kernel_internals/parsing/logic_parser.mly"
      ( let (assumes,requires,(allocation,assigns,post_cond,extended)) = _4 in
        let behaviors = _5 in
        let b =
          Cabshelper.mk_behavior
            ~name:_2
            ~assumes ~requires ~post_cond ~assigns ~allocation ~extended ()
        in b::behaviors
      )
# 8895 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.behavior list))

let _menhir_action_538 =
  fun _3 _5 ->
    (* ne_complete_or_disjoint -> COMPLETE BEHAVIORS behavior_name_list SEMICOLON complete_or_disjoint *)
    (
# 1282 "src/kernel_internals/parsing/logic_parser.mly"
      ( let complete,disjoint = _5 in _3::complete, disjoint )
# 8904 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list list * string list list))

let _menhir_action_539 =
  fun _3 _5 ->
    (* ne_complete_or_disjoint -> DISJOINT BEHAVIORS behavior_name_list SEMICOLON complete_or_disjoint *)
    (
# 1285 "src/kernel_internals/parsing/logic_parser.mly"
      ( let complete,disjoint = _5 in complete,_3::disjoint )
# 8913 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list list * string list list))

let _menhir_action_540 =
  fun _4 _endpos__3_ _startpos__3_ ->
    (* ne_complete_or_disjoint -> COMPLETE BEHAVIORS ne_behavior_name_list clause_kw *)
    let _loc__3_ = (_startpos__3_, _endpos__3_) in
    (
# 1289 "src/kernel_internals/parsing/logic_parser.mly"
                                                     ( missing _loc__3_ ";" _4 )
# 8923 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list list * string list list))

let _menhir_action_541 =
  fun _4 _endpos__3_ _startpos__3_ ->
    (* ne_complete_or_disjoint -> DISJOINT BEHAVIORS ne_behavior_name_list clause_kw *)
    let _loc__3_ = (_startpos__3_, _endpos__3_) in
    (
# 1290 "src/kernel_internals/parsing/logic_parser.mly"
                                                     ( missing _loc__3_ ";" _4 )
# 8933 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list list * string list list))

let _menhir_action_542 =
  fun _1 _2 ->
    (* ne_datacons_list -> datacons datacons_list *)
    (
# 1785 "src/kernel_internals/parsing/logic_parser.mly"
                         ( _1 :: _2 )
# 8942 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.logic_type list) list))

let _menhir_action_543 =
  fun _2 _3 ->
    (* ne_datacons_list -> PIPE datacons datacons_list *)
    (
# 1786 "src/kernel_internals/parsing/logic_parser.mly"
                              ( _2 :: _3 )
# 8951 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * Logic_ptree.logic_type list) list))

let _menhir_action_544 =
  fun _2 ->
    (* ne_decreases -> DECREASES variant SEMICOLON *)
    (
# 1183 "src/kernel_internals/parsing/logic_parser.mly"
                              ( _2 )
# 8960 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.variant))

let _menhir_action_545 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_decreases -> DECREASES variant clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1184 "src/kernel_internals/parsing/logic_parser.mly"
                              ( missing _loc__2_ ";" _3 )
# 8970 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.variant))

let _menhir_action_546 =
  fun _1 ->
    (* ne_grammar_extension -> zones *)
    (
# 1230 "src/kernel_internals/parsing/logic_parser.mly"
        ( _1 )
# 8979 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_547 =
  fun _1 ->
    (* ne_label_args -> identifier_or_typename_full *)
    (
# 571 "src/kernel_internals/parsing/logic_parser.mly"
                              ( [ _1 ] )
# 8988 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_548 =
  fun _1 _3 ->
    (* ne_label_args -> identifier_or_typename_full COMMA ne_label_args *)
    (
# 572 "src/kernel_internals/parsing/logic_parser.mly"
                                                  ( _1 :: _3 )
# 8997 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_549 =
  fun _1 ->
    (* ne_label_list -> label_name *)
    (
# 1814 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( [_1] )
# 9006 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_550 =
  fun _1 _3 ->
    (* ne_label_list -> label_name COMMA ne_label_list *)
    (
# 1815 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( _1 :: _3 )
# 9015 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_551 =
  fun _1 ->
    (* ne_lexpr_list -> lexpr *)
    (
# 339 "src/kernel_internals/parsing/logic_parser.mly"
                           ( [_1] )
# 9024 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_552 =
  fun _1 _3 ->
    (* ne_lexpr_list -> lexpr COMMA ne_lexpr_list *)
    (
# 340 "src/kernel_internals/parsing/logic_parser.mly"
                            ( _1 :: _3 )
# 9033 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_553 =
  fun l ->
    (* ne_logic_type_list(TYPENAME) -> separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) *)
    (
# 872 "src/kernel_internals/parsing/logic_parser.mly"
                                                           ( l )
# 9042 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_554 =
  fun l ->
    (* ne_logic_type_list(identifier_or_typename) -> separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) *)
    (
# 872 "src/kernel_internals/parsing/logic_parser.mly"
                                                           ( l )
# 9051 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_555 =
  fun l ->
    (* ne_logic_type_list(typename) -> separated_nonempty_list(COMMA,logic_type_gen(typename)) *)
    (
# 872 "src/kernel_internals/parsing/logic_parser.mly"
                                                           ( l )
# 9060 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_556 =
  fun _1 ->
    (* ne_parameters -> parameter *)
    (
# 716 "src/kernel_internals/parsing/logic_parser.mly"
            ( [_1] )
# 9069 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type * string) list))

let _menhir_action_557 =
  fun _1 _3 ->
    (* ne_parameters -> parameter COMMA ne_parameters *)
    (
# 717 "src/kernel_internals/parsing/logic_parser.mly"
                                ( _1 :: _3 )
# 9078 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type * string) list))

let _menhir_action_558 =
  fun _2 _4 ->
    (* ne_requires -> REQUIRES lexpr SEMICOLON requires *)
    (
# 1159 "src/kernel_internals/parsing/logic_parser.mly"
                                    ( toplevel_pred Assert _2::_4 )
# 9087 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_559 =
  fun _2 _4 ->
    (* ne_requires -> CHECK_REQUIRES lexpr SEMICOLON requires *)
    (
# 1160 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( toplevel_pred Check _2 :: _4 )
# 9096 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_560 =
  fun _2 _4 ->
    (* ne_requires -> ADMIT_REQUIRES lexpr SEMICOLON requires *)
    (
# 1161 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( toplevel_pred Admit _2 :: _4 )
# 9105 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_561 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_requires -> REQUIRES lexpr clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1162 "src/kernel_internals/parsing/logic_parser.mly"
                           ( missing _loc__2_ ";" _3 )
# 9115 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_562 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_requires -> CHECK_REQUIRES lexpr clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1163 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( missing _loc__2_ ";" _3 )
# 9125 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_563 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_requires -> ADMIT_REQUIRES lexpr clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1164 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( missing _loc__2_ ";" _3 )
# 9135 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_564 =
  fun _1 _2 _4 ->
    (* ne_simple_clauses -> post_cond_kind lexpr SEMICOLON simple_clauses *)
    (
# 1203 "src/kernel_internals/parsing/logic_parser.mly"
    ( let tp_kind, kind = _1 in
      let allocation,assigns,post_cond,extended = snd _4 in
      allocation,assigns,
      ((kind,toplevel_pred tp_kind _2)::post_cond),extended )
# 9147 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_565 =
  fun _1 _3 ->
    (* ne_simple_clauses -> allocation SEMICOLON simple_clauses *)
    (
# 1208 "src/kernel_internals/parsing/logic_parser.mly"
    ( let allocation,assigns,post_cond,extended = snd _3 in
      let a = concat_allocation allocation _1 in
      a,assigns,post_cond,extended
    )
# 9161 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_566 =
  fun _2 _4 _endpos__4_ _startpos__1_ ->
    (* ne_simple_clauses -> ASSIGNS assigns SEMICOLON simple_clauses *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1213 "src/kernel_internals/parsing/logic_parser.mly"
    ( let allocation,assigns,post_cond,extended = snd _4 in
      let a = concat_assigns _sloc assigns _2
      in allocation,a,post_cond,extended
    )
# 9178 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_567 =
  fun _3 content id ->
    (* ne_simple_clauses -> IDENTIFIER_EXT extension_content SEMICOLON simple_clauses *)
    let _1 = 
# 924 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( (id,content) )
# 9189 "src/kernel_internals/parsing/logic_parser.ml"
     in
    (
# 1217 "src/kernel_internals/parsing/logic_parser.mly"
                                             ( snd _3 )
# 9194 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_568 =
  fun _1 _2 _4 ->
    (* ne_simple_clauses -> EXT_CONTRACT extension_content SEMICOLON simple_clauses *)
    (
# 1219 "src/kernel_internals/parsing/logic_parser.mly"
    ( let allocation,assigns,post_cond,extended = snd _4 in
      let processed = Logic_env.preprocess_extension _1 _2 in
      allocation,assigns,post_cond,(_1,processed)::extended
    )
# 9208 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_569 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_simple_clauses -> post_cond_kind lexpr clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1223 "src/kernel_internals/parsing/logic_parser.mly"
                                 ( missing _loc__2_ ";" _3 )
# 9220 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_570 =
  fun _2 _endpos__1_ _startpos__1_ ->
    (* ne_simple_clauses -> allocation clause_kw *)
    let _loc__1_ = (_startpos__1_, _endpos__1_) in
    (
# 1224 "src/kernel_internals/parsing/logic_parser.mly"
                       ( missing _loc__1_ ";" _2 )
# 9232 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_571 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_simple_clauses -> ASSIGNS assigns clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1225 "src/kernel_internals/parsing/logic_parser.mly"
                            ( missing _loc__2_ ";" _3 )
# 9244 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_572 =
  fun _3 _endpos__1_ _startpos__1_ ->
    (* ne_simple_clauses -> EXT_CONTRACT ne_grammar_extension clause_kw *)
    let _loc__1_ = (_startpos__1_, _endpos__1_) in
    (
# 1226 "src/kernel_internals/parsing/logic_parser.mly"
                                              ( missing _loc__1_ ";" _3 )
# 9256 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.allocation * Logic_ptree.assigns *
  (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
  Logic_ptree.extension list))

let _menhir_action_573 =
  fun _2 ->
    (* ne_terminates -> TERMINATES lexpr SEMICOLON *)
    (
# 1173 "src/kernel_internals/parsing/logic_parser.mly"
                             ( _2 )
# 9267 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_574 =
  fun _3 _endpos__2_ _startpos__2_ ->
    (* ne_terminates -> TERMINATES lexpr clause_kw *)
    let _loc__2_ = (_startpos__2_, _endpos__2_) in
    (
# 1174 "src/kernel_internals/parsing/logic_parser.mly"
                             ( missing _loc__2_ ";" _3 )
# 9277 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_575 =
  fun _1 ->
    (* ne_tvar_list -> full_identifier *)
    (
# 1809 "src/kernel_internals/parsing/logic_parser.mly"
                                     ( [_1] )
# 9286 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_576 =
  fun _1 _3 ->
    (* ne_tvar_list -> full_identifier COMMA ne_tvar_list *)
    (
# 1810 "src/kernel_internals/parsing/logic_parser.mly"
                                     ( _1 :: _3 )
# 9295 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_577 =
  fun _1 ->
    (* ne_type_list -> logic_type *)
    (
# 1795 "src/kernel_internals/parsing/logic_parser.mly"
             ( [_1] )
# 9304 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_578 =
  fun _1 _3 ->
    (* ne_type_list -> logic_type COMMA ne_type_list *)
    (
# 1796 "src/kernel_internals/parsing/logic_parser.mly"
                                ( _1::_3 )
# 9313 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_579 =
  fun _1 ->
    (* ne_zones -> ne_lexpr_list *)
    (
# 1306 "src/kernel_internals/parsing/logic_parser.mly"
                ( _1 )
# 9322 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_580 =
  fun _1 ->
    (* non_logic_keyword -> c_keyword *)
    (
# 2010 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 9331 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_581 =
  fun _1 ->
    (* non_logic_keyword -> acsl_c_keyword *)
    (
# 2011 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 9340 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_582 =
  fun _1 ->
    (* non_logic_keyword -> is_ext_spec *)
    (
# 2012 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 9349 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_583 =
  fun _1 ->
    (* non_logic_keyword -> is_acsl_spec *)
    (
# 2013 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 9358 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_584 =
  fun _1 ->
    (* non_logic_keyword -> is_acsl_decl_or_code_annot *)
    (
# 2014 "src/kernel_internals/parsing/logic_parser.mly"
                             ( _1 )
# 9367 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_585 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* opt_label_1 -> opt_label_list *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = if _startpos__1_ != _endpos__1_ then
      _startpos__1_
    else
      _endpos in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1819 "src/kernel_internals/parsing/logic_parser.mly"
                 ( match _1 with
		     | [] -> None
		     | l::[] -> Some l
		     | _ -> raise (Not_well_formed (loc _sloc,"Only one label is allowed")) )
# 9385 "src/kernel_internals/parsing/logic_parser.ml"
     : (string option))

let _menhir_action_586 =
  fun _1 _endpos__1_ _startpos__1_ ->
    (* opt_label_2 -> opt_label_list *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = if _startpos__1_ != _endpos__1_ then
      _startpos__1_
    else
      _endpos in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1826 "src/kernel_internals/parsing/logic_parser.mly"
                 ( match _1 with
		     | [] -> None
		     | l1::l2::[] -> Some (l1,l2)
		     | _::[] -> raise (Not_well_formed (loc _sloc,"One label is missing"))
		     | _ -> raise (Not_well_formed (loc _sloc,"Only two labels are allowed")) )
# 9404 "src/kernel_internals/parsing/logic_parser.ml"
     : ((string * string) option))

let _menhir_action_587 =
  fun () ->
    (* opt_label_list -> *)
    (
# 1834 "src/kernel_internals/parsing/logic_parser.mly"
                              ( [] )
# 9413 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_588 =
  fun _2 ->
    (* opt_label_list -> LBRACE ne_label_list RBRACE *)
    (
# 1835 "src/kernel_internals/parsing/logic_parser.mly"
                              ( _2 )
# 9422 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_589 =
  fun () ->
    (* opt_parameters -> *)
    (
# 1652 "src/kernel_internals/parsing/logic_parser.mly"
              ( [] )
# 9431 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type * string) list))

let _menhir_action_590 =
  fun _1 ->
    (* opt_parameters -> parameters *)
    (
# 1653 "src/kernel_internals/parsing/logic_parser.mly"
             ( _1 )
# 9440 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type * string) list))

let _menhir_action_591 =
  fun () ->
    (* opt_semicolon -> *)
    (
# 1618 "src/kernel_internals/parsing/logic_parser.mly"
                ( )
# 9449 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_592 =
  fun () ->
    (* opt_semicolon -> SEMICOLON *)
    (
# 1619 "src/kernel_internals/parsing/logic_parser.mly"
            ( )
# 9458 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_593 =
  fun _1 _2 ->
    (* parameter -> type_spec(identifier_or_typename) var_spec *)
    (
# 722 "src/kernel_internals/parsing/logic_parser.mly"
  ( let (modif, name) = _2 in (modif _1, name))
# 9467 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type * string))

let _menhir_action_594 =
  fun _2 ->
    (* parameters -> LPAR ne_parameters RPAR *)
    (
# 1657 "src/kernel_internals/parsing/logic_parser.mly"
                          ( _2 )
# 9476 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type * string) list))

let _menhir_action_595 =
  fun _1 ->
    (* path -> path_elt *)
    (
# 627 "src/kernel_internals/parsing/logic_parser.mly"
                ( [_1] )
# 9485 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.path_elt list))

let _menhir_action_596 =
  fun _1 _2 ->
    (* path -> path_elt path *)
    (
# 628 "src/kernel_internals/parsing/logic_parser.mly"
                ( _1::_2 )
# 9494 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.path_elt list))

let _menhir_action_597 =
  fun _1 ->
    (* path_elt -> field_path_elt *)
    (
# 632 "src/kernel_internals/parsing/logic_parser.mly"
                 ( PLpathField _1 )
# 9503 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.path_elt))

let _menhir_action_598 =
  fun _1 ->
    (* path_elt -> array_path_elt *)
    (
# 633 "src/kernel_internals/parsing/logic_parser.mly"
                 ( PLpathIndex _1 )
# 9512 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.path_elt))

let _menhir_action_599 =
  fun _1 ->
    (* poly_id -> poly_id_type *)
    (
# 1644 "src/kernel_internals/parsing/logic_parser.mly"
               ( let (id,tvar) = _1 in (id,[],tvar) )
# 9521 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * string list * string list))

let _menhir_action_600 =
  fun _1 _3 ->
    (* poly_id -> full_identifier LBRACE ne_label_list RBRACE *)
    (
# 1646 "src/kernel_internals/parsing/logic_parser.mly"
      ( enter_type_variables_scope []; (_1,_3,[]) )
# 9530 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * string list * string list))

let _menhir_action_601 =
  fun _1 _3 _6 ->
    (* poly_id -> full_identifier LBRACE ne_label_list RBRACE LT ne_tvar_list GT *)
    (
# 1648 "src/kernel_internals/parsing/logic_parser.mly"
      ( enter_type_variables_scope _6; _1,_3,_6 )
# 9539 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * string list * string list))

let _menhir_action_602 =
  fun _1 ->
    (* poly_id_type -> full_identifier *)
    (
# 1631 "src/kernel_internals/parsing/logic_parser.mly"
    ( enter_type_variables_scope []; (_1,[]) )
# 9548 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * string list))

let _menhir_action_603 =
  fun _1 _3 ->
    (* poly_id_type -> full_identifier LT ne_tvar_list GT *)
    (
# 1633 "src/kernel_internals/parsing/logic_parser.mly"
        ( enter_type_variables_scope _3; (_1,_3) )
# 9557 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * string list))

let _menhir_action_604 =
  fun _1 ->
    (* poly_id_type_add_typename -> poly_id_type *)
    (
# 1640 "src/kernel_internals/parsing/logic_parser.mly"
               ( let (id,_) = _1 in Logic_env.add_typename id; _1 )
# 9566 "src/kernel_internals/parsing/logic_parser.ml"
     : (string * string list))

let _menhir_action_605 =
  fun () ->
    (* post_cond -> ENSURES *)
    (
# 1926 "src/kernel_internals/parsing/logic_parser.mly"
          ( (Assert,Normal), "ensures" )
# 9575 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_606 =
  fun () ->
    (* post_cond -> EXITS *)
    (
# 1927 "src/kernel_internals/parsing/logic_parser.mly"
          ( (Assert,Exits), "exits" )
# 9584 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_607 =
  fun () ->
    (* post_cond -> BREAKS *)
    (
# 1928 "src/kernel_internals/parsing/logic_parser.mly"
          ( (Assert,Breaks), "breaks" )
# 9593 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_608 =
  fun () ->
    (* post_cond -> CONTINUES *)
    (
# 1929 "src/kernel_internals/parsing/logic_parser.mly"
            ( (Assert,Continues), "continues" )
# 9602 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_609 =
  fun () ->
    (* post_cond -> RETURNS *)
    (
# 1930 "src/kernel_internals/parsing/logic_parser.mly"
          ( (Assert,Returns), "returns" )
# 9611 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_610 =
  fun () ->
    (* post_cond -> CHECK_ENSURES *)
    (
# 1931 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Check,Normal), "check ensures" )
# 9620 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_611 =
  fun () ->
    (* post_cond -> CHECK_EXITS *)
    (
# 1932 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Check,Exits), "check exits" )
# 9629 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_612 =
  fun () ->
    (* post_cond -> CHECK_BREAKS *)
    (
# 1933 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Check,Breaks), "check breaks" )
# 9638 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_613 =
  fun () ->
    (* post_cond -> CHECK_CONTINUES *)
    (
# 1934 "src/kernel_internals/parsing/logic_parser.mly"
                  ( (Check,Continues), "check continues" )
# 9647 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_614 =
  fun () ->
    (* post_cond -> CHECK_RETURNS *)
    (
# 1935 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Check,Returns), "check returns" )
# 9656 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_615 =
  fun () ->
    (* post_cond -> ADMIT_ENSURES *)
    (
# 1936 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Admit,Normal), "admit ensures" )
# 9665 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_616 =
  fun () ->
    (* post_cond -> ADMIT_EXITS *)
    (
# 1937 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Admit,Exits), "admit exits" )
# 9674 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_617 =
  fun () ->
    (* post_cond -> ADMIT_BREAKS *)
    (
# 1938 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Admit,Breaks), "admit breaks" )
# 9683 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_618 =
  fun () ->
    (* post_cond -> ADMIT_CONTINUES *)
    (
# 1939 "src/kernel_internals/parsing/logic_parser.mly"
                  ( (Admit,Continues), "admit continues" )
# 9692 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_619 =
  fun () ->
    (* post_cond -> ADMIT_RETURNS *)
    (
# 1940 "src/kernel_internals/parsing/logic_parser.mly"
                ( (Admit,Returns), "admit returns" )
# 9701 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Cil_types.predicate_kind * Cil_types.termination_kind) * string))

let _menhir_action_620 =
  fun _1 ->
    (* post_cond_kind -> post_cond *)
    (
# 1240 "src/kernel_internals/parsing/logic_parser.mly"
            ( fst _1 )
# 9710 "src/kernel_internals/parsing/logic_parser.ml"
     : (Cil_types.predicate_kind * Cil_types.termination_kind))

let _menhir_action_621 =
  fun _1 ->
    (* pragma_or_code_annotation -> slice_pragma *)
    (
# 1488 "src/kernel_internals/parsing/logic_parser.mly"
                   ( APragma (Slice_pragma _1) )
# 9719 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.code_annot))

let _menhir_action_622 =
  fun _1 ->
    (* pragma_or_code_annotation -> impact_pragma *)
    (
# 1489 "src/kernel_internals/parsing/logic_parser.mly"
                   ( APragma (Impact_pragma _1) )
# 9728 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.code_annot))

let _menhir_action_623 =
  fun _1 ->
    (* pragma_or_code_annotation -> code_annotation *)
    (
# 1490 "src/kernel_internals/parsing/logic_parser.mly"
                   ( _1 []  )
# 9737 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.code_annot))

let _menhir_action_624 =
  fun _1 _3 _endpos__1_ _endpos__3_ _startpos__1_ _startpos__2_ ->
    (* range -> lexpr_option DOTDOT lexpr_option *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = if _startpos__1_ != _endpos__1_ then
      _startpos__1_
    else
      _startpos__2_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 584 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( info _sloc (PLrange(_1,_3)) )
# 9752 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr))

let _menhir_action_625 =
  fun () ->
    (* reads_clause -> *)
    (
# 1770 "src/kernel_internals/parsing/logic_parser.mly"
                ( None )
# 9761 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list option))

let _menhir_action_626 =
  fun _2 ->
    (* reads_clause -> READS zones *)
    (
# 1771 "src/kernel_internals/parsing/logic_parser.mly"
              ( Some _2 )
# 9770 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list option))

let _menhir_action_627 =
  fun _1 _2 ->
    (* rel_list -> relation lexpr_end_rel *)
    (
# 413 "src/kernel_internals/parsing/logic_parser.mly"
  ( _1, _2, fst(relation_sense _1 Unknown), None )
# 9779 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation * Logic_ptree.lexpr * sense_of_relation *
  Logic_ptree.lexpr option))

let _menhir_action_628 =
  fun _1 _2 _3 _endpos__3_ _startpos__1_ ->
    (* rel_list -> relation lexpr_inner rel_list *)
    let _endpos = _endpos__3_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 415 "src/kernel_internals/parsing/logic_parser.mly"
  (
    let next_rel, rhs, sense, oth_rel = _3 in
    let (sense, correct) = relation_sense _1 sense
    in
    if correct then
      let loc = loc_start _2, loc_end rhs in
      let my_rel = loc_info loc (PLrel(_2,next_rel,rhs)) in
      let oth_rel = match oth_rel with
          None -> my_rel
        | Some rel ->
	    let loc = loc_start _2, loc_end rel in
	    loc_info loc (pland my_rel rel)
      in
      _1,_2,sense,Some oth_rel
    else begin
      let loc = loc _sloc in
      raise (Not_well_formed(loc,"Inconsistent relation chain."));
    end
  )
# 9810 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation * Logic_ptree.lexpr * sense_of_relation *
  Logic_ptree.lexpr option))

let _menhir_action_629 =
  fun () ->
    (* relation -> LT *)
    (
# 437 "src/kernel_internals/parsing/logic_parser.mly"
        ( Lt )
# 9820 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_630 =
  fun () ->
    (* relation -> GT *)
    (
# 438 "src/kernel_internals/parsing/logic_parser.mly"
        ( Gt )
# 9829 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_631 =
  fun () ->
    (* relation -> LE *)
    (
# 439 "src/kernel_internals/parsing/logic_parser.mly"
        ( Le )
# 9838 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_632 =
  fun () ->
    (* relation -> GE *)
    (
# 440 "src/kernel_internals/parsing/logic_parser.mly"
        ( Ge )
# 9847 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_633 =
  fun () ->
    (* relation -> EQ *)
    (
# 441 "src/kernel_internals/parsing/logic_parser.mly"
        ( Eq )
# 9856 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_634 =
  fun () ->
    (* relation -> NE *)
    (
# 442 "src/kernel_internals/parsing/logic_parser.mly"
        ( Neq )
# 9865 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_635 =
  fun _endpos__1_ _startpos__1_ ->
    (* relation -> EQUAL *)
    let _endpos = _endpos__1_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 444 "src/kernel_internals/parsing/logic_parser.mly"
        (
      let l = loc _sloc in
      raise
        (Not_well_formed(l,
                         "Assignment operators not allowed in annotations."))
    )
# 9882 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.relation))

let _menhir_action_636 =
  fun () ->
    (* requires -> *)
    (
# 1154 "src/kernel_internals/parsing/logic_parser.mly"
                ( [] )
# 9891 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_637 =
  fun _1 ->
    (* requires -> ne_requires *)
    (
# 1155 "src/kernel_internals/parsing/logic_parser.mly"
              ( _1 )
# 9900 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.toplevel_predicate list))

let _menhir_action_638 =
  fun x ->
    (* separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) -> logic_type_gen(TYPENAME) *)
    (
# 250 "<standard.mly>"
    ( [ x ] )
# 9909 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_639 =
  fun x xs ->
    (* separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) -> logic_type_gen(TYPENAME) COMMA separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) *)
    (
# 253 "<standard.mly>"
    ( x :: xs )
# 9918 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_640 =
  fun x ->
    (* separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) -> logic_type_gen(identifier_or_typename) *)
    (
# 250 "<standard.mly>"
    ( [ x ] )
# 9927 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_641 =
  fun x xs ->
    (* separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) -> logic_type_gen(identifier_or_typename) COMMA separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) *)
    (
# 253 "<standard.mly>"
    ( x :: xs )
# 9936 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_642 =
  fun x ->
    (* separated_nonempty_list(COMMA,logic_type_gen(typename)) -> logic_type_gen(typename) *)
    (
# 250 "<standard.mly>"
    ( [ x ] )
# 9945 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_643 =
  fun x xs ->
    (* separated_nonempty_list(COMMA,logic_type_gen(typename)) -> logic_type_gen(typename) COMMA separated_nonempty_list(COMMA,logic_type_gen(typename)) *)
    (
# 253 "<standard.mly>"
    ( x :: xs )
# 9954 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type list))

let _menhir_action_644 =
  fun () ->
    (* simple_clauses -> *)
    (
# 1193 "src/kernel_internals/parsing/logic_parser.mly"
                ( true,(FreeAllocAny,WritesAny,[],[]) )
# 9963 "src/kernel_internals/parsing/logic_parser.ml"
     : (bool *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)))

let _menhir_action_645 =
  fun _1 ->
    (* simple_clauses -> ne_simple_clauses *)
    (
# 1194 "src/kernel_internals/parsing/logic_parser.mly"
                    ( false,_1 )
# 9975 "src/kernel_internals/parsing/logic_parser.ml"
     : (bool *
  (Logic_ptree.allocation * Logic_ptree.assigns *
   (Cil_types.termination_kind * Logic_ptree.toplevel_predicate) list *
   Logic_ptree.extension list)))

let _menhir_action_646 =
  fun _3 _4 _endpos__5_ _startpos__1_ ->
    (* slice_pragma -> SLICE PRAGMA any_identifier lexpr SEMICOLON *)
    let _endpos = _endpos__5_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1533 "src/kernel_internals/parsing/logic_parser.mly"
    ( if _3 = "expr" then SPexpr _4
      else raise (Not_well_formed (loc _sloc, "Unknown slice pragma")) )
# 9991 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.slice_pragma))

let _menhir_action_647 =
  fun _3 _endpos__4_ _startpos__1_ ->
    (* slice_pragma -> SLICE PRAGMA any_identifier SEMICOLON *)
    let _endpos = _endpos__4_ in
    let _symbolstartpos = _startpos__1_ in
    let _sloc = (_symbolstartpos, _endpos) in
    (
# 1536 "src/kernel_internals/parsing/logic_parser.mly"
    ( if _3 = "ctrl" then SPctrl
      else if _3 = "stmt" then SPstmt
      else raise (Not_well_formed (loc _sloc, "Unknown slice pragma")) )
# 10005 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.slice_pragma))

let _menhir_action_648 =
  fun _1 ->
    (* spec -> contract EOF *)
    (
# 1054 "src/kernel_internals/parsing/logic_parser.mly"
               ( fst _1 )
# 10014 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.spec))

let _menhir_action_649 =
  fun () ->
    (* stars -> STAR *)
    (
# 802 "src/kernel_internals/parsing/logic_parser.mly"
                ( fun t -> LTpointer t )
# 10023 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_650 =
  fun _1 ->
    (* stars -> stars STAR *)
    (
# 803 "src/kernel_internals/parsing/logic_parser.mly"
                ( fun t -> (LTpointer (_1 t)) )
# 10032 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_651 =
  fun () ->
    (* stars_cv -> STAR *)
    (
# 807 "src/kernel_internals/parsing/logic_parser.mly"
                ( fun t -> LTpointer t )
# 10041 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_652 =
  fun _2 ->
    (* stars_cv -> STAR cv *)
    (
# 808 "src/kernel_internals/parsing/logic_parser.mly"
                ( fun t -> LTattribute ((LTpointer t), _2) )
# 10050 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_653 =
  fun _1 ->
    (* stars_cv -> stars_cv STAR *)
    (
# 809 "src/kernel_internals/parsing/logic_parser.mly"
                   ( fun t -> (LTpointer (_1 t)) )
# 10059 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_654 =
  fun _1 _3 ->
    (* stars_cv -> stars_cv STAR cv *)
    (
# 810 "src/kernel_internals/parsing/logic_parser.mly"
                   ( fun t -> (LTattribute ((LTpointer (_1 t)), _3)) )
# 10068 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_655 =
  fun _1 ->
    (* stmt_markup -> any_identifier *)
    (
# 1038 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 10077 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_656 =
  fun _1 ->
    (* stmt_markup -> INT_CONSTANT *)
    (
# 1039 "src/kernel_internals/parsing/logic_parser.mly"
               ( _1 )
# 10086 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_657 =
  fun _1 ->
    (* stmt_markup_attr -> stmt_markup *)
    (
# 1043 "src/kernel_internals/parsing/logic_parser.mly"
                                   ( [_1] )
# 10095 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_658 =
  fun _1 _2 ->
    (* stmt_markup_attr -> stmt_markup stmt_markup_attr *)
    (
# 1044 "src/kernel_internals/parsing/logic_parser.mly"
                               ( _1 :: _2 )
# 10104 "src/kernel_internals/parsing/logic_parser.ml"
     : (string list))

let _menhir_action_659 =
  fun _1 ->
    (* string -> STRING_LITERAL *)
    (
# 575 "src/kernel_internals/parsing/logic_parser.mly"
                 ( _1 )
# 10113 "src/kernel_internals/parsing/logic_parser.ml"
     : (bool * string))

let _menhir_action_660 =
  fun _1 _2 ->
    (* string -> string STRING_LITERAL *)
    (
# 576 "src/kernel_internals/parsing/logic_parser.mly"
                        (
      let (is_wide,prefix) = _1 in
      let (is_wide2,suffix) = _2 in
      (is_wide || is_wide2, prefix ^ suffix)
    )
# 10126 "src/kernel_internals/parsing/logic_parser.ml"
     : (bool * string))

let _menhir_action_661 =
  fun _2 ->
    (* tabs -> LSQUARE array_size RSQUARE *)
    (
# 815 "src/kernel_internals/parsing/logic_parser.mly"
    (
      fun t -> LTarray (t,_2)
    )
# 10137 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_662 =
  fun _2 _4 ->
    (* tabs -> LSQUARE array_size RSQUARE tabs *)
    (
# 819 "src/kernel_internals/parsing/logic_parser.mly"
    (
      fun t -> (LTarray (_4 t,_2))
    )
# 10148 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type -> Logic_ptree.logic_type))

let _menhir_action_663 =
  fun () ->
    (* terminates -> *)
    (
# 1168 "src/kernel_internals/parsing/logic_parser.mly"
                ( None )
# 10157 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr option))

let _menhir_action_664 =
  fun _1 ->
    (* terminates -> ne_terminates *)
    (
# 1169 "src/kernel_internals/parsing/logic_parser.mly"
                ( Some _1 )
# 10166 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr option))

let _menhir_action_665 =
  fun _3 _5 _8 ->
    (* type_annot -> TYPE INVARIANT any_identifier LPAR parameter RPAR EQUAL lexpr SEMICOLON *)
    (
# 1614 "src/kernel_internals/parsing/logic_parser.mly"
  ( let typ,name = _5 in{ inv_name = _3; this_name = name; this_type = typ; inv = _8; } )
# 10175 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.type_annot))

let _menhir_action_666 =
  fun () ->
    (* type_spec(TYPENAME) -> INTEGER *)
    (
# 825 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTinteger )
# 10184 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_667 =
  fun () ->
    (* type_spec(TYPENAME) -> REAL *)
    (
# 826 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTreal )
# 10193 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_668 =
  fun () ->
    (* type_spec(TYPENAME) -> BOOLEAN *)
    (
# 827 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTnamed (Utf8_logic.boolean,[]) )
# 10202 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_669 =
  fun () ->
    (* type_spec(TYPENAME) -> VOID *)
    (
# 828 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTvoid )
# 10211 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_670 =
  fun () ->
    (* type_spec(TYPENAME) -> BOOL *)
    (
# 829 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IBool )
# 10220 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_671 =
  fun () ->
    (* type_spec(TYPENAME) -> CHAR *)
    (
# 830 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IChar )
# 10229 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_672 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED CHAR *)
    (
# 831 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ISChar )
# 10238 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_673 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED CHAR *)
    (
# 832 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUChar )
# 10247 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_674 =
  fun () ->
    (* type_spec(TYPENAME) -> INT *)
    (
# 833 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IInt )
# 10256 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_675 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED INT *)
    (
# 834 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IInt )
# 10265 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_676 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED INT *)
    (
# 835 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUInt )
# 10274 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_677 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED *)
    (
# 836 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUInt )
# 10283 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_678 =
  fun () ->
    (* type_spec(TYPENAME) -> SHORT *)
    (
# 837 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IShort )
# 10292 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_679 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED SHORT *)
    (
# 838 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IShort )
# 10301 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_680 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED SHORT *)
    (
# 839 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUShort )
# 10310 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_681 =
  fun () ->
    (* type_spec(TYPENAME) -> SHORT INT *)
    (
# 840 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IShort )
# 10319 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_682 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED SHORT INT *)
    (
# 841 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IShort )
# 10328 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_683 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED SHORT INT *)
    (
# 842 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IUShort )
# 10337 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_684 =
  fun () ->
    (* type_spec(TYPENAME) -> LONG *)
    (
# 843 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10346 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_685 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED LONG *)
    (
# 844 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10355 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_686 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED LONG *)
    (
# 845 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IULong )
# 10364 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_687 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED LONG INT *)
    (
# 846 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10373 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_688 =
  fun () ->
    (* type_spec(TYPENAME) -> LONG INT *)
    (
# 847 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10382 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_689 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED LONG INT *)
    (
# 848 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTint IULong )
# 10391 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_690 =
  fun () ->
    (* type_spec(TYPENAME) -> LONG LONG *)
    (
# 849 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILongLong )
# 10400 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_691 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED LONG LONG *)
    (
# 851 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint ILongLong )
# 10409 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_692 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED LONG LONG *)
    (
# 853 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IULongLong )
# 10418 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_693 =
  fun () ->
    (* type_spec(TYPENAME) -> LONG LONG INT *)
    (
# 855 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTint ILongLong )
# 10427 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_694 =
  fun () ->
    (* type_spec(TYPENAME) -> SIGNED LONG LONG INT *)
    (
# 857 "src/kernel_internals/parsing/logic_parser.mly"
                        ( LTint ILongLong )
# 10436 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_695 =
  fun () ->
    (* type_spec(TYPENAME) -> UNSIGNED LONG LONG INT *)
    (
# 859 "src/kernel_internals/parsing/logic_parser.mly"
                         ( LTint IULongLong )
# 10445 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_696 =
  fun () ->
    (* type_spec(TYPENAME) -> FLOAT *)
    (
# 861 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FFloat )
# 10454 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_697 =
  fun () ->
    (* type_spec(TYPENAME) -> DOUBLE *)
    (
# 862 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FDouble )
# 10463 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_698 =
  fun () ->
    (* type_spec(TYPENAME) -> LONG DOUBLE *)
    (
# 863 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FLongDouble )
# 10472 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_699 =
  fun id ->
    (* type_spec(TYPENAME) -> STRUCT identifier_or_typename_full *)
    (
# 864 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( LTstruct id )
# 10481 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_700 =
  fun id ->
    (* type_spec(TYPENAME) -> ENUM identifier_or_typename_full *)
    (
# 865 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( LTenum id )
# 10490 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_701 =
  fun id ->
    (* type_spec(TYPENAME) -> UNION identifier_or_typename_full *)
    (
# 866 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( LTunion id )
# 10499 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_702 =
  fun name ->
    (* type_spec(TYPENAME) -> TYPENAME *)
    (
# 867 "src/kernel_internals/parsing/logic_parser.mly"
                        ( LTnamed (name,[]) )
# 10508 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_703 =
  fun name prms ->
    (* type_spec(TYPENAME) -> TYPENAME LT ne_logic_type_list(TYPENAME) GT *)
    (
# 868 "src/kernel_internals/parsing/logic_parser.mly"
                                                      ( LTnamed(name,prms) )
# 10517 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_704 =
  fun () ->
    (* type_spec(identifier_or_typename) -> INTEGER *)
    (
# 825 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTinteger )
# 10526 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_705 =
  fun () ->
    (* type_spec(identifier_or_typename) -> REAL *)
    (
# 826 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTreal )
# 10535 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_706 =
  fun () ->
    (* type_spec(identifier_or_typename) -> BOOLEAN *)
    (
# 827 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTnamed (Utf8_logic.boolean,[]) )
# 10544 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_707 =
  fun () ->
    (* type_spec(identifier_or_typename) -> VOID *)
    (
# 828 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTvoid )
# 10553 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_708 =
  fun () ->
    (* type_spec(identifier_or_typename) -> BOOL *)
    (
# 829 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IBool )
# 10562 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_709 =
  fun () ->
    (* type_spec(identifier_or_typename) -> CHAR *)
    (
# 830 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IChar )
# 10571 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_710 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED CHAR *)
    (
# 831 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ISChar )
# 10580 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_711 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED CHAR *)
    (
# 832 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUChar )
# 10589 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_712 =
  fun () ->
    (* type_spec(identifier_or_typename) -> INT *)
    (
# 833 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IInt )
# 10598 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_713 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED INT *)
    (
# 834 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IInt )
# 10607 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_714 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED INT *)
    (
# 835 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUInt )
# 10616 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_715 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED *)
    (
# 836 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUInt )
# 10625 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_716 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SHORT *)
    (
# 837 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IShort )
# 10634 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_717 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED SHORT *)
    (
# 838 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IShort )
# 10643 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_718 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED SHORT *)
    (
# 839 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUShort )
# 10652 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_719 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SHORT INT *)
    (
# 840 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IShort )
# 10661 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_720 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED SHORT INT *)
    (
# 841 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IShort )
# 10670 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_721 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED SHORT INT *)
    (
# 842 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IUShort )
# 10679 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_722 =
  fun () ->
    (* type_spec(identifier_or_typename) -> LONG *)
    (
# 843 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10688 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_723 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED LONG *)
    (
# 844 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10697 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_724 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED LONG *)
    (
# 845 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IULong )
# 10706 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_725 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED LONG INT *)
    (
# 846 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10715 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_726 =
  fun () ->
    (* type_spec(identifier_or_typename) -> LONG INT *)
    (
# 847 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 10724 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_727 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED LONG INT *)
    (
# 848 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTint IULong )
# 10733 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_728 =
  fun () ->
    (* type_spec(identifier_or_typename) -> LONG LONG *)
    (
# 849 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILongLong )
# 10742 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_729 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED LONG LONG *)
    (
# 851 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint ILongLong )
# 10751 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_730 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED LONG LONG *)
    (
# 853 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IULongLong )
# 10760 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_731 =
  fun () ->
    (* type_spec(identifier_or_typename) -> LONG LONG INT *)
    (
# 855 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTint ILongLong )
# 10769 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_732 =
  fun () ->
    (* type_spec(identifier_or_typename) -> SIGNED LONG LONG INT *)
    (
# 857 "src/kernel_internals/parsing/logic_parser.mly"
                        ( LTint ILongLong )
# 10778 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_733 =
  fun () ->
    (* type_spec(identifier_or_typename) -> UNSIGNED LONG LONG INT *)
    (
# 859 "src/kernel_internals/parsing/logic_parser.mly"
                         ( LTint IULongLong )
# 10787 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_734 =
  fun () ->
    (* type_spec(identifier_or_typename) -> FLOAT *)
    (
# 861 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FFloat )
# 10796 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_735 =
  fun () ->
    (* type_spec(identifier_or_typename) -> DOUBLE *)
    (
# 862 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FDouble )
# 10805 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_736 =
  fun () ->
    (* type_spec(identifier_or_typename) -> LONG DOUBLE *)
    (
# 863 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FLongDouble )
# 10814 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_737 =
  fun id ->
    (* type_spec(identifier_or_typename) -> STRUCT identifier_or_typename_full *)
    (
# 864 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( LTstruct id )
# 10823 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_738 =
  fun id ->
    (* type_spec(identifier_or_typename) -> ENUM identifier_or_typename_full *)
    (
# 865 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( LTenum id )
# 10832 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_739 =
  fun id ->
    (* type_spec(identifier_or_typename) -> UNION identifier_or_typename_full *)
    (
# 866 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( LTunion id )
# 10841 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_740 =
  fun name ->
    (* type_spec(identifier_or_typename) -> identifier_or_typename *)
    (
# 867 "src/kernel_internals/parsing/logic_parser.mly"
                        ( LTnamed (name,[]) )
# 10850 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_741 =
  fun name prms ->
    (* type_spec(identifier_or_typename) -> identifier_or_typename LT ne_logic_type_list(identifier_or_typename) GT *)
    (
# 868 "src/kernel_internals/parsing/logic_parser.mly"
                                                      ( LTnamed(name,prms) )
# 10859 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_742 =
  fun () ->
    (* type_spec(typename) -> INTEGER *)
    (
# 825 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTinteger )
# 10868 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_743 =
  fun () ->
    (* type_spec(typename) -> REAL *)
    (
# 826 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTreal )
# 10877 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_744 =
  fun () ->
    (* type_spec(typename) -> BOOLEAN *)
    (
# 827 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTnamed (Utf8_logic.boolean,[]) )
# 10886 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_745 =
  fun () ->
    (* type_spec(typename) -> VOID *)
    (
# 828 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTvoid )
# 10895 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_746 =
  fun () ->
    (* type_spec(typename) -> BOOL *)
    (
# 829 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IBool )
# 10904 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_747 =
  fun () ->
    (* type_spec(typename) -> CHAR *)
    (
# 830 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IChar )
# 10913 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_748 =
  fun () ->
    (* type_spec(typename) -> SIGNED CHAR *)
    (
# 831 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ISChar )
# 10922 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_749 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED CHAR *)
    (
# 832 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUChar )
# 10931 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_750 =
  fun () ->
    (* type_spec(typename) -> INT *)
    (
# 833 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IInt )
# 10940 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_751 =
  fun () ->
    (* type_spec(typename) -> SIGNED INT *)
    (
# 834 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IInt )
# 10949 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_752 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED INT *)
    (
# 835 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUInt )
# 10958 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_753 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED *)
    (
# 836 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUInt )
# 10967 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_754 =
  fun () ->
    (* type_spec(typename) -> SHORT *)
    (
# 837 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IShort )
# 10976 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_755 =
  fun () ->
    (* type_spec(typename) -> SIGNED SHORT *)
    (
# 838 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IShort )
# 10985 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_756 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED SHORT *)
    (
# 839 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IUShort )
# 10994 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_757 =
  fun () ->
    (* type_spec(typename) -> SHORT INT *)
    (
# 840 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IShort )
# 11003 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_758 =
  fun () ->
    (* type_spec(typename) -> SIGNED SHORT INT *)
    (
# 841 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IShort )
# 11012 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_759 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED SHORT INT *)
    (
# 842 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IUShort )
# 11021 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_760 =
  fun () ->
    (* type_spec(typename) -> LONG *)
    (
# 843 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 11030 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_761 =
  fun () ->
    (* type_spec(typename) -> SIGNED LONG *)
    (
# 844 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 11039 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_762 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED LONG *)
    (
# 845 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint IULong )
# 11048 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_763 =
  fun () ->
    (* type_spec(typename) -> SIGNED LONG INT *)
    (
# 846 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 11057 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_764 =
  fun () ->
    (* type_spec(typename) -> LONG INT *)
    (
# 847 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILong )
# 11066 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_765 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED LONG INT *)
    (
# 848 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTint IULong )
# 11075 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_766 =
  fun () ->
    (* type_spec(typename) -> LONG LONG *)
    (
# 849 "src/kernel_internals/parsing/logic_parser.mly"
                 ( LTint ILongLong )
# 11084 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_767 =
  fun () ->
    (* type_spec(typename) -> SIGNED LONG LONG *)
    (
# 851 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint ILongLong )
# 11093 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_768 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED LONG LONG *)
    (
# 853 "src/kernel_internals/parsing/logic_parser.mly"
                     ( LTint IULongLong )
# 11102 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_769 =
  fun () ->
    (* type_spec(typename) -> LONG LONG INT *)
    (
# 855 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTint ILongLong )
# 11111 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_770 =
  fun () ->
    (* type_spec(typename) -> SIGNED LONG LONG INT *)
    (
# 857 "src/kernel_internals/parsing/logic_parser.mly"
                        ( LTint ILongLong )
# 11120 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_771 =
  fun () ->
    (* type_spec(typename) -> UNSIGNED LONG LONG INT *)
    (
# 859 "src/kernel_internals/parsing/logic_parser.mly"
                         ( LTint IULongLong )
# 11129 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_772 =
  fun () ->
    (* type_spec(typename) -> FLOAT *)
    (
# 861 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FFloat )
# 11138 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_773 =
  fun () ->
    (* type_spec(typename) -> DOUBLE *)
    (
# 862 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FDouble )
# 11147 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_774 =
  fun () ->
    (* type_spec(typename) -> LONG DOUBLE *)
    (
# 863 "src/kernel_internals/parsing/logic_parser.mly"
                    ( LTfloat FLongDouble )
# 11156 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_775 =
  fun id ->
    (* type_spec(typename) -> STRUCT identifier_or_typename_full *)
    (
# 864 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( LTstruct id )
# 11165 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_776 =
  fun id ->
    (* type_spec(typename) -> ENUM identifier_or_typename_full *)
    (
# 865 "src/kernel_internals/parsing/logic_parser.mly"
                                        ( LTenum id )
# 11174 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_777 =
  fun id ->
    (* type_spec(typename) -> UNION identifier_or_typename_full *)
    (
# 866 "src/kernel_internals/parsing/logic_parser.mly"
                                          ( LTunion id )
# 11183 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_778 =
  fun name ->
    (* type_spec(typename) -> typename *)
    (
# 867 "src/kernel_internals/parsing/logic_parser.mly"
                        ( LTnamed (name,[]) )
# 11192 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_779 =
  fun name prms ->
    (* type_spec(typename) -> typename LT ne_logic_type_list(typename) GT *)
    (
# 868 "src/kernel_internals/parsing/logic_parser.mly"
                                                      ( LTnamed(name,prms) )
# 11201 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_780 =
  fun _1 _2 ->
    (* type_spec_cv(TYPENAME) -> type_spec(TYPENAME) cv_after *)
    (
# 746 "src/kernel_internals/parsing/logic_parser.mly"
                               ( _2 _1 )
# 11210 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_781 =
  fun _1 _2 ->
    (* type_spec_cv(TYPENAME) -> cv type_spec_cv(TYPENAME) *)
    (
# 747 "src/kernel_internals/parsing/logic_parser.mly"
                            ( LTattribute (_2, _1) )
# 11219 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.logic_type))

let _menhir_action_782 =
  fun _1 ->
    (* typedef -> ne_datacons_list *)
    (
# 1775 "src/kernel_internals/parsing/logic_parser.mly"
                   ( TDsum _1 )
# 11228 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.typedef))

let _menhir_action_783 =
  fun _1 ->
    (* typedef -> logic_type *)
    (
# 1776 "src/kernel_internals/parsing/logic_parser.mly"
             ( TDsyn _1 )
# 11237 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.typedef))

let _menhir_action_784 =
  fun name ->
    (* typename -> TYPENAME *)
    (
# 733 "src/kernel_internals/parsing/logic_parser.mly"
                  ( name )
# 11246 "src/kernel_internals/parsing/logic_parser.ml"
     : (string))

let _menhir_action_785 =
  fun _1 ->
    (* update -> update_elt *)
    (
# 617 "src/kernel_internals/parsing/logic_parser.mly"
                              ( [_1] )
# 11255 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.path_elt list * Logic_ptree.update_term) list))

let _menhir_action_786 =
  fun _1 _3 ->
    (* update -> update_elt COMMA update *)
    (
# 618 "src/kernel_internals/parsing/logic_parser.mly"
                          ( _1::_3 )
# 11264 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.path_elt list * Logic_ptree.update_term) list))

let _menhir_action_787 =
  fun _1 _3 ->
    (* update_elt -> path EQUAL lexpr *)
    (
# 622 "src/kernel_internals/parsing/logic_parser.mly"
                                  ( _1, PLupdateTerm _3 )
# 11273 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.path_elt list * Logic_ptree.update_term))

let _menhir_action_788 =
  fun _1 _5 ->
    (* update_elt -> path EQUAL LBRACE WITH update RBRACE *)
    (
# 623 "src/kernel_internals/parsing/logic_parser.mly"
                                       ( _1, PLupdateCont _5 )
# 11282 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.path_elt list * Logic_ptree.update_term))

let _menhir_action_789 =
  fun _1 ->
    (* var_spec -> var_spec_bis *)
    (
# 660 "src/kernel_internals/parsing/logic_parser.mly"
                     ( let (outer, inner,name) = _1 in
                       ((fun x -> outer (inner x)), name))
# 11292 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type -> Logic_ptree.logic_type) * string))

let _menhir_action_790 =
  fun _1 _2 ->
    (* var_spec -> stars var_spec_bis *)
    (
# 663 "src/kernel_internals/parsing/logic_parser.mly"
  ( let (outer, inner, name) = _2 in
      ((fun x -> outer (inner (_1 x))), name) )
# 11302 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type -> Logic_ptree.logic_type) * string))

let _menhir_action_791 =
  fun _1 ->
    (* var_spec_bis -> full_identifier *)
    (
# 681 "src/kernel_internals/parsing/logic_parser.mly"
                      ( ((fun x -> x),(fun x -> x), _1) )
# 11311 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type -> Logic_ptree.logic_type) *
  (Logic_ptree.logic_type -> Logic_ptree.logic_type) * string))

let _menhir_action_792 =
  fun _1 _3 ->
    (* var_spec_bis -> var_spec_bis LSQUARE array_size RSQUARE *)
    (
# 683 "src/kernel_internals/parsing/logic_parser.mly"
      ( let (outer, inner, name) = _1 in
          (outer, (fun x -> inner (LTarray (x,_3))), name)
      )
# 11323 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type -> Logic_ptree.logic_type) *
  (Logic_ptree.logic_type -> Logic_ptree.logic_type) * string))

let _menhir_action_793 =
  fun _2 ->
    (* var_spec_bis -> LPAR var_spec RPAR *)
    (
# 686 "src/kernel_internals/parsing/logic_parser.mly"
                     ( let (modif, name) = _2 in (modif, (fun x -> x), name) )
# 11333 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type -> Logic_ptree.logic_type) *
  (Logic_ptree.logic_type -> Logic_ptree.logic_type) * string))

let _menhir_action_794 =
  fun _1 _3 ->
    (* var_spec_bis -> var_spec_bis LPAR abs_param_type_list RPAR *)
    (
# 688 "src/kernel_internals/parsing/logic_parser.mly"
      ( let (outer, inner,name) = _1 in
        let params = _3 in
        (outer, (fun x -> inner (LTarrow (params,x))), name)
      )
# 11346 "src/kernel_internals/parsing/logic_parser.ml"
     : ((Logic_ptree.logic_type -> Logic_ptree.logic_type) *
  (Logic_ptree.logic_type -> Logic_ptree.logic_type) * string))

let _menhir_action_795 =
  fun _1 _3 ->
    (* variant -> lexpr FOR any_identifier *)
    (
# 1188 "src/kernel_internals/parsing/logic_parser.mly"
                           ( (_1, Some _3) )
# 11356 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.variant))

let _menhir_action_796 =
  fun _1 ->
    (* variant -> lexpr *)
    (
# 1189 "src/kernel_internals/parsing/logic_parser.mly"
                           ( (_1, None) )
# 11365 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.variant))

let _menhir_action_797 =
  fun () ->
    (* volatile_opt -> *)
    (
# 1594 "src/kernel_internals/parsing/logic_parser.mly"
              ( None, None )
# 11374 "src/kernel_internals/parsing/logic_parser.ml"
     : (string option * string option))

let _menhir_action_798 =
  fun _2 _3 ->
    (* volatile_opt -> READS any_identifier volatile_opt *)
    (
# 1596 "src/kernel_internals/parsing/logic_parser.mly"
              ( let read,write=_3 in
                  if read = None then
		    (Some _2),write
		  else
                    (Format.eprintf "Warning: read %s ignored@." _2; _3)
	      )
# 11388 "src/kernel_internals/parsing/logic_parser.ml"
     : (string option * string option))

let _menhir_action_799 =
  fun _2 _3 ->
    (* volatile_opt -> WRITES any_identifier volatile_opt *)
    (
# 1603 "src/kernel_internals/parsing/logic_parser.mly"
              ( let read,write=_3 in
                  if write = None then
		    read,(Some _2)
		  else
                    (Format.eprintf "Warning: write %s ignored@." _2; _3)
	      )
# 11402 "src/kernel_internals/parsing/logic_parser.ml"
     : (string option * string option))

let _menhir_action_800 =
  fun () ->
    (* wildcard -> any_identifier *)
    (
# 2059 "src/kernel_internals/parsing/logic_parser.mly"
                 ( () )
# 11411 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_801 =
  fun () ->
    (* wildcard -> bs_keyword *)
    (
# 2060 "src/kernel_internals/parsing/logic_parser.mly"
             ( () )
# 11420 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_802 =
  fun () ->
    (* wildcard -> AMP *)
    (
# 2061 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 11429 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_803 =
  fun () ->
    (* wildcard -> AND *)
    (
# 2062 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 11438 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_804 =
  fun () ->
    (* wildcard -> ARROW *)
    (
# 2063 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11447 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_805 =
  fun () ->
    (* wildcard -> BIFF *)
    (
# 2064 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11456 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_806 =
  fun () ->
    (* wildcard -> BIMPLIES *)
    (
# 2065 "src/kernel_internals/parsing/logic_parser.mly"
           ( () )
# 11465 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_807 =
  fun () ->
    (* wildcard -> COLON *)
    (
# 2066 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11474 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_808 =
  fun () ->
    (* wildcard -> COLON2 *)
    (
# 2067 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11483 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_809 =
  fun () ->
    (* wildcard -> COLONCOLON *)
    (
# 2068 "src/kernel_internals/parsing/logic_parser.mly"
             ( () )
# 11492 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_810 =
  fun () ->
    (* wildcard -> COMMA *)
    (
# 2069 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11501 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_811 =
  fun () ->
    (* wildcard -> INT_CONSTANT *)
    (
# 2070 "src/kernel_internals/parsing/logic_parser.mly"
               ( () )
# 11510 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_812 =
  fun () ->
    (* wildcard -> FLOAT_CONSTANT *)
    (
# 2071 "src/kernel_internals/parsing/logic_parser.mly"
                 ( () )
# 11519 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_813 =
  fun () ->
    (* wildcard -> STRING_CONSTANT *)
    (
# 2072 "src/kernel_internals/parsing/logic_parser.mly"
                  ( () )
# 11528 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_814 =
  fun () ->
    (* wildcard -> WSTRING_CONSTANT *)
    (
# 2073 "src/kernel_internals/parsing/logic_parser.mly"
                   ( () )
# 11537 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_815 =
  fun () ->
    (* wildcard -> DOLLAR *)
    (
# 2074 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11546 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_816 =
  fun () ->
    (* wildcard -> DOT *)
    (
# 2075 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 11555 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_817 =
  fun () ->
    (* wildcard -> DOTDOT *)
    (
# 2076 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11564 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_818 =
  fun () ->
    (* wildcard -> DOTDOTDOT *)
    (
# 2077 "src/kernel_internals/parsing/logic_parser.mly"
            ( () )
# 11573 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_819 =
  fun () ->
    (* wildcard -> EQ *)
    (
# 2078 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11582 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_820 =
  fun () ->
    (* wildcard -> EQUAL *)
    (
# 2079 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11591 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_821 =
  fun () ->
    (* wildcard -> EXISTS *)
    (
# 2080 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11600 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_822 =
  fun () ->
    (* wildcard -> GE *)
    (
# 2081 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11609 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_823 =
  fun () ->
    (* wildcard -> GHOST *)
    (
# 2082 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11618 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_824 =
  fun () ->
    (* wildcard -> GT *)
    (
# 2083 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11627 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_825 =
  fun () ->
    (* wildcard -> GTGT *)
    (
# 2084 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11636 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_826 =
  fun () ->
    (* wildcard -> HAT *)
    (
# 2085 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 11645 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_827 =
  fun () ->
    (* wildcard -> HATHAT *)
    (
# 2086 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11654 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_828 =
  fun () ->
    (* wildcard -> IFF *)
    (
# 2087 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 11663 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_829 =
  fun () ->
    (* wildcard -> IMPLIES *)
    (
# 2088 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 11672 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_830 =
  fun () ->
    (* wildcard -> LBRACE *)
    (
# 2089 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11681 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_831 =
  fun () ->
    (* wildcard -> LE *)
    (
# 2090 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11690 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_832 =
  fun () ->
    (* wildcard -> LPAR *)
    (
# 2091 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11699 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_833 =
  fun () ->
    (* wildcard -> LSQUARE *)
    (
# 2092 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 11708 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_834 =
  fun () ->
    (* wildcard -> LSQUAREPIPE *)
    (
# 2093 "src/kernel_internals/parsing/logic_parser.mly"
              ( () )
# 11717 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_835 =
  fun () ->
    (* wildcard -> LT *)
    (
# 2094 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11726 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_836 =
  fun () ->
    (* wildcard -> LTLT *)
    (
# 2095 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11735 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_837 =
  fun () ->
    (* wildcard -> MINUS *)
    (
# 2096 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11744 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_838 =
  fun () ->
    (* wildcard -> NE *)
    (
# 2097 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11753 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_839 =
  fun () ->
    (* wildcard -> NOT *)
    (
# 2098 "src/kernel_internals/parsing/logic_parser.mly"
      ( () )
# 11762 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_840 =
  fun () ->
    (* wildcard -> OR *)
    (
# 2099 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11771 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_841 =
  fun () ->
    (* wildcard -> PERCENT *)
    (
# 2100 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 11780 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_842 =
  fun () ->
    (* wildcard -> PI *)
    (
# 2101 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11789 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_843 =
  fun () ->
    (* wildcard -> PIPE *)
    (
# 2102 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11798 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_844 =
  fun () ->
    (* wildcard -> PLUS *)
    (
# 2103 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11807 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_845 =
  fun () ->
    (* wildcard -> QUESTION *)
    (
# 2104 "src/kernel_internals/parsing/logic_parser.mly"
           ( () )
# 11816 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_846 =
  fun () ->
    (* wildcard -> RBRACE *)
    (
# 2105 "src/kernel_internals/parsing/logic_parser.mly"
         ( () )
# 11825 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_847 =
  fun () ->
    (* wildcard -> RPAR *)
    (
# 2106 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11834 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_848 =
  fun () ->
    (* wildcard -> RSQUARE *)
    (
# 2107 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 11843 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_849 =
  fun () ->
    (* wildcard -> RSQUAREPIPE *)
    (
# 2108 "src/kernel_internals/parsing/logic_parser.mly"
              ( () )
# 11852 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_850 =
  fun () ->
    (* wildcard -> SEMICOLON *)
    (
# 2109 "src/kernel_internals/parsing/logic_parser.mly"
            ( () )
# 11861 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_851 =
  fun () ->
    (* wildcard -> SLASH *)
    (
# 2110 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11870 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_852 =
  fun () ->
    (* wildcard -> STAR *)
    (
# 2111 "src/kernel_internals/parsing/logic_parser.mly"
       ( () )
# 11879 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_853 =
  fun () ->
    (* wildcard -> STARHAT *)
    (
# 2112 "src/kernel_internals/parsing/logic_parser.mly"
          ( () )
# 11888 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_854 =
  fun () ->
    (* wildcard -> STRING_LITERAL *)
    (
# 2113 "src/kernel_internals/parsing/logic_parser.mly"
                 ( () )
# 11897 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_855 =
  fun () ->
    (* wildcard -> TILDE *)
    (
# 2114 "src/kernel_internals/parsing/logic_parser.mly"
        ( () )
# 11906 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_856 =
  fun () ->
    (* wildcard -> IN *)
    (
# 2115 "src/kernel_internals/parsing/logic_parser.mly"
     ( () )
# 11915 "src/kernel_internals/parsing/logic_parser.ml"
     : (unit))

let _menhir_action_857 =
  fun _1 ->
    (* zones -> ne_zones *)
    (
# 1301 "src/kernel_internals/parsing/logic_parser.mly"
           ( _1 )
# 11924 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_action_858 =
  fun () ->
    (* zones -> NOTHING *)
    (
# 1302 "src/kernel_internals/parsing/logic_parser.mly"
           ( [] )
# 11933 "src/kernel_internals/parsing/logic_parser.ml"
     : (Logic_ptree.lexpr list))

let _menhir_print_token : token -> string =
  fun _tok ->
    match _tok with
    | ADMIT ->
        "ADMIT"
    | ADMIT_BREAKS ->
        "ADMIT_BREAKS"
    | ADMIT_CONTINUES ->
        "ADMIT_CONTINUES"
    | ADMIT_ENSURES ->
        "ADMIT_ENSURES"
    | ADMIT_EXITS ->
        "ADMIT_EXITS"
    | ADMIT_INVARIANT ->
        "ADMIT_INVARIANT"
    | ADMIT_LEMMA ->
        "ADMIT_LEMMA"
    | ADMIT_LOOP ->
        "ADMIT_LOOP"
    | ADMIT_REQUIRES ->
        "ADMIT_REQUIRES"
    | ADMIT_RETURNS ->
        "ADMIT_RETURNS"
    | ALLOCABLE ->
        "ALLOCABLE"
    | ALLOCATES ->
        "ALLOCATES"
    | ALLOCATION ->
        "ALLOCATION"
    | AMP ->
        "AMP"
    | AND ->
        "AND"
    | ARROW ->
        "ARROW"
    | ASSERT ->
        "ASSERT"
    | ASSIGNS ->
        "ASSIGNS"
    | ASSUMES ->
        "ASSUMES"
    | AT ->
        "AT"
    | AUTOMATIC ->
        "AUTOMATIC"
    | AXIOM ->
        "AXIOM"
    | AXIOMATIC ->
        "AXIOMATIC"
    | BASE_ADDR ->
        "BASE_ADDR"
    | BEHAVIOR ->
        "BEHAVIOR"
    | BEHAVIORS ->
        "BEHAVIORS"
    | BIFF ->
        "BIFF"
    | BIMPLIES ->
        "BIMPLIES"
    | BLOCK_LENGTH ->
        "BLOCK_LENGTH"
    | BOOL ->
        "BOOL"
    | BOOLEAN ->
        "BOOLEAN"
    | BREAKS ->
        "BREAKS"
    | BSGHOST ->
        "BSGHOST"
    | BSTYPE ->
        "BSTYPE"
    | BSUNION ->
        "BSUNION"
    | CASE ->
        "CASE"
    | CHAR ->
        "CHAR"
    | CHECK ->
        "CHECK"
    | CHECK_BREAKS ->
        "CHECK_BREAKS"
    | CHECK_CONTINUES ->
        "CHECK_CONTINUES"
    | CHECK_ENSURES ->
        "CHECK_ENSURES"
    | CHECK_EXITS ->
        "CHECK_EXITS"
    | CHECK_INVARIANT ->
        "CHECK_INVARIANT"
    | CHECK_LEMMA ->
        "CHECK_LEMMA"
    | CHECK_LOOP ->
        "CHECK_LOOP"
    | CHECK_REQUIRES ->
        "CHECK_REQUIRES"
    | CHECK_RETURNS ->
        "CHECK_RETURNS"
    | COLON ->
        "COLON"
    | COLON2 ->
        "COLON2"
    | COLONCOLON ->
        "COLONCOLON"
    | COMMA ->
        "COMMA"
    | COMPLETE ->
        "COMPLETE"
    | CONST ->
        "CONST"
    | CONTINUES ->
        "CONTINUES"
    | CONTRACT ->
        "CONTRACT"
    | DANGLING ->
        "DANGLING"
    | DECREASES ->
        "DECREASES"
    | DISJOINT ->
        "DISJOINT"
    | DOLLAR ->
        "DOLLAR"
    | DOT ->
        "DOT"
    | DOTDOT ->
        "DOTDOT"
    | DOTDOTDOT ->
        "DOTDOTDOT"
    | DOUBLE ->
        "DOUBLE"
    | DYNAMIC ->
        "DYNAMIC"
    | ELSE ->
        "ELSE"
    | EMPTY ->
        "EMPTY"
    | ENSURES ->
        "ENSURES"
    | ENUM ->
        "ENUM"
    | EOF ->
        "EOF"
    | EQ ->
        "EQ"
    | EQUAL ->
        "EQUAL"
    | EXISTS ->
        "EXISTS"
    | EXITS ->
        "EXITS"
    | EXT_AT ->
        "EXT_AT"
    | EXT_CODE_ANNOT _ ->
        "EXT_CODE_ANNOT"
    | EXT_CONTRACT _ ->
        "EXT_CONTRACT"
    | EXT_GLOBAL _ ->
        "EXT_GLOBAL"
    | EXT_GLOBAL_BLOCK _ ->
        "EXT_GLOBAL_BLOCK"
    | EXT_LET ->
        "EXT_LET"
    | FALSE ->
        "FALSE"
    | FLOAT ->
        "FLOAT"
    | FLOAT_CONSTANT _ ->
        "FLOAT_CONSTANT"
    | FOR ->
        "FOR"
    | FORALL ->
        "FORALL"
    | FREEABLE ->
        "FREEABLE"
    | FREES ->
        "FREES"
    | FRESH ->
        "FRESH"
    | FROM ->
        "FROM"
    | FUNCTION ->
        "FUNCTION"
    | GE ->
        "GE"
    | GHOST ->
        "GHOST"
    | GLOBAL ->
        "GLOBAL"
    | GT ->
        "GT"
    | GTGT ->
        "GTGT"
    | HAT ->
        "HAT"
    | HATHAT ->
        "HATHAT"
    | IDENTIFIER _ ->
        "IDENTIFIER"
    | IDENTIFIER_EXT _ ->
        "IDENTIFIER_EXT"
    | IF ->
        "IF"
    | IFF ->
        "IFF"
    | IMPACT ->
        "IMPACT"
    | IMPLIES ->
        "IMPLIES"
    | IN ->
        "IN"
    | INCLUDE ->
        "INCLUDE"
    | INDUCTIVE ->
        "INDUCTIVE"
    | INITIALIZED ->
        "INITIALIZED"
    | INT ->
        "INT"
    | INTEGER ->
        "INTEGER"
    | INTER ->
        "INTER"
    | INT_CONSTANT _ ->
        "INT_CONSTANT"
    | INVARIANT ->
        "INVARIANT"
    | LABEL ->
        "LABEL"
    | LAMBDA ->
        "LAMBDA"
    | LBRACE ->
        "LBRACE"
    | LE ->
        "LE"
    | LEMMA ->
        "LEMMA"
    | LET ->
        "LET"
    | LOGIC ->
        "LOGIC"
    | LONG ->
        "LONG"
    | LOOP ->
        "LOOP"
    | LPAR ->
        "LPAR"
    | LSQUARE ->
        "LSQUARE"
    | LSQUAREPIPE ->
        "LSQUAREPIPE"
    | LT ->
        "LT"
    | LTLT ->
        "LTLT"
    | MINUS ->
        "MINUS"
    | MODEL ->
        "MODEL"
    | MODULE ->
        "MODULE"
    | NE ->
        "NE"
    | NOT ->
        "NOT"
    | NOTHING ->
        "NOTHING"
    | NULL ->
        "NULL"
    | OBJECT_POINTER ->
        "OBJECT_POINTER"
    | OFFSET ->
        "OFFSET"
    | OLD ->
        "OLD"
    | OR ->
        "OR"
    | PERCENT ->
        "PERCENT"
    | PI ->
        "PI"
    | PIPE ->
        "PIPE"
    | PLUS ->
        "PLUS"
    | PRAGMA ->
        "PRAGMA"
    | PREDICATE ->
        "PREDICATE"
    | QUESTION ->
        "QUESTION"
    | RBRACE ->
        "RBRACE"
    | READS ->
        "READS"
    | REAL ->
        "REAL"
    | REGISTER ->
        "REGISTER"
    | REQUIRES ->
        "REQUIRES"
    | RESULT ->
        "RESULT"
    | RETURNS ->
        "RETURNS"
    | RPAR ->
        "RPAR"
    | RSQUARE ->
        "RSQUARE"
    | RSQUAREPIPE ->
        "RSQUAREPIPE"
    | SEMICOLON ->
        "SEMICOLON"
    | SEPARATED ->
        "SEPARATED"
    | SHORT ->
        "SHORT"
    | SIGNED ->
        "SIGNED"
    | SIZEOF ->
        "SIZEOF"
    | SLASH ->
        "SLASH"
    | SLICE ->
        "SLICE"
    | STAR ->
        "STAR"
    | STARHAT ->
        "STARHAT"
    | STATIC ->
        "STATIC"
    | STRING_CONSTANT _ ->
        "STRING_CONSTANT"
    | STRING_LITERAL _ ->
        "STRING_LITERAL"
    | STRUCT ->
        "STRUCT"
    | TERMINATES ->
        "TERMINATES"
    | TILDE ->
        "TILDE"
    | TRUE ->
        "TRUE"
    | TYPE ->
        "TYPE"
    | TYPENAME _ ->
        "TYPENAME"
    | TYPEOF ->
        "TYPEOF"
    | UNALLOCATED ->
        "UNALLOCATED"
    | UNION ->
        "UNION"
    | UNSIGNED ->
        "UNSIGNED"
    | VALID ->
        "VALID"
    | VALID_FUNCTION ->
        "VALID_FUNCTION"
    | VALID_INDEX ->
        "VALID_INDEX"
    | VALID_RANGE ->
        "VALID_RANGE"
    | VALID_READ ->
        "VALID_READ"
    | VARIANT ->
        "VARIANT"
    | VOID ->
        "VOID"
    | VOLATILE ->
        "VOLATILE"
    | WITH ->
        "WITH"
    | WRITES ->
        "WRITES"
    | WSTRING_CONSTANT _ ->
        "WSTRING_CONSTANT"

let _menhir_fail : unit -> 'a =
  fun () ->
    Printf.eprintf "Internal failure -- please contact the parser generator's developers.\n%!";
    assert false

include struct
  
  [@@@ocaml.warning "-4-37"]
  
  let _menhir_run_1427 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_spec =
    fun _menhir_stack _v _tok ->
      (* State 1427: *)
      match (_tok : MenhirBasics.token) with
      | EOF ->
          (* Shifting (EOF) to state 1428 *)
          (* State 1428: *)
          (* Reducing production spec -> contract EOF *)
          let _1 = _v in
          let _v = _menhir_action_648 _1 in
          (* State 1426: *)
          (* Accepting *)
          MenhirBox_spec _v
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  let _menhir_goto_annot : type  ttv_stack. ttv_stack -> _ -> _menhir_box_annot =
    fun _menhir_stack _v ->
      (* State 1350: *)
      (* Accepting *)
      MenhirBox_annot _v
  
  let _menhir_run_1343 : type  ttv_stack. ttv_stack -> _ -> _menhir_box_annot =
    fun _menhir_stack _v ->
      (* State 1343: *)
      (* The current token is EOF. *)
      (* Shifting (EOF) to state 1344 *)
      (* State 1344: *)
      (* Reducing production annot -> decl_list EOF *)
      let _1 = _v in
      let _v = _menhir_action_039 _1 in
      _menhir_goto_annot _menhir_stack _v
  
  let rec _menhir_goto_decl_list : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _endpos _v _menhir_s ->
      match _menhir_s with
      | MenhirState1345 ->
          _menhir_run_1346 _menhir_stack _endpos _v
      | MenhirState0000 ->
          _menhir_run_1343 _menhir_stack _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1346 : type  ttv_stack. (ttv_stack, _menhir_box_annot) _menhir_cell1_decl -> _ -> _ -> _menhir_box_annot =
    fun _menhir_stack _endpos _v ->
      (* State 1346: *)
      let MenhirCell1_decl (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production decl_list -> decl decl_list *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_222 _1 _2 _endpos__2_ _startpos__1_ in
      _menhir_goto_decl_list _menhir_stack _endpos__2_ _v _menhir_s
  
  let _menhir_goto_ext_global_specs_opt : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_cell1_ext_module_specs_opt -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _v ->
      (* State 1410: *)
      (* The current token is EOF. *)
      (* Shifting (EOF) to state 1411 *)
      (* State 1411: *)
      let MenhirCell1_ext_module_specs_opt (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_ext_global_clauses_opt (_menhir_stack, _, _1) = _menhir_stack in
      (* Reducing production ext_spec -> ext_global_clauses_opt ext_module_specs_opt ext_global_specs_opt EOF *)
      let _3 = _v in
      let _v = _menhir_action_275 _1 _2 _3 in
      (* State 1366: *)
      (* Accepting *)
      MenhirBox_ext_spec _v
  
  let _menhir_run_1412 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_cell1_ext_module_specs_opt -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _v ->
      (* State 1412: *)
      (* Reducing production ext_global_specs_opt -> ext_global_specs *)
      let _1 = _v in
      let _v = _menhir_action_263 _1 in
      _menhir_goto_ext_global_specs_opt _menhir_stack _v
  
  let rec _menhir_goto_ext_global_specs : type  ttv_stack. ttv_stack -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _v _menhir_s ->
      match _menhir_s with
      | MenhirState1413 ->
          _menhir_run_1414 _menhir_stack _v
      | MenhirState1383 ->
          _menhir_run_1412 _menhir_stack _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1414 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_spec -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _v ->
      (* State 1414: *)
      let MenhirCell1_ext_global_spec (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_global_specs -> ext_global_spec ext_global_specs *)
      let _2 = _v in
      let _v = _menhir_action_261 _1 _2 in
      _menhir_goto_ext_global_specs _menhir_stack _v _menhir_s
  
  let _menhir_run_1337 : type  ttv_stack. (ttv_stack, _menhir_box_annot) _menhir_cell1_is_acsl_spec -> _menhir_box_annot =
    fun _menhir_stack ->
      (* State 1337: *)
      (* The current token is EOF. *)
      (* Shifting (EOF) to state 1338 *)
      (* State 1338: *)
      let MenhirCell1_is_acsl_spec (_menhir_stack, _, _, _, _) = _menhir_stack in
      (* Reducing production annot -> is_acsl_spec any EOF *)
      let _v = _menhir_action_038 () in
      _menhir_goto_annot _menhir_stack _v
  
  let rec _menhir_goto_any : type  ttv_stack. ttv_stack -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_s ->
      match _menhir_s with
      | MenhirState1239 ->
          _menhir_run_1337 _menhir_stack
      | MenhirState1333 ->
          _menhir_run_1336 _menhir_stack
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1336 : type  ttv_stack. (ttv_stack, _menhir_box_annot) _menhir_cell1_wildcard -> _menhir_box_annot =
    fun _menhir_stack ->
      (* State 1336: *)
      let MenhirCell1_wildcard (_menhir_stack, _menhir_s, _) = _menhir_stack in
      (* Reducing production any -> wildcard any *)
      let _ = _menhir_action_048 () in
      _menhir_goto_any _menhir_stack _menhir_s
  
  let _menhir_run_1348 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_annot =
    fun _menhir_stack _v _tok ->
      (* State 1348: *)
      match (_tok : MenhirBasics.token) with
      | EOF ->
          (* Shifting (EOF) to state 1349 *)
          (* State 1349: *)
          (* Reducing production annot -> annotation EOF *)
          let _1 = _v in
          let _v = _menhir_action_037 _1 in
          _menhir_goto_annot _menhir_stack _v
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  let rec _menhir_run_0001 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production identifier -> WRITES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_333 () in
      _menhir_goto_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_identifier : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1420 ->
          _menhir_run_1340 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1401 ->
          _menhir_run_1340 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_1340 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0499 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1214 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1203 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1198 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1192 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1193 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1185 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1182 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1173 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0973 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0978 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0965 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0956 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0958 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0884 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0879 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0860 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0863 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0865 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0852 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0848 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0763 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0825 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0835 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0826 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0766 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0815 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0822 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0807 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0801 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0779 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0777 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0133 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0140 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0339 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0350 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0351 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0352 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0713 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0673 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0657 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0649 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0647 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0606 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0465 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0565 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0479 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0556 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0554 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0552 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0548 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0550 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0546 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0482 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0544 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0542 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0529 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0536 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0388 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0371 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0372 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0382 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0374 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0361 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0325 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0286 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0264 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0261 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0238 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0230 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0208 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0206 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0155 ->
          _menhir_run_0200 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1384 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1379 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1372 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1376 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1368 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1361 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1356 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1239 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1333 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1179 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1158 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1131 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1101 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0996 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0987 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0910 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0897 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0895 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0876 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0855 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0764 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0756 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0754 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0577 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0008 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0103 ->
          _menhir_run_0110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1340 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1340: *)
      (* Reducing production annotation -> identifier *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_044 _1 _endpos__1_ _startpos__1_ in
      _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_annotation : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1420 ->
          _menhir_run_1405 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1401 ->
          _menhir_run_1405 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0000 ->
          _menhir_run_1348 _menhir_stack _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1405 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup -> _ -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1405: *)
      (* Reducing production ext_stmt_loop_spec -> annotation *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_276 _1 in
      _menhir_goto_ext_stmt_loop_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _tok
  
  and _menhir_goto_ext_stmt_loop_spec : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup -> _ -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1402: *)
      let MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production ext_fun_spec -> ext_at_stmt_markup ext_stmt_loop_spec *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_238 _1 _2 _endpos__2_ _startpos__1_ in
      _menhir_goto_ext_fun_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_ext_fun_spec : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1418 ->
          _menhir_run_1418 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1367 ->
          _menhir_run_1418 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1398 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1398 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1418 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1418: *)
      match (_tok : MenhirBasics.token) with
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_ext_fun_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_AT) to state 1372 *)
          _menhir_run_1372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1418
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_ext_fun_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONTRACT) to state 1379 *)
          _menhir_run_1379 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1418
      | EOF | FUNCTION | MODULE ->
          (* Reducing production ext_fun_specs -> ext_fun_spec *)
          let _1 = _v in
          let _v = _menhir_action_240 _1 in
          _menhir_goto_ext_fun_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1372 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1372: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EXT_AT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1372 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 1373 *)
          _menhir_run_1373 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0004 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 4: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production acsl_c_keyword -> VOLATILE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_034 () in
      _menhir_goto_acsl_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_acsl_c_keyword : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 113: *)
      (* Reducing production non_logic_keyword -> acsl_c_keyword *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_581 _1 in
      _menhir_goto_non_logic_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_non_logic_keyword : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 99: *)
      (* Reducing production keyword -> non_logic_keyword *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_392 _1 in
      _menhir_goto_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_keyword : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 105: *)
      (* Reducing production any_identifier -> keyword *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_052 _1 in
      _menhir_goto_any_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_any_identifier : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1372 ->
          _menhir_run_1378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1376 ->
          _menhir_run_1378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1384 ->
          _menhir_run_1371 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1379 ->
          _menhir_run_1371 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1368 ->
          _menhir_run_1371 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1361 ->
          _menhir_run_1362 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1356 ->
          _menhir_run_1357 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1239 ->
          _menhir_run_1335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | MenhirState1333 ->
          _menhir_run_1335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
      | MenhirState1179 ->
          _menhir_run_1180 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1158 ->
          _menhir_run_1159 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0996 ->
          _menhir_run_0997 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0987 ->
          _menhir_run_0988 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_0938 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_0938 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1131 ->
          _menhir_run_0938 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1101 ->
          _menhir_run_0938 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0910 ->
          _menhir_run_0938 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0938 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0897 ->
          _menhir_run_0898 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0895 ->
          _menhir_run_0896 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0855 ->
          _menhir_run_0856 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0764 ->
          _menhir_run_0765 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0756 ->
          _menhir_run_0757 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0754 ->
          _menhir_run_0755 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0876 ->
          _menhir_run_0112 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0577 ->
          _menhir_run_0112 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0008 ->
          _menhir_run_0112 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0103 ->
          _menhir_run_0112 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1378 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1378: *)
      (* Reducing production stmt_markup -> any_identifier *)
      let _1 = _v in
      let _v = _menhir_action_655 _1 in
      _menhir_goto_stmt_markup _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_stmt_markup : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1376: *)
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | VOID ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | VARIANT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | UNSIGNED ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | UNION ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | TYPENAME _v_0 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1376
      | TYPE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | STRUCT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | STATIC ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | SLICE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | SIZEOF ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | SIGNED ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | SHORT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | RETURNS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | REAL ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | READS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | MODULE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | MODEL ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | LOOP ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | LONG ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | LOGIC ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | LEMMA ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | LABEL ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | INT_CONSTANT _v_1 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INT_CONSTANT) to state 1373 *)
          _menhir_run_1373 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1376
      | INTEGER ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | INT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | IMPACT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | IF ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | IDENTIFIER_EXT _v_2 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1376
      | IDENTIFIER _v_3 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1376
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | FREES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | FOR ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | FLOAT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | EXT_GLOBAL_BLOCK _v_4 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1376
      | EXT_GLOBAL _v_5 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1376
      | EXT_CONTRACT _v_6 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1376
      | EXT_CODE_ANNOT _v_7 ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1376
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | EXITS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ENUM ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ENSURES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ELSE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | DECREASES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CONST ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHECK ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CHAR ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | CASE ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | BREAKS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | BOOLEAN ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | BOOL ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | AXIOM ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ASSERT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | ADMIT ->
          let _menhir_stack = MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1376
      | COLON ->
          (* Reducing production stmt_markup_attr -> stmt_markup *)
          let _1 = _v in
          let _v = _menhir_action_657 _1 in
          _menhir_goto_stmt_markup_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0005 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 5: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> VOID *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_150 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_c_keyword : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 111: *)
      (* Reducing production non_logic_keyword -> c_keyword *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_580 _1 in
      _menhir_goto_non_logic_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0009 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 9: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> VARIANT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_368 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_is_acsl_decl_or_code_annot : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 109: *)
      (* Reducing production non_logic_keyword -> is_acsl_decl_or_code_annot *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_584 _1 in
      _menhir_goto_non_logic_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0010 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 10: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> UNSIGNED *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_149 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0011 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 11: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> UNION *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_148 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0012 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 12: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production any_identifier -> TYPENAME *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_051 _1 in
      _menhir_goto_any_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0013 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 13: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> TYPE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_365 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0014 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 14: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> TERMINATES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_379 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_is_acsl_spec : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0000 ->
          _menhir_run_1239 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1384 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1379 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1372 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1376 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1368 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1361 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1356 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1239 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1333 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1179 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1158 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1131 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1101 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0996 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0987 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0910 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0897 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0895 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0876 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0855 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0764 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0756 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0754 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0577 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0008 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0103 ->
          _menhir_run_0108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1239 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _ -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1239: *)
      let _menhir_stack = MenhirCell1_is_acsl_spec (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _ ->
          (* Shifting (WSTRING_CONSTANT) to state 1240 *)
          _menhir_run_1240 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | WITH ->
          (* Shifting (WITH) to state 1241 *)
          _menhir_run_1241 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 1242 *)
          _menhir_run_1242 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 1243 *)
          _menhir_run_1243 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 1244 *)
          _menhir_run_1244 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 1245 *)
          _menhir_run_1245 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | VALID ->
          (* Shifting (VALID) to state 1246 *)
          _menhir_run_1246 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 1247 *)
          _menhir_run_1247 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 1248 *)
          _menhir_run_1248 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1239
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | TRUE ->
          (* Shifting (TRUE) to state 1249 *)
          _menhir_run_1249 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | TILDE ->
          (* Shifting (TILDE) to state 1250 *)
          _menhir_run_1250 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | STRING_LITERAL _ ->
          (* Shifting (STRING_LITERAL) to state 1251 *)
          _menhir_run_1251 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | STRING_CONSTANT _ ->
          (* Shifting (STRING_CONSTANT) to state 1252 *)
          _menhir_run_1252 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | STARHAT ->
          (* Shifting (STARHAT) to state 1253 *)
          _menhir_run_1253 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | STAR ->
          (* Shifting (STAR) to state 1254 *)
          _menhir_run_1254 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SLASH ->
          (* Shifting (SLASH) to state 1255 *)
          _menhir_run_1255 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 1256 *)
          _menhir_run_1256 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1257 *)
          _menhir_run_1257 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | RSQUAREPIPE ->
          (* Shifting (RSQUAREPIPE) to state 1258 *)
          _menhir_run_1258 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 1259 *)
          _menhir_run_1259 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | RPAR ->
          (* Shifting (RPAR) to state 1260 *)
          _menhir_run_1260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | RESULT ->
          (* Shifting (RESULT) to state 1261 *)
          _menhir_run_1261 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | REGISTER ->
          (* Shifting (REGISTER) to state 1262 *)
          _menhir_run_1262 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | RBRACE ->
          (* Shifting (RBRACE) to state 1263 *)
          _menhir_run_1263 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | QUESTION ->
          (* Shifting (QUESTION) to state 1264 *)
          _menhir_run_1264 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | PLUS ->
          (* Shifting (PLUS) to state 1265 *)
          _menhir_run_1265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | PIPE ->
          (* Shifting (PIPE) to state 1266 *)
          _menhir_run_1266 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | PI ->
          (* Shifting (PI) to state 1267 *)
          _menhir_run_1267 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | PERCENT ->
          (* Shifting (PERCENT) to state 1268 *)
          _menhir_run_1268 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | OR ->
          (* Shifting (OR) to state 1269 *)
          _menhir_run_1269 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | OLD ->
          (* Shifting (OLD) to state 1270 *)
          _menhir_run_1270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | OFFSET ->
          (* Shifting (OFFSET) to state 1271 *)
          _menhir_run_1271 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 1272 *)
          _menhir_run_1272 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | NULL ->
          (* Shifting (NULL) to state 1273 *)
          _menhir_run_1273 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | NOTHING ->
          (* Shifting (NOTHING) to state 1274 *)
          _menhir_run_1274 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | NOT ->
          (* Shifting (NOT) to state 1275 *)
          _menhir_run_1275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | NE ->
          (* Shifting (NE) to state 1276 *)
          _menhir_run_1276 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | MINUS ->
          (* Shifting (MINUS) to state 1277 *)
          _menhir_run_1277 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LTLT ->
          (* Shifting (LTLT) to state 1278 *)
          _menhir_run_1278 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LT ->
          (* Shifting (LT) to state 1279 *)
          _menhir_run_1279 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 1280 *)
          _menhir_run_1280 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 1281 *)
          _menhir_run_1281 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LPAR ->
          (* Shifting (LPAR) to state 1282 *)
          _menhir_run_1282 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LET ->
          (* Shifting (LET) to state 1283 *)
          _menhir_run_1283 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LE ->
          (* Shifting (LE) to state 1284 *)
          _menhir_run_1284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LBRACE ->
          (* Shifting (LBRACE) to state 1285 *)
          _menhir_run_1285 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 1286 *)
          _menhir_run_1286 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INT_CONSTANT _ ->
          (* Shifting (INT_CONSTANT) to state 1287 *)
          _menhir_run_1287 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INTER ->
          (* Shifting (INTER) to state 1288 *)
          _menhir_run_1288 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 1289 *)
          _menhir_run_1289 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | IN ->
          (* Shifting (IN) to state 1290 *)
          _menhir_run_1290 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 1291 *)
          _menhir_run_1291 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | IFF ->
          (* Shifting (IFF) to state 1292 *)
          _menhir_run_1292 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1239
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1239
      | HATHAT ->
          (* Shifting (HATHAT) to state 1293 *)
          _menhir_run_1293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | HAT ->
          (* Shifting (HAT) to state 1294 *)
          _menhir_run_1294 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | GTGT ->
          (* Shifting (GTGT) to state 1295 *)
          _menhir_run_1295 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | GT ->
          (* Shifting (GT) to state 1296 *)
          _menhir_run_1296 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | GHOST ->
          (* Shifting (GHOST) to state 1297 *)
          _menhir_run_1297 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | GE ->
          (* Shifting (GE) to state 1298 *)
          _menhir_run_1298 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FROM ->
          (* Shifting (FROM) to state 1299 *)
          _menhir_run_1299 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FRESH ->
          (* Shifting (FRESH) to state 1300 *)
          _menhir_run_1300 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 1301 *)
          _menhir_run_1301 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FORALL ->
          (* Shifting (FORALL) to state 1302 *)
          _menhir_run_1302 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FLOAT_CONSTANT _ ->
          (* Shifting (FLOAT_CONSTANT) to state 1303 *)
          _menhir_run_1303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | FALSE ->
          (* Shifting (FALSE) to state 1304 *)
          _menhir_run_1304 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1239
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1239
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1239
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1239
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EXISTS ->
          (* Shifting (EXISTS) to state 1305 *)
          _menhir_run_1305 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EQUAL ->
          (* Shifting (EQUAL) to state 1306 *)
          _menhir_run_1306 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EQ ->
          (* Shifting (EQ) to state 1307 *)
          _menhir_run_1307 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | EMPTY ->
          (* Shifting (EMPTY) to state 1308 *)
          _menhir_run_1308 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 1309 *)
          _menhir_run_1309 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DOTDOTDOT ->
          (* Shifting (DOTDOTDOT) to state 1310 *)
          _menhir_run_1310 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DOTDOT ->
          (* Shifting (DOTDOT) to state 1311 *)
          _menhir_run_1311 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DOT ->
          (* Shifting (DOT) to state 1312 *)
          _menhir_run_1312 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DOLLAR ->
          (* Shifting (DOLLAR) to state 1313 *)
          _menhir_run_1313 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | DANGLING ->
          (* Shifting (DANGLING) to state 1314 *)
          _menhir_run_1314 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | COMMA ->
          (* Shifting (COMMA) to state 1315 *)
          _menhir_run_1315 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | COLONCOLON ->
          (* Shifting (COLONCOLON) to state 1316 *)
          _menhir_run_1316 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | COLON2 ->
          (* Shifting (COLON2) to state 1317 *)
          _menhir_run_1317 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | COLON ->
          (* Shifting (COLON) to state 1318 *)
          _menhir_run_1318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BSUNION ->
          (* Shifting (BSUNION) to state 1319 *)
          _menhir_run_1319 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 1320 *)
          _menhir_run_1320 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 1321 *)
          _menhir_run_1321 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 1322 *)
          _menhir_run_1322 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 1323 *)
          _menhir_run_1323 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BIFF ->
          (* Shifting (BIFF) to state 1324 *)
          _menhir_run_1324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 1325 *)
          _menhir_run_1325 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 1326 *)
          _menhir_run_1326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | AT ->
          (* Shifting (AT) to state 1327 *)
          _menhir_run_1327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ARROW ->
          (* Shifting (ARROW) to state 1328 *)
          _menhir_run_1328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | AND ->
          (* Shifting (AND) to state 1329 *)
          _menhir_run_1329 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | AMP ->
          (* Shifting (AMP) to state 1330 *)
          _menhir_run_1330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 1331 *)
          _menhir_run_1331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 1332 *)
          _menhir_run_1332 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1239
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1240 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1240: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> WSTRING_CONSTANT *)
      let _v = _menhir_action_814 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_wildcard : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _ -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1333: *)
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (WSTRING_CONSTANT) to state 1240 *)
          _menhir_run_1240 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | WRITES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | WITH ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (WITH) to state 1241 *)
          _menhir_run_1241 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VOID ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VARIANT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VALID_READ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VALID_READ) to state 1242 *)
          _menhir_run_1242 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VALID_RANGE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VALID_RANGE) to state 1243 *)
          _menhir_run_1243 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VALID_INDEX ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VALID_INDEX) to state 1244 *)
          _menhir_run_1244 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VALID_FUNCTION ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VALID_FUNCTION) to state 1245 *)
          _menhir_run_1245 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | VALID ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VALID) to state 1246 *)
          _menhir_run_1246 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | UNSIGNED ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | UNION ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | UNALLOCATED ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (UNALLOCATED) to state 1247 *)
          _menhir_run_1247 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | TYPEOF ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPEOF) to state 1248 *)
          _menhir_run_1248 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | TYPENAME _v_1 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1333
      | TYPE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | TRUE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TRUE) to state 1249 *)
          _menhir_run_1249 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | TILDE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TILDE) to state 1250 *)
          _menhir_run_1250 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | STRUCT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | STRING_LITERAL _ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STRING_LITERAL) to state 1251 *)
          _menhir_run_1251 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | STRING_CONSTANT _ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STRING_CONSTANT) to state 1252 *)
          _menhir_run_1252 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | STATIC ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | STARHAT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STARHAT) to state 1253 *)
          _menhir_run_1253 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | STAR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STAR) to state 1254 *)
          _menhir_run_1254 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SLICE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SLASH ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SLASH) to state 1255 *)
          _menhir_run_1255 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SIZEOF ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SIGNED ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SHORT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SEPARATED ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SEPARATED) to state 1256 *)
          _menhir_run_1256 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | SEMICOLON ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SEMICOLON) to state 1257 *)
          _menhir_run_1257 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | RSQUAREPIPE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RSQUAREPIPE) to state 1258 *)
          _menhir_run_1258 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | RSQUARE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RSQUARE) to state 1259 *)
          _menhir_run_1259 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | RPAR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RPAR) to state 1260 *)
          _menhir_run_1260 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | RETURNS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | RESULT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RESULT) to state 1261 *)
          _menhir_run_1261 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | REGISTER ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (REGISTER) to state 1262 *)
          _menhir_run_1262 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | REAL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | READS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | RBRACE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (RBRACE) to state 1263 *)
          _menhir_run_1263 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | QUESTION ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (QUESTION) to state 1264 *)
          _menhir_run_1264 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | PLUS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PLUS) to state 1265 *)
          _menhir_run_1265 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | PIPE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PIPE) to state 1266 *)
          _menhir_run_1266 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | PI ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PI) to state 1267 *)
          _menhir_run_1267 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | PERCENT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PERCENT) to state 1268 *)
          _menhir_run_1268 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | OR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (OR) to state 1269 *)
          _menhir_run_1269 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | OLD ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (OLD) to state 1270 *)
          _menhir_run_1270 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | OFFSET ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (OFFSET) to state 1271 *)
          _menhir_run_1271 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | OBJECT_POINTER ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (OBJECT_POINTER) to state 1272 *)
          _menhir_run_1272 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | NULL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (NULL) to state 1273 *)
          _menhir_run_1273 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | NOTHING ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (NOTHING) to state 1274 *)
          _menhir_run_1274 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | NOT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (NOT) to state 1275 *)
          _menhir_run_1275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | NE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (NE) to state 1276 *)
          _menhir_run_1276 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | MODULE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | MODEL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | MINUS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MINUS) to state 1277 *)
          _menhir_run_1277 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LTLT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LTLT) to state 1278 *)
          _menhir_run_1278 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LT) to state 1279 *)
          _menhir_run_1279 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LSQUAREPIPE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUAREPIPE) to state 1280 *)
          _menhir_run_1280 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 1281 *)
          _menhir_run_1281 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LPAR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 1282 *)
          _menhir_run_1282 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LOOP ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LONG ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LOGIC ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LET ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LET) to state 1283 *)
          _menhir_run_1283 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LEMMA ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LE) to state 1284 *)
          _menhir_run_1284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LBRACE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LBRACE) to state 1285 *)
          _menhir_run_1285 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LAMBDA ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LAMBDA) to state 1286 *)
          _menhir_run_1286 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | LABEL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INT_CONSTANT _ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INT_CONSTANT) to state 1287 *)
          _menhir_run_1287 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INTER ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INTER) to state 1288 *)
          _menhir_run_1288 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INTEGER ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INITIALIZED ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INITIALIZED) to state 1289 *)
          _menhir_run_1289 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | IN ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IN) to state 1290 *)
          _menhir_run_1290 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IMPLIES) to state 1291 *)
          _menhir_run_1291 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | IMPACT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | IFF ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IFF) to state 1292 *)
          _menhir_run_1292 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | IF ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | IDENTIFIER_EXT _v_5 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1333
      | IDENTIFIER _v_6 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1333
      | HATHAT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (HATHAT) to state 1293 *)
          _menhir_run_1293 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | HAT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (HAT) to state 1294 *)
          _menhir_run_1294 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | GTGT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GTGT) to state 1295 *)
          _menhir_run_1295 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | GT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GT) to state 1296 *)
          _menhir_run_1296 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | GHOST ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GHOST) to state 1297 *)
          _menhir_run_1297 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | GE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GE) to state 1298 *)
          _menhir_run_1298 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FROM ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FROM) to state 1299 *)
          _menhir_run_1299 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FRESH ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FRESH) to state 1300 *)
          _menhir_run_1300 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FREES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FREEABLE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FREEABLE) to state 1301 *)
          _menhir_run_1301 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FORALL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FORALL) to state 1302 *)
          _menhir_run_1302 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FOR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FLOAT_CONSTANT _ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FLOAT_CONSTANT) to state 1303 *)
          _menhir_run_1303 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FLOAT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | FALSE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FALSE) to state 1304 *)
          _menhir_run_1304 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EXT_GLOBAL_BLOCK _v_8 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1333
      | EXT_GLOBAL _v_9 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1333
      | EXT_CONTRACT _v_10 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1333
      | EXT_CODE_ANNOT _v_11 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1333
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EXITS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EXISTS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXISTS) to state 1305 *)
          _menhir_run_1305 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EQUAL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EQUAL) to state 1306 *)
          _menhir_run_1306 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EQ ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EQ) to state 1307 *)
          _menhir_run_1307 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ENUM ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ENSURES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EMPTY ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EMPTY) to state 1308 *)
          _menhir_run_1308 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ELSE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DYNAMIC ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DYNAMIC) to state 1309 *)
          _menhir_run_1309 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DOTDOTDOT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOTDOTDOT) to state 1310 *)
          _menhir_run_1310 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DOTDOT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOTDOT) to state 1311 *)
          _menhir_run_1311 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DOT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOT) to state 1312 *)
          _menhir_run_1312 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DOLLAR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOLLAR) to state 1313 *)
          _menhir_run_1313 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DECREASES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | DANGLING ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DANGLING) to state 1314 *)
          _menhir_run_1314 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CONST ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | COMMA ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 1315 *)
          _menhir_run_1315 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | COLONCOLON ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COLONCOLON) to state 1316 *)
          _menhir_run_1316 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | COLON2 ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COLON2) to state 1317 *)
          _menhir_run_1317 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | COLON ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COLON) to state 1318 *)
          _menhir_run_1318 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHECK ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CHAR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | CASE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BSUNION ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BSUNION) to state 1319 *)
          _menhir_run_1319 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BSTYPE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BSTYPE) to state 1320 *)
          _menhir_run_1320 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BSGHOST ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BSGHOST) to state 1321 *)
          _menhir_run_1321 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BREAKS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BOOLEAN ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BOOL ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BLOCK_LENGTH ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BLOCK_LENGTH) to state 1322 *)
          _menhir_run_1322 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BIMPLIES) to state 1323 *)
          _menhir_run_1323 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BIFF ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BIFF) to state 1324 *)
          _menhir_run_1324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | BASE_ADDR ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (BASE_ADDR) to state 1325 *)
          _menhir_run_1325 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | AXIOM ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | AUTOMATIC ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AUTOMATIC) to state 1326 *)
          _menhir_run_1326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | AT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AT) to state 1327 *)
          _menhir_run_1327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ASSERT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ARROW ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ARROW) to state 1328 *)
          _menhir_run_1328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | AND ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AND) to state 1329 *)
          _menhir_run_1329 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | AMP ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AMP) to state 1330 *)
          _menhir_run_1330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ALLOCATION ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ALLOCATION) to state 1331 *)
          _menhir_run_1331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ALLOCABLE ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ALLOCABLE) to state 1332 *)
          _menhir_run_1332 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | ADMIT ->
          let _menhir_stack = MenhirCell1_wildcard (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1333
      | EOF ->
          (* Reducing production any -> wildcard *)
          let _ = _menhir_action_047 () in
          _menhir_goto_any _menhir_stack _menhir_s
  
  and _menhir_run_1241 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1241: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> WITH *)
      let _ = _menhir_action_131 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_goto_bs_keyword : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _ -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok ->
      (* State 1334: *)
      (* Reducing production wildcard -> bs_keyword *)
      let _v = _menhir_action_801 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1242 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1242: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> VALID_READ *)
      let _ = _menhir_action_127 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1243 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1243: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> VALID_RANGE *)
      let _ = _menhir_action_126 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1244 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1244: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> VALID_INDEX *)
      let _ = _menhir_action_125 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1245 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1245: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> VALID_FUNCTION *)
      let _ = _menhir_action_128 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1246 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1246: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> VALID *)
      let _ = _menhir_action_124 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1247 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1247: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> UNALLOCATED *)
      let _ = _menhir_action_122 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1248 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1248: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> TYPEOF *)
      let _ = _menhir_action_120 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1249 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1249: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> TRUE *)
      let _ = _menhir_action_118 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1250 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1250: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> TILDE *)
      let _v = _menhir_action_855 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0015 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 15: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> STRUCT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_147 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1251 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1251: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> STRING_LITERAL *)
      let _v = _menhir_action_854 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1252 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1252: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> STRING_CONSTANT *)
      let _v = _menhir_action_813 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0016 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 16: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> STATIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_146 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1253 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1253: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> STARHAT *)
      let _v = _menhir_action_853 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1254 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1254: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> STAR *)
      let _v = _menhir_action_852 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0017 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 17: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> SLICE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_364 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1255 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1255: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> SLASH *)
      let _v = _menhir_action_851 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0018 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 18: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> SIZEOF *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_145 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0019 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 19: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> SIGNED *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_144 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0020 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 20: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> SHORT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_143 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1256 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1256: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> SEPARATED *)
      let _ = _menhir_action_117 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1257 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1257: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> SEMICOLON *)
      let _v = _menhir_action_850 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1258 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1258: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> RSQUAREPIPE *)
      let _v = _menhir_action_849 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1259 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1259: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> RSQUARE *)
      let _v = _menhir_action_848 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1260 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1260: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> RPAR *)
      let _v = _menhir_action_847 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0021 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 21: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> RETURNS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_609 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_post_cond : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1072 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1139 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1113 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1075 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1081 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1084 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1093 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1088 ->
          _menhir_run_1090 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1132 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1126 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1105 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1083 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1087 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1092 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1078 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1066 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1061 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1005 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1008 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1011 ->
          _menhir_run_1035 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1384 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1379 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1372 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1376 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1368 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1361 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1356 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1239 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1333 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1179 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1158 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1131 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1101 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0996 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0987 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0910 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0897 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0895 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0876 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0855 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0764 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0756 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0754 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0577 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0103 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0008 ->
          _menhir_run_0098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1090 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1090: *)
      (* Reducing production post_cond_kind -> post_cond *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_620 _1 in
      _menhir_goto_post_cond_kind _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_post_cond_kind : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1139 ->
          _menhir_run_1147 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _tok
      | MenhirState1072 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1113 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1075 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1081 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1093 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1088 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1084 ->
          _menhir_run_1086 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1147 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, ttv_result) _menhir_cell1_simple_clauses, ttv_result) _menhir_cell1_behaviors, ttv_result) _menhir_cell1_ne_complete_or_disjoint -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _tok ->
      (* State 1147: *)
      let MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _, _, _, _) = _menhir_stack in
      let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
      let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
      let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
      let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
      let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
      (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint post_cond_kind *)
      let (_endpos__7_, _startpos__7_) = (_endpos, _startpos) in
      let _v = _menhir_action_202 _endpos__7_ _startpos__7_ in
      _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
  
  and _menhir_goto_contract : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1425 ->
          _menhir_run_1427 _menhir_stack _v _tok
      | MenhirState1403 ->
          _menhir_run_1404 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1399 ->
          _menhir_run_1400 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1003 ->
          _menhir_run_1156 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1404 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup, _menhir_box_ext_spec) _menhir_cell1_ext_contract_markup -> _ -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1404: *)
      let MenhirCell1_ext_contract_markup (_menhir_stack, _, _) = _menhir_stack in
      (* Reducing production ext_stmt_loop_spec -> ext_contract_markup contract *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_277 _2 in
      _menhir_goto_ext_stmt_loop_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _v _tok
  
  and _menhir_run_1400 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_contract_markup -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1400: *)
      let MenhirCell1_ext_contract_markup (_menhir_stack, _menhir_s, _) = _menhir_stack in
      (* Reducing production ext_fun_spec -> ext_contract_markup contract *)
      let _2 = _v in
      let _v = _menhir_action_239 _2 in
      _menhir_goto_ext_fun_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1156 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FOR, ttv_result) _menhir_cell1_ne_behavior_name_list _menhir_cell0_COLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1156: *)
      (* Reducing production contract_or_code_annotation -> contract *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_203 _1 in
      _menhir_goto_contract_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _tok
  
  and _menhir_goto_contract_or_code_annotation : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FOR, ttv_result) _menhir_cell1_ne_behavior_name_list _menhir_cell0_COLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1155: *)
      let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_ne_behavior_name_list (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_FOR (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production annotation -> FOR ne_behavior_name_list COLON contract_or_code_annotation *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_041 _2 _4 in
      _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _v _menhir_s _tok
  
  and _menhir_run_1086 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1086: *)
      let _menhir_stack = MenhirCell1_post_cond_kind (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1086
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1086
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1086
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1086
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1086
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1086
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1086
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1086
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1086
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1086
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1086
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1086
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1086
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0003 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 3: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production constant -> WSTRING_CONSTANT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_185 _1 in
      _menhir_goto_constant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_constant : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 513: *)
      (* Reducing production lexpr_inner -> constant *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_442 _1 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_lexpr_inner : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0133 ->
          _menhir_run_0734 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0140 ->
          _menhir_run_0733 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0339 ->
          _menhir_run_0726 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0350 ->
          _menhir_run_0718 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0351 ->
          _menhir_run_0718 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0352 ->
          _menhir_run_0717 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0713 ->
          _menhir_run_0714 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0465 ->
          _menhir_run_0575 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0565 ->
          _menhir_run_0566 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0556 ->
          _menhir_run_0557 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0554 ->
          _menhir_run_0555 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0552 ->
          _menhir_run_0553 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0550 ->
          _menhir_run_0551 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0548 ->
          _menhir_run_0549 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0546 ->
          _menhir_run_0547 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0482 ->
          _menhir_run_0483 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0479 ->
          _menhir_run_0481 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0478 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0734 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TILDE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 734: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0734
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0734
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0734
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_TILDE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> TILDE lexpr_inner *)
          let (_endpos__2_, _2) = (_endpos, _v) in
          let _v = _menhir_action_456 _2 _endpos__2_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0484 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 484: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0484
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0484
      | DOTDOT ->
          (* Reducing production lexpr_option -> *)
          let _v = _menhir_action_489 () in
          _menhir_run_0487 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0484 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0006 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 6: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> VARIANT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_323 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> VARIANT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_368 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_full_identifier : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1214 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1203 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1198 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1193 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1185 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1173 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0973 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0978 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0965 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0958 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0860 ->
          _menhir_run_0875 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0879 ->
          _menhir_run_0851 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0852 ->
          _menhir_run_0851 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0848 ->
          _menhir_run_0851 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1182 ->
          _menhir_run_0847 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0763 ->
          _menhir_run_0847 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0825 ->
          _menhir_run_0827 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0835 ->
          _menhir_run_0827 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0826 ->
          _menhir_run_0827 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0133 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0140 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0339 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0350 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0351 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0352 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0713 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0465 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0565 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0479 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0556 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0554 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0552 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0548 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0550 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0546 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0482 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0500 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0807 ->
          _menhir_run_0384 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0388 ->
          _menhir_run_0384 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0371 ->
          _menhir_run_0384 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0372 ->
          _menhir_run_0384 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0382 ->
          _menhir_run_0384 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0361 ->
          _menhir_run_0364 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0374 ->
          _menhir_run_0240 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0238 ->
          _menhir_run_0240 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1192 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0956 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0884 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0863 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0865 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0766 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0815 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0822 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0801 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0779 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0777 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0673 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0657 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0649 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0647 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0606 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0544 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0542 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0529 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0536 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0325 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0286 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0264 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0261 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0230 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0208 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0206 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0155 ->
          _menhir_run_0201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0875 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 875: *)
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LT) to state 848 *)
          _menhir_run_0848 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LBRACE ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LBRACE) to state 876 *)
          (* State 876: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LBRACE (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0876 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | COLON | EQUAL | LPAR | READS | SEMICOLON ->
          (* Reducing production poly_id_type -> full_identifier *)
          let _1 = _v in
          let _v = _menhir_action_602 _1 in
          _menhir_goto_poly_id_type _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0848 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_full_identifier -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 848: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell0_LT (_menhir_stack, _startpos) in
      let _menhir_s = MenhirState0848 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0134 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 134: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> VARIANT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_323 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0135 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 135: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> TYPE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_322 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0136 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 136: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> TERMINATES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_321 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0141 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 141: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> SLICE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_320 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0157 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 157: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> RETURNS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_319 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0158 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 158: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> REQUIRES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_318 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0024 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 24: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production identifier -> READS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_332 () in
      _menhir_goto_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0159 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 159: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> PREDICATE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_317 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0160 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 160: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> PRAGMA *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_316 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0161 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 161: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> MODULE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_315 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0162 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 162: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> MODEL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_314 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0163 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 163: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> LOOP *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_313 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0164 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 164: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> LOGIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_312 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0165 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 165: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> LEMMA *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_310 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0033 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 33: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production identifier -> LABEL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_331 () in
      _menhir_goto_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0166 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 166: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> INVARIANT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_309 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0167 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 167: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> INDUCTIVE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_307 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0168 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 168: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> INCLUDE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_308 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0169 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 169: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> IMPACT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_306 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0170 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 170: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> IDENTIFIER_EXT *)
      let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_328 id in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_run_0042 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 42: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production identifier -> IDENTIFIER *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_329 _1 in
      _menhir_goto_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0171 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 171: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> GLOBAL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_305 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0172 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 172: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> FUNCTION *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_304 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0173 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 173: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> FREES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_303 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0174 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 174: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXT_LET *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_311 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0175 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 175: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXT_GLOBAL_BLOCK *)
      let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_327 id in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_run_0176 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 176: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXT_GLOBAL *)
      let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_326 id in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_run_0177 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 177: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXT_CONTRACT *)
      let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_325 id in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_run_0178 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 178: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXT_CODE_ANNOT *)
      let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_324 id in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_run_0179 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 179: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXT_AT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_290 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0180 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 180: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> EXITS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_302 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0181 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 181: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> ENSURES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_301 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0182 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 182: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> DISJOINT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_300 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0183 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 183: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> DECREASES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_299 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0184 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 184: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> CONTRACT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_298 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0185 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 185: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> CONTINUES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_297 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0186 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 186: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> COMPLETE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_296 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0187 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 187: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> CHECK *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_295 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0188 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 188: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> BREAKS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_294 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0080 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 80: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production identifier -> BEHAVIORS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_330 () in
      _menhir_goto_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0189 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 189: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> BEHAVIOR *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_293 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0190 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 190: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> AXIOMATIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_292 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0191 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 191: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> AXIOM *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_291 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0192 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 192: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> ASSUMES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_289 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0193 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 193: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> ASSIGNS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_288 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0194 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 194: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> ASSERT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_287 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0195 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 195: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> ALLOCATES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_286 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0196 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 196: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production full_identifier -> ADMIT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_285 () in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0022 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 22: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> REQUIRES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_376 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0023 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 23: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_typename -> REAL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_384 () in
      _menhir_goto_is_acsl_typename _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_is_acsl_typename : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0361 ->
          _menhir_run_0363 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _menhir_s _tok
      | MenhirState0801 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0779 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0777 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0673 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0657 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0649 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0647 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0606 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0544 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0542 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0536 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0529 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0325 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0286 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0264 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0261 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0230 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0208 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0206 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0155 ->
          _menhir_run_0197 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1384 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1379 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1372 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1376 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1368 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1361 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1356 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1239 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1333 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1179 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1158 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1131 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1101 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0996 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0987 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0910 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0897 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0895 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0876 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0855 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0764 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0756 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0754 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0577 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0008 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0103 ->
          _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0363 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LET as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _menhir_s _tok ->
      (* State 363: *)
      (* Reducing production bounded_var -> is_acsl_typename *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_092 _endpos__1_ _startpos__1_ in
      _menhir_goto_bounded_var _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_bounded_var : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LET as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 365: *)
      let _menhir_stack = MenhirCell1_bounded_var (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | EQUAL ->
          (* Shifting (EQUAL) to state 366 *)
          (* State 366: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0366 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0007 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 7: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_VALID_READ (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0007
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0007 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0008 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 8: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0008 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0025 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 25: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> PREDICATE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_363 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0026 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 26: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> PRAGMA *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_362 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0027 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 27: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_ext_spec -> MODULE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_387 () in
      _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_is_ext_spec : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 106: *)
      (* Reducing production non_logic_keyword -> is_ext_spec *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_582 _1 in
      _menhir_goto_non_logic_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0028 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 28: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> MODEL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_366 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0029 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 29: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> LOOP *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_359 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0030 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 30: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> LONG *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_142 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0031 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 31: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production keyword -> LOGIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_391 () in
      _menhir_goto_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0032 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 32: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> LEMMA *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_356 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0034 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 34: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> INVARIANT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_353 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0035 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 35: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_typename -> INTEGER *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_383 () in
      _menhir_goto_is_acsl_typename _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0036 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 36: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> INT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_141 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0037 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 37: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> INDUCTIVE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_352 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0038 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 38: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_ext_spec -> INCLUDE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_388 () in
      _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0039 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 39: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> IMPACT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_351 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0040 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 40: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> IF *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_140 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0041 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 41: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> IDENTIFIER_EXT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_345 _1 in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0043 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 43: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> GLOBAL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_350 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0044 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 44: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_ext_spec -> FUNCTION *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_386 () in
      _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0045 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 45: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> FREES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_374 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0046 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 46: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production acsl_c_keyword -> FOR *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_033 () in
      _menhir_goto_acsl_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0047 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 47: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> FLOAT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_139 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0048 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 48: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_ext_spec -> EXT_LET *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_390 () in
      _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0049 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 49: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> EXT_GLOBAL_BLOCK *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_344 _1 in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0050 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 50: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> EXT_GLOBAL *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_343 _1 in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0051 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 51: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> EXT_CONTRACT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_371 _1 in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0052 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 52: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> EXT_CODE_ANNOT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_342 _1 in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0053 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 53: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_ext_spec -> EXT_AT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_389 () in
      _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0054 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 54: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> EXITS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_606 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0055 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 55: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> ENUM *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_137 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0056 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 56: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> ENSURES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_605 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0057 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 57: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> ELSE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_138 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0058 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 58: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> DOUBLE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_136 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0059 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 59: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> DISJOINT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_382 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0060 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 60: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> DECREASES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_381 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0061 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 61: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_ext_spec -> CONTRACT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_385 () in
      _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0062 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 62: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> CONTINUES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_608 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0063 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 63: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> CONST *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_135 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0064 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 64: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> COMPLETE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_380 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0065 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 65: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> CHECK_RETURNS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_614 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0066 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 66: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> CHECK_REQUIRES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_377 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0067 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 67: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> CHECK_LOOP *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_361 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0068 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 68: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> CHECK_LEMMA *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_358 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0069 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 69: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> CHECK_INVARIANT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_355 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0070 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 70: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> CHECK_EXITS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_611 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0071 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 71: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> CHECK_ENSURES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_610 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0072 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 72: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> CHECK_CONTINUES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_613 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0073 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 73: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> CHECK_BREAKS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_612 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0074 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 74: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> CHECK *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_348 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0075 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 75: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> CHAR *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_132 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0076 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 76: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production acsl_c_keyword -> CASE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_032 () in
      _menhir_goto_acsl_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0077 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 77: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> BREAKS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_607 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0078 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 78: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> BOOLEAN *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_133 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0079 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 79: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production c_keyword -> BOOL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_134 () in
      _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0081 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 81: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> BEHAVIOR *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_375 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0082 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 82: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> AXIOMATIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_369 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0083 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 83: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> AXIOM *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_367 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0084 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 84: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> ASSUMES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_346 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0085 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 85: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> ASSIGNS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_372 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0086 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 86: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> ASSERT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_347 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0087 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 87: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> ALLOCATES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_373 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0088 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 88: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> ADMIT_RETURNS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_619 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0089 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 89: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_spec -> ADMIT_REQUIRES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_378 () in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0090 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 90: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> ADMIT_LOOP *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_360 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0091 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 91: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> ADMIT_LEMMA *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_357 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0092 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 92: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> ADMIT_INVARIANT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_354 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0093 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 93: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> ADMIT_EXITS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_616 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0094 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 94: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> ADMIT_ENSURES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_615 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0095 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 95: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> ADMIT_CONTINUES *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_618 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0096 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 96: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production post_cond -> ADMIT_BREAKS *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_617 () in
      _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0097 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 97: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production is_acsl_decl_or_code_annot -> ADMIT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_349 () in
      _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0114 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 114: *)
      (* Reducing production opt_label_1 -> opt_label_list *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_585 _1 _endpos__1_ _startpos__1_ in
      _menhir_goto_opt_label_1 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_opt_label_1 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0470 ->
          _menhir_run_0471 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0466 ->
          _menhir_run_0467 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0454 ->
          _menhir_run_0455 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0450 ->
          _menhir_run_0451 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0434 ->
          _menhir_run_0435 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0411 ->
          _menhir_run_0412 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0397 ->
          _menhir_run_0398 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0346 ->
          _menhir_run_0347 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0343 ->
          _menhir_run_0344 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0125 ->
          _menhir_run_0126 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0120 ->
          _menhir_run_0121 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0117 ->
          _menhir_run_0118 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0007 ->
          _menhir_run_0115 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0471 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ALLOCABLE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 471: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 472 *)
          (* State 472: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0472 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0117 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 117: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_VALID_RANGE (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0117
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0117 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0120 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 120: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_VALID_INDEX (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0120
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0120 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0123 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 123: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_VALID_FUNCTION (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 124 *)
          (* State 124: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0124 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0125 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 125: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_VALID (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0125
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0125 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0128 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 128: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> UNALLOCATED *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_440 _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0129 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 129: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_TYPEOF (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 130 *)
          (* State 130: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0130 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0131 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 131: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> TYPE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_322 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> TYPE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_365 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0132 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 132: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> TRUE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_419 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0133 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 133: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_TILDE (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0133 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0137 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 137: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production string -> STRING_LITERAL *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_659 _1 in
      _menhir_goto_string _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_string : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1352 ->
          _menhir_run_1353 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0133 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0140 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0339 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0350 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0351 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0352 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0713 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0465 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0565 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0556 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0554 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0552 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0550 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0548 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0546 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0482 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0479 ->
          _menhir_run_0480 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1421 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0474 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1353 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_INCLUDE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1353: *)
      match (_tok : MenhirBasics.token) with
      | STRING_LITERAL _v_0 ->
          let _menhir_stack = MenhirCell1_string (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_LITERAL) to state 475 *)
          _menhir_run_0475 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1354 *)
          (* State 1354: *)
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_INCLUDE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production ext_global_clause -> INCLUDE string SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_1) in
          let _v = _menhir_action_253 _2 _endpos__3_ _startpos__1_ in
          _menhir_goto_ext_global_clause _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0475 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_string -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 475: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_string (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production string -> string STRING_LITERAL *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_660 _1 _2 in
      _menhir_goto_string _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_ext_global_clause : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1351 ->
          _menhir_run_1408 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1408 ->
          _menhir_run_1408 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1387 ->
          _menhir_run_1408 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1393 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1393 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1408 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1408: *)
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VOLATILE) to state 2 *)
          _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | TYPE ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPE) to state 763 *)
          _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PREDICATE) to state 860 *)
          _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | MODEL ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODEL) to state 882 *)
          _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | LOGIC ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LOGIC) to state 956 *)
          _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | LEMMA ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LEMMA) to state 965 *)
          _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INDUCTIVE) to state 973 *)
          _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INCLUDE) to state 1352 *)
          _menhir_run_1352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GLOBAL) to state 1355 *)
          _menhir_run_1355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_LET) to state 1361 *)
          _menhir_run_1361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | EXT_GLOBAL_BLOCK _v_0 ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
          _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1408
      | EXT_GLOBAL _v_1 ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL) to state 1164 *)
          _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1408
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_LEMMA) to state 1173 *)
          _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOMATIC) to state 1179 *)
          _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | AXIOM ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOM) to state 1214 *)
          _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_LEMMA) to state 1203 *)
          _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1408
      | CONTRACT | EOF | EXT_AT | FUNCTION | MODULE ->
          (* Reducing production ext_global_clauses -> ext_global_clause *)
          let _1 = _v in
          let _v = _menhir_action_254 _1 in
          _menhir_goto_ext_global_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0002 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 2: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_VOLATILE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0002 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0324 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 324: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> TERMINATES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_321 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> TERMINATES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_379 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0138 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 138: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production constant -> STRING_CONSTANT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_184 _1 in
      _menhir_goto_constant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0326 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 326: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> STATIC *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_146 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production lexpr_inner -> STATIC *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_439 _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0140 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 140: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0140 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0139 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 139: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> STATIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_439 _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0142 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 142: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_SIZEOF (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 143 *)
          _menhir_run_0143 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0143 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIZEOF -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 143: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
      let _menhir_s = MenhirState0143 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 144 *)
          _menhir_run_0144 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 145 *)
          _menhir_run_0145 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 146 *)
          _menhir_run_0146 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 155 *)
          _menhir_run_0155 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 202 *)
          _menhir_run_0202 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 325 *)
          _menhir_run_0325 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 329 *)
          _menhir_run_0329 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 330 *)
          _menhir_run_0330 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 357 *)
          _menhir_run_0357 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 359 *)
          _menhir_run_0359 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 670 *)
          _menhir_run_0670 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 671 *)
          _menhir_run_0671 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 672 *)
          _menhir_run_0672 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 673 *)
          _menhir_run_0673 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 674 *)
          _menhir_run_0674 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 675 *)
          _menhir_run_0675 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 676 *)
          _menhir_run_0676 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 677 *)
          _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 678 *)
          _menhir_run_0678 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 679 *)
          _menhir_run_0679 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0144 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 144: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production acsl_c_keyword -> VOLATILE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_034 () in
          _menhir_goto_acsl_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BOOL | BOOLEAN | BSGHOST | CHAR | CONST | DOUBLE | ENUM | FLOAT | INT | INTEGER | LONG | REAL | SHORT | SIGNED | STRUCT | TYPENAME _ | UNION | UNSIGNED | VOID | VOLATILE ->
          (* Reducing production cv -> VOLATILE *)
          let _v = _menhir_action_206 () in
          _menhir_goto_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_cv : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0143 ->
          _menhir_run_0710 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0710 ->
          _menhir_run_0710 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0710 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0704 ->
          _menhir_run_0704 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0702 ->
          _menhir_run_0704 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0688 ->
          _menhir_run_0689 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0681 ->
          _menhir_run_0684 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0710 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 710: *)
      let _menhir_stack = MenhirCell1_cv (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 682 *)
          _menhir_run_0682 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | VOID ->
          (* Shifting (VOID) to state 204 *)
          _menhir_run_0204 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 205 *)
          _menhir_run_0205 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | UNION ->
          (* Shifting (UNION) to state 206 *)
          _menhir_run_0206 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | TYPENAME _v_0 ->
          (* Shifting (TYPENAME) to state 207 *)
          _menhir_run_0207 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0710
      | STRUCT ->
          (* Shifting (STRUCT) to state 208 *)
          _menhir_run_0208 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | SIGNED ->
          (* Shifting (SIGNED) to state 210 *)
          _menhir_run_0210 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | SHORT ->
          (* Shifting (SHORT) to state 219 *)
          _menhir_run_0219 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | REAL ->
          (* Shifting (REAL) to state 221 *)
          _menhir_run_0221 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | LONG ->
          (* Shifting (LONG) to state 222 *)
          _menhir_run_0222 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | INTEGER ->
          (* Shifting (INTEGER) to state 227 *)
          _menhir_run_0227 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | INT ->
          (* Shifting (INT) to state 228 *)
          _menhir_run_0228 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | FLOAT ->
          (* Shifting (FLOAT) to state 229 *)
          _menhir_run_0229 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | ENUM ->
          (* Shifting (ENUM) to state 230 *)
          _menhir_run_0230 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 232 *)
          _menhir_run_0232 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | CONST ->
          (* Shifting (CONST) to state 683 *)
          _menhir_run_0683 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | CHAR ->
          (* Shifting (CHAR) to state 233 *)
          _menhir_run_0233 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 677 *)
          _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 234 *)
          _menhir_run_0234 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | BOOL ->
          (* Shifting (BOOL) to state 235 *)
          _menhir_run_0235 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0710
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0682 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 682: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production cv -> VOLATILE *)
      let _v = _menhir_action_206 () in
      _menhir_goto_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0204 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 204: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> VOID *)
      let _v = _menhir_action_669 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_type_spec_TYPENAME_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0143 ->
          _menhir_run_0702 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0710 ->
          _menhir_run_0702 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0702 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0322 ->
          _menhir_run_0236 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0203 ->
          _menhir_run_0236 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0702 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 702: *)
      let _menhir_stack = MenhirCell1_type_spec_TYPENAME_ (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 682 *)
          _menhir_run_0682 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0702
      | CONST ->
          (* Shifting (CONST) to state 683 *)
          _menhir_run_0683 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0702
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 677 *)
          _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0702
      | LPAR | LSQUARE | RPAR | STAR ->
          (* Reducing production cv_after -> *)
          let _v_0 = _menhir_action_208 () in
          _menhir_run_0703 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0683 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 683: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production cv -> CONST *)
      let _v = _menhir_action_205 () in
      _menhir_goto_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0677 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 677: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production cv -> BSGHOST *)
      let _v = _menhir_action_207 () in
      _menhir_goto_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0703 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_TYPENAME_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 703: *)
      let MenhirCell1_type_spec_TYPENAME_ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production type_spec_cv(TYPENAME) -> type_spec(TYPENAME) cv_after *)
      let _2 = _v in
      let _v = _menhir_action_780 _1 _2 in
      _menhir_goto_type_spec_cv_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_type_spec_cv_TYPENAME_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0710 ->
          _menhir_run_0711 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0143 ->
          _menhir_run_0680 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0680 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0711 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_cv -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 711: *)
      let MenhirCell1_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production type_spec_cv(TYPENAME) -> cv type_spec_cv(TYPENAME) *)
      let _2 = _v in
      let _v = _menhir_action_781 _1 _2 in
      _menhir_goto_type_spec_cv_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0680 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 680: *)
      let _menhir_stack = MenhirCell1_type_spec_cv_TYPENAME_ (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 681 *)
          _menhir_run_0681 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0680
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0680
      | LPAR ->
          (* Shifting (LPAR) to state 685 *)
          _menhir_run_0685 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0680
      | RPAR ->
          (* Reducing production abs_spec_cv_option -> *)
          let _v = _menhir_action_028 () in
          _menhir_goto_abs_spec_cv_option _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0681 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 681: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s, _startpos) in
          (* Shifting (VOLATILE) to state 682 *)
          _menhir_run_0682 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0681
      | CONST ->
          let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s, _startpos) in
          (* Shifting (CONST) to state 683 *)
          _menhir_run_0683 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0681
      | BSGHOST ->
          let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s, _startpos) in
          (* Shifting (BSGHOST) to state 677 *)
          _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0681
      | LPAR | LSQUARE | RPAR | STAR ->
          (* Reducing production stars_cv -> STAR *)
          let _v = _menhir_action_651 () in
          _menhir_goto_stars_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_stars_cv : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 687: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 688 *)
          (* State 688: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOLATILE ->
              let _menhir_stack = MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _v) in
              let _menhir_stack = MenhirCell1_STAR (_menhir_stack, MenhirState0687, _startpos) in
              (* Shifting (VOLATILE) to state 682 *)
              _menhir_run_0682 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0688
          | CONST ->
              let _menhir_stack = MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _v) in
              let _menhir_stack = MenhirCell1_STAR (_menhir_stack, MenhirState0687, _startpos) in
              (* Shifting (CONST) to state 683 *)
              _menhir_run_0683 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0688
          | BSGHOST ->
              let _menhir_stack = MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _v) in
              let _menhir_stack = MenhirCell1_STAR (_menhir_stack, MenhirState0687, _startpos) in
              (* Shifting (BSGHOST) to state 677 *)
              _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0688
          | LPAR | LSQUARE | RPAR | STAR ->
              (* Reducing production stars_cv -> stars_cv STAR *)
              let _1 = _v in
              let _v = _menhir_action_653 _1 in
              _menhir_goto_stars_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0687
      | LPAR ->
          let _menhir_stack = MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 685 *)
          _menhir_run_0685 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0687
      | RPAR ->
          (* Reducing production abs_spec_cv -> stars_cv *)
          let _1 = _v in
          let _v = _menhir_action_022 _1 in
          _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0238 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 238: *)
      let _menhir_stack = MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 239 *)
          _menhir_run_0239 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0238
      | RSQUARE ->
          (* Reducing production array_size -> *)
          let _v = _menhir_action_060 () in
          _menhir_run_0241 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0238 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0239 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 239: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production array_size -> INT_CONSTANT *)
      let _1 = _v in
      let _v = _menhir_action_058 _1 in
      _menhir_goto_array_size _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_array_size : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0374 ->
          _menhir_run_0375 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0238 ->
          _menhir_run_0241 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0375 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_var_spec_bis -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 375: *)
      match (_tok : MenhirBasics.token) with
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 376 *)
          (* State 376: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_var_spec_bis (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production var_spec_bis -> var_spec_bis LSQUARE array_size RSQUARE *)
          let _3 = _v in
          let _v = _menhir_action_792 _1 _3 in
          _menhir_goto_var_spec_bis _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_var_spec_bis : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0382 ->
          _menhir_run_0383 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0807 ->
          _menhir_run_0373 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0388 ->
          _menhir_run_0373 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0371 ->
          _menhir_run_0373 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0372 ->
          _menhir_run_0373 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0383 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_stars as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 383: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_var_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 374 *)
          _menhir_run_0374 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LPAR ->
          let _menhir_stack = MenhirCell1_var_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 377 *)
          _menhir_run_0377 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | RBRACE | RPAR | SEMICOLON ->
          let MenhirCell1_stars (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production var_spec -> stars var_spec_bis *)
          let _2 = _v in
          let _v = _menhir_action_790 _1 _2 in
          _menhir_goto_var_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0374 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_var_spec_bis -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 374: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 239 *)
          _menhir_run_0239 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0374
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0374
      | RSQUARE ->
          (* Reducing production array_size -> *)
          let _v = _menhir_action_060 () in
          _menhir_run_0375 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0377 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_var_spec_bis -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 377: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0377
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0377
      | RPAR ->
          (* Reducing production abs_param_type_list -> *)
          let _v = _menhir_action_007 () in
          _menhir_run_0378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0251 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 251: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> VOID *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_745 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_type_spec_typename_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0882 ->
          _menhir_run_0883 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0444 ->
          _menhir_run_0445 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0426 ->
          _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0414 ->
          _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0388 ->
          _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0370 ->
          _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0825 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0832 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0828 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0692 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0377 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0310 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0250 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0303 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0293 ->
          _menhir_run_0294 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0883 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_MODEL as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 883: *)
      let _menhir_stack = MenhirCell1_type_spec_typename_ (_menhir_stack, _menhir_s, _v, _startpos) in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 884 *)
          (* State 884: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LBRACE (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0884 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 767 *)
              _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 768 *)
              _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 777 *)
              _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 779 *)
              _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 781 *)
              _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 790 *)
              _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 792 *)
              _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 793 *)
              _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 798 *)
              _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 799 *)
              _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 800 *)
              _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 801 *)
              _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 803 *)
              _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 804 *)
              _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 805 *)
              _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 806 *)
              _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0767 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 767: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> VOID *)
      let _v = _menhir_action_707 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_type_spec_identifier_or_typename_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1192 ->
          _menhir_run_0816 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0956 ->
          _menhir_run_0816 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0822 ->
          _menhir_run_0816 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0815 ->
          _menhir_run_0816 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0884 ->
          _menhir_run_0807 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0865 ->
          _menhir_run_0807 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0863 ->
          _menhir_run_0807 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0766 ->
          _menhir_run_0807 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0816 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 816: *)
      let _menhir_stack = MenhirCell1_type_spec_identifier_or_typename_ (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0816
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0816
      | LPAR ->
          (* Shifting (LPAR) to state 244 *)
          _menhir_run_0244 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0816
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production abs_spec_option -> *)
          let _v_0 = _menhir_action_030 () in
          _menhir_run_0817 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0237 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 237: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production stars -> STAR *)
      let _v = _menhir_action_649 () in
      _menhir_goto_stars _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_stars : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0445 ->
          _menhir_run_0447 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0807 ->
          _menhir_run_0382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0388 ->
          _menhir_run_0382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0371 ->
          _menhir_run_0382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0372 ->
          _menhir_run_0382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0816 ->
          _menhir_run_0246 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0236 ->
          _menhir_run_0246 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0294 ->
          _menhir_run_0246 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0244 ->
          _menhir_run_0246 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0447 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_BSTYPE _menhir_cell0_LPAR, ttv_result) _menhir_cell1_type_spec_typename_ as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 447: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_stars (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STAR) to state 247 *)
          _menhir_run_0247 _menhir_stack _menhir_lexbuf _menhir_lexer
      | RPAR ->
          (* Shifting (RPAR) to state 448 *)
          (* State 448: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_type_spec_typename_ (_menhir_stack, _, _3, _) = _menhir_stack in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_BSTYPE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> BSTYPE LPAR type_spec(typename) stars RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos) in
          let _v = _menhir_action_477 _3 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0247 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_stars -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 247: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_stars (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production stars -> stars STAR *)
      let _v = _menhir_action_650 _1 in
      _menhir_goto_stars _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0382 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 382: *)
      let _menhir_stack = MenhirCell1_stars (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | STAR ->
          (* Shifting (STAR) to state 247 *)
          _menhir_run_0247 _menhir_stack _menhir_lexbuf _menhir_lexer
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | LPAR ->
          (* Shifting (LPAR) to state 372 *)
          _menhir_run_0372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0382
      | IDENTIFIER _v_1 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0382
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | EXT_GLOBAL_BLOCK _v_2 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0382
      | EXT_GLOBAL _v_3 ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0382
      | EXT_CONTRACT _v_4 ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0382
      | EXT_CODE_ANNOT _v_5 ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0382
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0382
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0372 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 372: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0372 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 372 *)
          _menhir_run_0372 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0246 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 246: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_stars (_menhir_stack, _menhir_s, _v) in
          (* Shifting (STAR) to state 247 *)
          _menhir_run_0247 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_stars (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0246
      | LPAR ->
          let _menhir_stack = MenhirCell1_stars (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 244 *)
          _menhir_run_0244 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0246
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production abs_spec -> stars *)
          let _1 = _v in
          let _v = _menhir_action_011 _1 in
          _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0244 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 244: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0244 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 244 *)
          _menhir_run_0244 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_abs_spec : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0244 ->
          _menhir_run_0315 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0816 ->
          _menhir_run_0298 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0236 ->
          _menhir_run_0298 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0294 ->
          _menhir_run_0298 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0315 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 315: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 316 *)
          (* State 316: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _) = _menhir_stack in
          (* Reducing production abs_spec_bis -> LPAR abs_spec RPAR *)
          let _2 = _v in
          let _v = _menhir_action_017 _2 in
          _menhir_goto_abs_spec_bis _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_abs_spec_bis : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0816 ->
          _menhir_run_0296 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0236 ->
          _menhir_run_0296 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0244 ->
          _menhir_run_0296 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0294 ->
          _menhir_run_0296 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0246 ->
          _menhir_run_0249 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0296 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 296: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_abs_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0296
      | LPAR ->
          let _menhir_stack = MenhirCell1_abs_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 250 *)
          _menhir_run_0250 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0296
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production abs_spec -> abs_spec_bis *)
          let _1 = _v in
          let _v = _menhir_action_016 _1 in
          _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0250 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_abs_spec_bis as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 250: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0250
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0250
      | RPAR ->
          (* Reducing production abs_param_type_list -> *)
          let _v = _menhir_action_007 () in
          _menhir_run_0307 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0252 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 252: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SHORT) to state 253 *)
          _menhir_run_0253 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LONG ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 255 *)
          _menhir_run_0255 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 259 *)
          _menhir_run_0259 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CHAR ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHAR) to state 260 *)
          _menhir_run_0260 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(typename) -> UNSIGNED *)
          let _startpos__1_ = _startpos in
          let _v = _menhir_action_753 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0253 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 253: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 254 *)
          (* State 254: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> UNSIGNED SHORT INT *)
          let _v = _menhir_action_759 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> UNSIGNED SHORT *)
          let _v = _menhir_action_756 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0255 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 255: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          (* Shifting (LONG) to state 256 *)
          (* State 256: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 257 *)
              (* State 257: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
              (* Reducing production type_spec(typename) -> UNSIGNED LONG LONG INT *)
              let _v = _menhir_action_771 () in
              _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
              (* Reducing production type_spec(typename) -> UNSIGNED LONG LONG *)
              let _v = _menhir_action_768 () in
              _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 258 *)
          (* State 258: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> UNSIGNED LONG INT *)
          let _v = _menhir_action_765 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> UNSIGNED LONG *)
          let _v = _menhir_action_762 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0259 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 259: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> UNSIGNED INT *)
      let _v = _menhir_action_752 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0260 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 260: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> UNSIGNED CHAR *)
      let _v = _menhir_action_749 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0261 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 261: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0261 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0156 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 156: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production identifier_or_typename -> TYPENAME *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_334 _1 in
      _menhir_goto_identifier_or_typename _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_identifier_or_typename : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1192 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0956 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0884 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0863 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0865 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0815 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0822 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0766 ->
          _menhir_run_0814 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0801 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0779 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0777 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0673 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0657 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0649 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0647 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0606 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0544 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0542 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0529 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0536 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0325 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0286 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0264 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0261 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0230 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0208 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0206 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0155 ->
          _menhir_run_0199 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0814 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 814: *)
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_identifier_or_typename (_menhir_stack, _menhir_s, _v, _endpos) in
          (* Shifting (LT) to state 815 *)
          (* State 815: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LT (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0815 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 767 *)
              _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 768 *)
              _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 777 *)
              _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 779 *)
              _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 781 *)
              _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 790 *)
              _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 792 *)
              _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 793 *)
              _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 798 *)
              _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 799 *)
              _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 800 *)
              _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 801 *)
              _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 803 *)
              _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 804 *)
              _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 805 *)
              _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 806 *)
              _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(identifier_or_typename) -> identifier_or_typename *)
          let name = _v in
          let _v = _menhir_action_740 name in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0768 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 768: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          (* Shifting (SHORT) to state 769 *)
          (* State 769: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 770 *)
              (* State 770: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED SHORT INT *)
              let _v = _menhir_action_721 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED SHORT *)
              let _v = _menhir_action_718 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | LONG ->
          (* Shifting (LONG) to state 771 *)
          (* State 771: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LONG ->
              (* Shifting (LONG) to state 772 *)
              (* State 772: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | INT ->
                  (* Shifting (INT) to state 773 *)
                  (* State 773: *)
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED LONG LONG INT *)
                  let _v = _menhir_action_733 () in
                  _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED LONG LONG *)
                  let _v = _menhir_action_730 () in
                  _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | INT ->
              (* Shifting (INT) to state 774 *)
              (* State 774: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED LONG INT *)
              let _v = _menhir_action_727 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED LONG *)
              let _v = _menhir_action_724 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 775 *)
          (* State 775: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED INT *)
          let _v = _menhir_action_714 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CHAR ->
          (* Shifting (CHAR) to state 776 *)
          (* State 776: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED CHAR *)
          let _v = _menhir_action_711 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(identifier_or_typename) -> UNSIGNED *)
          let _v = _menhir_action_715 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0777 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 777: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0777 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0779 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 779: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0779 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0781 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 781: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          (* Shifting (SHORT) to state 782 *)
          (* State 782: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 783 *)
              (* State 783: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (* Reducing production type_spec(identifier_or_typename) -> SIGNED SHORT INT *)
              let _v = _menhir_action_720 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              (* Reducing production type_spec(identifier_or_typename) -> SIGNED SHORT *)
              let _v = _menhir_action_717 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | LONG ->
          (* Shifting (LONG) to state 784 *)
          (* State 784: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LONG ->
              (* Shifting (LONG) to state 785 *)
              (* State 785: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | INT ->
                  (* Shifting (INT) to state 786 *)
                  (* State 786: *)
                  let _tok = _menhir_lexer _menhir_lexbuf in
                  (* Reducing production type_spec(identifier_or_typename) -> SIGNED LONG LONG INT *)
                  let _v = _menhir_action_732 () in
                  _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(identifier_or_typename) -> SIGNED LONG LONG *)
                  let _v = _menhir_action_729 () in
                  _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | INT ->
              (* Shifting (INT) to state 787 *)
              (* State 787: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (* Reducing production type_spec(identifier_or_typename) -> SIGNED LONG INT *)
              let _v = _menhir_action_725 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              (* Reducing production type_spec(identifier_or_typename) -> SIGNED LONG *)
              let _v = _menhir_action_723 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 788 *)
          (* State 788: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> SIGNED INT *)
          let _v = _menhir_action_713 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | CHAR ->
          (* Shifting (CHAR) to state 789 *)
          (* State 789: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> SIGNED CHAR *)
          let _v = _menhir_action_710 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0790 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 790: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 791 *)
          (* State 791: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> SHORT INT *)
          let _v = _menhir_action_719 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(identifier_or_typename) -> SHORT *)
          let _v = _menhir_action_716 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0792 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 792: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> REAL *)
      let _v = _menhir_action_705 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0793 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 793: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          (* Shifting (LONG) to state 794 *)
          (* State 794: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 795 *)
              (* State 795: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (* Reducing production type_spec(identifier_or_typename) -> LONG LONG INT *)
              let _v = _menhir_action_731 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              (* Reducing production type_spec(identifier_or_typename) -> LONG LONG *)
              let _v = _menhir_action_728 () in
              _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 796 *)
          (* State 796: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> LONG INT *)
          let _v = _menhir_action_726 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 797 *)
          (* State 797: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production type_spec(identifier_or_typename) -> LONG DOUBLE *)
          let _v = _menhir_action_736 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(identifier_or_typename) -> LONG *)
          let _v = _menhir_action_722 () in
          _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0798 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 798: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> INTEGER *)
      let _v = _menhir_action_704 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0799 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 799: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> INT *)
      let _v = _menhir_action_712 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0800 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 800: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> FLOAT *)
      let _v = _menhir_action_734 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0801 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 801: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0801 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0803 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 803: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> DOUBLE *)
      let _v = _menhir_action_735 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0804 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 804: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> CHAR *)
      let _v = _menhir_action_709 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0805 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 805: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> BOOLEAN *)
      let _v = _menhir_action_706 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0806 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 806: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(identifier_or_typename) -> BOOL *)
      let _v = _menhir_action_708 () in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0199 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 199: *)
      (* Reducing production identifier_or_typename_full -> identifier_or_typename *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_337 _1 in
      _menhir_goto_identifier_or_typename_full _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_identifier_or_typename_full : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0801 ->
          _menhir_run_0802 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0779 ->
          _menhir_run_0780 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0777 ->
          _menhir_run_0778 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0606 ->
          _menhir_run_0607 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0544 ->
          _menhir_run_0545 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0542 ->
          _menhir_run_0543 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0536 ->
          _menhir_run_0535 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0529 ->
          _menhir_run_0535 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0657 ->
          _menhir_run_0287 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0286 ->
          _menhir_run_0287 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0649 ->
          _menhir_run_0265 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0264 ->
          _menhir_run_0265 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0647 ->
          _menhir_run_0262 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0261 ->
          _menhir_run_0262 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0673 ->
          _menhir_run_0231 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0230 ->
          _menhir_run_0231 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0325 ->
          _menhir_run_0209 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0208 ->
          _menhir_run_0209 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0206 ->
          _menhir_run_0198 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0155 ->
          _menhir_run_0198 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0802 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_ENUM -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 802: *)
      let MenhirCell1_ENUM (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(identifier_or_typename) -> ENUM identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_738 id in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0780 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_STRUCT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 780: *)
      let MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(identifier_or_typename) -> STRUCT identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_737 id in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0778 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNION -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 778: *)
      let MenhirCell1_UNION (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(identifier_or_typename) -> UNION identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_739 id in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0607 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_DOT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 607: *)
      let MenhirCell1_DOT (_menhir_stack, _menhir_s) = _menhir_stack in
      (* Reducing production field_path_elt -> DOT identifier_or_typename_full *)
      let _2 = _v in
      let _v = _menhir_action_283 _2 in
      _menhir_goto_field_path_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_field_path_elt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0368 ->
          _menhir_run_0625 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0629 ->
          _menhir_run_0625 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0625 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0611 ->
          _menhir_run_0617 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0613 ->
          _menhir_run_0617 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0622 ->
          _menhir_run_0617 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0615 ->
          _menhir_run_0617 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0625 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 625: *)
      let _menhir_stack = MenhirCell1_field_path_elt (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | EQUAL ->
          (* Shifting (EQUAL) to state 626 *)
          (* State 626: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0626 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0327 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 327: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> SLICE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_320 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> SLICE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_364 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0328 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 328: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_SIZEOF (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LPAR) to state 143 *)
          _menhir_run_0143 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COLON ->
          (* Reducing production c_keyword -> SIZEOF *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_145 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0331 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 331: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_SEPARATED (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 332 *)
          (* State 332: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0332 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0333 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 333: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> RETURNS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_319 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production post_cond -> RETURNS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_609 () in
          _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0334 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 334: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> RESULT *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_463 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0335 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 335: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> REQUIRES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_318 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> REQUIRES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_376 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0336 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 336: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> REGISTER *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_438 _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0337 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 337: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> PREDICATE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_317 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> PREDICATE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_363 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0338 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 338: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> PRAGMA *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_316 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> PRAGMA *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_362 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0339 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 339: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_PLUS (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0339 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0340 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 340: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> PI *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_469 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0341 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 341: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_OLD (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 342 *)
          (* State 342: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0342 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0343 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 343: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_OFFSET (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0343
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0343 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0346 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 346: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_OBJECT_POINTER (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0346
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0346 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0349 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 349: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> NULL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_441 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0350 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 350: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_NOT (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0350 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0351 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 351: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_NOT (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0351 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0352 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 352: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_MINUS (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0352 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0353 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 353: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LSQUAREPIPE (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0353
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0353
      | RSQUAREPIPE ->
          (* Reducing production lexpr_list -> *)
          let _v = _menhir_action_487 () in
          _menhir_run_0715 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0354 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 354: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> MODULE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_315 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_ext_spec -> MODULE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_387 () in
          _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0355 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 355: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> MODEL *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_314 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> MODEL *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_366 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0356 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 356: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 144 *)
          _menhir_run_0144 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VOID ->
          (* Shifting (VOID) to state 145 *)
          _menhir_run_0145 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 146 *)
          _menhir_run_0146 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | UNION ->
          (* Shifting (UNION) to state 155 *)
          _menhir_run_0155 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 202 *)
          _menhir_run_0202 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | STRUCT ->
          (* Shifting (STRUCT) to state 325 *)
          _menhir_run_0325 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | SIGNED ->
          (* Shifting (SIGNED) to state 329 *)
          _menhir_run_0329 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | SHORT ->
          (* Shifting (SHORT) to state 330 *)
          _menhir_run_0330 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | REAL ->
          (* Shifting (REAL) to state 357 *)
          _menhir_run_0357 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LONG ->
          (* Shifting (LONG) to state 359 *)
          _menhir_run_0359 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INTEGER ->
          (* Shifting (INTEGER) to state 670 *)
          _menhir_run_0670 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INT ->
          (* Shifting (INT) to state 671 *)
          _menhir_run_0671 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | FLOAT ->
          (* Shifting (FLOAT) to state 672 *)
          _menhir_run_0672 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0356
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ENUM ->
          (* Shifting (ENUM) to state 673 *)
          _menhir_run_0673 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 674 *)
          _menhir_run_0674 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CONST ->
          (* Shifting (CONST) to state 675 *)
          _menhir_run_0675 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CHAR ->
          (* Shifting (CHAR) to state 676 *)
          _menhir_run_0676 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 677 *)
          _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 678 *)
          _menhir_run_0678 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BOOL ->
          (* Shifting (BOOL) to state 679 *)
          _menhir_run_0679 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0356
      | DOTDOT ->
          (* Reducing production lexpr_option -> *)
          let _v = _menhir_action_489 () in
          _menhir_run_0487 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0356 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0145 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 145: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> VOID *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_150 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> VOID *)
          let _v = _menhir_action_669 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0146 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 146: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SHORT) to state 147 *)
          _menhir_run_0147 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LONG ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 149 *)
          _menhir_run_0149 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 153 *)
          _menhir_run_0153 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CHAR ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHAR) to state 154 *)
          _menhir_run_0154 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COLON ->
          (* Reducing production c_keyword -> UNSIGNED *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_149 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> UNSIGNED *)
          let _v = _menhir_action_677 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0147 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 147: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 148 *)
          (* State 148: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> UNSIGNED SHORT INT *)
          let _v = _menhir_action_683 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> UNSIGNED SHORT *)
          let _v = _menhir_action_680 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0149 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 149: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          (* Shifting (LONG) to state 150 *)
          (* State 150: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 151 *)
              (* State 151: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
              (* Reducing production type_spec(TYPENAME) -> UNSIGNED LONG LONG INT *)
              let _v = _menhir_action_695 () in
              _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
              let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
              (* Reducing production type_spec(TYPENAME) -> UNSIGNED LONG LONG *)
              let _v = _menhir_action_692 () in
              _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 152 *)
          (* State 152: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> UNSIGNED LONG INT *)
          let _v = _menhir_action_689 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> UNSIGNED LONG *)
          let _v = _menhir_action_686 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0153 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 153: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> UNSIGNED INT *)
      let _v = _menhir_action_676 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0154 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNSIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 154: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> UNSIGNED CHAR *)
      let _v = _menhir_action_673 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0155 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 155: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | VARIANT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | TYPENAME _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | TYPE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | SLICE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | RETURNS ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | REAL ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | READS ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | MODULE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | MODEL ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | LOOP ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | LOGIC ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | LEMMA ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | LABEL ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | INTEGER ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | IMPACT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | IDENTIFIER_EXT _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | IDENTIFIER _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | FREES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | EXT_GLOBAL_BLOCK _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | EXT_GLOBAL _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | EXT_CONTRACT _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | EXT_CODE_ANNOT _v ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0155
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | EXITS ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | ENSURES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | DECREASES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | CHECK ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | BREAKS ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | AXIOM ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | ASSERT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | ADMIT ->
          let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0155
      | COLON ->
          (* Reducing production c_keyword -> UNION *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_148 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0202 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 202: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_TYPENAME (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LT) to state 203 *)
          _menhir_run_0203 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COLON ->
          (* Reducing production any_identifier -> TYPENAME *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_051 _1 in
          _menhir_goto_any_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> TYPENAME *)
          let name = _v in
          let _v = _menhir_action_702 name in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0203 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_TYPENAME -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 203: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell0_LT (_menhir_stack, _startpos) in
      let _menhir_s = MenhirState0203 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 204 *)
          _menhir_run_0204 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 205 *)
          _menhir_run_0205 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 206 *)
          _menhir_run_0206 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 207 *)
          _menhir_run_0207 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 208 *)
          _menhir_run_0208 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 210 *)
          _menhir_run_0210 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 219 *)
          _menhir_run_0219 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 221 *)
          _menhir_run_0221 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 222 *)
          _menhir_run_0222 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 227 *)
          _menhir_run_0227 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 228 *)
          _menhir_run_0228 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 229 *)
          _menhir_run_0229 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 230 *)
          _menhir_run_0230 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 232 *)
          _menhir_run_0232 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 233 *)
          _menhir_run_0233 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 234 *)
          _menhir_run_0234 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 235 *)
          _menhir_run_0235 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0205 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 205: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SHORT) to state 147 *)
          _menhir_run_0147 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LONG ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 149 *)
          _menhir_run_0149 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 153 *)
          _menhir_run_0153 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CHAR ->
          let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHAR) to state 154 *)
          _menhir_run_0154 _menhir_stack _menhir_lexbuf _menhir_lexer
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> UNSIGNED *)
          let _v = _menhir_action_677 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0206 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 206: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0206 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0207 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 207: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_TYPENAME (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LT) to state 203 *)
          _menhir_run_0203 _menhir_stack _menhir_lexbuf _menhir_lexer
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> TYPENAME *)
          let name = _v in
          let _v = _menhir_action_702 name in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0208 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 208: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0208 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0210 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 210: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          (* Shifting (SHORT) to state 211 *)
          _menhir_run_0211 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LONG ->
          (* Shifting (LONG) to state 213 *)
          _menhir_run_0213 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          (* Shifting (INT) to state 217 *)
          _menhir_run_0217 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CHAR ->
          (* Shifting (CHAR) to state 218 *)
          _menhir_run_0218 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0211 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 211: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 212 *)
          (* State 212: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> SIGNED SHORT INT *)
          let _v = _menhir_action_682 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> SIGNED SHORT *)
          let _v = _menhir_action_679 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0213 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 213: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          (* Shifting (LONG) to state 214 *)
          (* State 214: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 215 *)
              (* State 215: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
              (* Reducing production type_spec(TYPENAME) -> SIGNED LONG LONG INT *)
              let _v = _menhir_action_694 () in
              _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
              let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
              (* Reducing production type_spec(TYPENAME) -> SIGNED LONG LONG *)
              let _v = _menhir_action_691 () in
              _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 216 *)
          (* State 216: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> SIGNED LONG INT *)
          let _v = _menhir_action_687 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> SIGNED LONG *)
          let _v = _menhir_action_685 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0217 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 217: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> SIGNED INT *)
      let _v = _menhir_action_675 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0218 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 218: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> SIGNED CHAR *)
      let _v = _menhir_action_672 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0219 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 219: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          let _menhir_stack = MenhirCell1_SHORT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 220 *)
          _menhir_run_0220 _menhir_stack _menhir_lexbuf _menhir_lexer
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> SHORT *)
          let _v = _menhir_action_678 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0220 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SHORT -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 220: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_SHORT (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> SHORT INT *)
      let _v = _menhir_action_681 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0221 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 221: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> REAL *)
      let _v = _menhir_action_667 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0222 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 222: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 223 *)
          _menhir_run_0223 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 225 *)
          _menhir_run_0225 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DOUBLE) to state 226 *)
          _menhir_run_0226 _menhir_stack _menhir_lexbuf _menhir_lexer
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> LONG *)
          let _v = _menhir_action_684 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0223 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LONG -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 223: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 224 *)
          (* State 224: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LONG (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> LONG LONG INT *)
          let _v = _menhir_action_693 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | BSGHOST | COMMA | CONST | GT | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          let MenhirCell1_LONG (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production type_spec(TYPENAME) -> LONG LONG *)
          let _v = _menhir_action_690 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0225 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LONG -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 225: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LONG (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> LONG INT *)
      let _v = _menhir_action_688 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0226 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LONG -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 226: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LONG (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> LONG DOUBLE *)
      let _v = _menhir_action_698 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0227 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 227: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> INTEGER *)
      let _v = _menhir_action_666 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0228 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 228: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> INT *)
      let _v = _menhir_action_674 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0229 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 229: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> FLOAT *)
      let _v = _menhir_action_696 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0230 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 230: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0230 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0232 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 232: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> DOUBLE *)
      let _v = _menhir_action_697 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0233 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 233: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> CHAR *)
      let _v = _menhir_action_671 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0234 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 234: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> BOOLEAN *)
      let _v = _menhir_action_668 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0235 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 235: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(TYPENAME) -> BOOL *)
      let _v = _menhir_action_670 () in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0325 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 325: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | VARIANT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | TYPENAME _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | TYPE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | SLICE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | RETURNS ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | REAL ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | READS ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | MODULE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | MODEL ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | LOOP ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | LOGIC ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | LEMMA ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | LABEL ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | INTEGER ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | IMPACT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | IDENTIFIER_EXT _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | IDENTIFIER _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | FREES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | EXT_GLOBAL_BLOCK _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | EXT_GLOBAL _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | EXT_CONTRACT _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | EXT_CODE_ANNOT _v ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0325
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | EXITS ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | ENSURES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | DECREASES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | CHECK ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | BREAKS ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | AXIOM ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | ASSERT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | ADMIT ->
          let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0325
      | COLON ->
          (* Reducing production c_keyword -> STRUCT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_147 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0329 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 329: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SHORT) to state 211 *)
          _menhir_run_0211 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LONG ->
          let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 213 *)
          _menhir_run_0213 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 217 *)
          _menhir_run_0217 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CHAR ->
          let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHAR) to state 218 *)
          _menhir_run_0218 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COLON ->
          (* Reducing production c_keyword -> SIGNED *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_144 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0330 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 330: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          let _menhir_stack = MenhirCell1_SHORT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 220 *)
          _menhir_run_0220 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COLON ->
          (* Reducing production c_keyword -> SHORT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_143 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> SHORT *)
          let _v = _menhir_action_678 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0357 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 357: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production is_acsl_typename -> REAL *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_384 () in
          _menhir_goto_is_acsl_typename _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> REAL *)
          let _v = _menhir_action_667 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0358 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 358: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> LOOP *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_313 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> LOOP *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_359 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0359 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 359: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 223 *)
          _menhir_run_0223 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 225 *)
          _menhir_run_0225 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DOUBLE) to state 226 *)
          _menhir_run_0226 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COLON ->
          (* Reducing production c_keyword -> LONG *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_142 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> LONG *)
          let _v = _menhir_action_684 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0360 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 360: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> LOGIC *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_312 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production keyword -> LOGIC *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_391 () in
          _menhir_goto_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0361 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 361: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LET (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | TYPENAME _ ->
          (* Shifting (TYPENAME) to state 362 *)
          (* State 362: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production bounded_var -> TYPENAME *)
          let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0361, _endpos, _startpos_0) in
          let _v = _menhir_action_093 _endpos__1_ _startpos__1_ in
          _menhir_goto_bounded_var _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0361
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0361
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0361
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0361
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0361
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0361
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0361
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0367 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 367: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> LEMMA *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_310 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> LEMMA *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_356 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0368 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 368: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 369 *)
          _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0368
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | DOT ->
          (* Shifting (DOT) to state 606 *)
          _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0368
      | RBRACE ->
          (* Reducing production lexpr_list -> *)
          let _v = _menhir_action_487 () in
          _menhir_run_0608 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0369 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 369: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0369
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0369
      | DOTDOT ->
          (* Reducing production lexpr_option -> *)
          let _v = _menhir_action_489 () in
          _menhir_run_0487 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0369 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0370 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 370: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LAMBDA (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0370 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0263 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 263: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production typename -> TYPENAME *)
      let (_startpos_name_, name) = (_startpos, _v) in
      let _v = _menhir_action_784 name in
      _menhir_goto_typename _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_name_ _v _menhir_s _tok
  
  and _menhir_goto_typename : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 292: *)
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_typename (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (LT) to state 293 *)
          (* State 293: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LT (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0293 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(typename) -> typename *)
          let (_startpos_name_, name) = (_startpos, _v) in
          let _v = _menhir_action_778 name in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_name_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0264 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 264: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0264 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0266 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 266: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | SHORT ->
          (* Shifting (SHORT) to state 267 *)
          _menhir_run_0267 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LONG ->
          (* Shifting (LONG) to state 269 *)
          _menhir_run_0269 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          (* Shifting (INT) to state 273 *)
          _menhir_run_0273 _menhir_stack _menhir_lexbuf _menhir_lexer
      | CHAR ->
          (* Shifting (CHAR) to state 274 *)
          _menhir_run_0274 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0267 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 267: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 268 *)
          (* State 268: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> SIGNED SHORT INT *)
          let _v = _menhir_action_758 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> SIGNED SHORT *)
          let _v = _menhir_action_755 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0269 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 269: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          (* Shifting (LONG) to state 270 *)
          (* State 270: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | INT ->
              (* Shifting (INT) to state 271 *)
              (* State 271: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
              (* Reducing production type_spec(typename) -> SIGNED LONG LONG INT *)
              let _v = _menhir_action_770 () in
              _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
              let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
              (* Reducing production type_spec(typename) -> SIGNED LONG LONG *)
              let _v = _menhir_action_767 () in
              _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INT ->
          (* Shifting (INT) to state 272 *)
          (* State 272: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> SIGNED LONG INT *)
          let _v = _menhir_action_763 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> SIGNED LONG *)
          let _v = _menhir_action_761 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0273 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 273: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> SIGNED INT *)
      let _v = _menhir_action_751 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0274 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIGNED -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 274: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_SIGNED (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> SIGNED CHAR *)
      let _v = _menhir_action_748 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0275 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 275: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          let _menhir_stack = MenhirCell1_SHORT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 276 *)
          _menhir_run_0276 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(typename) -> SHORT *)
          let _startpos__1_ = _startpos in
          let _v = _menhir_action_754 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0276 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SHORT -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 276: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_SHORT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> SHORT INT *)
      let _v = _menhir_action_757 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0277 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 277: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> REAL *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_743 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0278 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 278: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LONG ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LONG) to state 279 *)
          _menhir_run_0279 _menhir_stack _menhir_lexbuf _menhir_lexer
      | INT ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INT) to state 281 *)
          _menhir_run_0281 _menhir_stack _menhir_lexbuf _menhir_lexer
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DOUBLE) to state 282 *)
          _menhir_run_0282 _menhir_stack _menhir_lexbuf _menhir_lexer
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          (* Reducing production type_spec(typename) -> LONG *)
          let _startpos__1_ = _startpos in
          let _v = _menhir_action_760 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0279 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LONG -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 279: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INT ->
          (* Shifting (INT) to state 280 *)
          (* State 280: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> LONG LONG INT *)
          let _v = _menhir_action_769 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LBRACE | LEMMA | LOGIC | LOOP | LPAR | LSQUARE | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
          let MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_spec(typename) -> LONG LONG *)
          let _v = _menhir_action_766 () in
          _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0281 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LONG -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 281: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> LONG INT *)
      let _v = _menhir_action_764 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0282 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LONG -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 282: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LONG (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> LONG DOUBLE *)
      let _v = _menhir_action_774 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0283 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 283: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> INTEGER *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_742 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0284 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 284: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> INT *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_750 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0285 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 285: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> FLOAT *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_772 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0286 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 286: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0286 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0288 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 288: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> DOUBLE *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_773 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0289 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 289: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> CHAR *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_747 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0290 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 290: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> BOOLEAN *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_744 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0291 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 291: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production type_spec(typename) -> BOOL *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_746 () in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0393 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 393: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> INVARIANT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_309 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> INVARIANT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_353 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0394 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 394: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production constant -> INT_CONSTANT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_182 _1 in
      _menhir_goto_constant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0395 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 395: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_INTER (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 396 *)
          (* State 396: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0396
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0396
          | RPAR ->
              (* Reducing production lexpr_list -> *)
              let _v = _menhir_action_487 () in
              _menhir_run_0599 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0397 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 397: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_INITIALIZED (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0397
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0397 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0400 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 400: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> INDUCTIVE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_307 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> INDUCTIVE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_352 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0401 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 401: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> INCLUDE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_308 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_ext_spec -> INCLUDE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_388 () in
          _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0402 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 402: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> IMPACT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_306 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> IMPACT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_351 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0403 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 403: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> IDENTIFIER_EXT *)
          let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_328 id in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> IDENTIFIER_EXT *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_345 _1 in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0404 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 404: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> GLOBAL *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_305 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> GLOBAL *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_350 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0405 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 405: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> FUNCTION *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_304 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_ext_spec -> FUNCTION *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_386 () in
          _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0406 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 406: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_FRESH (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0406
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0407 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0406 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0407 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FRESH as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 407: *)
      (* Reducing production opt_label_2 -> opt_label_list *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_586 _1 _endpos__1_ _startpos__1_ in
      (* State 408: *)
      let _menhir_stack = MenhirCell1_opt_label_2 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 409 *)
          (* State 409: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0409 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0410 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 410: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> FREES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_303 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> FREES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_374 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0411 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 411: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_FREEABLE (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0411
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0411 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0414 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 414: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_FORALL (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0414 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0417 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 417: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production constant -> FLOAT_CONSTANT *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_183 _1 in
      _menhir_goto_constant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0418 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 418: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> FALSE *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_420 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0419 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 419: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXT_LET *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_311 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_ext_spec -> EXT_LET *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_390 () in
          _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0420 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 420: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXT_GLOBAL_BLOCK *)
          let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_327 id in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> EXT_GLOBAL_BLOCK *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_344 _1 in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0421 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 421: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXT_GLOBAL *)
          let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_326 id in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> EXT_GLOBAL *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_343 _1 in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0422 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 422: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXT_CONTRACT *)
          let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_325 id in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> EXT_CONTRACT *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_371 _1 in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0423 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 423: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXT_CODE_ANNOT *)
          let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_324 id in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> EXT_CODE_ANNOT *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_342 _1 in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0424 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 424: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXT_AT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_290 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_ext_spec -> EXT_AT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_389 () in
          _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0425 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 425: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> EXITS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_302 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production post_cond -> EXITS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_606 () in
          _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0426 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 426: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_EXISTS (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0426 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0429 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 429: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> ENSURES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_301 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production post_cond -> ENSURES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_605 () in
          _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0430 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 430: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> EMPTY *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_478 _endpos__1_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0431 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 431: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> DYNAMIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_437 _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0432 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 432: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> DISJOINT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_300 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> DISJOINT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_382 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0433 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 433: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> DECREASES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_299 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> DECREASES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_381 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0434 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 434: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_DANGLING (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0434
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0434 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0437 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 437: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> CONTRACT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_298 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_ext_spec -> CONTRACT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_385 () in
          _menhir_goto_is_ext_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0438 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 438: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> CONTINUES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_297 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production post_cond -> CONTINUES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_608 () in
          _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0439 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 439: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> COMPLETE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_296 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> COMPLETE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_380 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0440 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 440: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> CHECK *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_295 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> CHECK *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_348 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0441 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 441: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_BSUNION (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 442 *)
          (* State 442: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0442
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0442
          | RPAR ->
              (* Reducing production lexpr_list -> *)
              let _v = _menhir_action_487 () in
              _menhir_run_0585 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0443 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 443: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_BSTYPE (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 444 *)
          (* State 444: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0444 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0449 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 449: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> BREAKS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_294 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production post_cond -> BREAKS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_607 () in
          _menhir_goto_post_cond _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0450 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 450: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_BLOCK_LENGTH (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0450
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0450 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0453 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 453: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> BEHAVIOR *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_293 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> BEHAVIOR *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_375 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0454 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 454: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_BASE_ADDR (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0454
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0454 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0457 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 457: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> AXIOMATIC *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_292 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> AXIOMATIC *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_369 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0458 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 458: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> AXIOM *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_291 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> AXIOM *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_367 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0459 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 459: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production lexpr_inner -> AUTOMATIC *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_436 _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0460 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 460: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_AT (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 461 *)
          (* State 461: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0461 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0462 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 462: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> ASSUMES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_289 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> ASSUMES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_346 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0463 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 463: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> ASSIGNS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_288 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> ASSIGNS *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_372 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0464 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 464: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> ASSERT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_287 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> ASSERT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_347 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0465 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 465: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_AMP (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0465 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0466 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 466: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ALLOCATION (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0466
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0466 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0470 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 470: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ALLOCABLE (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 8 *)
          _menhir_run_0008 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0470
      | LPAR ->
          (* Reducing production opt_label_list -> *)
          let _v = _menhir_action_587 () in
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState0470 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0469 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 469: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> ALLOCATES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_286 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_spec -> ALLOCATES *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_373 () in
          _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0473 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 473: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> ADMIT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_285 () in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | COLON ->
          (* Reducing production is_acsl_decl_or_code_annot -> ADMIT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_349 () in
          _menhir_goto_is_acsl_decl_or_code_annot _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0585 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_BSUNION _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 585: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 586 *)
          (* State 586: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_BSUNION (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> BSUNION LPAR lexpr_list RPAR *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_479 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0599 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_INTER _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 599: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 600 *)
          (* State 600: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_INTER (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> INTER LPAR lexpr_list RPAR *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_480 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0487 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 487: *)
      let _menhir_stack = MenhirCell1_lexpr_option (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | DOTDOT ->
          (* Shifting (DOTDOT) to state 488 *)
          (* State 488: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_DOTDOT (_menhir_stack, _startpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v_2 ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0488
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | TYPENAME _v_3 ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0488
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | STRING_LITERAL _v_4 ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0488
          | STRING_CONSTANT _v_5 ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0488
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INT_CONSTANT _v_6 ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0488
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | IDENTIFIER_EXT _v_7 ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0488
          | IDENTIFIER _v_8 ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0488
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FLOAT_CONSTANT _v_9 ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0488
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | EXT_GLOBAL_BLOCK _v_10 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0488
          | EXT_GLOBAL _v_11 ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0488
          | EXT_CONTRACT _v_12 ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState0488
          | EXT_CODE_ANNOT _v_13 ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_13 MenhirState0488
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0488
          | RPAR | RSQUARE ->
              (* Reducing production lexpr_option -> *)
              let _v_14 = _menhir_action_489 () in
              _menhir_run_0489 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_1 _v_14 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0489 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_lexpr_option _menhir_cell0_DOTDOT -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 489: *)
      let MenhirCell0_DOTDOT (_menhir_stack, _startpos__2_) = _menhir_stack in
      let MenhirCell1_lexpr_option (_menhir_stack, _menhir_s, _1, _startpos__1_, _endpos__1_) = _menhir_stack in
      (* Reducing production range -> lexpr_option DOTDOT lexpr_option *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_624 _1 _3 _endpos__1_ _endpos__3_ _startpos__1_ _startpos__2_ in
      _menhir_goto_range _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_range : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0356 ->
          _menhir_run_0706 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0369 ->
          _menhir_run_0602 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0484 ->
          _menhir_run_0485 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0706 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 706: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 707 *)
          (* State 707: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LPAR range RPAR *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_473 _2 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0602 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LSQUARE -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 602: *)
      match (_tok : MenhirBasics.token) with
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 603 *)
          (* State 603: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) = _menhir_stack in
          (* Reducing production array_path_elt -> LSQUARE range RSQUARE *)
          let _2 = _v in
          let _v = _menhir_action_057 _2 in
          _menhir_goto_array_path_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_array_path_elt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0368 ->
          _menhir_run_0633 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0637 ->
          _menhir_run_0633 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0633 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0611 ->
          _menhir_run_0618 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0613 ->
          _menhir_run_0618 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0622 ->
          _menhir_run_0618 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0615 ->
          _menhir_run_0618 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0633 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 633: *)
      let _menhir_stack = MenhirCell1_array_path_elt (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | EQUAL ->
          (* Shifting (EQUAL) to state 634 *)
          (* State 634: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0634 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0618 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 618: *)
      (* Reducing production path_elt -> array_path_elt *)
      let _1 = _v in
      let _v = _menhir_action_598 _1 in
      _menhir_goto_path_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_path_elt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 615: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_path_elt (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 369 *)
          _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0615
      | DOT ->
          let _menhir_stack = MenhirCell1_path_elt (_menhir_stack, _menhir_s, _v) in
          (* Shifting (DOT) to state 606 *)
          _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0615
      | EQUAL ->
          (* Reducing production path -> path_elt *)
          let _1 = _v in
          let _v = _menhir_action_595 _1 in
          _menhir_goto_path _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0606 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 606: *)
      let _menhir_stack = MenhirCell1_DOT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0606 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_path : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0611 ->
          _menhir_run_0619 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState0622 ->
          _menhir_run_0619 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState0613 ->
          _menhir_run_0619 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState0615 ->
          _menhir_run_0616 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0619 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 619: *)
      let _menhir_stack = MenhirCell1_path (_menhir_stack, _menhir_s, _v) in
      (* The current token is EQUAL. *)
      (* Shifting (EQUAL) to state 620 *)
      (* State 620: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0620
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0620
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0620
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0620
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LBRACE ->
          (* Shifting (LBRACE) to state 621 *)
          (* State 621: *)
          let _startpos_4 = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell1_LBRACE (_menhir_stack, MenhirState0620, _startpos_4) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v_5 ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0621
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | WITH ->
              (* Shifting (WITH) to state 622 *)
              (* State 622: *)
              let _menhir_stack = MenhirCell1_WITH (_menhir_stack, MenhirState0621) in
              let _menhir_s = MenhirState0622 in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | LSQUARE ->
                  (* Shifting (LSQUARE) to state 369 *)
                  _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | DOT ->
                  (* Shifting (DOT) to state 606 *)
                  _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | TYPENAME _v_6 ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0621
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | STRING_LITERAL _v_7 ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0621
          | STRING_CONSTANT _v_8 ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0621
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LSQUARE ->
              (* Shifting (LSQUARE) to state 369 *)
              _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INT_CONSTANT _v_9 ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0621
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | IDENTIFIER_EXT _v_10 ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0621
          | IDENTIFIER _v_11 ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0621
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FLOAT_CONSTANT _v_12 ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState0621
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | EXT_GLOBAL_BLOCK _v_13 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_13 MenhirState0621
          | EXT_GLOBAL _v_14 ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_14 MenhirState0621
          | EXT_CONTRACT _v_15 ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_15 MenhirState0621
          | EXT_CODE_ANNOT _v_16 ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_16 MenhirState0621
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | DOT ->
              (* Shifting (DOT) to state 606 *)
              _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0621
          | RBRACE ->
              (* Reducing production lexpr_list -> *)
              let _v_17 = _menhir_action_487 () in
              _menhir_run_0608 _menhir_stack _menhir_lexbuf _menhir_lexer _v_17 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INT_CONSTANT _v_18 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_18 MenhirState0620
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | IDENTIFIER_EXT _v_19 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_19 MenhirState0620
      | IDENTIFIER _v_20 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_20 MenhirState0620
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FLOAT_CONSTANT _v_21 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_21 MenhirState0620
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | EXT_GLOBAL_BLOCK _v_22 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_22 MenhirState0620
      | EXT_GLOBAL _v_23 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_23 MenhirState0620
      | EXT_CONTRACT _v_24 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_24 MenhirState0620
      | EXT_CODE_ANNOT _v_25 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_25 MenhirState0620
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0620
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0608 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LBRACE -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 608: *)
      match (_tok : MenhirBasics.token) with
      | RBRACE ->
          (* Shifting (RBRACE) to state 609 *)
          (* State 609: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LBRACE lexpr_list RBRACE *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_481 _2 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0616 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_path_elt -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 616: *)
      let MenhirCell1_path_elt (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production path -> path_elt path *)
      let _2 = _v in
      let _v = _menhir_action_596 _1 _2 in
      _menhir_goto_path _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0485 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_LSQUARE -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 485: *)
      match (_tok : MenhirBasics.token) with
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 486 *)
          (* State 486: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LSQUARE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner LSQUARE range RSQUARE *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_451 _1 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0670 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 670: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production is_acsl_typename -> INTEGER *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_383 () in
          _menhir_goto_is_acsl_typename _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> INTEGER *)
          let _v = _menhir_action_666 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0671 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 671: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> INT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_141 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> INT *)
          let _v = _menhir_action_674 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0672 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 672: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> FLOAT *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_139 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> FLOAT *)
          let _v = _menhir_action_696 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0673 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 673: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | VARIANT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | TYPENAME _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | TYPE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | SLICE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | RETURNS ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | REAL ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | READS ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | MODULE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | MODEL ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | LOOP ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | LOGIC ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | LEMMA ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | LABEL ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | INTEGER ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | IMPACT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | IDENTIFIER_EXT _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | IDENTIFIER _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | FREES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | EXT_GLOBAL_BLOCK _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | EXT_GLOBAL _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | EXT_CONTRACT _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | EXT_CODE_ANNOT _v ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0673
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | EXITS ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | ENSURES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | DECREASES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | CHECK ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | BREAKS ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | AXIOM ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | ASSERT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | ADMIT ->
          let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos, _endpos) in
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0673
      | COLON ->
          (* Reducing production c_keyword -> ENUM *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_137 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0674 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 674: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> DOUBLE *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_136 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> DOUBLE *)
          let _v = _menhir_action_697 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0675 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 675: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> CONST *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_135 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BOOL | BOOLEAN | BSGHOST | CHAR | CONST | DOUBLE | ENUM | FLOAT | INT | INTEGER | LONG | REAL | SHORT | SIGNED | STRUCT | TYPENAME _ | UNION | UNSIGNED | VOID | VOLATILE ->
          (* Reducing production cv -> CONST *)
          let _v = _menhir_action_205 () in
          _menhir_goto_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0676 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 676: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> CHAR *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_132 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> CHAR *)
          let _v = _menhir_action_671 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0678 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 678: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> BOOLEAN *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_133 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> BOOLEAN *)
          let _v = _menhir_action_668 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0679 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 679: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production c_keyword -> BOOL *)
          let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
          let _v = _menhir_action_134 () in
          _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | BSGHOST | CONST | LPAR | LSQUARE | RPAR | STAR | VOLATILE ->
          (* Reducing production type_spec(TYPENAME) -> BOOL *)
          let _v = _menhir_action_670 () in
          _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0715 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LSQUAREPIPE -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 715: *)
      match (_tok : MenhirBasics.token) with
      | RSQUAREPIPE ->
          (* Shifting (RSQUAREPIPE) to state 716 *)
          (* State 716: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LSQUAREPIPE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LSQUAREPIPE lexpr_list RSQUAREPIPE *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_453 _2 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0617 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 617: *)
      (* Reducing production path_elt -> field_path_elt *)
      let _1 = _v in
      let _v = _menhir_action_597 _1 in
      _menhir_goto_path_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0545 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_ARROW -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 545: *)
      let MenhirCell1_ARROW (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production lexpr_inner -> lexpr_inner ARROW identifier_or_typename_full *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_449 _1 _3 _endpos__3_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0543 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_DOT -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 543: *)
      let MenhirCell1_DOT (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production lexpr_inner -> lexpr_inner DOT identifier_or_typename_full *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_450 _1 _3 _endpos__3_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0535 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 535: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_identifier_or_typename_full (_menhir_stack, _menhir_s, _v, _endpos) in
          (* Shifting (COMMA) to state 536 *)
          (* State 536: *)
          let _menhir_s = MenhirState0536 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RBRACE ->
          (* Reducing production ne_label_args -> identifier_or_typename_full *)
          let _1 = _v in
          let _v = _menhir_action_547 _1 in
          _menhir_goto_ne_label_args _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_label_args : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0536 ->
          _menhir_run_0537 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0529 ->
          _menhir_run_0530 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0537 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_identifier_or_typename_full -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 537: *)
      let MenhirCell1_identifier_or_typename_full (_menhir_stack, _menhir_s, _1, _) = _menhir_stack in
      (* Reducing production ne_label_args -> identifier_or_typename_full COMMA ne_label_args *)
      let _3 = _v in
      let _v = _menhir_action_548 _1 _3 in
      _menhir_goto_ne_label_args _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0530 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LBRACE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 530: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 531 *)
      (* State 531: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_ne_label_args (_menhir_stack, _menhir_s, _v) in
          let _menhir_stack = MenhirCell0_RBRACE (_menhir_stack, _endpos) in
          (* Shifting (LPAR) to state 532 *)
          (* State 532: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0532 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> full_identifier LBRACE ne_label_args RBRACE *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_467 _1 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0287 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_ENUM -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 287: *)
      let MenhirCell1_ENUM (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> ENUM identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_776 id in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0265 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_STRUCT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 265: *)
      let MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> STRUCT identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_775 id in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0262 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNION -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 262: *)
      let MenhirCell1_UNION (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production type_spec(typename) -> UNION identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_777 id in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0231 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_ENUM -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 231: *)
      let MenhirCell1_ENUM (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> ENUM identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_700 id in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0209 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_STRUCT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 209: *)
      let MenhirCell1_STRUCT (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> STRUCT identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_699 id in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0198 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_UNION -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 198: *)
      let MenhirCell1_UNION (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> UNION identifier_or_typename_full *)
      let id = _v in
      let _v = _menhir_action_701 id in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0307 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_abs_spec_bis, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 307: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 308 *)
          (* State 308: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_abs_spec_bis (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production abs_spec_bis -> abs_spec_bis LPAR abs_param_type_list RPAR *)
          let _3 = _v in
          let _v = _menhir_action_018 _1 _3 in
          _menhir_goto_abs_spec_bis _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0249 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_stars as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 249: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_abs_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0249
      | LPAR ->
          let _menhir_stack = MenhirCell1_abs_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 250 *)
          _menhir_run_0250 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0249
      | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | TERMINATES | TYPE | VARIANT | WRITES ->
          let MenhirCell1_stars (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production abs_spec -> stars abs_spec_bis *)
          let _2 = _v in
          let _v = _menhir_action_013 _1 _2 in
          _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0298 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 298: *)
      (* Reducing production abs_spec_option -> abs_spec *)
      let _1 = _v in
      let _v = _menhir_action_031 _1 in
      _menhir_goto_abs_spec_option _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_abs_spec_option : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0816 ->
          _menhir_run_0817 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0236 ->
          _menhir_run_0317 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0294 ->
          _menhir_run_0295 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0817 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_identifier_or_typename_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 817: *)
      let MenhirCell1_type_spec_identifier_or_typename_ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production logic_type_gen(identifier_or_typename) -> type_spec(identifier_or_typename) abs_spec_option *)
      let _2 = _v in
      let _v = _menhir_action_512 _1 _2 in
      _menhir_goto_logic_type_gen_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_logic_type_gen_identifier_or_typename_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1192 ->
          _menhir_run_0957 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0956 ->
          _menhir_run_0957 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0822 ->
          _menhir_run_0821 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0815 ->
          _menhir_run_0821 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0957 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOGIC as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 957: *)
      (* Reducing production logic_rt_type -> logic_type_gen(identifier_or_typename) *)
      let _1 = _v in
      let _v = _menhir_action_509 _1 in
      _menhir_goto_logic_rt_type _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_logic_rt_type : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOGIC as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1192 ->
          _menhir_run_1193 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0956 ->
          _menhir_run_0958 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1193 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOGIC as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1193: *)
      let _menhir_stack = MenhirCell1_logic_rt_type (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1193
      | IDENTIFIER _v_1 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1193
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | EXT_GLOBAL_BLOCK _v_2 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1193
      | EXT_GLOBAL _v_3 ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1193
      | EXT_CONTRACT _v_4 ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1193
      | EXT_CODE_ANNOT _v_5 ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1193
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1193
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0958 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOGIC as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 958: *)
      let _menhir_stack = MenhirCell1_logic_rt_type (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0958
      | IDENTIFIER _v_1 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0958
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | EXT_GLOBAL_BLOCK _v_2 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0958
      | EXT_GLOBAL _v_3 ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0958
      | EXT_CONTRACT _v_4 ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0958
      | EXT_CODE_ANNOT _v_5 ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0958
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0958
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0821 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 821: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_logic_type_gen_identifier_or_typename_ (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 822 *)
          (* State 822: *)
          let _menhir_s = MenhirState0822 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 767 *)
              _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 768 *)
              _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 777 *)
              _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 779 *)
              _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 781 *)
              _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 790 *)
              _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 792 *)
              _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 793 *)
              _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 798 *)
              _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 799 *)
              _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 800 *)
              _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 801 *)
              _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 803 *)
              _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 804 *)
              _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 805 *)
              _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 806 *)
              _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | GT ->
          (* Reducing production separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) -> logic_type_gen(identifier_or_typename) *)
          let x = _v in
          let _v = _menhir_action_640 x in
          _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_identifier_or_typename__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_identifier_or_typename__ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0822 ->
          _menhir_run_0823 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0815 ->
          _menhir_run_0818 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0823 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_logic_type_gen_identifier_or_typename_ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 823: *)
      let MenhirCell1_logic_type_gen_identifier_or_typename_ (_menhir_stack, _menhir_s, x) = _menhir_stack in
      (* Reducing production separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) -> logic_type_gen(identifier_or_typename) COMMA separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) *)
      let xs = _v in
      let _v = _menhir_action_641 x xs in
      _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_identifier_or_typename__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0818 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_identifier_or_typename _menhir_cell0_LT -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 818: *)
      (* Reducing production ne_logic_type_list(identifier_or_typename) -> separated_nonempty_list(COMMA,logic_type_gen(identifier_or_typename)) *)
      let l = _v in
      let _v = _menhir_action_554 l in
      (* State 819: *)
      (* The current token is GT. *)
      (* Shifting (GT) to state 820 *)
      (* State 820: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LT (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_identifier_or_typename (_menhir_stack, _menhir_s, name, _) = _menhir_stack in
      (* Reducing production type_spec(identifier_or_typename) -> identifier_or_typename LT ne_logic_type_list(identifier_or_typename) GT *)
      let prms = _v in
      let _v = _menhir_action_741 name prms in
      _menhir_goto_type_spec_identifier_or_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0317 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_TYPENAME_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 317: *)
      let MenhirCell1_type_spec_TYPENAME_ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production logic_type_gen(TYPENAME) -> type_spec(TYPENAME) abs_spec_option *)
      let _2 = _v in
      let _v = _menhir_action_511 _1 _2 in
      (* State 321: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_logic_type_gen_TYPENAME_ (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 322 *)
          (* State 322: *)
          let _menhir_s = MenhirState0322 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              (* Shifting (VOID) to state 204 *)
              _menhir_run_0204 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 205 *)
              _menhir_run_0205 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 206 *)
              _menhir_run_0206 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 207 *)
              _menhir_run_0207 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 208 *)
              _menhir_run_0208 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 210 *)
              _menhir_run_0210 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 219 *)
              _menhir_run_0219 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 221 *)
              _menhir_run_0221 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 222 *)
              _menhir_run_0222 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 227 *)
              _menhir_run_0227 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 228 *)
              _menhir_run_0228 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 229 *)
              _menhir_run_0229 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 230 *)
              _menhir_run_0230 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 232 *)
              _menhir_run_0232 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 233 *)
              _menhir_run_0233 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 234 *)
              _menhir_run_0234 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 235 *)
              _menhir_run_0235 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | GT ->
          (* Reducing production separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) -> logic_type_gen(TYPENAME) *)
          let x = _v in
          let _v = _menhir_action_638 x in
          _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_TYPENAME__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_TYPENAME__ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0322 ->
          _menhir_run_0323 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0203 ->
          _menhir_run_0318 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0323 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_logic_type_gen_TYPENAME_ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 323: *)
      let MenhirCell1_logic_type_gen_TYPENAME_ (_menhir_stack, _menhir_s, x) = _menhir_stack in
      (* Reducing production separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) -> logic_type_gen(TYPENAME) COMMA separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) *)
      let xs = _v in
      let _v = _menhir_action_639 x xs in
      _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_TYPENAME__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0318 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_TYPENAME _menhir_cell0_LT -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 318: *)
      (* Reducing production ne_logic_type_list(TYPENAME) -> separated_nonempty_list(COMMA,logic_type_gen(TYPENAME)) *)
      let l = _v in
      let _v = _menhir_action_553 l in
      (* State 319: *)
      (* The current token is GT. *)
      (* Shifting (GT) to state 320 *)
      (* State 320: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LT (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_TYPENAME (_menhir_stack, _menhir_s, name, _, _) = _menhir_stack in
      (* Reducing production type_spec(TYPENAME) -> TYPENAME LT ne_logic_type_list(TYPENAME) GT *)
      let prms = _v in
      let _v = _menhir_action_703 name prms in
      _menhir_goto_type_spec_TYPENAME_ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0295 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_typename_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 295: *)
      let MenhirCell1_type_spec_typename_ (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production logic_type_gen(typename) -> type_spec(typename) abs_spec_option *)
      let _2 = _v in
      let _v = _menhir_action_513 _1 _2 in
      _menhir_goto_logic_type_gen_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_logic_type_gen_typename_ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0825 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0832 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0828 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0692 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0377 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0310 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0250 ->
          _menhir_run_0305 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0303 ->
          _menhir_run_0302 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0293 ->
          _menhir_run_0302 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0305 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 305: *)
      (* Reducing production logic_type -> logic_type_gen(typename) *)
      let (_startpos__1_, _1) = (_startpos, _v) in
      let _v = _menhir_action_510 _1 in
      _menhir_goto_logic_type _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_logic_type : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0825 ->
          _menhir_run_0842 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0832 ->
          _menhir_run_0831 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0828 ->
          _menhir_run_0831 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0692 ->
          _menhir_run_0306 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0377 ->
          _menhir_run_0306 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0310 ->
          _menhir_run_0306 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0250 ->
          _menhir_run_0306 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0842 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 842: *)
      (* Reducing production typedef -> logic_type *)
      let _1 = _v in
      let _v = _menhir_action_783 _1 in
      _menhir_goto_typedef _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_goto_typedef : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 839: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 840 *)
          (* State 840: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_poly_id_type_add_typename (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_TYPE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_def -> TYPE poly_id_type_add_typename EQUAL typedef SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos) in
          let _v = _menhir_action_508 _2 _4 in
          _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_logic_def : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1408 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1387 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1351 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1345 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_1238 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1211 ->
          _menhir_run_1208 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1181 ->
          _menhir_run_1208 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1238 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1238: *)
      (* Reducing production decl -> logic_def *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_218 _1 in
      _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_decl : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1351 ->
          _menhir_run_1406 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1387 ->
          _menhir_run_1406 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1408 ->
          _menhir_run_1406 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1406 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1406 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1345 ->
          _menhir_run_1345 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_1345 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1406 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1406: *)
      (* Reducing production ext_global_clause -> decl *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_250 _1 _endpos__1_ _startpos__1_ in
      _menhir_goto_ext_global_clause _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1345 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _ -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1345: *)
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VOLATILE) to state 2 *)
          _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | TYPE ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPE) to state 763 *)
          _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PREDICATE) to state 860 *)
          _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | MODEL ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MODEL) to state 882 *)
          _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | LOGIC ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LOGIC) to state 956 *)
          _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | LEMMA ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LEMMA) to state 965 *)
          _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INDUCTIVE) to state 973 *)
          _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GLOBAL) to state 995 *)
          _menhir_run_0995 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | EXT_GLOBAL_BLOCK _v_0 ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
          _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1345
      | EXT_GLOBAL _v_1 ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL) to state 1164 *)
          _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1345
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 1173 *)
          _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AXIOMATIC) to state 1179 *)
          _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | AXIOM ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AXIOM) to state 1214 *)
          _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_decl (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 1203 *)
          _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1345
      | EOF ->
          (* Reducing production decl_list -> decl *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_221 _1 _endpos__1_ _startpos__1_ in
          _menhir_goto_decl_list _menhir_stack _endpos__1_ _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0763 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 763: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_TYPE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 764 *)
          (* State 764: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | VOLATILE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | VOID ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | VARIANT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | UNSIGNED ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | UNION ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | TYPENAME _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | TYPE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | TERMINATES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | STRUCT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | STATIC ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | SLICE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | SIZEOF ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | SIGNED ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | SHORT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | RETURNS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | REQUIRES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | REAL ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | READS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | PREDICATE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | PRAGMA ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | MODULE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | MODEL ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | LOOP ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | LONG ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | LOGIC ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | LEMMA ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | LABEL ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | INVARIANT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | INTEGER ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | INT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | INDUCTIVE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | INCLUDE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | IMPACT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | IF ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | IDENTIFIER_EXT _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | IDENTIFIER _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | GLOBAL ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | FUNCTION ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | FREES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | FOR ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | FLOAT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | EXT_LET ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | EXT_GLOBAL_BLOCK _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | EXT_GLOBAL _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | EXT_CONTRACT _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | EXT_CODE_ANNOT _v ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0764
          | EXT_AT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | EXITS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ENUM ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ENSURES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ELSE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | DOUBLE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | DISJOINT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | DECREASES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CONTRACT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CONTINUES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CONST ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | COMPLETE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_RETURNS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_REQUIRES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_LOOP ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_LEMMA ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_INVARIANT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_EXITS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_ENSURES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_CONTINUES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK_BREAKS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHECK ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CHAR ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | CASE ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | BREAKS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | BOOLEAN ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | BOOL ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | BEHAVIORS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | BEHAVIOR ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | AXIOMATIC ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | AXIOM ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ASSUMES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ASSIGNS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ASSERT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ALLOCATES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_RETURNS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_REQUIRES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_LOOP ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_LEMMA ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_INVARIANT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_EXITS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_ENSURES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_CONTINUES ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT_BREAKS ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | ADMIT ->
              let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, MenhirState0763, _startpos_0, _endpos_1) in
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0764
          | EQUAL | LT | SEMICOLON ->
              (* Reducing production full_identifier -> INVARIANT *)
              let _v = _menhir_action_309 () in
              _menhir_run_0847 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_1 _startpos_0 _v MenhirState0763 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0763
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0763
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0763
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0763
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0763
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0763
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0763
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0847 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 847: *)
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LT) to state 848 *)
          _menhir_run_0848 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EQUAL | SEMICOLON ->
          (* Reducing production poly_id_type -> full_identifier *)
          let _1 = _v in
          let _v = _menhir_action_602 _1 in
          _menhir_goto_poly_id_type _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_poly_id_type : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1182 ->
          _menhir_run_1183 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1214 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1203 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1198 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1193 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1185 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1173 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0978 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0973 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0965 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0958 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0860 ->
          _menhir_run_0861 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0763 ->
          _menhir_run_0845 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1183 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1183: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1184 *)
          (* State 1184: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_TYPE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_decl -> TYPE poly_id_type SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_496 _2 in
          _menhir_goto_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | EQUAL ->
          (* Reducing production poly_id_type_add_typename -> poly_id_type *)
          let _1 = _v in
          let _v = _menhir_action_604 _1 in
          _menhir_goto_poly_id_type_add_typename _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_logic_decl : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1213: *)
      (* Reducing production logic_decl_loc -> logic_decl *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_498 _1 _endpos__1_ _startpos__1_ in
      (* State 1211: *)
      let _menhir_stack = MenhirCell1_logic_decl_loc (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | TYPE ->
          (* Shifting (TYPE) to state 1182 *)
          _menhir_run_1182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 1185 *)
          _menhir_run_1185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | LOGIC ->
          (* Shifting (LOGIC) to state 1192 *)
          _menhir_run_1192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | LEMMA ->
          (* Shifting (LEMMA) to state 965 *)
          _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 973 *)
          _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1173 *)
          _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 1179 *)
          _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | AXIOM ->
          (* Shifting (AXIOM) to state 1198 *)
          _menhir_run_1198 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1203 *)
          _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1211
      | RBRACE ->
          (* Reducing production logic_decls -> *)
          let _v_0 = _menhir_action_499 () in
          _menhir_run_1212 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1182 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1182: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_TYPE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1182 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1185 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1185: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_PREDICATE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1185 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1192 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1192: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LOGIC (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1192 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 767 *)
          _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 768 *)
          _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 777 *)
          _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 779 *)
          _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 781 *)
          _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 790 *)
          _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 792 *)
          _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 793 *)
          _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 798 *)
          _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 799 *)
          _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 800 *)
          _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 801 *)
          _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 803 *)
          _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 804 *)
          _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 805 *)
          _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 806 *)
          _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0965 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 965: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LEMMA (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0965 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0973 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 973: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_INDUCTIVE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0973 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1173 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1173: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CHECK_LEMMA (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1173 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1179 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1179: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_AXIOMATIC (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1179 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1198 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1198: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_AXIOM (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1198 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1203 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1203: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ADMIT_LEMMA (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1203 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1212 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_logic_decl_loc -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1212: *)
      let MenhirCell1_logic_decl_loc (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production logic_decls -> logic_decl_loc logic_decls *)
      let _2 = _v in
      let _v = _menhir_action_500 _1 _2 in
      _menhir_goto_logic_decls _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_logic_decls : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState1211 ->
          _menhir_run_1212 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState1181 ->
          _menhir_run_1209 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1209 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_AXIOMATIC, ttv_result) _menhir_cell1_any_identifier _menhir_cell0_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1209: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 1210 *)
      (* State 1210: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_any_identifier (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_AXIOMATIC (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production logic_def -> AXIOMATIC any_identifier LBRACE logic_decls RBRACE *)
      let (_4, _endpos__5_) = (_v, _endpos) in
      let _v = _menhir_action_507 _2 _4 in
      _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_poly_id_type_add_typename : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 824: *)
      let _menhir_stack = MenhirCell1_poly_id_type_add_typename (_menhir_stack, _menhir_s, _v) in
      (* The current token is EQUAL. *)
      (* Shifting (EQUAL) to state 825 *)
      (* State 825: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
      let _menhir_s = MenhirState0825 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PIPE ->
          (* Shifting (PIPE) to state 826 *)
          (* State 826: *)
          let _menhir_stack = MenhirCell1_PIPE (_menhir_stack, _menhir_s) in
          let _menhir_s = MenhirState0826 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0861 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 861: *)
      (* Reducing production poly_id -> poly_id_type *)
      let _1 = _v in
      let _v = _menhir_action_599 _1 in
      _menhir_goto_poly_id _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_poly_id : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1214 ->
          _menhir_run_1215 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1203 ->
          _menhir_run_1204 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1198 ->
          _menhir_run_1199 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1193 ->
          _menhir_run_1194 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1185 ->
          _menhir_run_1186 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1173 ->
          _menhir_run_1174 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0978 ->
          _menhir_run_0979 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0973 ->
          _menhir_run_0974 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0965 ->
          _menhir_run_0966 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0958 ->
          _menhir_run_0959 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0860 ->
          _menhir_run_0862 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1215 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_AXIOM as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1215: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1216 *)
          (* State 1216: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState1216 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1204 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ADMIT_LEMMA as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1204: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1205 *)
          (* State 1205: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState1205 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1199 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_AXIOM as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1199: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1200 *)
          (* State 1200: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState1200 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1194 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1194: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 863 *)
          _menhir_run_0863 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1194
      | EQUAL | READS | SEMICOLON ->
          (* Reducing production opt_parameters -> *)
          let _v_0 = _menhir_action_589 () in
          _menhir_run_1195 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1194 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0863 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 863: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0863 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 767 *)
          _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 768 *)
          _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 777 *)
          _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 779 *)
          _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 781 *)
          _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 790 *)
          _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 792 *)
          _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 793 *)
          _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 798 *)
          _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 799 *)
          _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 800 *)
          _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 801 *)
          _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 803 *)
          _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 804 *)
          _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 805 *)
          _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 806 *)
          _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1195 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1195: *)
      let _menhir_stack = MenhirCell1_opt_parameters (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | READS ->
          (* Shifting (READS) to state 1188 *)
          _menhir_run_1188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1195
      | EQUAL ->
          (* Shifting (EQUAL) to state 962 *)
          _menhir_run_0962 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1195
      | SEMICOLON ->
          (* Reducing production reads_clause -> *)
          let _v_0 = _menhir_action_625 () in
          _menhir_run_1196 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1188 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1188: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_READS (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1188 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0905 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 905: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production zones -> NOTHING *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_858 () in
      _menhir_goto_zones _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_zones : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1188 ->
          _menhir_run_1189 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1076 ->
          _menhir_run_1077 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0953 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0948 ->
          _menhir_run_0949 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1082 ->
          _menhir_run_0946 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0946 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0941 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1164 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0906 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1189 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters, ttv_result) _menhir_cell1_READS -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1189: *)
      let MenhirCell1_READS (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production reads_clause -> READS zones *)
      let _2 = _v in
      let _v = _menhir_action_626 _2 in
      _menhir_goto_reads_clause _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_reads_clause : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1195 ->
          _menhir_run_1196 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1187 ->
          _menhir_run_1190 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1196 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1196: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1197 *)
          (* State 1197: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_opt_parameters (_menhir_stack, _, _4) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_logic_rt_type (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LOGIC (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_decl -> LOGIC logic_rt_type poly_id opt_parameters reads_clause SEMICOLON *)
          let (_endpos__6_, _5) = (_endpos, _v) in
          let _v = _menhir_action_494 _2 _3 _4 _5 in
          _menhir_goto_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1190 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_PREDICATE, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1190: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1191 *)
          (* State 1191: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_opt_parameters (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_PREDICATE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_decl -> PREDICATE poly_id opt_parameters reads_clause SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos) in
          let _v = _menhir_action_495 _2 _3 _4 in
          _menhir_goto_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1077 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXT_CONTRACT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1077: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Reducing production extension_content -> zones *)
          let _1 = _v in
          let _v = _menhir_action_279 _1 in
          _menhir_goto_extension_content _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COMPLETE | CONTINUES | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FREES | IDENTIFIER_EXT _ | REQUIRES | RETURNS ->
          (* Reducing production ne_grammar_extension -> zones *)
          let _1 = _v in
          let _v = _menhir_action_546 _1 in
          (* State 1078: *)
          let _menhir_stack = MenhirCell1_ne_grammar_extension (_menhir_stack, _menhir_s, _v) in
          (match (_tok : MenhirBasics.token) with
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 1015 *)
              _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | IDENTIFIER_EXT _v_0 ->
              (* Shifting (IDENTIFIER_EXT) to state 1016 *)
              _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1078
          | FREES ->
              (* Shifting (FREES) to state 1017 *)
              _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | EXT_CONTRACT _v_1 ->
              (* Shifting (EXT_CONTRACT) to state 1018 *)
              _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1078
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | EOF ->
              (* Shifting (EOF) to state 1019 *)
              _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 1020 *)
              _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | DECREASES ->
              (* Shifting (DECREASES) to state 1021 *)
              _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 1022 *)
              _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 1023 *)
              _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 1024 *)
              _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 1025 *)
              _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 1026 *)
              _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 1027 *)
              _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 1028 *)
              _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 1029 *)
              _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 1030 *)
              _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 1031 *)
              _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 1032 *)
              _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 1033 *)
              _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 1034 *)
              _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1078
          | _ ->
              _menhir_fail ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_extension_content : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1164 ->
          _menhir_run_1165 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1161 ->
          _menhir_run_1162 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_1080 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_1074 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_1042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0992 ->
          _menhir_run_0993 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0942 ->
          _menhir_run_0943 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0904 ->
          _menhir_run_0908 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1165 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_EXT_GLOBAL -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1165: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1166 *)
          (* State 1166: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_EXT_GLOBAL (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production ext_decl -> EXT_GLOBAL extension_content SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_232 _1 _2 in
          _menhir_goto_ext_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_decl : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1351 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1387 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1408 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1345 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_1341 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1160 ->
          _menhir_run_1170 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1163 ->
          _menhir_run_1170 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1168 ->
          _menhir_run_1170 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1341 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1341: *)
      (* Reducing production decl -> ext_decl *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_219 _1 in
      _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1170 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1170: *)
      (* Reducing production ext_decl_loc -> ext_decl *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_234 _1 _endpos__1_ _startpos__1_ in
      (* State 1168: *)
      let _menhir_stack = MenhirCell1_ext_decl_loc (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 1161 *)
          _menhir_run_1161 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1168
      | EXT_GLOBAL_BLOCK _v_1 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
          _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1168
      | EXT_GLOBAL _v_2 ->
          (* Shifting (EXT_GLOBAL) to state 1164 *)
          _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1168
      | RBRACE ->
          (* Reducing production ext_decls -> *)
          let _v_3 = _menhir_action_235 () in
          _menhir_run_1169 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1161 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1161: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1161
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1161
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1161
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1161
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1161
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1161
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1161
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1161
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1161
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1161
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1161
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1161
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1161
      | SEMICOLON ->
          (* Reducing production extension_content -> *)
          let _v_12 = _menhir_action_278 () in
          _menhir_run_1162 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState1161 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1162 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_IDENTIFIER_EXT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1162: *)
      let _menhir_stack = MenhirCell1_extension_content (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1163 *)
          (* State 1163: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | IDENTIFIER_EXT _v_0 ->
              (* Shifting (IDENTIFIER_EXT) to state 1161 *)
              _menhir_run_1161 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1163
          | EXT_GLOBAL_BLOCK _v_1 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
              _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1163
          | EXT_GLOBAL _v_2 ->
              (* Shifting (EXT_GLOBAL) to state 1164 *)
              _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1163
          | RBRACE ->
              (* Reducing production ext_decls -> *)
              let _v_3 = _menhir_action_235 () in
              _menhir_run_1167 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1158 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1158: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EXT_GLOBAL_BLOCK (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _menhir_s = MenhirState1158 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1164 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1164: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EXT_GLOBAL (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1164
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1164
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1164
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1164
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1164
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1164
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1164
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1164
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1164
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1164
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1164
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1164
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1164
      | SEMICOLON ->
          (* Reducing production extension_content -> *)
          let _v_12 = _menhir_action_278 () in
          _menhir_run_1165 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1167 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_IDENTIFIER_EXT, ttv_result) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1167: *)
      let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_extension_content (_menhir_stack, _, content) = _menhir_stack in
      let MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _menhir_s, id, _, _) = _menhir_stack in
      (* Reducing production ext_decls -> IDENTIFIER_EXT extension_content SEMICOLON ext_decls *)
      let _3 = _v in
      let _v = _menhir_action_236 _3 content id in
      _menhir_goto_ext_decls _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_ext_decls : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState1160 ->
          _menhir_run_1171 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState1168 ->
          _menhir_run_1169 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState1163 ->
          _menhir_run_1167 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1171 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXT_GLOBAL_BLOCK, ttv_result) _menhir_cell1_any_identifier _menhir_cell0_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1171: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 1172 *)
      (* State 1172: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_any_identifier (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_EXT_GLOBAL_BLOCK (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ext_decl -> EXT_GLOBAL_BLOCK any_identifier LBRACE ext_decls RBRACE *)
      let (_4, _endpos__5_) = (_v, _endpos) in
      let _v = _menhir_action_233 _1 _2 _4 in
      _menhir_goto_ext_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1169 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_ext_decl_loc -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1169: *)
      let MenhirCell1_ext_decl_loc (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_decls -> ext_decl_loc ext_decls *)
      let _2 = _v in
      let _v = _menhir_action_237 _1 _2 in
      _menhir_goto_ext_decls _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_1080 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXT_CONTRACT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1080: *)
      let _menhir_stack = MenhirCell1_extension_content (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1081 *)
          (* State 1081: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | IDENTIFIER_EXT _v_0 ->
              (* Shifting (IDENTIFIER_EXT) to state 1073 *)
              _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1081
          | FREES ->
              (* Shifting (FREES) to state 940 *)
              _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | EXT_CONTRACT _v_1 ->
              (* Shifting (EXT_CONTRACT) to state 1076 *)
              _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1081
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 1082 *)
              _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 952 *)
              _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1081
          | ADMIT_LEMMA | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production simple_clauses -> *)
              let _v_2 = _menhir_action_644 () in
              _menhir_run_1098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_2 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1073 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1073: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1073
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1073
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1073
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1073
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1073
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1073
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1073
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1073
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1073
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1073
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1073
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1073
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1073
      | SEMICOLON ->
          (* Reducing production extension_content -> *)
          let _v_12 = _menhir_action_278 () in
          _menhir_run_1074 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState1073 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1074 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_IDENTIFIER_EXT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1074: *)
      let _menhir_stack = MenhirCell1_extension_content (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1075 *)
          (* State 1075: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | IDENTIFIER_EXT _v_0 ->
              (* Shifting (IDENTIFIER_EXT) to state 1073 *)
              _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1075
          | FREES ->
              (* Shifting (FREES) to state 940 *)
              _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | EXT_CONTRACT _v_1 ->
              (* Shifting (EXT_CONTRACT) to state 1076 *)
              _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1075
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 1082 *)
              _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 952 *)
              _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1075
          | ADMIT_LEMMA | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production simple_clauses -> *)
              let _v_2 = _menhir_action_644 () in
              _menhir_run_1099 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_2 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0940 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 940: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_FREES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0940 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1076 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1076: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EXT_CONTRACT (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1076
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1076
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1076
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1076
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1076
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1076
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1076
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1076
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1076
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1076
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1076
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1076
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1076
      | SEMICOLON ->
          (* Reducing production extension_content -> *)
          let _v_12 = _menhir_action_278 () in
          _menhir_run_1080 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState1076 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1082 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1082: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ASSIGNS (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1082 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0952 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 952: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ALLOCATES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0952 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1099 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_IDENTIFIER_EXT, ttv_result) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1099: *)
      let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_extension_content (_menhir_stack, _, content) = _menhir_stack in
      let MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _menhir_s, id, _startpos_id_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> IDENTIFIER_EXT extension_content SEMICOLON simple_clauses *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_567 _3 content id in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_goto_ne_simple_clauses : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1072 ->
          _menhir_run_1149 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1113 ->
          _menhir_run_1115 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1075 ->
          _menhir_run_1091 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1081 ->
          _menhir_run_1091 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1084 ->
          _menhir_run_1091 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1093 ->
          _menhir_run_1091 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1088 ->
          _menhir_run_1091 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1149 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1149: *)
      match (_tok : MenhirBasics.token) with
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 1150 *)
          (* State 1150: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases ne_simple_clauses TERMINATES *)
          let (_endpos__5_, _startpos__5_) = (_endpos_1, _startpos_0) in
          let _v = _menhir_action_191 _endpos__5_ _startpos__5_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _v _menhir_s _tok
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1151 *)
          (* State 1151: *)
          let _startpos_2 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_3 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases ne_simple_clauses REQUIRES *)
          let (_endpos__5_, _startpos__5_) = (_endpos_3, _startpos_2) in
          let _v = _menhir_action_190 _endpos__5_ _startpos__5_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _v _menhir_s _tok
      | DECREASES ->
          (* Shifting (DECREASES) to state 1152 *)
          (* State 1152: *)
          let _startpos_4 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_5 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases ne_simple_clauses DECREASES *)
          let (_endpos__5_, _startpos__5_) = (_endpos_5, _startpos_4) in
          let _v = _menhir_action_192 _endpos__5_ _startpos__5_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _v _menhir_s _tok
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production simple_clauses -> ne_simple_clauses *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_645 _1 in
          _menhir_goto_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_simple_clauses : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1113 ->
          _menhir_run_1114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1072 ->
          _menhir_run_1100 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1075 ->
          _menhir_run_1099 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1081 ->
          _menhir_run_1098 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1093 ->
          _menhir_run_1094 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1088 ->
          _menhir_run_1089 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1084 ->
          _menhir_run_1085 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1114 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON, ttv_result) _menhir_cell1_assumes, ttv_result) _menhir_cell1_requires -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1114: *)
      let MenhirCell1_requires (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_assumes (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production behavior_body -> assumes requires simple_clauses *)
      let _3 = _v in
      let _v = _menhir_action_078 _1 _2 _3 in
      _menhir_goto_behavior_body _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
  
  and _menhir_goto_behavior_body : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 1109: *)
      let _menhir_stack = MenhirCell1_behavior_body (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1101 *)
          _menhir_run_1101 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1109
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production behaviors -> *)
          let _v_0 = _menhir_action_085 () in
          _menhir_run_1111 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1101 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1101: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_BEHAVIOR (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1101 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1111 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON, ttv_result) _menhir_cell1_behavior_body -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1111: *)
      let MenhirCell1_behavior_body (_menhir_stack, _, _4) = _menhir_stack in
      let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_behavior_name (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_BEHAVIOR (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_behaviors -> BEHAVIOR behavior_name COLON behavior_body behaviors *)
      let (_endpos__5_, _5) = (_endpos, _v) in
      let _v = _menhir_action_537 _2 _4 _5 in
      _menhir_goto_ne_behaviors _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_ne_behaviors : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1100 ->
          _menhir_run_1120 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1109 ->
          _menhir_run_1110 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1120 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, ttv_result) _menhir_cell1_simple_clauses as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1120: *)
      match (_tok : MenhirBasics.token) with
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 1121 *)
          (* State 1121: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses ne_behaviors TERMINATES *)
          let (_endpos__6_, _startpos__6_) = (_endpos_1, _startpos_0) in
          let _v = _menhir_action_193 _endpos__6_ _startpos__6_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _v _menhir_s _tok
      | DECREASES ->
          (* Shifting (DECREASES) to state 1122 *)
          (* State 1122: *)
          let _startpos_2 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_3 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses ne_behaviors DECREASES *)
          let (_endpos__6_, _startpos__6_) = (_endpos_3, _startpos_2) in
          let _v = _menhir_action_194 _endpos__6_ _startpos__6_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _v _menhir_s _tok
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | COMPLETE | CONTRACT | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production behaviors -> ne_behaviors *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_086 _1 in
          _menhir_goto_behaviors _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_goto_behaviors : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1100 ->
          _menhir_run_1123 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1109 ->
          _menhir_run_1111 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1123 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, ttv_result) _menhir_cell1_simple_clauses as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1123: *)
      let _menhir_stack = MenhirCell1_behaviors (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1124 *)
          _menhir_run_1124 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1123
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1130 *)
          _menhir_run_1130 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1123
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production complete_or_disjoint -> *)
          let _v_0 = _menhir_action_180 () in
          _menhir_run_1148 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1124 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1124: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_DISJOINT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 1125 *)
          (* State 1125: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_BEHAVIORS (_menhir_stack, _startpos_0, _endpos_1) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1125
          | SEMICOLON ->
              (* Reducing production behavior_name_list -> *)
              let _v = _menhir_action_083 () in
              _menhir_run_1128 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1125
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1128 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1128: *)
      let _menhir_stack = MenhirCell1_behavior_name_list (_menhir_stack, _menhir_s, _v) in
      (* The current token is SEMICOLON. *)
      (* Shifting (SEMICOLON) to state 1129 *)
      (* State 1129: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1124 *)
          _menhir_run_1124 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1129
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1130 *)
          _menhir_run_1130 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1129
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | CONTINUES | CONTRACT | DECREASES | ENSURES | EOF | EXITS | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | RETURNS | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production complete_or_disjoint -> *)
          let _v_0 = _menhir_action_180 () in
          _menhir_run_1138 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1130 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1130: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_COMPLETE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 1131 *)
          (* State 1131: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_BEHAVIORS (_menhir_stack, _startpos_0, _endpos_1) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1131
          | SEMICOLON ->
              (* Reducing production behavior_name_list -> *)
              let _v = _menhir_action_083 () in
              _menhir_run_1134 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1131
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1134 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1134: *)
      let _menhir_stack = MenhirCell1_behavior_name_list (_menhir_stack, _menhir_s, _v) in
      (* The current token is SEMICOLON. *)
      (* Shifting (SEMICOLON) to state 1135 *)
      (* State 1135: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1124 *)
          _menhir_run_1124 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1135
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1130 *)
          _menhir_run_1130 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1135
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | CONTINUES | CONTRACT | DECREASES | ENSURES | EOF | EXITS | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | RETURNS | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production complete_or_disjoint -> *)
          let _v_0 = _menhir_action_180 () in
          _menhir_run_1137 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1137 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS, ttv_result) _menhir_cell1_behavior_name_list _menhir_cell0_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1137: *)
      let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_behavior_name_list (_menhir_stack, _, _3) = _menhir_stack in
      let MenhirCell0_BEHAVIORS (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_COMPLETE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_complete_or_disjoint -> COMPLETE BEHAVIORS behavior_name_list SEMICOLON complete_or_disjoint *)
      let (_endpos__5_, _5) = (_endpos, _v) in
      let _v = _menhir_action_538 _3 _5 in
      _menhir_goto_ne_complete_or_disjoint _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_ne_complete_or_disjoint : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1123 ->
          _menhir_run_1139 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1129 ->
          _menhir_run_1136 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1135 ->
          _menhir_run_1136 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1139 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, ttv_result) _menhir_cell1_simple_clauses, ttv_result) _menhir_cell1_behaviors as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1139: *)
      match (_tok : MenhirBasics.token) with
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 1140 *)
          (* State 1140: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint TERMINATES *)
          let (_endpos__7_, _startpos__7_) = (_endpos_1, _startpos_0) in
          let _v = _menhir_action_196 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | RETURNS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1141 *)
          (* State 1141: *)
          let _startpos_2 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_3 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint REQUIRES *)
          let (_endpos__7_, _startpos__7_) = (_endpos_3, _startpos_2) in
          let _v = _menhir_action_195 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | FREES ->
          (* Shifting (FREES) to state 1142 *)
          (* State 1142: *)
          let _startpos_4 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_5 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint FREES *)
          let (_endpos__7_, _startpos__7_) = (_endpos_5, _startpos_4) in
          let _v = _menhir_action_201 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | EXITS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | ENSURES ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | DECREASES ->
          (* Shifting (DECREASES) to state 1143 *)
          (* State 1143: *)
          let _startpos_6 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_7 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint DECREASES *)
          let (_endpos__7_, _startpos__7_) = (_endpos_7, _startpos_6) in
          let _v = _menhir_action_197 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | BREAKS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1144 *)
          (* State 1144: *)
          let _startpos_8 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_9 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint BEHAVIOR *)
          let (_endpos__7_, _startpos__7_) = (_endpos_9, _startpos_8) in
          let _v = _menhir_action_198 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1145 *)
          (* State 1145: *)
          let _startpos_10 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_11 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint ASSIGNS *)
          let (_endpos__7_, _startpos__7_) = (_endpos_11, _startpos_10) in
          let _v = _menhir_action_199 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1146 *)
          (* State 1146: *)
          let _startpos_12 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_13 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_behaviors (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_simple_clauses (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell0_decreases (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates decreases simple_clauses behaviors ne_complete_or_disjoint ALLOCATES *)
          let (_endpos__7_, _startpos__7_) = (_endpos_13, _startpos_12) in
          let _v = _menhir_action_200 _endpos__7_ _startpos__7_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _v _menhir_s _tok
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_ne_complete_or_disjoint (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1139
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production complete_or_disjoint -> ne_complete_or_disjoint *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_181 _1 in
          _menhir_goto_complete_or_disjoint _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_complete_or_disjoint : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1123 ->
          _menhir_run_1148 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok
      | MenhirState1129 ->
          _menhir_run_1138 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1135 ->
          _menhir_run_1137 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1148 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases, ttv_result) _menhir_cell1_simple_clauses, ttv_result) _menhir_cell1_behaviors -> _ -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok ->
      (* State 1148: *)
      let MenhirCell1_behaviors (_menhir_stack, _, _5, _startpos__5_, _endpos__5_) = _menhir_stack in
      let MenhirCell1_simple_clauses (_menhir_stack, _, _4, _startpos__4_, _endpos__4_) = _menhir_stack in
      let MenhirCell0_decreases (_menhir_stack, _3, _startpos__3_, _endpos__3_) = _menhir_stack in
      let MenhirCell0_terminates (_menhir_stack, _2, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_requires (_menhir_stack, _menhir_s, _1, _startpos__1_, _endpos__1_) = _menhir_stack in
      (* Reducing production contract -> requires terminates decreases simple_clauses behaviors complete_or_disjoint *)
      let (_endpos__6_, _startpos__6_, _6) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_186 _1 _2 _3 _4 _5 _6 _endpos__1_ _endpos__2_ _endpos__3_ _endpos__4_ _endpos__5_ _endpos__6_ _startpos__1_ _startpos__2_ _startpos__3_ _startpos__4_ _startpos__5_ _startpos__6_ in
      _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _v _menhir_s _tok
  
  and _menhir_run_1138 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS, ttv_result) _menhir_cell1_behavior_name_list _menhir_cell0_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1138: *)
      let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_behavior_name_list (_menhir_stack, _, _3) = _menhir_stack in
      let MenhirCell0_BEHAVIORS (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_DISJOINT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_complete_or_disjoint -> DISJOINT BEHAVIORS behavior_name_list SEMICOLON complete_or_disjoint *)
      let (_endpos__5_, _5) = (_endpos, _v) in
      let _v = _menhir_action_539 _3 _5 in
      _menhir_goto_ne_complete_or_disjoint _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1136 : type  ttv_stack ttv_result. ((ttv_stack _menhir_cell0_BEHAVIORS, ttv_result) _menhir_cell1_behavior_name_list _menhir_cell0_SEMICOLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1136: *)
      (* Reducing production complete_or_disjoint -> ne_complete_or_disjoint *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_181 _1 in
      _menhir_goto_complete_or_disjoint _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1110 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON, ttv_result) _menhir_cell1_behavior_body as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1110: *)
      (* Reducing production behaviors -> ne_behaviors *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_086 _1 in
      _menhir_goto_behaviors _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1100 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_decreases as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1100: *)
      let _menhir_stack = MenhirCell1_simple_clauses (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1101 *)
          _menhir_run_1101 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1100
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | COMPLETE | CONTRACT | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production behaviors -> *)
          let _v_0 = _menhir_action_085 () in
          _menhir_run_1123 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v_0 MenhirState1100 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1098 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXT_CONTRACT, ttv_result) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1098: *)
      let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_extension_content (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_EXT_CONTRACT (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> EXT_CONTRACT extension_content SEMICOLON simple_clauses *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_568 _1 _2 _4 in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1094 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_allocation, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1094: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_allocation (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> allocation SEMICOLON simple_clauses *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_565 _1 _3 in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1089 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_post_cond_kind, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1089: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_post_cond_kind (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> post_cond_kind lexpr SEMICOLON simple_clauses *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_564 _1 _2 _4 in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1085 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS, ttv_result) _menhir_cell1_assigns, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1085: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_assigns (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_ASSIGNS (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> ASSIGNS assigns SEMICOLON simple_clauses *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_566 _2 _4 _endpos__4_ _startpos__1_ in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1115 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON, ttv_result) _menhir_cell1_assumes, ttv_result) _menhir_cell1_requires as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1115: *)
      match (_tok : MenhirBasics.token) with
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1116 *)
          (* State 1116: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_requires (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_assumes (_menhir_stack, _menhir_s, _) = _menhir_stack in
          (* Reducing production behavior_body -> assumes requires ne_simple_clauses REQUIRES *)
          let (_endpos, _endpos__4_, _startpos__4_) = (_endpos_1, _endpos_1, _startpos_0) in
          let _v = _menhir_action_081 _endpos__4_ _startpos__4_ in
          _menhir_goto_behavior_body _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1117 *)
          (* State 1117: *)
          let _startpos_2 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_3 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_requires (_menhir_stack, _, _, _, _) = _menhir_stack in
          let MenhirCell1_assumes (_menhir_stack, _menhir_s, _) = _menhir_stack in
          (* Reducing production behavior_body -> assumes requires ne_simple_clauses ASSUMES *)
          let (_endpos, _endpos__4_, _startpos__4_) = (_endpos_3, _endpos_3, _startpos_2) in
          let _v = _menhir_action_080 _endpos__4_ _startpos__4_ in
          _menhir_goto_behavior_body _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production simple_clauses -> ne_simple_clauses *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_645 _1 in
          _menhir_goto_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1091 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1091: *)
      (* Reducing production simple_clauses -> ne_simple_clauses *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_645 _1 in
      _menhir_goto_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1042 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_EXT_CODE_ANNOT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1042: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1043 *)
          (* State 1043: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_EXT_CODE_ANNOT (_menhir_stack, _menhir_s, _1, _startpos__1_, _endpos__1_) = _menhir_stack in
          (* Reducing production code_annotation -> EXT_CODE_ANNOT extension_content SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_179 _1 _2 _endpos__1_ _startpos__1_ in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_code_annotation : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1420 ->
          _menhir_run_1347 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1401 ->
          _menhir_run_1347 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_1347 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1003 ->
          _menhir_run_1157 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1347 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1347: *)
      (* Reducing production pragma_or_code_annotation -> code_annotation *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_623 _1 in
      _menhir_goto_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_pragma_or_code_annotation : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1221: *)
      match (_tok : MenhirBasics.token) with
      | SLICE ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLICE) to state 1222 *)
          (* State 1222: *)
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> SLICE *)
          let _endpos__1_ = _endpos_1 in
          let _ = _menhir_action_067 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INVARIANT) to state 1223 *)
          (* State 1223: *)
          let _endpos_4 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> INVARIANT *)
          let _endpos__1_ = _endpos_4 in
          let _ = _menhir_action_072 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | IMPACT ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPACT) to state 1224 *)
          (* State 1224: *)
          let _endpos_7 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> IMPACT *)
          let _endpos__1_ = _endpos_7 in
          let _ = _menhir_action_066 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | FOR ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FOR) to state 1225 *)
          (* State 1225: *)
          let _endpos_10 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> FOR *)
          let _endpos__1_ = _endpos_10 in
          let _ = _menhir_action_068 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | EXT_CODE_ANNOT _ ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 1226 *)
          (* State 1226: *)
          let _endpos_14 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> EXT_CODE_ANNOT *)
          let _endpos__1_ = _endpos_14 in
          let _ = _menhir_action_077 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 1227 *)
          (* State 1227: *)
          let _endpos_17 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> CHECK_LOOP *)
          let _endpos__1_ = _endpos_17 in
          let _ = _menhir_action_075 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 1228 *)
          (* State 1228: *)
          let _endpos_20 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> CHECK_INVARIANT *)
          let _endpos__1_ = _endpos_20 in
          let _ = _menhir_action_073 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | CHECK ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK) to state 1229 *)
          (* State 1229: *)
          let _endpos_23 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> CHECK *)
          let _endpos__1_ = _endpos_23 in
          let _ = _menhir_action_070 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | ASSERT ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSERT) to state 1230 *)
          (* State 1230: *)
          let _endpos_26 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> ASSERT *)
          let _endpos__1_ = _endpos_26 in
          let _ = _menhir_action_069 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 1231 *)
          (* State 1231: *)
          let _endpos_29 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> ADMIT_LOOP *)
          let _endpos__1_ = _endpos_29 in
          let _ = _menhir_action_076 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 1232 *)
          (* State 1232: *)
          let _endpos_32 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> ADMIT_INVARIANT *)
          let _endpos__1_ = _endpos_32 in
          let _ = _menhir_action_074 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | ADMIT ->
          let _menhir_stack = MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT) to state 1233 *)
          (* State 1233: *)
          let _endpos_35 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production beg_pragma_or_code_annotation -> ADMIT *)
          let _endpos__1_ = _endpos_35 in
          let _ = _menhir_action_071 () in
          _menhir_goto_beg_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _tok
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production annotation -> pragma_or_code_annotation *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_042 _1 _endpos__1_ _startpos__1_ in
          _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_beg_pragma_or_code_annotation : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_pragma_or_code_annotation -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _tok ->
      (* State 1234: *)
      let MenhirCell1_pragma_or_code_annotation (_menhir_stack, _menhir_s, _, _startpos__1_, _) = _menhir_stack in
      (* Reducing production annotation -> pragma_or_code_annotation beg_pragma_or_code_annotation *)
      let _endpos__2_ = _endpos in
      let _v = _menhir_action_043 _endpos__2_ _startpos__1_ in
      _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _v _menhir_s _tok
  
  and _menhir_run_1157 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FOR, ttv_result) _menhir_cell1_ne_behavior_name_list _menhir_cell0_COLON -> _ -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok ->
      (* State 1157: *)
      (* Reducing production contract_or_code_annotation -> code_annotation *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_204 _1 _endpos__1_ _startpos__1_ in
      _menhir_goto_contract_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _tok
  
  and _menhir_run_0993 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_IDENTIFIER_EXT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 993: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 994 *)
          (* State 994: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _menhir_s, id, _, _) = _menhir_stack in
          (* Reducing production annotation -> IDENTIFIER_EXT extension_content SEMICOLON *)
          let (_endpos__2_, content) = (_endpos, _v) in
          let _v = _menhir_action_046 content id in
          _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0943 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_EXT_CODE_ANNOT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 943: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 944 *)
          (* State 944: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_EXT_CODE_ANNOT (_menhir_stack, _, _2, _startpos__2_, _endpos__2_) = _menhir_stack in
          let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_grammar_extension -> LOOP EXT_CODE_ANNOT extension_content SEMICOLON *)
          let _3 = _v in
          let _v = _menhir_action_527 _2 _3 _endpos__2_ _startpos__2_ in
          let _startpos = _startpos__1_ in
          (* State 924: *)
          let _menhir_stack = MenhirCell1_loop_grammar_extension (_menhir_stack, _menhir_s, _v, _startpos) in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0924
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0924
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0924
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0924
          | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
              (* Reducing production loop_annot_opt -> *)
              let _v_0 = _menhir_action_515 () in
              _menhir_run_0930 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0890 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 890: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VARIANT ->
          (* Shifting (VARIANT) to state 891 *)
          (* State 891: *)
          let _menhir_s = MenhirState0890 in
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_VARIANT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          let _menhir_s = MenhirState0891 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 897 *)
          (* State 897: *)
          let _menhir_s = MenhirState0890 in
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_PRAGMA (_menhir_stack, _menhir_s, _startpos, _endpos) in
          let _menhir_s = MenhirState0897 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 901 *)
          (* State 901: *)
          let _menhir_s = MenhirState0890 in
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, _menhir_s, _startpos, _endpos) in
          let _menhir_s = MenhirState0901 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 904 *)
          (* State 904: *)
          let _startpos_6 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_7 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_IDENTIFIER_EXT (_menhir_stack, MenhirState0890, _v, _startpos_6, _endpos_7) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v_8 ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0904
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | TYPENAME _v_9 ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0904
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | STRING_LITERAL _v_10 ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0904
          | STRING_CONSTANT _v_11 ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0904
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | NOTHING ->
              (* Shifting (NOTHING) to state 905 *)
              _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INT_CONSTANT _v_12 ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState0904
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | IDENTIFIER_EXT _v_13 ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_13 MenhirState0904
          | IDENTIFIER _v_14 ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_14 MenhirState0904
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FLOAT_CONSTANT _v_15 ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_15 MenhirState0904
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | EXT_GLOBAL_BLOCK _v_16 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_16 MenhirState0904
          | EXT_GLOBAL _v_17 ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_17 MenhirState0904
          | EXT_CONTRACT _v_18 ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_18 MenhirState0904
          | EXT_CODE_ANNOT _v_19 ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_19 MenhirState0904
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0904
          | SEMICOLON ->
              (* Reducing production extension_content -> *)
              let _v_20 = _menhir_action_278 () in
              _menhir_run_0908 _menhir_stack _menhir_lexbuf _menhir_lexer _v_20 MenhirState0904 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | FREES ->
          (* Shifting (FREES) to state 940 *)
          _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0890
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 942 *)
          (* State 942: *)
          let _startpos_21 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_22 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_EXT_CODE_ANNOT (_menhir_stack, MenhirState0890, _v, _startpos_21, _endpos_22) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v_23 ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_23 MenhirState0942
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | TYPENAME _v_24 ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_24 MenhirState0942
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | STRING_LITERAL _v_25 ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_25 MenhirState0942
          | STRING_CONSTANT _v_26 ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_26 MenhirState0942
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | NOTHING ->
              (* Shifting (NOTHING) to state 905 *)
              _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INT_CONSTANT _v_27 ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_27 MenhirState0942
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | IDENTIFIER_EXT _v_28 ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_28 MenhirState0942
          | IDENTIFIER _v_29 ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_29 MenhirState0942
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FLOAT_CONSTANT _v_30 ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_30 MenhirState0942
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | EXT_GLOBAL_BLOCK _v_31 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_31 MenhirState0942
          | EXT_GLOBAL _v_32 ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_32 MenhirState0942
          | EXT_CONTRACT _v_33 ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_33 MenhirState0942
          | EXT_CODE_ANNOT _v_34 ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_34 MenhirState0942
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0942
          | SEMICOLON ->
              (* Reducing production extension_content -> *)
              let _v_35 = _menhir_action_278 () in
              _menhir_run_0943 _menhir_stack _menhir_lexbuf _menhir_lexer _v_35 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 945 *)
          (* State 945: *)
          let _menhir_s = MenhirState0890 in
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_ASSIGNS (_menhir_stack, _menhir_s, _startpos, _endpos) in
          let _menhir_s = MenhirState0945 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOTHING ->
              (* Shifting (NOTHING) to state 905 *)
              _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 952 *)
          _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0890
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0908 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_IDENTIFIER_EXT as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 908: *)
      let _menhir_stack = MenhirCell1_extension_content (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 909 *)
          (* State 909: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0909
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0909
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0909
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0909
          | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
              (* Reducing production loop_annot_opt -> *)
              let _v_0 = _menhir_action_515 () in
              _menhir_run_0939 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0910 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 910: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_FOR (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0910 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0913 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 913: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CHECK_LOOP (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 914 *)
          (* State 914: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_INVARIANT (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0914 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0917 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 917: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ADMIT_LOOP (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 918 *)
          (* State 918: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_INVARIANT (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0918 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0939 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_IDENTIFIER_EXT, ttv_result) _menhir_cell1_extension_content _menhir_cell0_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 939: *)
      let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_extension_content (_menhir_stack, _, content) = _menhir_stack in
      let MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _, id, _, _) = _menhir_stack in
      let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production loop_annot_stack -> LOOP IDENTIFIER_EXT extension_content SEMICOLON loop_annot_opt *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_524 _4 content id in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_loop_annot_stack : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1420 ->
          _menhir_run_1237 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1401 ->
          _menhir_run_1237 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0000 ->
          _menhir_run_1237 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1003 ->
          _menhir_run_0934 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0912 ->
          _menhir_run_0934 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0909 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0921 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0922 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0923 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0924 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0928 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState0925 ->
          _menhir_run_0926 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1237 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1237: *)
      (* Reducing production loop_annotations -> loop_annot_stack *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_525 _1 in
      let (_endpos, _startpos) = (_endpos__1_, _startpos__1_) in
      (* State 1236: *)
      (* Reducing production annotation -> loop_annotations *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_040 _1 _endpos__1_ _startpos__1_ in
      _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0934 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FOR, ttv_result) _menhir_cell1_ne_behavior_name_list _menhir_cell0_COLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 934: *)
      let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_ne_behavior_name_list (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_FOR (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production loop_annot_stack -> FOR ne_behavior_name_list COLON loop_annot_stack *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_520 _2 _4 _endpos__4_ _startpos__1_ in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0926 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 926: *)
      (* Reducing production loop_annot_opt -> loop_annot_stack *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_516 _1 in
      _menhir_goto_loop_annot_opt _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_loop_annot_opt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0909 ->
          _menhir_run_0939 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0921 ->
          _menhir_run_0933 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0922 ->
          _menhir_run_0932 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0923 ->
          _menhir_run_0931 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0924 ->
          _menhir_run_0930 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0928 ->
          _menhir_run_0929 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0925 ->
          _menhir_run_0927 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0933 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_loop_variant -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 933: *)
      let MenhirCell1_loop_variant (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production loop_annot_stack -> loop_variant loop_annot_opt *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_521 _1 _2 in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0932 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_loop_pragma -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 932: *)
      let MenhirCell1_loop_pragma (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production loop_annot_stack -> loop_pragma loop_annot_opt *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_522 _1 _2 in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0931 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_loop_invariant -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 931: *)
      let MenhirCell1_loop_invariant (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production loop_annot_stack -> loop_invariant loop_annot_opt *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_517 _1 _2 in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0930 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_loop_grammar_extension -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 930: *)
      let MenhirCell1_loop_grammar_extension (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production loop_annot_stack -> loop_grammar_extension loop_annot_opt *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_523 _1 _2 in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0929 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_loop_allocation -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 929: *)
      let MenhirCell1_loop_allocation (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production loop_annot_stack -> loop_allocation loop_annot_opt *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_519 _1 _2 in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0927 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_loop_effects -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 927: *)
      let MenhirCell1_loop_effects (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production loop_annot_stack -> loop_effects loop_annot_opt *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_518 _1 _2 _endpos__2_ _startpos__1_ in
      _menhir_goto_loop_annot_stack _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1015 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1015: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> REQUIRES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_160 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_clause_kw : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1132 ->
          _menhir_run_1133 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1126 ->
          _menhir_run_1127 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1105 ->
          _menhir_run_1108 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1083 ->
          _menhir_run_1097 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1087 ->
          _menhir_run_1096 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1092 ->
          _menhir_run_1095 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1078 ->
          _menhir_run_1079 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1066 ->
          _menhir_run_1068 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1061 ->
          _menhir_run_1063 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1005 ->
          _menhir_run_1040 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1008 ->
          _menhir_run_1038 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1011 ->
          _menhir_run_1036 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1133 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS, ttv_result) _menhir_cell1_ne_behavior_name_list -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1133: *)
      let MenhirCell1_ne_behavior_name_list (_menhir_stack, _, _, _startpos__3_, _endpos__3_) = _menhir_stack in
      let MenhirCell0_BEHAVIORS (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_COMPLETE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_complete_or_disjoint -> COMPLETE BEHAVIORS ne_behavior_name_list clause_kw *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_540 _4 _endpos__3_ _startpos__3_ in
      _menhir_goto_ne_complete_or_disjoint _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1127 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS, ttv_result) _menhir_cell1_ne_behavior_name_list -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1127: *)
      let MenhirCell1_ne_behavior_name_list (_menhir_stack, _, _, _startpos__3_, _endpos__3_) = _menhir_stack in
      let MenhirCell0_BEHAVIORS (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_DISJOINT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_complete_or_disjoint -> DISJOINT BEHAVIORS ne_behavior_name_list clause_kw *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_541 _4 _endpos__3_ _startpos__3_ in
      _menhir_goto_ne_complete_or_disjoint _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1108 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSUMES, ttv_result) _menhir_cell1_lexpr -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1108: *)
      let MenhirCell1_lexpr (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_ASSUMES (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production assumes -> ASSUMES lexpr clause_kw *)
      let _3 = _v in
      let _v = _menhir_action_065 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_assumes _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
  
  and _menhir_goto_assumes : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1103 ->
          _menhir_run_1112 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1106 ->
          _menhir_run_1107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1112 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 1112: *)
      let _menhir_stack = MenhirCell1_assumes (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1004 *)
          _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1112
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1007 *)
          _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1112
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1010 *)
          _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1112
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production requires -> *)
          let _v_0 = _menhir_action_636 () in
          _menhir_run_1113 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v_0 MenhirState1112 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1004 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1004: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_REQUIRES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1004 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1007 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1007: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CHECK_REQUIRES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1007 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1010 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1010: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ADMIT_REQUIRES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1010 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1113 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON, ttv_result) _menhir_cell1_assumes as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1113: *)
      let _menhir_stack = MenhirCell1_requires (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 1073 *)
          _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1113
      | FREES ->
          (* Shifting (FREES) to state 940 *)
          _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | EXT_CONTRACT _v_1 ->
          (* Shifting (EXT_CONTRACT) to state 1076 *)
          _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1113
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1082 *)
          _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 952 *)
          _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1113
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production simple_clauses -> *)
          let _v_2 = _menhir_action_644 () in
          _menhir_run_1114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_2 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1107 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ASSUMES, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1107: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_ASSUMES (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production assumes -> ASSUMES lexpr SEMICOLON assumes *)
      let _4 = _v in
      let _v = _menhir_action_064 _2 _4 in
      _menhir_goto_assumes _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
  
  and _menhir_run_1097 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS, ttv_result) _menhir_cell1_assigns -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1097: *)
      let MenhirCell1_assigns (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_ASSIGNS (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> ASSIGNS assigns clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_571 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1096 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_post_cond_kind, ttv_result) _menhir_cell1_lexpr -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1096: *)
      let MenhirCell1_lexpr (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_post_cond_kind (_menhir_stack, _menhir_s, _, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> post_cond_kind lexpr clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_569 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1095 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_allocation -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1095: *)
      let MenhirCell1_allocation (_menhir_stack, _menhir_s, _, _startpos__1_, _endpos__1_) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> allocation clause_kw *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_570 _2 _endpos__1_ _startpos__1_ in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1079 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXT_CONTRACT, ttv_result) _menhir_cell1_ne_grammar_extension -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1079: *)
      let MenhirCell1_ne_grammar_extension (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_EXT_CONTRACT (_menhir_stack, _menhir_s, _, _startpos__1_, _endpos__1_) = _menhir_stack in
      (* Reducing production ne_simple_clauses -> EXT_CONTRACT ne_grammar_extension clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_572 _3 _endpos__1_ _startpos__1_ in
      _menhir_goto_ne_simple_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1068 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_DECREASES, ttv_result) _menhir_cell1_variant -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1068: *)
      let MenhirCell1_variant (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell0_DECREASES (_menhir_stack, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_decreases -> DECREASES variant clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_545 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_decreases _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _tok
  
  and _menhir_goto_ne_decreases : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates -> _ -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok ->
      (* State 1069: *)
      match (_tok : MenhirBasics.token) with
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 1070 *)
          (* State 1070: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates ne_decreases TERMINATES *)
          let (_endpos__4_, _startpos__4_) = (_endpos_1, _startpos_0) in
          let _v = _menhir_action_189 _endpos__4_ _startpos__4_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _v _menhir_s _tok
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1071 *)
          (* State 1071: *)
          let _startpos_2 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_3 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_terminates (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires terminates ne_decreases REQUIRES *)
          let (_endpos__4_, _startpos__4_) = (_endpos_3, _startpos_2) in
          let _v = _menhir_action_188 _endpos__4_ _startpos__4_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _v _menhir_s _tok
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TYPE | VOLATILE ->
          (* Reducing production decreases -> ne_decreases *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_225 _1 in
          _menhir_goto_decreases _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_decreases : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates -> _ -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok ->
      (* State 1072: *)
      let _menhir_stack = MenhirCell0_decreases (_menhir_stack, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 1073 *)
          _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1072
      | FREES ->
          (* Shifting (FREES) to state 940 *)
          _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | EXT_CONTRACT _v_1 ->
          (* Shifting (EXT_CONTRACT) to state 1076 *)
          _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1072
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1082 *)
          _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 952 *)
          _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1072
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production simple_clauses -> *)
          let _v_2 = _menhir_action_644 () in
          _menhir_run_1100 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v_2 MenhirState1072 _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1063 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_TERMINATES, ttv_result) _menhir_cell1_lexpr -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1063: *)
      let MenhirCell1_lexpr (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell0_TERMINATES (_menhir_stack, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_terminates -> TERMINATES lexpr clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_574 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_terminates _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _tok
  
  and _menhir_goto_ne_terminates : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_requires -> _ -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok ->
      (* State 1153: *)
      match (_tok : MenhirBasics.token) with
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1154 *)
          (* State 1154: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_requires (_menhir_stack, _menhir_s, _, _, _) = _menhir_stack in
          (* Reducing production contract -> requires ne_terminates REQUIRES *)
          let (_endpos__3_, _startpos__3_) = (_endpos_1, _startpos_0) in
          let _v = _menhir_action_187 _endpos__3_ _startpos__3_ in
          _menhir_goto_contract _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _v _menhir_s _tok
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TYPE | VOLATILE ->
          (* Reducing production terminates -> ne_terminates *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_664 _1 in
          _menhir_goto_terminates _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_terminates : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_requires -> _ -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _tok ->
      (* State 1064: *)
      let _menhir_stack = MenhirCell0_terminates (_menhir_stack, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | DECREASES ->
          (* Shifting (DECREASES) to state 1065 *)
          (* State 1065: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_DECREASES (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState1065 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TYPE | VOLATILE ->
          (* Reducing production decreases -> *)
          let _v = _menhir_action_224 () in
          _menhir_goto_decreases _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1040 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_REQUIRES, ttv_result) _menhir_cell1_lexpr -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1040: *)
      let MenhirCell1_lexpr (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_REQUIRES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_requires -> REQUIRES lexpr clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_561 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_ne_requires : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1112 ->
          _menhir_run_1118 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1425 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1403 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1399 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1003 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1006 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1009 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1012 ->
          _menhir_run_1014 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1118 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR, ttv_result) _menhir_cell1_behavior_name _menhir_cell0_COLON, ttv_result) _menhir_cell1_assumes as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1118: *)
      match (_tok : MenhirBasics.token) with
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1119 *)
          (* State 1119: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos_1 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_assumes (_menhir_stack, _menhir_s, _) = _menhir_stack in
          (* Reducing production behavior_body -> assumes ne_requires ASSUMES *)
          let (_endpos, _endpos__3_, _startpos__3_) = (_endpos_1, _endpos_1, _startpos_0) in
          let _v = _menhir_action_079 _endpos__3_ _startpos__3_ in
          _menhir_goto_behavior_body _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production requires -> ne_requires *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_637 _1 in
          _menhir_goto_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_requires : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1112 ->
          _menhir_run_1113 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1425 ->
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1403 ->
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1399 ->
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1003 ->
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1006 ->
          _menhir_run_1039 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1009 ->
          _menhir_run_1037 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1012 ->
          _menhir_run_1013 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1059 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1059: *)
      let _menhir_stack = MenhirCell1_requires (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 1060 *)
          (* State 1060: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_TERMINATES (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState1060 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TYPE | VOLATILE ->
          (* Reducing production terminates -> *)
          let _v = _menhir_action_663 () in
          _menhir_goto_terminates _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1039 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_REQUIRES, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1039: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_REQUIRES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_requires -> REQUIRES lexpr SEMICOLON requires *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_558 _2 _4 in
      _menhir_goto_ne_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1037 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_CHECK_REQUIRES, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1037: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_CHECK_REQUIRES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_requires -> CHECK_REQUIRES lexpr SEMICOLON requires *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_559 _2 _4 in
      _menhir_goto_ne_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1013 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ADMIT_REQUIRES, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1013: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_ADMIT_REQUIRES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_requires -> ADMIT_REQUIRES lexpr SEMICOLON requires *)
      let (_endpos__4_, _4) = (_endpos, _v) in
      let _v = _menhir_action_560 _2 _4 in
      _menhir_goto_ne_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1014 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1014: *)
      (* Reducing production requires -> ne_requires *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_637 _1 in
      _menhir_goto_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1038 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CHECK_REQUIRES, ttv_result) _menhir_cell1_lexpr -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1038: *)
      let MenhirCell1_lexpr (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_CHECK_REQUIRES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_requires -> CHECK_REQUIRES lexpr clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_562 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1036 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ADMIT_REQUIRES, ttv_result) _menhir_cell1_lexpr -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 1036: *)
      let MenhirCell1_lexpr (_menhir_stack, _, _, _startpos__2_, _endpos__2_) = _menhir_stack in
      let MenhirCell1_ADMIT_REQUIRES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_requires -> ADMIT_REQUIRES lexpr clause_kw *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_563 _3 _endpos__2_ _startpos__2_ in
      _menhir_goto_ne_requires _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1016 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1016: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> IDENTIFIER_EXT *)
      let (_endpos_id_, id) = (_endpos, _v) in
      let _v = _menhir_action_171 id in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _v _menhir_s _tok
  
  and _menhir_run_1017 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1017: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> FREES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_167 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1018 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1018: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> EXT_CONTRACT *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_170 _1 in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1019 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1019: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> EOF *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_172 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1020 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1020: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> DISJOINT *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_169 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1021 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1021: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> DECREASES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_164 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1022 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1022: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> COMPLETE *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_168 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1023 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1023: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> CHECK_REQUIRES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_156 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1024 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1024: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> CHECK_LOOP *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_159 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1025 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1025: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> CHECK_LEMMA *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_158 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1026 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1026: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> CHECK_INVARIANT *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_157 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1027 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1027: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> BEHAVIOR *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_165 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1028 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1028: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ASSUMES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_161 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1029 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1029: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ASSIGNS *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_162 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1030 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1030: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ALLOCATES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_166 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1031 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1031: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ADMIT_REQUIRES *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_152 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1032 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1032: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ADMIT_LOOP *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_155 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1033 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1033: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ADMIT_LEMMA *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_154 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1034 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1034: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production clause_kw -> ADMIT_INVARIANT *)
      let _endpos__1_ = _endpos in
      let _v = _menhir_action_153 () in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0953 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_ALLOCATES -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 953: *)
      let MenhirCell1_ALLOCATES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production allocation -> ALLOCATES zones *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_035 _2 in
      _menhir_goto_allocation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_allocation : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1072 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1113 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1075 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1081 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1084 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1093 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1088 ->
          _menhir_run_1092 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0890 ->
          _menhir_run_0954 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1092 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1092: *)
      let _menhir_stack = MenhirCell1_allocation (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1093 *)
          (* State 1093: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1092, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | IDENTIFIER_EXT _v_1 ->
              (* Shifting (IDENTIFIER_EXT) to state 1073 *)
              _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1093
          | FREES ->
              (* Shifting (FREES) to state 940 *)
              _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | EXT_CONTRACT _v_2 ->
              (* Shifting (EXT_CONTRACT) to state 1076 *)
              _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1093
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 1082 *)
              _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 952 *)
              _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1093
          | ADMIT_LEMMA | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production simple_clauses -> *)
              let _v_3 = _menhir_action_644 () in
              _menhir_run_1094 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_3 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | IDENTIFIER_EXT _v_4 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1092
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | EXT_CONTRACT _v_5 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1092
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1092
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0954 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LOOP -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 954: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 955 *)
          (* State 955: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_allocation -> LOOP allocation SEMICOLON *)
          let (_endpos, _2) = (_endpos_0, _v) in
          let _v = _menhir_action_514 _2 in
          let _startpos = _startpos__1_ in
          (* State 928: *)
          let _menhir_stack = MenhirCell1_loop_allocation (_menhir_stack, _menhir_s, _v, _startpos) in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0928
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0928
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0928
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0928
          | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
              (* Reducing production loop_annot_opt -> *)
              let _v_0 = _menhir_action_515 () in
              _menhir_run_0929 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0949 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS, ttv_result) _menhir_cell1_ne_zones -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 949: *)
      let MenhirCell1_ne_zones (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production assigns -> ne_zones FROM zones *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_062 _1 _3 in
      _menhir_goto_assigns _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_assigns : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1082 ->
          _menhir_run_1083 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0950 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1083 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1083: *)
      let _menhir_stack = MenhirCell1_assigns (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1084 *)
          (* State 1084: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1083, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | IDENTIFIER_EXT _v_1 ->
              (* Shifting (IDENTIFIER_EXT) to state 1073 *)
              _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1084
          | FREES ->
              (* Shifting (FREES) to state 940 *)
              _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | EXT_CONTRACT _v_2 ->
              (* Shifting (EXT_CONTRACT) to state 1076 *)
              _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1084
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 1082 *)
              _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 952 *)
              _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1084
          | ADMIT_LEMMA | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production simple_clauses -> *)
              let _v_3 = _menhir_action_644 () in
              _menhir_run_1085 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_3 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | IDENTIFIER_EXT _v_4 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1083
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | EXT_CONTRACT _v_5 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1083
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1083
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0950 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_ASSIGNS -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 950: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 951 *)
          (* State 951: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_ASSIGNS (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_effects -> LOOP ASSIGNS assigns SEMICOLON *)
          let (_endpos, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_526 _3 in
          let _startpos = _startpos__1_ in
          (* State 925: *)
          let _menhir_stack = MenhirCell1_loop_effects (_menhir_stack, _menhir_s, _v, _startpos) in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0925
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0925
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0925
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0925
          | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
              (* Reducing production loop_annot_opt -> *)
              let _v_0 = _menhir_action_515 () in
              _menhir_run_0927 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0946 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 946: *)
      (* Reducing production assigns -> zones *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_061 _1 in
      _menhir_goto_assigns _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0941 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_FREES -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 941: *)
      let MenhirCell1_FREES (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production allocation -> FREES zones *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_036 _2 in
      _menhir_goto_allocation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0906 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 906: *)
      (* Reducing production extension_content -> zones *)
      let _1 = _v in
      let _v = _menhir_action_279 _1 in
      _menhir_goto_extension_content _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0962 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 962: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EQUAL (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0962 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1186 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_PREDICATE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1186: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 863 *)
          _menhir_run_0863 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1186
      | EQUAL | READS | SEMICOLON ->
          (* Reducing production opt_parameters -> *)
          let _v_0 = _menhir_action_589 () in
          _menhir_run_1187 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1186 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1187 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_PREDICATE, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1187: *)
      let _menhir_stack = MenhirCell1_opt_parameters (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | READS ->
          (* Shifting (READS) to state 1188 *)
          _menhir_run_1188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1187
      | EQUAL ->
          (* Shifting (EQUAL) to state 872 *)
          _menhir_run_0872 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1187
      | SEMICOLON ->
          (* Reducing production reads_clause -> *)
          let _v_0 = _menhir_action_625 () in
          _menhir_run_1190 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0872 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_PREDICATE, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 872: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EQUAL (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0872 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1174 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CHECK_LEMMA as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1174: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1175 *)
          (* State 1175: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState1175 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0979 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CASE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 979: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 980 *)
          (* State 980: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0980 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0974 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_INDUCTIVE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 974: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 863 *)
          _menhir_run_0863 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0974
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0966 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LEMMA as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 966: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 967 *)
          (* State 967: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0967 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0959 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 959: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 863 *)
          _menhir_run_0863 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0959
      | EQUAL | SEMICOLON ->
          (* Reducing production opt_parameters -> *)
          let _v_0 = _menhir_action_589 () in
          _menhir_run_0960 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0959 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0960 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 960: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 961 *)
          (* State 961: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_poly_id (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_logic_rt_type (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LOGIC (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production deprecated_logic_decl -> LOGIC logic_rt_type poly_id opt_parameters SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos) in
          let _v = _menhir_action_226 _2 _3 _4 _startpos__1_ in
          _menhir_goto_deprecated_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | EQUAL ->
          let _menhir_stack = MenhirCell1_opt_parameters (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EQUAL) to state 962 *)
          _menhir_run_0962 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0960
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_deprecated_logic_decl : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1342: *)
      (* Reducing production decl -> deprecated_logic_decl *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_220 _1 in
      _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0862 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_PREDICATE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 862: *)
      let _menhir_stack = MenhirCell1_poly_id (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 863 *)
          _menhir_run_0863 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0862
      | EQUAL | SEMICOLON ->
          (* Reducing production opt_parameters -> *)
          let _v_0 = _menhir_action_589 () in
          _menhir_run_0870 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0862 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0870 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_PREDICATE, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 870: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 871 *)
          (* State 871: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_PREDICATE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production deprecated_logic_decl -> PREDICATE poly_id opt_parameters SEMICOLON *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_227 _2 _3 _startpos__1_ in
          _menhir_goto_deprecated_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | EQUAL ->
          let _menhir_stack = MenhirCell1_opt_parameters (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EQUAL) to state 872 *)
          _menhir_run_0872 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0870
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0845 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 845: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 846 *)
          (* State 846: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_TYPE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production deprecated_logic_decl -> TYPE poly_id_type SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_228 _2 _startpos__1_ in
          _menhir_goto_deprecated_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | EQUAL ->
          (* Reducing production poly_id_type_add_typename -> poly_id_type *)
          let _1 = _v in
          let _v = _menhir_action_604 _1 in
          _menhir_goto_poly_id_type_add_typename _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0860 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 860: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_PREDICATE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0860 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0882 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 882: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_MODEL (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0882 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0956 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 956: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_LOGIC (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0956 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 767 *)
          _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 768 *)
          _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 777 *)
          _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 779 *)
          _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 781 *)
          _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 790 *)
          _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 792 *)
          _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 793 *)
          _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 798 *)
          _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 799 *)
          _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 800 *)
          _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 801 *)
          _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 803 *)
          _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 804 *)
          _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 805 *)
          _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 806 *)
          _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0995 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 995: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_GLOBAL (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 996 *)
          _menhir_run_0996 _menhir_stack _menhir_lexbuf _menhir_lexer
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0996 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_GLOBAL -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 996: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell0_INVARIANT (_menhir_stack, _startpos, _endpos) in
      let _menhir_s = MenhirState0996 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1214 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1214: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_AXIOM (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1214 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1208 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1208: *)
      (* Reducing production logic_decl -> logic_def *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_493 _1 in
      _menhir_goto_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0831 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 831: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_logic_type (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (COMMA) to state 832 *)
          (* State 832: *)
          let _menhir_s = MenhirState0832 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RPAR ->
          (* Reducing production ne_type_list -> logic_type *)
          let _1 = _v in
          let _v = _menhir_action_577 _1 in
          _menhir_goto_ne_type_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_type_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0832 ->
          _menhir_run_0833 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0828 ->
          _menhir_run_0829 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0833 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_logic_type -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 833: *)
      let MenhirCell1_logic_type (_menhir_stack, _menhir_s, _1, _) = _menhir_stack in
      (* Reducing production ne_type_list -> logic_type COMMA ne_type_list *)
      let _3 = _v in
      let _v = _menhir_action_578 _1 _3 in
      _menhir_goto_ne_type_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0829 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LPAR -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 829: *)
      (* The current token is RPAR. *)
      (* Shifting (RPAR) to state 830 *)
      (* State 830: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _, _) = _menhir_stack in
      (* Reducing production datacons -> full_identifier LPAR ne_type_list RPAR *)
      let _3 = _v in
      let _v = _menhir_action_211 _1 _3 in
      _menhir_goto_datacons _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_datacons : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0825 ->
          _menhir_run_0843 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0835 ->
          _menhir_run_0836 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0826 ->
          _menhir_run_0834 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0843 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 843: *)
      let _menhir_stack = MenhirCell1_datacons (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          (* Shifting (PIPE) to state 835 *)
          _menhir_run_0835 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0843
      | SEMICOLON ->
          (* Reducing production datacons_list -> *)
          let _v_0 = _menhir_action_212 () in
          _menhir_run_0844 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0835 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_datacons as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 835: *)
      let _menhir_stack = MenhirCell1_PIPE (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0835 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0844 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, ttv_result) _menhir_cell1_datacons -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 844: *)
      let MenhirCell1_datacons (_menhir_stack, _, _1) = _menhir_stack in
      (* Reducing production ne_datacons_list -> datacons datacons_list *)
      let _2 = _v in
      let _v = _menhir_action_542 _1 _2 in
      _menhir_goto_ne_datacons_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_goto_ne_datacons_list : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 841: *)
      (* Reducing production typedef -> ne_datacons_list *)
      let _1 = _v in
      let _v = _menhir_action_782 _1 in
      _menhir_goto_typedef _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_run_0836 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_datacons, ttv_result) _menhir_cell1_PIPE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 836: *)
      let _menhir_stack = MenhirCell1_datacons (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          (* Shifting (PIPE) to state 835 *)
          _menhir_run_0835 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0836
      | SEMICOLON ->
          (* Reducing production datacons_list -> *)
          let _v_0 = _menhir_action_212 () in
          _menhir_run_0837 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0837 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_datacons, ttv_result) _menhir_cell1_PIPE, ttv_result) _menhir_cell1_datacons -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 837: *)
      let MenhirCell1_datacons (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_PIPE (_menhir_stack, _menhir_s) = _menhir_stack in
      (* Reducing production datacons_list -> PIPE datacons datacons_list *)
      let _3 = _v in
      let _v = _menhir_action_213 _2 _3 in
      _menhir_goto_datacons_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_datacons_list : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_datacons as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0843 ->
          _menhir_run_0844 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0834 ->
          _menhir_run_0838 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0836 ->
          _menhir_run_0837 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0838 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, ttv_result) _menhir_cell1_PIPE, ttv_result) _menhir_cell1_datacons -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 838: *)
      let MenhirCell1_datacons (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_PIPE (_menhir_stack, _) = _menhir_stack in
      (* Reducing production ne_datacons_list -> PIPE datacons datacons_list *)
      let _3 = _v in
      let _v = _menhir_action_543 _2 _3 in
      _menhir_goto_ne_datacons_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_run_0834 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_poly_id_type_add_typename _menhir_cell0_EQUAL, ttv_result) _menhir_cell1_PIPE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 834: *)
      let _menhir_stack = MenhirCell1_datacons (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          (* Shifting (PIPE) to state 835 *)
          _menhir_run_0835 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0834
      | SEMICOLON ->
          (* Reducing production datacons_list -> *)
          let _v_0 = _menhir_action_212 () in
          _menhir_run_0838 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0306 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 306: *)
      (* Reducing production abs_param -> logic_type *)
      let (_startpos__1_, _1) = (_startpos, _v) in
      let _v = _menhir_action_004 _1 in
      _menhir_goto_abs_param _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_abs_param : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0692 ->
          _menhir_run_0313 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0377 ->
          _menhir_run_0313 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0250 ->
          _menhir_run_0313 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState0310 ->
          _menhir_run_0312 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0313 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 313: *)
      (* Reducing production abs_param_list -> abs_param *)
      let (_startpos__1_, _1) = (_startpos, _v) in
      let _v = _menhir_action_005 _1 in
      _menhir_goto_abs_param_list _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_abs_param_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 309: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          (* Shifting (COMMA) to state 310 *)
          (* State 310: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | UNSIGNED ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | UNION ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | TYPENAME _v_0 ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0310
          | STRUCT ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | SIGNED ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | SHORT ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | REAL ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | LONG ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | INTEGER ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | INT ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | FLOAT ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | ENUM ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | DOUBLE ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | DOTDOTDOT ->
              (* Shifting (DOTDOTDOT) to state 311 *)
              (* State 311: *)
              let _tok = _menhir_lexer _menhir_lexbuf in
              (* Reducing production abs_param_type_list -> abs_param_list COMMA DOTDOTDOT *)
              let _startpos__1_ = _startpos in
              let _v = _menhir_action_009 _startpos__1_ in
              _menhir_goto_abs_param_type_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | CHAR ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | BOOLEAN ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | BOOL ->
              let _menhir_stack = MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _v, _startpos) in
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0310
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RPAR ->
          (* Reducing production abs_param_type_list -> abs_param_list *)
          let _1 = _v in
          let _v = _menhir_action_008 _1 in
          _menhir_goto_abs_param_type_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_abs_param_type_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0692 ->
          _menhir_run_0693 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0377 ->
          _menhir_run_0378 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0250 ->
          _menhir_run_0307 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0693 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_abs_spec_bis_cv, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 693: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 694 *)
          (* State 694: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_abs_spec_bis_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production abs_spec_bis_cv -> abs_spec_bis_cv LPAR abs_param_type_list RPAR *)
          let _3 = _v in
          let _v = _menhir_action_020 _1 _3 in
          _menhir_goto_abs_spec_bis_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_abs_spec_bis_cv : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0680 ->
          _menhir_run_0698 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0685 ->
          _menhir_run_0698 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0687 ->
          _menhir_run_0691 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0698 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 698: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_abs_spec_bis_cv (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0698
      | LPAR ->
          let _menhir_stack = MenhirCell1_abs_spec_bis_cv (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 692 *)
          _menhir_run_0692 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0698
      | RPAR ->
          (* Reducing production abs_spec_cv -> abs_spec_bis_cv *)
          let _1 = _v in
          let _v = _menhir_action_027 _1 in
          _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0692 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_abs_spec_bis_cv as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 692: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOID ->
          (* Shifting (VOID) to state 251 *)
          _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 252 *)
          _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | UNION ->
          (* Shifting (UNION) to state 261 *)
          _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 263 *)
          _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState0692
      | STRUCT ->
          (* Shifting (STRUCT) to state 264 *)
          _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | SIGNED ->
          (* Shifting (SIGNED) to state 266 *)
          _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | SHORT ->
          (* Shifting (SHORT) to state 275 *)
          _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | REAL ->
          (* Shifting (REAL) to state 277 *)
          _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | LONG ->
          (* Shifting (LONG) to state 278 *)
          _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | INTEGER ->
          (* Shifting (INTEGER) to state 283 *)
          _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | INT ->
          (* Shifting (INT) to state 284 *)
          _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | FLOAT ->
          (* Shifting (FLOAT) to state 285 *)
          _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | ENUM ->
          (* Shifting (ENUM) to state 286 *)
          _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 288 *)
          _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | CHAR ->
          (* Shifting (CHAR) to state 289 *)
          _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 290 *)
          _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | BOOL ->
          (* Shifting (BOOL) to state 291 *)
          _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0692
      | RPAR ->
          (* Reducing production abs_param_type_list -> *)
          let _v = _menhir_action_007 () in
          _menhir_run_0693 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_abs_spec_cv : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0680 ->
          _menhir_run_0701 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0685 ->
          _menhir_run_0696 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0701 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_cv_TYPENAME_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 701: *)
      (* Reducing production abs_spec_cv_option -> abs_spec_cv *)
      let _1 = _v in
      let _v = _menhir_action_029 _1 in
      _menhir_goto_abs_spec_cv_option _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_goto_abs_spec_cv_option : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_cv_TYPENAME_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 700: *)
      let MenhirCell1_type_spec_cv_TYPENAME_ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production cast_logic_type -> type_spec_cv(TYPENAME) abs_spec_cv_option *)
      let _2 = _v in
      let _v = _menhir_action_151 _1 _2 in
      _menhir_goto_cast_logic_type _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_cast_logic_type : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0143 ->
          _menhir_run_0731 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0356 ->
          _menhir_run_0712 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0731 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SIZEOF _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 731: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 732 *)
          (* State 732: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_SIZEOF (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> SIZEOF LPAR cast_logic_type RPAR *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_460 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0712 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 712: *)
      let _menhir_stack = MenhirCell1_cast_logic_type (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 713 *)
          (* State 713: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_RPAR (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0713 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 139 *)
              _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 142 *)
              _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 351 *)
              _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0696 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 696: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 697 *)
          (* State 697: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _) = _menhir_stack in
          (* Reducing production abs_spec_bis_cv -> LPAR abs_spec_cv RPAR *)
          let _2 = _v in
          let _v = _menhir_action_019 _2 in
          _menhir_goto_abs_spec_bis_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0691 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_stars_cv as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 691: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_abs_spec_bis_cv (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0691
      | LPAR ->
          let _menhir_stack = MenhirCell1_abs_spec_bis_cv (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 692 *)
          _menhir_run_0692 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0691
      | RPAR ->
          let MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production abs_spec_cv -> stars_cv abs_spec_bis_cv *)
          let _2 = _v in
          let _v = _menhir_action_024 _1 _2 in
          _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0378 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_var_spec_bis _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 378: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 379 *)
          (* State 379: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_var_spec_bis (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production var_spec_bis -> var_spec_bis LPAR abs_param_type_list RPAR *)
          let _3 = _v in
          let _v = _menhir_action_794 _1 _3 in
          _menhir_goto_var_spec_bis _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0312 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_abs_param_list -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 312: *)
      let MenhirCell1_abs_param_list (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production abs_param_list -> abs_param_list COMMA abs_param *)
      let _3 = _v in
      let _v = _menhir_action_006 _1 _3 in
      _menhir_goto_abs_param_list _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0302 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 302: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_logic_type_gen_typename_ (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (COMMA) to state 303 *)
          (* State 303: *)
          let _menhir_s = MenhirState0303 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | GT ->
          (* Reducing production separated_nonempty_list(COMMA,logic_type_gen(typename)) -> logic_type_gen(typename) *)
          let x = _v in
          let _v = _menhir_action_642 x in
          _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_typename__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_typename__ : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0303 ->
          _menhir_run_0304 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0293 ->
          _menhir_run_0299 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0304 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_logic_type_gen_typename_ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 304: *)
      let MenhirCell1_logic_type_gen_typename_ (_menhir_stack, _menhir_s, x, _) = _menhir_stack in
      (* Reducing production separated_nonempty_list(COMMA,logic_type_gen(typename)) -> logic_type_gen(typename) COMMA separated_nonempty_list(COMMA,logic_type_gen(typename)) *)
      let xs = _v in
      let _v = _menhir_action_643 x xs in
      _menhir_goto_separated_nonempty_list_COMMA_logic_type_gen_typename__ _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0299 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_typename _menhir_cell0_LT -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 299: *)
      (* Reducing production ne_logic_type_list(typename) -> separated_nonempty_list(COMMA,logic_type_gen(typename)) *)
      let l = _v in
      let _v = _menhir_action_555 l in
      (* State 300: *)
      (* The current token is GT. *)
      (* Shifting (GT) to state 301 *)
      (* State 301: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LT (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_typename (_menhir_stack, _menhir_s, name, _startpos_name_) = _menhir_stack in
      (* Reducing production type_spec(typename) -> typename LT ne_logic_type_list(typename) GT *)
      let prms = _v in
      let _v = _menhir_action_779 name prms in
      _menhir_goto_type_spec_typename_ _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_name_ _v _menhir_s _tok
  
  and _menhir_run_0807 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 807: *)
      let _menhir_stack = MenhirCell1_type_spec_identifier_or_typename_ (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | LPAR ->
          (* Shifting (LPAR) to state 372 *)
          _menhir_run_0372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0807
      | IDENTIFIER _v_1 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0807
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | EXT_GLOBAL_BLOCK _v_2 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0807
      | EXT_GLOBAL _v_3 ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0807
      | EXT_CONTRACT _v_4 ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0807
      | EXT_CODE_ANNOT _v_5 ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0807
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0807
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0445 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_BSTYPE _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 445: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_type_spec_typename_ (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0445
      | RPAR ->
          (* Shifting (RPAR) to state 446 *)
          (* State 446: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_BSTYPE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> BSTYPE LPAR type_spec(typename) RPAR *)
          let (_endpos__4_, _3) = (_endpos, _v) in
          let _v = _menhir_action_476 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0371 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 371: *)
      let _menhir_stack = MenhirCell1_type_spec_typename_ (_menhir_stack, _menhir_s, _v, _startpos) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | LPAR ->
          (* Shifting (LPAR) to state 372 *)
          _menhir_run_0372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0371
      | IDENTIFIER _v_1 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0371
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | EXT_GLOBAL_BLOCK _v_2 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0371
      | EXT_GLOBAL _v_3 ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0371
      | EXT_CONTRACT _v_4 ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0371
      | EXT_CODE_ANNOT _v_5 ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0371
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0371
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0294 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 294: *)
      let _menhir_stack = MenhirCell1_type_spec_typename_ (_menhir_stack, _menhir_s, _v, _startpos) in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0294
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0294
      | LPAR ->
          (* Shifting (LPAR) to state 244 *)
          _menhir_run_0244 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0294
      | COMMA | GT | RPAR | SEMICOLON ->
          (* Reducing production abs_spec_option -> *)
          let _v_0 = _menhir_action_030 () in
          _menhir_run_0295 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_var_spec : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0807 ->
          _menhir_run_0808 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0388 ->
          _menhir_run_0389 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0371 ->
          _menhir_run_0385 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0372 ->
          _menhir_run_0380 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0808 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_identifier_or_typename_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 808: *)
      let MenhirCell1_type_spec_identifier_or_typename_ (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production parameter -> type_spec(identifier_or_typename) var_spec *)
      let _2 = _v in
      let _v = _menhir_action_593 _1 _2 in
      _menhir_goto_parameter _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_parameter : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0884 ->
          _menhir_run_0885 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0865 ->
          _menhir_run_0864 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0863 ->
          _menhir_run_0864 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0766 ->
          _menhir_run_0809 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0885 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_MODEL, ttv_result) _menhir_cell1_type_spec_typename_ _menhir_cell0_LBRACE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 885: *)
      let _menhir_stack = MenhirCell1_parameter (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 886 *)
          (* State 886: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (* Reducing production opt_semicolon -> SEMICOLON *)
          let _ = _menhir_action_592 () in
          _menhir_goto_opt_semicolon _menhir_stack _menhir_lexbuf _menhir_lexer _tok
      | RBRACE ->
          (* Reducing production opt_semicolon -> *)
          let _ = _menhir_action_591 () in
          _menhir_goto_opt_semicolon _menhir_stack _menhir_lexbuf _menhir_lexer _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_opt_semicolon : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_MODEL, ttv_result) _menhir_cell1_type_spec_typename_ _menhir_cell0_LBRACE, ttv_result) _menhir_cell1_parameter -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _tok ->
      (* State 887: *)
      match (_tok : MenhirBasics.token) with
      | RBRACE ->
          (* Shifting (RBRACE) to state 888 *)
          (* State 888: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | SEMICOLON ->
              (* Shifting (SEMICOLON) to state 889 *)
              (* State 889: *)
              let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              let MenhirCell1_parameter (_menhir_stack, _, _4) = _menhir_stack in
              let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
              let MenhirCell1_type_spec_typename_ (_menhir_stack, _, _2, _) = _menhir_stack in
              let MenhirCell1_MODEL (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
              (* Reducing production model_annot -> MODEL type_spec(typename) LBRACE parameter opt_semicolon RBRACE SEMICOLON *)
              let _endpos__7_ = _endpos_0 in
              let _v = _menhir_action_534 _2 _4 in
              let (_endpos, _startpos) = (_endpos__7_, _startpos__1_) in
              (* State 1235: *)
              (* Reducing production decl -> model_annot *)
              let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
              let _v = _menhir_action_217 _1 in
              _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0864 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 864: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_parameter (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 865 *)
          (* State 865: *)
          let _menhir_s = MenhirState0865 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 767 *)
              _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 768 *)
              _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 777 *)
              _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 779 *)
              _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 781 *)
              _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 790 *)
              _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 792 *)
              _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 793 *)
              _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 798 *)
              _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 799 *)
              _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 800 *)
              _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 801 *)
              _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 803 *)
              _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 804 *)
              _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 805 *)
              _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 806 *)
              _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RPAR ->
          (* Reducing production ne_parameters -> parameter *)
          let _1 = _v in
          let _v = _menhir_action_556 _1 in
          _menhir_goto_ne_parameters _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_parameters : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0863 ->
          _menhir_run_0867 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0865 ->
          _menhir_run_0866 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0867 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 867: *)
      (* The current token is RPAR. *)
      (* Shifting (RPAR) to state 868 *)
      (* State 868: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _) = _menhir_stack in
      (* Reducing production parameters -> LPAR ne_parameters RPAR *)
      let _2 = _v in
      let _v = _menhir_action_594 _2 in
      _menhir_goto_parameters _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_parameters : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0974 ->
          _menhir_run_0975 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1194 ->
          _menhir_run_0869 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1186 ->
          _menhir_run_0869 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0959 ->
          _menhir_run_0869 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0862 ->
          _menhir_run_0869 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0975 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_INDUCTIVE, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 975: *)
      let _menhir_stack = MenhirCell1_parameters (_menhir_stack, _menhir_s, _v) in
      (* Reducing production midrule(__anonymous_0) -> *)
      let _v = _menhir_action_533 () in
      (* State 976: *)
      let _menhir_stack = MenhirCell0_midrule___anonymous_0_ (_menhir_stack, _v) in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 977 *)
          (* State 977: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LBRACE (_menhir_stack, _startpos) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | CASE ->
              (* Shifting (CASE) to state 978 *)
              _menhir_run_0978 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0977
          | RBRACE ->
              (* Reducing production indcases -> *)
              let _v_0 = _menhir_action_340 () in
              _menhir_run_0984 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0978 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 978: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CASE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0978 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0984 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_INDUCTIVE, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_parameters _menhir_cell0_midrule___anonymous_0_ _menhir_cell0_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 984: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 985 *)
      (* State 985: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
      let MenhirCell0_midrule___anonymous_0_ (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_parameters (_menhir_stack, _, params) = _menhir_stack in
      let MenhirCell1_poly_id (_menhir_stack, _, pred) = _menhir_stack in
      let MenhirCell1_INDUCTIVE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production logic_def -> INDUCTIVE poly_id parameters midrule(__anonymous_0) LBRACE indcases RBRACE *)
      let (_endpos__7_, cases) = (_endpos, _v) in
      let _v = _menhir_action_503 cases params pred in
      _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0869 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 869: *)
      (* Reducing production opt_parameters -> parameters *)
      let _1 = _v in
      let _v = _menhir_action_590 _1 in
      _menhir_goto_opt_parameters _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_opt_parameters : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_poly_id as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1194 ->
          _menhir_run_1195 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1186 ->
          _menhir_run_1187 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0959 ->
          _menhir_run_0960 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0862 ->
          _menhir_run_0870 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0866 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_parameter -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 866: *)
      let MenhirCell1_parameter (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ne_parameters -> parameter COMMA ne_parameters *)
      let _3 = _v in
      let _v = _menhir_action_557 _1 _3 in
      _menhir_goto_ne_parameters _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0809 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_INVARIANT, ttv_result) _menhir_cell1_any_identifier _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 809: *)
      let _menhir_stack = MenhirCell1_parameter (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 810 *)
          (* State 810: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_RPAR (_menhir_stack, _endpos) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | EQUAL ->
              (* Shifting (EQUAL) to state 811 *)
              (* State 811: *)
              let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
              let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
              let _menhir_s = MenhirState0811 in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | WSTRING_CONSTANT _v ->
                  (* Shifting (WSTRING_CONSTANT) to state 3 *)
                  _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | WRITES ->
                  (* Shifting (WRITES) to state 1 *)
                  _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VOLATILE ->
                  (* Shifting (VOLATILE) to state 4 *)
                  _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VOID ->
                  (* Shifting (VOID) to state 5 *)
                  _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VARIANT ->
                  (* Shifting (VARIANT) to state 6 *)
                  _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VALID_READ ->
                  (* Shifting (VALID_READ) to state 7 *)
                  _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VALID_RANGE ->
                  (* Shifting (VALID_RANGE) to state 117 *)
                  _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VALID_INDEX ->
                  (* Shifting (VALID_INDEX) to state 120 *)
                  _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VALID_FUNCTION ->
                  (* Shifting (VALID_FUNCTION) to state 123 *)
                  _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | VALID ->
                  (* Shifting (VALID) to state 125 *)
                  _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | UNSIGNED ->
                  (* Shifting (UNSIGNED) to state 10 *)
                  _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | UNION ->
                  (* Shifting (UNION) to state 11 *)
                  _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | UNALLOCATED ->
                  (* Shifting (UNALLOCATED) to state 128 *)
                  _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | TYPEOF ->
                  (* Shifting (TYPEOF) to state 129 *)
                  _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | TYPENAME _v ->
                  (* Shifting (TYPENAME) to state 12 *)
                  _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | TYPE ->
                  (* Shifting (TYPE) to state 131 *)
                  _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | TRUE ->
                  (* Shifting (TRUE) to state 132 *)
                  _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | TILDE ->
                  (* Shifting (TILDE) to state 133 *)
                  _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | TERMINATES ->
                  (* Shifting (TERMINATES) to state 324 *)
                  _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | STRUCT ->
                  (* Shifting (STRUCT) to state 15 *)
                  _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | STRING_LITERAL _v ->
                  (* Shifting (STRING_LITERAL) to state 137 *)
                  _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | STRING_CONSTANT _v ->
                  (* Shifting (STRING_CONSTANT) to state 138 *)
                  _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | STATIC ->
                  (* Shifting (STATIC) to state 326 *)
                  _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | STAR ->
                  (* Shifting (STAR) to state 140 *)
                  _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SLICE ->
                  (* Shifting (SLICE) to state 327 *)
                  _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SIZEOF ->
                  (* Shifting (SIZEOF) to state 328 *)
                  _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SIGNED ->
                  (* Shifting (SIGNED) to state 19 *)
                  _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SHORT ->
                  (* Shifting (SHORT) to state 20 *)
                  _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | SEPARATED ->
                  (* Shifting (SEPARATED) to state 331 *)
                  _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | RETURNS ->
                  (* Shifting (RETURNS) to state 333 *)
                  _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | RESULT ->
                  (* Shifting (RESULT) to state 334 *)
                  _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | REQUIRES ->
                  (* Shifting (REQUIRES) to state 335 *)
                  _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | REGISTER ->
                  (* Shifting (REGISTER) to state 336 *)
                  _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | REAL ->
                  (* Shifting (REAL) to state 23 *)
                  _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | READS ->
                  (* Shifting (READS) to state 24 *)
                  _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | PREDICATE ->
                  (* Shifting (PREDICATE) to state 337 *)
                  _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | PRAGMA ->
                  (* Shifting (PRAGMA) to state 338 *)
                  _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | PLUS ->
                  (* Shifting (PLUS) to state 339 *)
                  _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | PI ->
                  (* Shifting (PI) to state 340 *)
                  _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | OLD ->
                  (* Shifting (OLD) to state 341 *)
                  _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | OFFSET ->
                  (* Shifting (OFFSET) to state 343 *)
                  _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | OBJECT_POINTER ->
                  (* Shifting (OBJECT_POINTER) to state 346 *)
                  _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | NULL ->
                  (* Shifting (NULL) to state 349 *)
                  _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | NOT ->
                  (* Shifting (NOT) to state 350 *)
                  _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | MODULE ->
                  (* Shifting (MODULE) to state 354 *)
                  _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | MODEL ->
                  (* Shifting (MODEL) to state 355 *)
                  _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | MINUS ->
                  (* Shifting (MINUS) to state 352 *)
                  _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LSQUAREPIPE ->
                  (* Shifting (LSQUAREPIPE) to state 353 *)
                  _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LPAR ->
                  (* Shifting (LPAR) to state 356 *)
                  _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LOOP ->
                  (* Shifting (LOOP) to state 358 *)
                  _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LONG ->
                  (* Shifting (LONG) to state 30 *)
                  _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LOGIC ->
                  (* Shifting (LOGIC) to state 360 *)
                  _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LET ->
                  (* Shifting (LET) to state 361 *)
                  _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LEMMA ->
                  (* Shifting (LEMMA) to state 367 *)
                  _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LBRACE ->
                  (* Shifting (LBRACE) to state 368 *)
                  _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LAMBDA ->
                  (* Shifting (LAMBDA) to state 370 *)
                  _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | LABEL ->
                  (* Shifting (LABEL) to state 33 *)
                  _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INVARIANT ->
                  (* Shifting (INVARIANT) to state 393 *)
                  _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INT_CONSTANT _v ->
                  (* Shifting (INT_CONSTANT) to state 394 *)
                  _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | INTER ->
                  (* Shifting (INTER) to state 395 *)
                  _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INTEGER ->
                  (* Shifting (INTEGER) to state 35 *)
                  _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INT ->
                  (* Shifting (INT) to state 36 *)
                  _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INITIALIZED ->
                  (* Shifting (INITIALIZED) to state 397 *)
                  _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INDUCTIVE ->
                  (* Shifting (INDUCTIVE) to state 400 *)
                  _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | INCLUDE ->
                  (* Shifting (INCLUDE) to state 401 *)
                  _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | IMPACT ->
                  (* Shifting (IMPACT) to state 402 *)
                  _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | IF ->
                  (* Shifting (IF) to state 40 *)
                  _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | IDENTIFIER_EXT _v ->
                  (* Shifting (IDENTIFIER_EXT) to state 403 *)
                  _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | IDENTIFIER _v ->
                  (* Shifting (IDENTIFIER) to state 42 *)
                  _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | GLOBAL ->
                  (* Shifting (GLOBAL) to state 404 *)
                  _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FUNCTION ->
                  (* Shifting (FUNCTION) to state 405 *)
                  _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FRESH ->
                  (* Shifting (FRESH) to state 406 *)
                  _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FREES ->
                  (* Shifting (FREES) to state 410 *)
                  _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FREEABLE ->
                  (* Shifting (FREEABLE) to state 411 *)
                  _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FORALL ->
                  (* Shifting (FORALL) to state 414 *)
                  _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FOR ->
                  (* Shifting (FOR) to state 46 *)
                  _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FLOAT_CONSTANT _v ->
                  (* Shifting (FLOAT_CONSTANT) to state 417 *)
                  _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | FLOAT ->
                  (* Shifting (FLOAT) to state 47 *)
                  _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | FALSE ->
                  (* Shifting (FALSE) to state 418 *)
                  _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | EXT_LET ->
                  (* Shifting (EXT_LET) to state 419 *)
                  _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | EXT_GLOBAL_BLOCK _v ->
                  (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
                  _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | EXT_GLOBAL _v ->
                  (* Shifting (EXT_GLOBAL) to state 421 *)
                  _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | EXT_CONTRACT _v ->
                  (* Shifting (EXT_CONTRACT) to state 422 *)
                  _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | EXT_CODE_ANNOT _v ->
                  (* Shifting (EXT_CODE_ANNOT) to state 423 *)
                  _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
              | EXT_AT ->
                  (* Shifting (EXT_AT) to state 424 *)
                  _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | EXITS ->
                  (* Shifting (EXITS) to state 425 *)
                  _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | EXISTS ->
                  (* Shifting (EXISTS) to state 426 *)
                  _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ENUM ->
                  (* Shifting (ENUM) to state 55 *)
                  _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ENSURES ->
                  (* Shifting (ENSURES) to state 429 *)
                  _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | EMPTY ->
                  (* Shifting (EMPTY) to state 430 *)
                  _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ELSE ->
                  (* Shifting (ELSE) to state 57 *)
                  _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | DYNAMIC ->
                  (* Shifting (DYNAMIC) to state 431 *)
                  _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | DOUBLE ->
                  (* Shifting (DOUBLE) to state 58 *)
                  _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | DISJOINT ->
                  (* Shifting (DISJOINT) to state 432 *)
                  _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | DECREASES ->
                  (* Shifting (DECREASES) to state 433 *)
                  _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | DANGLING ->
                  (* Shifting (DANGLING) to state 434 *)
                  _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CONTRACT ->
                  (* Shifting (CONTRACT) to state 437 *)
                  _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CONTINUES ->
                  (* Shifting (CONTINUES) to state 438 *)
                  _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CONST ->
                  (* Shifting (CONST) to state 63 *)
                  _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | COMPLETE ->
                  (* Shifting (COMPLETE) to state 439 *)
                  _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_RETURNS ->
                  (* Shifting (CHECK_RETURNS) to state 65 *)
                  _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_REQUIRES ->
                  (* Shifting (CHECK_REQUIRES) to state 66 *)
                  _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_LOOP ->
                  (* Shifting (CHECK_LOOP) to state 67 *)
                  _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_LEMMA ->
                  (* Shifting (CHECK_LEMMA) to state 68 *)
                  _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_INVARIANT ->
                  (* Shifting (CHECK_INVARIANT) to state 69 *)
                  _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_EXITS ->
                  (* Shifting (CHECK_EXITS) to state 70 *)
                  _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_ENSURES ->
                  (* Shifting (CHECK_ENSURES) to state 71 *)
                  _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_CONTINUES ->
                  (* Shifting (CHECK_CONTINUES) to state 72 *)
                  _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK_BREAKS ->
                  (* Shifting (CHECK_BREAKS) to state 73 *)
                  _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHECK ->
                  (* Shifting (CHECK) to state 440 *)
                  _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CHAR ->
                  (* Shifting (CHAR) to state 75 *)
                  _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | CASE ->
                  (* Shifting (CASE) to state 76 *)
                  _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BSUNION ->
                  (* Shifting (BSUNION) to state 441 *)
                  _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BSTYPE ->
                  (* Shifting (BSTYPE) to state 443 *)
                  _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BREAKS ->
                  (* Shifting (BREAKS) to state 449 *)
                  _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BOOLEAN ->
                  (* Shifting (BOOLEAN) to state 78 *)
                  _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BOOL ->
                  (* Shifting (BOOL) to state 79 *)
                  _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BLOCK_LENGTH ->
                  (* Shifting (BLOCK_LENGTH) to state 450 *)
                  _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BEHAVIORS ->
                  (* Shifting (BEHAVIORS) to state 80 *)
                  _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BEHAVIOR ->
                  (* Shifting (BEHAVIOR) to state 453 *)
                  _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | BASE_ADDR ->
                  (* Shifting (BASE_ADDR) to state 454 *)
                  _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | AXIOMATIC ->
                  (* Shifting (AXIOMATIC) to state 457 *)
                  _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | AXIOM ->
                  (* Shifting (AXIOM) to state 458 *)
                  _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | AUTOMATIC ->
                  (* Shifting (AUTOMATIC) to state 459 *)
                  _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | AT ->
                  (* Shifting (AT) to state 460 *)
                  _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ASSUMES ->
                  (* Shifting (ASSUMES) to state 462 *)
                  _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ASSIGNS ->
                  (* Shifting (ASSIGNS) to state 463 *)
                  _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ASSERT ->
                  (* Shifting (ASSERT) to state 464 *)
                  _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | AMP ->
                  (* Shifting (AMP) to state 465 *)
                  _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ALLOCATION ->
                  (* Shifting (ALLOCATION) to state 466 *)
                  _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ALLOCATES ->
                  (* Shifting (ALLOCATES) to state 469 *)
                  _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ALLOCABLE ->
                  (* Shifting (ALLOCABLE) to state 470 *)
                  _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_RETURNS ->
                  (* Shifting (ADMIT_RETURNS) to state 88 *)
                  _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_REQUIRES ->
                  (* Shifting (ADMIT_REQUIRES) to state 89 *)
                  _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_LOOP ->
                  (* Shifting (ADMIT_LOOP) to state 90 *)
                  _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_LEMMA ->
                  (* Shifting (ADMIT_LEMMA) to state 91 *)
                  _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_INVARIANT ->
                  (* Shifting (ADMIT_INVARIANT) to state 92 *)
                  _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_EXITS ->
                  (* Shifting (ADMIT_EXITS) to state 93 *)
                  _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_ENSURES ->
                  (* Shifting (ADMIT_ENSURES) to state 94 *)
                  _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_CONTINUES ->
                  (* Shifting (ADMIT_CONTINUES) to state 95 *)
                  _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT_BREAKS ->
                  (* Shifting (ADMIT_BREAKS) to state 96 *)
                  _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | ADMIT ->
                  (* Shifting (ADMIT) to state 473 *)
                  _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0389 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_binders_reentrance -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 389: *)
      let MenhirCell1_binders_reentrance (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production binders_reentrance -> binders_reentrance COMMA var_spec *)
      let _3 = _v in
      let _v = _menhir_action_090 _1 _3 in
      _menhir_goto_binders_reentrance _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_binders_reentrance : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 387: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_binders_reentrance (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 388 *)
          (* State 388: *)
          let _menhir_s = MenhirState0388 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 237 *)
              _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 372 *)
              _menhir_run_0372 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RBRACE | SEMICOLON ->
          (* Reducing production binders -> binders_reentrance *)
          let _1 = _v in
          let _v = _menhir_action_087 _1 in
          _menhir_goto_binders _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_binders : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0644 ->
          _menhir_run_0662 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0426 ->
          _menhir_run_0427 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0414 ->
          _menhir_run_0415 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0370 ->
          _menhir_run_0391 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0662 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_LBRACE, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_PIPE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 662: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          let _menhir_stack = MenhirCell1_binders (_menhir_stack, _menhir_s, _v) in
          (* Shifting (SEMICOLON) to state 663 *)
          (* State 663: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0663 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RBRACE ->
          (* Shifting (RBRACE) to state 666 *)
          (* State 666: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_PIPE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
          let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LBRACE lexpr PIPE binders RBRACE *)
          let (_4, _endpos__5_) = (_v, _endpos) in
          let _v = _menhir_action_482 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0427 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXISTS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 427: *)
      let _menhir_stack = MenhirCell1_binders (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 428 *)
          (* State 428: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0428 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0415 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FORALL as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 415: *)
      let _menhir_stack = MenhirCell1_binders (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 416 *)
          (* State 416: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0416 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0391 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LAMBDA as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 391: *)
      let _menhir_stack = MenhirCell1_binders (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 392 *)
          (* State 392: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_SEMICOLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0392 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0385 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_type_spec_typename_ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 385: *)
      let MenhirCell1_type_spec_typename_ (_menhir_stack, _menhir_s, _1, _) = _menhir_stack in
      (* Reducing production decl_spec -> type_spec(typename) var_spec *)
      let _2 = _v in
      let _v = _menhir_action_223 _1 _2 in
      _menhir_goto_decl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_decl_spec : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0388 ->
          _menhir_run_0390 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0644 ->
          _menhir_run_0386 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0426 ->
          _menhir_run_0386 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0414 ->
          _menhir_run_0386 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0370 ->
          _menhir_run_0386 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0390 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_binders_reentrance -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 390: *)
      let MenhirCell1_binders_reentrance (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production binders_reentrance -> binders_reentrance COMMA decl_spec *)
      let _3 = _v in
      let _v = _menhir_action_089 _1 _3 in
      _menhir_goto_binders_reentrance _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0386 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 386: *)
      (* Reducing production binders_reentrance -> decl_spec *)
      let _1 = _v in
      let _v = _menhir_action_088 _1 in
      _menhir_goto_binders_reentrance _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0380 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 380: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 381 *)
          (* State 381: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _) = _menhir_stack in
          (* Reducing production var_spec_bis -> LPAR var_spec RPAR *)
          let _2 = _v in
          let _v = _menhir_action_793 _2 in
          _menhir_goto_var_spec_bis _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0373 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 373: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_var_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LSQUARE) to state 374 *)
          _menhir_run_0374 _menhir_stack _menhir_lexbuf _menhir_lexer
      | LPAR ->
          let _menhir_stack = MenhirCell1_var_spec_bis (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LPAR) to state 377 *)
          _menhir_run_0377 _menhir_stack _menhir_lexbuf _menhir_lexer
      | COMMA | RBRACE | RPAR | SEMICOLON ->
          (* Reducing production var_spec -> var_spec_bis *)
          let _1 = _v in
          let _v = _menhir_action_789 _1 in
          _menhir_goto_var_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0241 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LSQUARE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 241: *)
      match (_tok : MenhirBasics.token) with
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 242 *)
          (* State 242: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LSQUARE ->
              let _menhir_stack = MenhirCell1_array_size (_menhir_stack, _menhir_s, _v) in
              let _menhir_stack = MenhirCell0_RSQUARE (_menhir_stack, _endpos) in
              (* Shifting (LSQUARE) to state 238 *)
              _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0242
          | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMMA | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | GT | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | RPAR | SEMICOLON | SLICE | TERMINATES | TYPE | VARIANT | WRITES ->
              let MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) = _menhir_stack in
              (* Reducing production tabs -> LSQUARE array_size RSQUARE *)
              let _2 = _v in
              let _v = _menhir_action_661 _2 in
              _menhir_goto_tabs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_tabs : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0698 ->
          _menhir_run_0699 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0691 ->
          _menhir_run_0695 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0687 ->
          _menhir_run_0690 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0680 ->
          _menhir_run_0686 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0685 ->
          _menhir_run_0686 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0249 ->
          _menhir_run_0314 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0296 ->
          _menhir_run_0297 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0246 ->
          _menhir_run_0248 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0816 ->
          _menhir_run_0245 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0236 ->
          _menhir_run_0245 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0294 ->
          _menhir_run_0245 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0244 ->
          _menhir_run_0245 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0242 ->
          _menhir_run_0243 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0699 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_abs_spec_bis_cv -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 699: *)
      let MenhirCell1_abs_spec_bis_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production abs_spec_cv -> abs_spec_bis_cv tabs *)
      let _2 = _v in
      let _v = _menhir_action_026 _1 _2 in
      _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0695 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_stars_cv, ttv_result) _menhir_cell1_abs_spec_bis_cv -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 695: *)
      let MenhirCell1_abs_spec_bis_cv (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production abs_spec_cv -> stars_cv abs_spec_bis_cv tabs *)
      let _3 = _v in
      let _v = _menhir_action_025 _1 _2 _3 in
      _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0690 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_stars_cv -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 690: *)
      let MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production abs_spec_cv -> stars_cv tabs *)
      let _2 = _v in
      let _v = _menhir_action_023 _1 _2 in
      _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0686 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 686: *)
      (* Reducing production abs_spec_cv -> tabs *)
      let _1 = _v in
      let _v = _menhir_action_021 _1 in
      _menhir_goto_abs_spec_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0314 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_stars, ttv_result) _menhir_cell1_abs_spec_bis -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 314: *)
      let MenhirCell1_abs_spec_bis (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_stars (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production abs_spec -> stars abs_spec_bis tabs *)
      let _3 = _v in
      let _v = _menhir_action_014 _1 _2 _3 in
      _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0297 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_abs_spec_bis -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 297: *)
      let MenhirCell1_abs_spec_bis (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production abs_spec -> abs_spec_bis tabs *)
      let _2 = _v in
      let _v = _menhir_action_015 _1 _2 in
      _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0248 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_stars -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 248: *)
      let MenhirCell1_stars (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production abs_spec -> stars tabs *)
      let _2 = _v in
      let _v = _menhir_action_012 _1 _2 in
      _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0245 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 245: *)
      (* Reducing production abs_spec -> tabs *)
      let _1 = _v in
      let _v = _menhir_action_010 _1 in
      _menhir_goto_abs_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0243 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LSQUARE, ttv_result) _menhir_cell1_array_size _menhir_cell0_RSQUARE -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 243: *)
      let MenhirCell0_RSQUARE (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_array_size (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) = _menhir_stack in
      (* Reducing production tabs -> LSQUARE array_size RSQUARE tabs *)
      let _4 = _v in
      let _v = _menhir_action_662 _2 _4 in
      _menhir_goto_tabs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0685 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 685: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0685 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 681 *)
          _menhir_run_0681 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 685 *)
          _menhir_run_0685 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0236 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 236: *)
      let _menhir_stack = MenhirCell1_type_spec_TYPENAME_ (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | STAR ->
          (* Shifting (STAR) to state 237 *)
          _menhir_run_0237 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0236
      | LSQUARE ->
          (* Shifting (LSQUARE) to state 238 *)
          _menhir_run_0238 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0236
      | LPAR ->
          (* Shifting (LPAR) to state 244 *)
          _menhir_run_0244 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0236
      | COMMA | GT ->
          (* Reducing production abs_spec_option -> *)
          let _v_0 = _menhir_action_030 () in
          _menhir_run_0317 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0704 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 704: *)
      let _menhir_stack = MenhirCell1_cv (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 682 *)
          _menhir_run_0682 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0704
      | CONST ->
          (* Shifting (CONST) to state 683 *)
          _menhir_run_0683 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0704
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 677 *)
          _menhir_run_0677 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0704
      | LPAR | LSQUARE | RPAR | STAR ->
          (* Reducing production cv_after -> *)
          let _v_0 = _menhir_action_208 () in
          _menhir_run_0705 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0705 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_cv -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 705: *)
      let MenhirCell1_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production cv_after -> cv cv_after *)
      let _2 = _v in
      let _v = _menhir_action_209 _1 _2 in
      _menhir_goto_cv_after _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_cv_after : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0704 ->
          _menhir_run_0705 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0702 ->
          _menhir_run_0703 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0689 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_stars_cv, ttv_result) _menhir_cell1_STAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 689: *)
      let MenhirCell1_STAR (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_stars_cv (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production stars_cv -> stars_cv STAR cv *)
      let _3 = _v in
      let _v = _menhir_action_654 _1 _3 in
      _menhir_goto_stars_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0684 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_STAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 684: *)
      let MenhirCell1_STAR (_menhir_stack, _menhir_s, _) = _menhir_stack in
      (* Reducing production stars_cv -> STAR cv *)
      let _2 = _v in
      let _v = _menhir_action_652 _2 in
      _menhir_goto_stars_cv _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1352 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1352: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_INCLUDE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1352 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1355 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1355: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_GLOBAL (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 996 *)
          _menhir_run_0996 _menhir_stack _menhir_lexbuf _menhir_lexer
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 1356 *)
          (* State 1356: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_EXT_LET (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState1356 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1361 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1361: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EXT_LET (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1361 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_global_clauses : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1408 ->
          _menhir_run_1409 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1351 ->
          _menhir_run_1407 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1387 ->
          _menhir_run_1407 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1409 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clause -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1409: *)
      let MenhirCell1_ext_global_clause (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_global_clauses -> ext_global_clause ext_global_clauses *)
      let _2 = _v in
      let _v = _menhir_action_255 _1 _2 in
      _menhir_goto_ext_global_clauses _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1407 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1407: *)
      (* Reducing production ext_global_clauses_opt -> ext_global_clauses *)
      let _1 = _v in
      let _v = _menhir_action_257 _1 in
      _menhir_goto_ext_global_clauses_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_ext_global_clauses_opt : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1387 ->
          _menhir_run_1388 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1351 ->
          _menhir_run_1367 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1388 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_module_markup as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1388: *)
      match (_tok : MenhirBasics.token) with
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_ext_global_clauses_opt (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FUNCTION) to state 1368 *)
          _menhir_run_1368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1388
      | EOF | MODULE ->
          let MenhirCell1_ext_module_markup (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production ext_global_spec -> ext_module_markup ext_global_clauses_opt *)
          let _2 = _v in
          let _v = _menhir_action_259 _1 _2 in
          _menhir_goto_ext_global_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1368 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1368: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_FUNCTION (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1368 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_global_spec : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1413: *)
      match (_tok : MenhirBasics.token) with
      | MODULE ->
          let _menhir_stack = MenhirCell1_ext_global_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODULE) to state 1384 *)
          _menhir_run_1384 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1413
      | EOF ->
          (* Reducing production ext_global_specs -> ext_global_spec *)
          let _1 = _v in
          let _v = _menhir_action_260 _1 in
          _menhir_goto_ext_global_specs _menhir_stack _v _menhir_s
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1384 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1384: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_MODULE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1384 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1367 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1367: *)
      let _menhir_stack = MenhirCell1_ext_global_clauses_opt (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 1368 *)
          _menhir_run_1368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1367
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 1372 *)
          _menhir_run_1372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1367
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 1379 *)
          _menhir_run_1379 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1367
      | EOF | MODULE ->
          (* Reducing production ext_module_specs_opt -> *)
          let _menhir_s = MenhirState1367 in
          let _v = _menhir_action_271 () in
          _menhir_goto_ext_module_specs_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1379 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1379: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CONTRACT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1379 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COLON ->
          (* Reducing production ext_identifier_opt -> *)
          let _v = _menhir_action_265 () in
          _menhir_goto_ext_identifier_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_identifier_opt : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_CONTRACT -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1380: *)
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1381 *)
          (* State 1381: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_CONTRACT (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production ext_contract_markup -> CONTRACT ext_identifier_opt COLON *)
          let _2 = _v in
          let _v = _menhir_action_231 _2 in
          _menhir_goto_ext_contract_markup _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_contract_markup : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1420 ->
          _menhir_run_1403 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1401 ->
          _menhir_run_1403 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1367 ->
          _menhir_run_1399 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1418 ->
          _menhir_run_1399 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1399 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1399 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1403 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_at_stmt_markup as 'stack) -> _ -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 1403: *)
      let _menhir_stack = MenhirCell1_ext_contract_markup (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1004 *)
          _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1403
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1007 *)
          _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1403
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1010 *)
          _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1403
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production requires -> *)
          let _v_0 = _menhir_action_636 () in
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v_0 MenhirState1403 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1399 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 1399: *)
      let _menhir_stack = MenhirCell1_ext_contract_markup (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1004 *)
          _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1399
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1007 *)
          _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1399
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1010 *)
          _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1399
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
          (* Reducing production requires -> *)
          let _v_0 = _menhir_action_636 () in
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v_0 MenhirState1399 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_module_specs_opt : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1383: *)
      let _menhir_stack = MenhirCell1_ext_module_specs_opt (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | MODULE ->
          (* Shifting (MODULE) to state 1384 *)
          _menhir_run_1384 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1383
      | EOF ->
          (* Reducing production ext_global_specs_opt -> *)
          let _v = _menhir_action_262 () in
          _menhir_goto_ext_global_specs_opt _menhir_stack _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1393 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1393: *)
      (* Reducing production ext_function_spec -> ext_global_clause *)
      let _1 = _v in
      let _v = _menhir_action_243 _1 in
      _menhir_goto_ext_function_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_ext_function_spec : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1396: *)
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (VOLATILE) to state 2 *)
          _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | TYPE ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (TYPE) to state 763 *)
          _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (PREDICATE) to state 860 *)
          _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | MODEL ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (MODEL) to state 882 *)
          _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | LOGIC ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LOGIC) to state 956 *)
          _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | LEMMA ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (LEMMA) to state 965 *)
          _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INDUCTIVE) to state 973 *)
          _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (INCLUDE) to state 1352 *)
          _menhir_run_1352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (GLOBAL) to state 1355 *)
          _menhir_run_1355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_LET) to state 1361 *)
          _menhir_run_1361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | EXT_GLOBAL_BLOCK _v_0 ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
          _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1396
      | EXT_GLOBAL _v_1 ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_GLOBAL) to state 1164 *)
          _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1396
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (EXT_AT) to state 1372 *)
          _menhir_run_1372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CONTRACT) to state 1379 *)
          _menhir_run_1379 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (CHECK_LEMMA) to state 1173 *)
          _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOMATIC) to state 1179 *)
          _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | AXIOM ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (AXIOM) to state 1214 *)
          _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (ADMIT_LEMMA) to state 1203 *)
          _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1396
      | EOF | FUNCTION | MODULE ->
          (* Reducing production ext_function_specs -> ext_function_spec *)
          let _1 = _v in
          let _v = _menhir_action_246 _1 in
          _menhir_goto_ext_function_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ext_function_specs : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1396 ->
          _menhir_run_1397 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1392 ->
          _menhir_run_1395 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1397 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_function_spec -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1397: *)
      let MenhirCell1_ext_function_spec (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_function_specs -> ext_function_spec ext_function_specs *)
      let _2 = _v in
      let _v = _menhir_action_247 _1 _2 in
      _menhir_goto_ext_function_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1395 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_function_markup -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1395: *)
      (* Reducing production ext_function_specs_opt -> ext_function_specs *)
      let _1 = _v in
      let _v = _menhir_action_249 _1 in
      _menhir_goto_ext_function_specs_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_goto_ext_function_specs_opt : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_function_markup -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1394: *)
      let MenhirCell1_ext_function_markup (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_module_spec -> ext_function_markup ext_function_specs_opt *)
      let _2 = _v in
      let _v = _menhir_action_268 _1 _2 in
      (* State 1390: *)
      match (_tok : MenhirBasics.token) with
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_ext_module_spec (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FUNCTION) to state 1368 *)
          _menhir_run_1368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1390
      | EOF | MODULE ->
          (* Reducing production ext_module_specs -> ext_module_spec *)
          let _1 = _v in
          let _v = _menhir_action_269 _1 in
          _menhir_goto_ext_module_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_goto_ext_module_specs : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1416 ->
          _menhir_run_1417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1367 ->
          _menhir_run_1415 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState1390 ->
          _menhir_run_1391 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1388 ->
          _menhir_run_1389 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1417 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt, _menhir_box_ext_spec) _menhir_cell1_ext_fun_specs -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1417: *)
      let MenhirCell1_ext_fun_specs (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_module_specs_opt -> ext_fun_specs ext_module_specs *)
      let _2 = _v in
      let _v = _menhir_action_274 _1 _2 in
      _menhir_goto_ext_module_specs_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1415 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1415: *)
      (* Reducing production ext_module_specs_opt -> ext_module_specs *)
      let _1 = _v in
      let _v = _menhir_action_272 _1 in
      _menhir_goto_ext_module_specs_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1391 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_module_spec -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1391: *)
      let MenhirCell1_ext_module_spec (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_module_specs -> ext_module_spec ext_module_specs *)
      let _2 = _v in
      let _v = _menhir_action_270 _1 _2 in
      _menhir_goto_ext_module_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1389 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_module_markup, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1389: *)
      let MenhirCell1_ext_global_clauses_opt (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_ext_module_markup (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_global_spec -> ext_module_markup ext_global_clauses_opt ext_module_specs *)
      let _3 = _v in
      let _v = _menhir_action_258 _1 _2 _3 in
      _menhir_goto_ext_global_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0480 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 480: *)
      match (_tok : MenhirBasics.token) with
      | STRING_LITERAL _v_0 ->
          let _menhir_stack = MenhirCell1_string (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_LITERAL) to state 475 *)
          _menhir_run_0475 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production lexpr_inner -> string *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_417 _1 _endpos__1_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0474 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 474: *)
      match (_tok : MenhirBasics.token) with
      | STRING_LITERAL _v_0 ->
          let _menhir_stack = MenhirCell1_string (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_LITERAL) to state 475 *)
          _menhir_run_0475 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | COLON ->
          let _menhir_stack = MenhirCell1_string (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COLON) to state 476 *)
          (* State 476: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0476 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production lexpr_inner -> string *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_417 _1 _endpos__1_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0467 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ALLOCATION as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 467: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 468 *)
          (* State 468: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0468 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0455 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_BASE_ADDR as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 455: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 456 *)
          (* State 456: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0456 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0451 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_BLOCK_LENGTH as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 451: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 452 *)
          (* State 452: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0452 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0435 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_DANGLING as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 435: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 436 *)
          (* State 436: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0436 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0412 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FREEABLE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 412: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 413 *)
          (* State 413: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0413 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0398 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_INITIALIZED as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 398: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 399 *)
          (* State 399: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0399 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0347 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_OBJECT_POINTER as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 347: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 348 *)
          (* State 348: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0348 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0344 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_OFFSET as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 344: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 345 *)
          (* State 345: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0345 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0126 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VALID as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 126: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 127 *)
          (* State 127: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0127 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0121 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VALID_INDEX as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 121: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 122 *)
          (* State 122: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0122 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0118 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VALID_RANGE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 118: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 119 *)
          (* State 119: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0119 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0115 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VALID_READ as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 115: *)
      let _menhir_stack = MenhirCell1_opt_label_1 (_menhir_stack, _menhir_s, _v) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 116 *)
          (* State 116: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0116 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0197 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 197: *)
      (* Reducing production identifier_or_typename_full -> is_acsl_typename *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_336 _1 in
      _menhir_goto_identifier_or_typename_full _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0107 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 107: *)
      (* Reducing production any_identifier -> is_acsl_typename *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_050 _1 in
      _menhir_goto_any_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0851 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 851: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMMA) to state 852 *)
          (* State 852: *)
          let _menhir_s = MenhirState0852 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | GT ->
          (* Reducing production ne_tvar_list -> full_identifier *)
          let _1 = _v in
          let _v = _menhir_action_575 _1 in
          _menhir_goto_ne_tvar_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_tvar_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0879 ->
          _menhir_run_0880 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0852 ->
          _menhir_run_0853 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0848 ->
          _menhir_run_0849 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0880 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LBRACE, ttv_result) _menhir_cell1_ne_label_list _menhir_cell0_RBRACE _menhir_cell0_LT -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 880: *)
      (* The current token is GT. *)
      (* Shifting (GT) to state 881 *)
      (* State 881: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LT (_menhir_stack, _) = _menhir_stack in
      let MenhirCell0_RBRACE (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_ne_label_list (_menhir_stack, _, _3) = _menhir_stack in
      let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _, _) = _menhir_stack in
      (* Reducing production poly_id -> full_identifier LBRACE ne_label_list RBRACE LT ne_tvar_list GT *)
      let _6 = _v in
      let _v = _menhir_action_601 _1 _3 _6 in
      _menhir_goto_poly_id _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0853 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_full_identifier -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 853: *)
      let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _, _) = _menhir_stack in
      (* Reducing production ne_tvar_list -> full_identifier COMMA ne_tvar_list *)
      let _3 = _v in
      let _v = _menhir_action_576 _1 _3 in
      _menhir_goto_ne_tvar_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0849 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LT -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 849: *)
      (* The current token is GT. *)
      (* Shifting (GT) to state 850 *)
      (* State 850: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell0_LT (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _, _) = _menhir_stack in
      (* Reducing production poly_id_type -> full_identifier LT ne_tvar_list GT *)
      let _3 = _v in
      let _v = _menhir_action_603 _1 _3 in
      _menhir_goto_poly_id_type _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0827 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 827: *)
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LPAR) to state 828 *)
          (* State 828: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0828 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | VOID ->
              (* Shifting (VOID) to state 251 *)
              _menhir_run_0251 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 252 *)
              _menhir_run_0252 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 261 *)
              _menhir_run_0261 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 263 *)
              _menhir_run_0263 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 264 *)
              _menhir_run_0264 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 266 *)
              _menhir_run_0266 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 275 *)
              _menhir_run_0275 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 277 *)
              _menhir_run_0277 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 278 *)
              _menhir_run_0278 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 283 *)
              _menhir_run_0283 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 284 *)
              _menhir_run_0284 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 285 *)
              _menhir_run_0285 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 286 *)
              _menhir_run_0286 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 288 *)
              _menhir_run_0288 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 289 *)
              _menhir_run_0289 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 290 *)
              _menhir_run_0290 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 291 *)
              _menhir_run_0291 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | PIPE | SEMICOLON ->
          (* Reducing production datacons -> full_identifier *)
          let _1 = _v in
          let _v = _menhir_action_210 _1 in
          _menhir_goto_datacons _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0500 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 500: *)
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LPAR) to state 501 *)
          (* State 501: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0501 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | LBRACE ->
          let _menhir_stack = MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LBRACE) to state 529 *)
          (* State 529: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LBRACE (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0529 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production lexpr_inner -> full_identifier *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_468 _1 _endpos__1_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0384 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 384: *)
      (* Reducing production var_spec_bis -> full_identifier *)
      let _1 = _v in
      let _v = _menhir_action_791 _1 in
      _menhir_goto_var_spec_bis _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0364 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LET as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 364: *)
      (* Reducing production bounded_var -> full_identifier *)
      let _1 = _v in
      let _v = _menhir_action_091 _1 in
      _menhir_goto_bounded_var _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0240 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 240: *)
      (* Reducing production array_size -> full_identifier *)
      let _1 = _v in
      let _v = _menhir_action_059 _1 in
      _menhir_goto_array_size _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0201 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 201: *)
      (* Reducing production identifier_or_typename -> full_identifier *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_335 _1 in
      _menhir_goto_identifier_or_typename _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0542 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 542: *)
      let _menhir_stack = MenhirCell1_DOT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0542 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0544 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 544: *)
      let _menhir_stack = MenhirCell1_ARROW (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0544 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 156 *)
          _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0733 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_STAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 733: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0733
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0733
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0733
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_STAR (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> STAR lexpr_inner *)
          let (_endpos__2_, _2) = (_endpos, _v) in
          let _v = _menhir_action_457 _2 _endpos__2_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0726 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_PLUS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 726: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0726
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0726
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0726
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_PLUS (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> PLUS lexpr_inner *)
          let (_endpos__2_, _2) = (_endpos, _v) in
          let _v = _menhir_action_455 _2 in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0718 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_NOT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 718: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0718
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0718
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0718
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_NOT (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> NOT lexpr_inner *)
          let (_endpos__2_, _2) = (_endpos, _v) in
          let _v = _menhir_action_418 _2 _endpos__2_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0717 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_MINUS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 717: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0717
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0717
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0717
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_MINUS (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> MINUS lexpr_inner *)
          let (_endpos__2_, _2) = (_endpos, _v) in
          let _v = _menhir_action_454 _2 _endpos__2_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0714 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LPAR, ttv_result) _menhir_cell1_cast_logic_type _menhir_cell0_RPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 714: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0714
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0714
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0714
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell0_RPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_cast_logic_type (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LPAR cast_logic_type RPAR lexpr_inner *)
          let (_endpos__4_, _4) = (_endpos, _v) in
          let _v = _menhir_action_474 _2 _4 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0575 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_AMP as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 575: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0575
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0575
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0575
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_AMP (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> AMP lexpr_inner *)
          let (_endpos__2_, _2) = (_endpos, _v) in
          let _v = _menhir_action_458 _2 _endpos__2_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0566 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_relation as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 566: *)
      match (_tok : MenhirBasics.token) with
      | STARHAT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STARHAT) to state 479 *)
          _menhir_run_0479 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | PLUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 548 *)
          _menhir_run_0548 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | NE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (NE) to state 558 *)
          _menhir_run_0558 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | MINUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 552 *)
          _menhir_run_0552 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | LTLT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LTLT) to state 554 *)
          _menhir_run_0554 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | LT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LT) to state 559 *)
          _menhir_run_0559 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | LE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LE) to state 560 *)
          _menhir_run_0560 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | GTGT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GTGT) to state 556 *)
          _menhir_run_0556 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | GT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GT) to state 561 *)
          _menhir_run_0561 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | GE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GE) to state 562 *)
          _menhir_run_0562 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | EQUAL ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EQUAL) to state 563 *)
          _menhir_run_0563 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | EQ ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EQ) to state 564 *)
          _menhir_run_0564 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0566
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          (* Reducing production lexpr_end_rel -> lexpr_inner *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_413 _1 in
          _menhir_goto_lexpr_end_rel _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0479 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 479: *)
      let _menhir_stack = MenhirCell1_STARHAT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0479 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0482 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 482: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_STAR (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0482 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0546 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 546: *)
      let _menhir_stack = MenhirCell1_SLASH (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0546 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0548 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 548: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_PLUS (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0548 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0550 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 550: *)
      let _menhir_stack = MenhirCell1_PERCENT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0550 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0558 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 558: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> NE *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_634 () in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_relation : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 565: *)
      let _menhir_stack = MenhirCell1_relation (_menhir_stack, _menhir_s, _v, _startpos) in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0565
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | STRING_LITERAL _v_1 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0565
      | STRING_CONSTANT _v_2 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0565
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | INT_CONSTANT _v_3 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0565
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | IDENTIFIER_EXT _v_4 ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0565
      | IDENTIFIER _v_5 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0565
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | FLOAT_CONSTANT _v_6 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0565
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | EXT_GLOBAL_BLOCK _v_7 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0565
      | EXT_GLOBAL _v_8 ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0565
      | EXT_CONTRACT _v_9 ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0565
      | EXT_CODE_ANNOT _v_10 ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0565
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0565
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0552 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 552: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_MINUS (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0552 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0554 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 554: *)
      let _menhir_stack = MenhirCell1_LTLT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0554 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0559 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 559: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> LT *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_629 () in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0560 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 560: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> LE *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_631 () in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0556 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 556: *)
      let _menhir_stack = MenhirCell1_GTGT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0556 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 134 *)
          _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 135 *)
          _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 136 *)
          _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 139 *)
          _menhir_run_0139 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 141 *)
          _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 142 *)
          _menhir_run_0142 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 157 *)
          _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 158 *)
          _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 159 *)
          _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 160 *)
          _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 351 *)
          _menhir_run_0351 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 161 *)
          _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 162 *)
          _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 163 *)
          _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 164 *)
          _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 165 *)
          _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 166 *)
          _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 167 *)
          _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 168 *)
          _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 169 *)
          _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 170 *)
          _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 171 *)
          _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 172 *)
          _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 173 *)
          _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 174 *)
          _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
          _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 176 *)
          _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 177 *)
          _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 178 *)
          _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 179 *)
          _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 180 *)
          _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 181 *)
          _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 182 *)
          _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 183 *)
          _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 184 *)
          _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 185 *)
          _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 186 *)
          _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 187 *)
          _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 188 *)
          _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 189 *)
          _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 190 *)
          _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 191 *)
          _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 192 *)
          _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 193 *)
          _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 194 *)
          _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 195 *)
          _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 196 *)
          _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0561 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 561: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> GT *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_630 () in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0562 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 562: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> GE *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_632 () in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0563 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 563: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> EQUAL *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_635 _endpos__1_ _startpos__1_ in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0564 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 564: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production relation -> EQ *)
      let _startpos__1_ = _startpos in
      let _v = _menhir_action_633 () in
      _menhir_goto_relation _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_lexpr_end_rel : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0565 ->
          _menhir_run_0568 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1421 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0490 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0568 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_relation -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 568: *)
      let MenhirCell1_relation (_menhir_stack, _menhir_s, _1, _) = _menhir_stack in
      (* Reducing production rel_list -> relation lexpr_end_rel *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_627 _1 _2 in
      _menhir_goto_rel_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _v _menhir_s _tok
  
  and _menhir_goto_rel_list : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner as 'stack) -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0478 ->
          _menhir_run_0569 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0566 ->
          _menhir_run_0567 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0569 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_lexpr_inner -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 569: *)
      let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production lexpr_rel -> lexpr_inner rel_list *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_492 _1 _2 _endpos__2_ _startpos__1_ in
      _menhir_goto_lexpr_rel _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_lexpr_rel : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 477: *)
      (* Reducing production lexpr -> lexpr_rel *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_408 _1 in
      _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_lexpr : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1421 ->
          _menhir_run_1423 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_1364 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_1359 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_1217 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_1206 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_1201 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_1176 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_1105 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_1087 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_1061 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_1057 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_1054 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_1051 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_1048 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_1045 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_1011 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_1008 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_1005 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0999 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0990 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0981 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0971 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0968 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0963 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0919 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0915 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0902 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0894 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0894 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0873 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0858 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0812 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0751 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0749 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0747 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0745 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0743 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0741 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0739 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0737 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0735 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0729 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0724 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0722 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0720 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0708 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0669 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0667 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0664 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0641 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0635 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0627 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0610 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0610 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0604 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0601 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0597 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0595 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0593 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0591 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0590 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0589 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0587 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0582 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0580 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0576 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0573 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0571 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0570 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0540 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0539 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0526 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0524 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0522 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0520 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0518 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0516 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0512 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0510 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0508 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0506 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0504 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0498 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0644 ->
          _menhir_run_0496 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0496 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0494 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0492 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1423 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_lexpr_eof) _menhir_state -> _ -> _menhir_box_lexpr_eof =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1423: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | EOF ->
          (* Shifting (EOF) to state 1424 *)
          (* State 1424: *)
          (* Reducing production lexpr_eof -> lexpr EOF *)
          let _1 = _v in
          let _v = _menhir_action_416 _1 in
          (* State 1422: *)
          (* Accepting *)
          MenhirBox_lexpr_eof _v
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1423
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0493 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 493: *)
      let _menhir_stack = MenhirCell1_QUESTION (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0493 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0495 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 495: *)
      let _menhir_stack = MenhirCell1_PIPE (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0495 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0505 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 505: *)
      let _menhir_stack = MenhirCell1_OR (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0505 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0497 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 497: *)
      let _menhir_stack = MenhirCell1_IN (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0497 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0517 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 517: *)
      let _menhir_stack = MenhirCell1_IMPLIES (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0517 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0525 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 525: *)
      let _menhir_stack = MenhirCell1_IFF (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0525 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0507 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 507: *)
      let _menhir_stack = MenhirCell1_HATHAT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0507 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0509 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 509: *)
      let _menhir_stack = MenhirCell1_HAT (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0509 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0519 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 519: *)
      let _menhir_stack = MenhirCell1_BIMPLIES (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0519 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0521 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 521: *)
      let _menhir_stack = MenhirCell1_BIFF (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0521 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0523 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 523: *)
      let _menhir_stack = MenhirCell1_AND (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0523 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0511 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 511: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _menhir_stack = MenhirCell1_AMP (_menhir_stack, _menhir_s, _startpos) in
      let _menhir_s = MenhirState0511 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1364 : type  ttv_stack. (((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_EXT_LET, _menhir_box_ext_spec) _menhir_cell1_any_identifier _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1364: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1365 *)
          (* State 1365: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_any_identifier (_menhir_stack, _, _2, _, _) = _menhir_stack in
          let MenhirCell1_EXT_LET (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production ext_global_clause -> EXT_LET any_identifier EQUAL lexpr SEMICOLON *)
          let _4 = _v in
          let _v = _menhir_action_251 _2 _4 in
          _menhir_goto_ext_global_clause _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1364
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1359 : type  ttv_stack. (((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_GLOBAL _menhir_cell0_EXT_LET, _menhir_box_ext_spec) _menhir_cell1_any_identifier _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1359: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1360 *)
          (* State 1360: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_any_identifier (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell0_EXT_LET (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_GLOBAL (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production ext_global_clause -> GLOBAL EXT_LET any_identifier EQUAL lexpr SEMICOLON *)
          let _5 = _v in
          let _v = _menhir_action_252 _3 _5 in
          _menhir_goto_ext_global_clause _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1359
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1217 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_AXIOM, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1217: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1218 *)
          (* State 1218: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_AXIOM (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production deprecated_logic_decl -> AXIOM poly_id COLON lexpr SEMICOLON *)
          let _endpos__5_ = _endpos_0 in
          let _v = _menhir_action_229 _2 _endpos__5_ _startpos__1_ in
          _menhir_goto_deprecated_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1217
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1206 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ADMIT_LEMMA, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1206: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1207 *)
          (* State 1207: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_ADMIT_LEMMA (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_def -> ADMIT_LEMMA poly_id COLON lexpr SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_506 _2 _4 in
          _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1206
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1201 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_AXIOM, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1201: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1202 *)
          (* State 1202: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_AXIOM (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_decl -> AXIOM poly_id COLON lexpr SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_497 _2 _4 in
          _menhir_goto_logic_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1201
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1176 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_CHECK_LEMMA, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1176: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1177 *)
          (* State 1177: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_CHECK_LEMMA (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_def -> CHECK_LEMMA poly_id COLON lexpr SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_505 _2 _4 in
          _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1176
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1105 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSUMES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1105: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1106 *)
          (* State 1106: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1105, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 1104 *)
              _menhir_run_1104 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1106
          | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_REQUIRES | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | RETURNS | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production assumes -> *)
              let _v_1 = _menhir_action_063 () in
              _menhir_run_1107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_1 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | IDENTIFIER_EXT _v_2 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1105
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | EXT_CONTRACT _v_3 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1105
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1105
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1104 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1104: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ASSUMES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1104 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1087 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_post_cond_kind as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1087: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1088 *)
          (* State 1088: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1087, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | IDENTIFIER_EXT _v_1 ->
              (* Shifting (IDENTIFIER_EXT) to state 1073 *)
              _menhir_run_1073 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1088
          | FREES ->
              (* Shifting (FREES) to state 940 *)
              _menhir_run_0940 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | EXT_CONTRACT _v_2 ->
              (* Shifting (EXT_CONTRACT) to state 1076 *)
              _menhir_run_1076 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1088
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 1082 *)
              _menhir_run_1082 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 952 *)
              _menhir_run_0952 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1088
          | ADMIT_LEMMA | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | CHECK_LEMMA | COMPLETE | CONTRACT | DECREASES | DISJOINT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production simple_clauses -> *)
              let _v_3 = _menhir_action_644 () in
              _menhir_run_1089 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_3 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | IDENTIFIER_EXT _v_4 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1087
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | EXT_CONTRACT _v_5 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1087
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1087
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1061 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_TERMINATES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1061: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1062 *)
          (* State 1062: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_TERMINATES (_menhir_stack, _startpos__1_, _) = _menhir_stack in
          (* Reducing production ne_terminates -> TERMINATES lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_573 _2 in
          _menhir_goto_ne_terminates _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _tok
      | RETURNS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | IDENTIFIER_EXT _v_1 ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1061
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | FREES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | EXT_CONTRACT _v_2 ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1061
      | EXITS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | EOF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ENSURES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | DECREASES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | BREAKS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1061
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1057 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ADMIT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1057: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1058 *)
          (* State 1058: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_ADMIT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production code_annotation -> ADMIT lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_175 _2 in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1057
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1054 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ADMIT_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1054: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1055 *)
          (* State 1055: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_ADMIT_INVARIANT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production code_annotation -> ADMIT_INVARIANT lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_178 _2 in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1054
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1051 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSERT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1051: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1052 *)
          (* State 1052: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_ASSERT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production code_annotation -> ASSERT lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_173 _2 in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1051
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1048 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CHECK as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1048: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1049 *)
          (* State 1049: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_CHECK (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production code_annotation -> CHECK lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_174 _2 in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1048
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1045 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CHECK_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1045: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1046 *)
          (* State 1046: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_CHECK_INVARIANT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production code_annotation -> CHECK_INVARIANT lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_177 _2 in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1045
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1011 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ADMIT_REQUIRES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1011: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1012 *)
          (* State 1012: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1011, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 1004 *)
              _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1012
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 1007 *)
              _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1012
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 1010 *)
              _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1012
          | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production requires -> *)
              let _v_1 = _menhir_action_636 () in
              _menhir_run_1013 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_1 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | IDENTIFIER_EXT _v_2 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1011
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | EXT_CONTRACT _v_3 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1011
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1011
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1008 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CHECK_REQUIRES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1008: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1009 *)
          (* State 1009: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1008, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 1004 *)
              _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1009
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 1007 *)
              _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1009
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 1010 *)
              _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1009
          | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production requires -> *)
              let _v_1 = _menhir_action_636 () in
              _menhir_run_1037 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_1 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | IDENTIFIER_EXT _v_2 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1008
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | EXT_CONTRACT _v_3 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1008
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1008
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1005 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_REQUIRES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1005: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1006 *)
          (* State 1006: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState1005, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 1004 *)
              _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1006
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 1007 *)
              _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1006
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 1010 *)
              _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1006
          | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production requires -> *)
              let _v_1 = _menhir_action_636 () in
              _menhir_run_1039 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_1 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | IDENTIFIER_EXT _v_2 ->
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1005
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | FREES ->
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | EXT_CONTRACT _v_3 ->
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1005
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | EOF ->
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | DECREASES ->
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1005
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0999 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_GLOBAL _menhir_cell0_INVARIANT, ttv_result) _menhir_cell1_any_identifier _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 999: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1000 *)
          (* State 1000: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_any_identifier (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell0_INVARIANT (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_GLOBAL (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production decl -> GLOBAL INVARIANT any_identifier COLON lexpr SEMICOLON *)
          let (_endpos__6_, _5) = (_endpos_0, _v) in
          let _v = _menhir_action_214 _3 _5 in
          _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0999
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0990 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_IMPACT _menhir_cell0_PRAGMA, ttv_result) _menhir_cell1_any_identifier as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 990: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 991 *)
          (* State 991: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_any_identifier (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell0_PRAGMA (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_IMPACT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production impact_pragma -> IMPACT PRAGMA any_identifier lexpr SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_338 _3 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_impact_pragma _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0990
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_impact_pragma : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1339: *)
      (* Reducing production pragma_or_code_annotation -> impact_pragma *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_622 _1 in
      _menhir_goto_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0981 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_CASE, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 981: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 982 *)
          (* State 982: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, MenhirState0981, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | CASE ->
              (* Shifting (CASE) to state 978 *)
              _menhir_run_0978 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0982
          | RBRACE ->
              (* Reducing production indcases -> *)
              let _v_1 = _menhir_action_340 () in
              _menhir_run_0983 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0981
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0983 : type  ttv_stack ttv_result. ((((ttv_stack, ttv_result) _menhir_cell1_CASE, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 983: *)
      let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _4, _, _) = _menhir_stack in
      let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
      let MenhirCell1_CASE (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production indcases -> CASE poly_id COLON lexpr SEMICOLON indcases *)
      let _6 = _v in
      let _v = _menhir_action_341 _2 _4 _6 in
      _menhir_goto_indcases _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_indcases : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0977 ->
          _menhir_run_0984 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0982 ->
          _menhir_run_0983 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0971 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 971: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 972 *)
          (* State 972: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_INVARIANT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production code_annotation -> INVARIANT lexpr SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_176 _2 in
          _menhir_goto_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0971
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0968 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LEMMA, ttv_result) _menhir_cell1_poly_id _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 968: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 969 *)
          (* State 969: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LEMMA (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_def -> LEMMA poly_id COLON lexpr SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_504 _2 _4 in
          _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0968
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0963 : type  ttv_stack ttv_result. ((((((ttv_stack, ttv_result) _menhir_cell1_LOGIC, ttv_result) _menhir_cell1_logic_rt_type, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters, ttv_result) _menhir_cell1_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 963: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 964 *)
          (* State 964: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_EQUAL (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_opt_parameters (_menhir_stack, _, _4) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_logic_rt_type (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LOGIC (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_def -> LOGIC logic_rt_type poly_id opt_parameters EQUAL lexpr SEMICOLON *)
          let (_endpos__7_, _6) = (_endpos_0, _v) in
          let _v = _menhir_action_501 _2 _3 _4 _6 in
          _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0963
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0919 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ADMIT_LOOP _menhir_cell0_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 919: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 920 *)
          (* State 920: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_INVARIANT (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_ADMIT_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_invariant -> ADMIT_LOOP INVARIANT lexpr SEMICOLON *)
          let (_endpos, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_530 _3 in
          _menhir_goto_loop_invariant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0919
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_loop_invariant : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 923: *)
      let _menhir_stack = MenhirCell1_loop_invariant (_menhir_stack, _menhir_s, _v, _startpos) in
      match (_tok : MenhirBasics.token) with
      | LOOP ->
          (* Shifting (LOOP) to state 890 *)
          _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0923
      | FOR ->
          (* Shifting (FOR) to state 910 *)
          _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0923
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 913 *)
          _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0923
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 917 *)
          _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0923
      | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
          (* Reducing production loop_annot_opt -> *)
          let _v_0 = _menhir_action_515 () in
          _menhir_run_0931 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0915 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_CHECK_LOOP _menhir_cell0_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 915: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 916 *)
          (* State 916: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_INVARIANT (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_CHECK_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_invariant -> CHECK_LOOP INVARIANT lexpr SEMICOLON *)
          let (_endpos, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_529 _3 in
          _menhir_goto_loop_invariant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0915
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0902 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 902: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 903 *)
          (* State 903: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_INVARIANT (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_invariant -> LOOP INVARIANT lexpr SEMICOLON *)
          let (_endpos, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_528 _3 in
          _menhir_goto_loop_invariant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0902
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0894 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 894: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | FOR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FOR) to state 895 *)
          (* State 895: *)
          let _menhir_s = MenhirState0894 in
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_FOR (_menhir_stack, _menhir_s, _startpos, _endpos) in
          let _menhir_s = MenhirState0895 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0894
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COMPLETE | CONTINUES | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FREES | IDENTIFIER_EXT _ | REQUIRES | RETURNS | SEMICOLON ->
          (* Reducing production variant -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_796 _1 in
          _menhir_goto_variant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_variant : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1065 ->
          _menhir_run_1066 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0892 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1066 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_requires _menhir_cell0_terminates _menhir_cell0_DECREASES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1066: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 1067 *)
          (* State 1067: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_DECREASES (_menhir_stack, _startpos__1_, _) = _menhir_stack in
          (* Reducing production ne_decreases -> DECREASES variant SEMICOLON *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_544 _2 in
          _menhir_goto_ne_decreases _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _tok
      | RETURNS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | IDENTIFIER_EXT _v_1 ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1066
      | FREES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | EXT_CONTRACT _v_2 ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1066
      | EXITS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | EOF ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ENSURES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | DECREASES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | BREAKS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_variant (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1066
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0892 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_VARIANT -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 892: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 893 *)
          (* State 893: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_VARIANT (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_variant -> LOOP VARIANT variant SEMICOLON *)
          let (_endpos, _endpos__4_, _3) = (_endpos_0, _endpos_0, _v) in
          let _v = _menhir_action_532 _3 _endpos__4_ _startpos__1_ in
          let _startpos = _startpos__1_ in
          (* State 921: *)
          let _menhir_stack = MenhirCell1_loop_variant (_menhir_stack, _menhir_s, _v, _startpos) in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0921
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0921
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0921
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0921
          | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
              (* Reducing production loop_annot_opt -> *)
              let _v_0 = _menhir_action_515 () in
              _menhir_run_0933 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0873 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_PREDICATE, ttv_result) _menhir_cell1_poly_id, ttv_result) _menhir_cell1_opt_parameters, ttv_result) _menhir_cell1_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 873: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 874 *)
          (* State 874: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_EQUAL (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_opt_parameters (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell1_poly_id (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_PREDICATE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production logic_def -> PREDICATE poly_id opt_parameters EQUAL lexpr SEMICOLON *)
          let (_endpos__6_, _5) = (_endpos_0, _v) in
          let _v = _menhir_action_502 _2 _3 _5 in
          _menhir_goto_logic_def _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0873
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0858 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_SLICE _menhir_cell0_PRAGMA, ttv_result) _menhir_cell1_any_identifier as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 858: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 859 *)
          (* State 859: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_any_identifier (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell0_PRAGMA (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_SLICE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production slice_pragma -> SLICE PRAGMA any_identifier lexpr SEMICOLON *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_646 _3 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_slice_pragma _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0858
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_slice_pragma : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1220: *)
      (* Reducing production pragma_or_code_annotation -> slice_pragma *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_621 _1 in
      _menhir_goto_pragma_or_code_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0812 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_INVARIANT, ttv_result) _menhir_cell1_any_identifier _menhir_cell0_LPAR, ttv_result) _menhir_cell1_parameter _menhir_cell0_RPAR _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 812: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 813 *)
          (* State 813: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell0_RPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_parameter (_menhir_stack, _, _5) = _menhir_stack in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_any_identifier (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell1_INVARIANT (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_TYPE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production type_annot -> TYPE INVARIANT any_identifier LPAR parameter RPAR EQUAL lexpr SEMICOLON *)
          let (_endpos__9_, _8) = (_endpos_0, _v) in
          let _v = _menhir_action_665 _3 _5 _8 in
          let (_endpos, _startpos) = (_endpos__9_, _startpos__1_) in
          (* State 1219: *)
          (* Reducing production decl -> type_annot *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_216 _1 in
          _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0812
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0751 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_VALID_READ, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 751: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 752 *)
          (* State 752: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_VALID_READ (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> VALID_READ opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_423 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0751
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0749 : type  ttv_stack ttv_result. (((((((ttv_stack, ttv_result) _menhir_cell1_VALID_RANGE, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 749: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 750 *)
          (* State 750: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_COMMA (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _6, _, _) = _menhir_stack in
          let MenhirCell1_COMMA (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _4, _, _) = _menhir_stack in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_VALID_RANGE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> VALID_RANGE opt_label_1 LPAR lexpr COMMA lexpr COMMA lexpr RPAR *)
          let (_endpos__9_, _8) = (_endpos_0, _v) in
          let _v = _menhir_action_426 _2 _4 _6 _8 _endpos__9_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__9_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0749
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0747 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_VALID_RANGE, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 747: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | COMMA ->
          (* Shifting (COMMA) to state 748 *)
          (* State 748: *)
          let _menhir_stack = MenhirCell1_COMMA (_menhir_stack, MenhirState0747) in
          let _menhir_s = MenhirState0748 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0747
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0745 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_VALID_RANGE, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 745: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | COMMA ->
          (* Shifting (COMMA) to state 746 *)
          (* State 746: *)
          let _menhir_stack = MenhirCell1_COMMA (_menhir_stack, MenhirState0745) in
          let _menhir_s = MenhirState0746 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0745
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0743 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_VALID_INDEX, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 743: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 744 *)
          (* State 744: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_COMMA (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _4, _, _) = _menhir_stack in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_VALID_INDEX (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> VALID_INDEX opt_label_1 LPAR lexpr COMMA lexpr RPAR *)
          let (_endpos__7_, _6) = (_endpos_0, _v) in
          let _v = _menhir_action_425 _2 _4 _6 _endpos__7_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0743
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0741 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_VALID_INDEX, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 741: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | COMMA ->
          (* Shifting (COMMA) to state 742 *)
          (* State 742: *)
          let _menhir_stack = MenhirCell1_COMMA (_menhir_stack, MenhirState0741) in
          let _menhir_s = MenhirState0742 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0741
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0739 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VALID_FUNCTION _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 739: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 740 *)
          (* State 740: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_VALID_FUNCTION (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> VALID_FUNCTION LPAR lexpr RPAR *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_424 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0739
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0737 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_VALID, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 737: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 738 *)
          (* State 738: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_VALID (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> VALID opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_422 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0737
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0735 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_TYPEOF _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 735: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 736 *)
          (* State 736: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_TYPEOF (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> TYPEOF LPAR lexpr RPAR *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_475 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0735
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0729 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SIZEOF _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 729: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 730 *)
          (* State 730: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_SIZEOF (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> SIZEOF LPAR lexpr RPAR *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_459 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0729
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0724 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_OLD _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 724: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 725 *)
          (* State 725: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_OLD (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> OLD LPAR lexpr RPAR *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_461 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0724
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0722 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_OFFSET, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 722: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 723 *)
          (* State 723: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_OFFSET (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> OFFSET opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_432 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0722
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0720 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_OBJECT_POINTER, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 720: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 721 *)
          (* State 721: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_OBJECT_POINTER (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> OBJECT_POINTER opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_421 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0720
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0708 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 708: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 709 *)
          (* State 709: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LPAR (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LPAR lexpr RPAR *)
          let (_2, _endpos__3_) = (_v, _endpos_0) in
          let _v = _menhir_action_472 _2 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0708
      | DOTDOT ->
          (* Reducing production lexpr_option -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_490 _1 in
          _menhir_goto_lexpr_option _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_lexpr_option : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0488 ->
          _menhir_run_0489 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0356 ->
          _menhir_run_0487 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0487 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0487 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0669 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_LET, ttv_result) _menhir_cell1_bounded_var _menhir_cell0_EQUAL, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_SEMICOLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 669: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0669
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_SEMICOLON (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _4, _, _) = _menhir_stack in
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_bounded_var (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LET (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_binder -> LET bounded_var EQUAL lexpr SEMICOLON lexpr *)
          let (_endpos__6_, _6) = (_endpos, _v) in
          let _v = _menhir_action_409 _2 _4 _6 _endpos__6_ _startpos__1_ in
          _menhir_goto_lexpr_binder _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_goto_lexpr_binder : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0350 ->
          _menhir_run_0719 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState1421 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1363 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1358 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1216 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1205 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1200 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1175 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1104 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1086 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1065 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1060 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1056 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1053 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1050 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1047 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1044 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1010 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1007 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1004 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0998 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0988 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0980 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0970 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0967 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0962 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0918 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0914 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0901 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0898 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0891 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0872 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0856 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0811 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0116 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0748 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0746 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0119 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0742 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0122 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0124 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0127 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0130 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0143 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0342 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0345 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0348 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0353 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0356 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0668 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0366 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0663 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0644 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0620 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0634 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0626 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0369 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0392 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0399 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0594 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0409 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0413 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0416 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0428 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0436 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0452 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0456 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0461 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0468 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0472 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0476 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0565 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0484 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0538 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0527 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0525 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0523 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0521 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0519 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0517 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0515 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0511 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0509 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0507 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0505 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0501 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0497 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0495 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0493 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0488 ->
          _menhir_run_0491 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0719 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_NOT -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 719: *)
      let MenhirCell1_NOT (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
      (* Reducing production lexpr_end_rel -> NOT lexpr_binder *)
      let (_endpos__2_, _2) = (_endpos, _v) in
      let _v = _menhir_action_415 _2 _endpos__2_ _startpos__1_ in
      _menhir_goto_lexpr_end_rel _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__2_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0491 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 491: *)
      (* Reducing production lexpr_end_rel -> lexpr_binder *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_414 _1 in
      _menhir_goto_lexpr_end_rel _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0667 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LET, ttv_result) _menhir_cell1_bounded_var _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 667: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 668 *)
          (* State 668: *)
          let _menhir_s = MenhirState0667 in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell1_SEMICOLON (_menhir_stack, _menhir_s, _endpos) in
          let _menhir_s = MenhirState0668 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0667
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0664 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_LBRACE, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_PIPE, ttv_result) _menhir_cell1_binders _menhir_cell0_SEMICOLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 664: *)
      match (_tok : MenhirBasics.token) with
      | RBRACE ->
          (* Shifting (RBRACE) to state 665 *)
          (* State 665: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_binders (_menhir_stack, _, _4) = _menhir_stack in
          let MenhirCell1_PIPE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
          let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> LBRACE lexpr PIPE binders SEMICOLON lexpr RBRACE *)
          let (_endpos__7_, _6) = (_endpos_0, _v) in
          let _v = _menhir_action_483 _2 _4 _6 _endpos__7_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0664
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0641 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_path _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 641: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0641
      | COMMA | RBRACE ->
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_path (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production update_elt -> path EQUAL lexpr *)
          let _3 = _v in
          let _v = _menhir_action_787 _1 _3 in
          _menhir_goto_update_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_update_elt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 612: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_update_elt (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 613 *)
          (* State 613: *)
          let _menhir_s = MenhirState0613 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LSQUARE ->
              (* Shifting (LSQUARE) to state 369 *)
              _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOT ->
              (* Shifting (DOT) to state 606 *)
              _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RBRACE ->
          (* Reducing production update -> update_elt *)
          let _1 = _v in
          let _v = _menhir_action_785 _1 in
          _menhir_goto_update _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_update : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0611 ->
          _menhir_run_0642 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0622 ->
          _menhir_run_0623 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0613 ->
          _menhir_run_0614 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0642 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LBRACE, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_WITH -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 642: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 643 *)
      (* State 643: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_WITH (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
      (* Reducing production lexpr_inner -> LBRACE lexpr WITH update RBRACE *)
      let (_4, _endpos__5_) = (_v, _endpos) in
      let _v = _menhir_action_486 _2 _4 _endpos__5_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0623 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_path _menhir_cell0_EQUAL, ttv_result) _menhir_cell1_LBRACE, ttv_result) _menhir_cell1_WITH -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 623: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 624 *)
      (* State 624: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_WITH (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_LBRACE (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
      let MenhirCell1_path (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production update_elt -> path EQUAL LBRACE WITH update RBRACE *)
      let _5 = _v in
      let _v = _menhir_action_788 _1 _5 in
      _menhir_goto_update_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0614 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_update_elt -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 614: *)
      let MenhirCell1_update_elt (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production update -> update_elt COMMA update *)
      let _3 = _v in
      let _v = _menhir_action_786 _1 _3 in
      _menhir_goto_update _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0635 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_array_path_elt _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 635: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0635
      | COMMA | RBRACE ->
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_array_path_elt (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production array_init_elt -> array_path_elt EQUAL lexpr *)
          let _3 = _v in
          let _v = _menhir_action_055 _1 _3 in
          (* State 636: *)
          (match (_tok : MenhirBasics.token) with
          | COMMA ->
              let _menhir_stack = MenhirCell1_array_init_elt (_menhir_stack, _menhir_s, _v) in
              (* Shifting (COMMA) to state 637 *)
              (* State 637: *)
              let _menhir_s = MenhirState0637 in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | LSQUARE ->
                  (* Shifting (LSQUARE) to state 369 *)
                  _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | RBRACE ->
              (* Reducing production array_init -> array_init_elt *)
              let _1 = _v in
              let _v = _menhir_action_053 _1 in
              _menhir_goto_array_init _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _menhir_fail ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_array_init : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0368 ->
          _menhir_run_0639 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0621 ->
          _menhir_run_0639 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0637 ->
          _menhir_run_0638 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0639 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 639: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 640 *)
      (* State 640: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
      (* Reducing production lexpr_inner -> LBRACE array_init RBRACE *)
      let (_2, _endpos__3_) = (_v, _endpos) in
      let _v = _menhir_action_485 _2 _endpos__3_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0638 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_array_init_elt -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 638: *)
      let MenhirCell1_array_init_elt (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production array_init -> array_init_elt COMMA array_init *)
      let _3 = _v in
      let _v = _menhir_action_054 _1 _3 in
      _menhir_goto_array_init _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0627 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_field_path_elt _menhir_cell0_EQUAL as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 627: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0627
      | COMMA | RBRACE ->
          let MenhirCell0_EQUAL (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_field_path_elt (_menhir_stack, _menhir_s, _1) = _menhir_stack in
          (* Reducing production field_init_elt -> field_path_elt EQUAL lexpr *)
          let _3 = _v in
          let _v = _menhir_action_282 _1 _3 in
          (* State 628: *)
          (match (_tok : MenhirBasics.token) with
          | COMMA ->
              let _menhir_stack = MenhirCell1_field_init_elt (_menhir_stack, _menhir_s, _v) in
              (* Shifting (COMMA) to state 629 *)
              (* State 629: *)
              let _menhir_s = MenhirState0629 in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | DOT ->
                  (* Shifting (DOT) to state 606 *)
                  _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | RBRACE ->
              (* Reducing production field_init -> field_init_elt *)
              let _1 = _v in
              let _v = _menhir_action_280 _1 in
              _menhir_goto_field_init _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | _ ->
              _menhir_fail ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_field_init : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0368 ->
          _menhir_run_0631 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0621 ->
          _menhir_run_0631 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0629 ->
          _menhir_run_0630 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0631 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 631: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 632 *)
      (* State 632: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
      (* Reducing production lexpr_inner -> LBRACE field_init RBRACE *)
      let (_2, _endpos__3_) = (_v, _endpos) in
      let _v = _menhir_action_484 _2 _endpos__3_ _startpos__1_ in
      _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0630 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_field_init_elt -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 630: *)
      let MenhirCell1_field_init_elt (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production field_init -> field_init_elt COMMA field_init *)
      let _3 = _v in
      let _v = _menhir_action_281 _1 _3 in
      _menhir_goto_field_init _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0610 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LBRACE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 610: *)
      match (_tok : MenhirBasics.token) with
      | WITH ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (WITH) to state 611 *)
          (* State 611: *)
          let _menhir_stack = MenhirCell1_WITH (_menhir_stack, MenhirState0610) in
          let _menhir_s = MenhirState0611 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LSQUARE ->
              (* Shifting (LSQUARE) to state 369 *)
              _menhir_run_0369 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOT ->
              (* Shifting (DOT) to state 606 *)
              _menhir_run_0606 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 644 *)
          (* State 644: *)
          let _menhir_stack = MenhirCell1_PIPE (_menhir_stack, MenhirState0610) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v_0 ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0644
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VOID ->
              (* Shifting (VOID) to state 645 *)
              (* State 645: *)
              let _startpos_1 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_2 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> VOID *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_2, _startpos_1) in
                  let _v = _menhir_action_150 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> VOID *)
                  let _v_4 = _menhir_action_745 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_1 _v_4 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 646 *)
              (* State 646: *)
              let _startpos_5 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_6 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | SHORT ->
                  let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, MenhirState0644, _startpos_5, _endpos_6) in
                  (* Shifting (SHORT) to state 253 *)
                  _menhir_run_0253 _menhir_stack _menhir_lexbuf _menhir_lexer
              | LONG ->
                  let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, MenhirState0644, _startpos_5, _endpos_6) in
                  (* Shifting (LONG) to state 255 *)
                  _menhir_run_0255 _menhir_stack _menhir_lexbuf _menhir_lexer
              | INT ->
                  let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, MenhirState0644, _startpos_5, _endpos_6) in
                  (* Shifting (INT) to state 259 *)
                  _menhir_run_0259 _menhir_stack _menhir_lexbuf _menhir_lexer
              | CHAR ->
                  let _menhir_stack = MenhirCell1_UNSIGNED (_menhir_stack, MenhirState0644, _startpos_5, _endpos_6) in
                  (* Shifting (CHAR) to state 260 *)
                  _menhir_run_0260 _menhir_stack _menhir_lexbuf _menhir_lexer
              | COLON ->
                  (* Reducing production c_keyword -> UNSIGNED *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_6, _startpos_5) in
                  let _v = _menhir_action_149 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> UNSIGNED *)
                  let _v_8 = _menhir_action_753 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_5 _v_8 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | UNION ->
              (* Shifting (UNION) to state 647 *)
              (* State 647: *)
              let _startpos_9 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_10 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | WRITES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (WRITES) to state 1 *)
                  _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | VARIANT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (VARIANT) to state 134 *)
                  _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | TYPENAME _v_11 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (TYPENAME) to state 156 *)
                  _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0647
              | TYPE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (TYPE) to state 135 *)
                  _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | TERMINATES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (TERMINATES) to state 136 *)
                  _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | SLICE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (SLICE) to state 141 *)
                  _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | RETURNS ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (RETURNS) to state 157 *)
                  _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | REQUIRES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (REQUIRES) to state 158 *)
                  _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | REAL ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (REAL) to state 23 *)
                  _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | READS ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (READS) to state 24 *)
                  _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | PREDICATE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (PREDICATE) to state 159 *)
                  _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | PRAGMA ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (PRAGMA) to state 160 *)
                  _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | MODULE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (MODULE) to state 161 *)
                  _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | MODEL ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (MODEL) to state 162 *)
                  _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | LOOP ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (LOOP) to state 163 *)
                  _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | LOGIC ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (LOGIC) to state 164 *)
                  _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | LEMMA ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (LEMMA) to state 165 *)
                  _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | LABEL ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (LABEL) to state 33 *)
                  _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | INVARIANT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (INVARIANT) to state 166 *)
                  _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | INTEGER ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (INTEGER) to state 35 *)
                  _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | INDUCTIVE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (INDUCTIVE) to state 167 *)
                  _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | INCLUDE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (INCLUDE) to state 168 *)
                  _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | IMPACT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (IMPACT) to state 169 *)
                  _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | IDENTIFIER_EXT _v_12 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (IDENTIFIER_EXT) to state 170 *)
                  _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState0647
              | IDENTIFIER _v_13 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (IDENTIFIER) to state 42 *)
                  _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_13 MenhirState0647
              | GLOBAL ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (GLOBAL) to state 171 *)
                  _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | FUNCTION ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (FUNCTION) to state 172 *)
                  _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | FREES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (FREES) to state 173 *)
                  _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | EXT_LET ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXT_LET) to state 174 *)
                  _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | EXT_GLOBAL_BLOCK _v_14 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
                  _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_14 MenhirState0647
              | EXT_GLOBAL _v_15 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXT_GLOBAL) to state 176 *)
                  _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_15 MenhirState0647
              | EXT_CONTRACT _v_16 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXT_CONTRACT) to state 177 *)
                  _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_16 MenhirState0647
              | EXT_CODE_ANNOT _v_17 ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXT_CODE_ANNOT) to state 178 *)
                  _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_17 MenhirState0647
              | EXT_AT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXT_AT) to state 179 *)
                  _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | EXITS ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (EXITS) to state 180 *)
                  _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | ENSURES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (ENSURES) to state 181 *)
                  _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | DISJOINT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (DISJOINT) to state 182 *)
                  _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | DECREASES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (DECREASES) to state 183 *)
                  _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | CONTRACT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (CONTRACT) to state 184 *)
                  _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | CONTINUES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (CONTINUES) to state 185 *)
                  _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | COMPLETE ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (COMPLETE) to state 186 *)
                  _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | CHECK ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (CHECK) to state 187 *)
                  _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | BREAKS ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (BREAKS) to state 188 *)
                  _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | BEHAVIORS ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (BEHAVIORS) to state 80 *)
                  _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | BEHAVIOR ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (BEHAVIOR) to state 189 *)
                  _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | AXIOMATIC ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (AXIOMATIC) to state 190 *)
                  _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | AXIOM ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (AXIOM) to state 191 *)
                  _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | ASSUMES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (ASSUMES) to state 192 *)
                  _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | ASSIGNS ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (ASSIGNS) to state 193 *)
                  _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | ASSERT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (ASSERT) to state 194 *)
                  _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | ALLOCATES ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (ALLOCATES) to state 195 *)
                  _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | ADMIT ->
                  let _menhir_stack = MenhirCell1_UNION (_menhir_stack, MenhirState0644, _startpos_9, _endpos_10) in
                  (* Shifting (ADMIT) to state 196 *)
                  _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0647
              | COLON ->
                  (* Reducing production c_keyword -> UNION *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_10, _startpos_9) in
                  let _v = _menhir_action_148 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | TYPENAME _v_19 ->
              (* Shifting (TYPENAME) to state 648 *)
              (* State 648: *)
              let _startpos_20 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_21 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production any_identifier -> TYPENAME *)
                  let _v_22 =
                    let _1 = _v_19 in
                    _menhir_action_051 _1
                  in
                  _menhir_run_0514 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_21 _startpos_20 _v_22 MenhirState0644 _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | LT | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production typename -> TYPENAME *)
                  let (_menhir_s, _startpos_name_, name) = (MenhirState0644, _startpos_20, _v_19) in
                  let _v = _menhir_action_784 name in
                  _menhir_goto_typename _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_name_ _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | STRUCT ->
              (* Shifting (STRUCT) to state 649 *)
              (* State 649: *)
              let _startpos_24 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_25 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | WRITES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (WRITES) to state 1 *)
                  _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | VARIANT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (VARIANT) to state 134 *)
                  _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | TYPENAME _v_26 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (TYPENAME) to state 156 *)
                  _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v_26 MenhirState0649
              | TYPE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (TYPE) to state 135 *)
                  _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | TERMINATES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (TERMINATES) to state 136 *)
                  _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | SLICE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (SLICE) to state 141 *)
                  _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | RETURNS ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (RETURNS) to state 157 *)
                  _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | REQUIRES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (REQUIRES) to state 158 *)
                  _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | REAL ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (REAL) to state 23 *)
                  _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | READS ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (READS) to state 24 *)
                  _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | PREDICATE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (PREDICATE) to state 159 *)
                  _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | PRAGMA ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (PRAGMA) to state 160 *)
                  _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | MODULE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (MODULE) to state 161 *)
                  _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | MODEL ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (MODEL) to state 162 *)
                  _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | LOOP ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (LOOP) to state 163 *)
                  _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | LOGIC ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (LOGIC) to state 164 *)
                  _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | LEMMA ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (LEMMA) to state 165 *)
                  _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | LABEL ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (LABEL) to state 33 *)
                  _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | INVARIANT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (INVARIANT) to state 166 *)
                  _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | INTEGER ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (INTEGER) to state 35 *)
                  _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | INDUCTIVE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (INDUCTIVE) to state 167 *)
                  _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | INCLUDE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (INCLUDE) to state 168 *)
                  _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | IMPACT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (IMPACT) to state 169 *)
                  _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | IDENTIFIER_EXT _v_27 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (IDENTIFIER_EXT) to state 170 *)
                  _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_27 MenhirState0649
              | IDENTIFIER _v_28 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (IDENTIFIER) to state 42 *)
                  _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_28 MenhirState0649
              | GLOBAL ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (GLOBAL) to state 171 *)
                  _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | FUNCTION ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (FUNCTION) to state 172 *)
                  _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | FREES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (FREES) to state 173 *)
                  _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | EXT_LET ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXT_LET) to state 174 *)
                  _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | EXT_GLOBAL_BLOCK _v_29 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
                  _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_29 MenhirState0649
              | EXT_GLOBAL _v_30 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXT_GLOBAL) to state 176 *)
                  _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_30 MenhirState0649
              | EXT_CONTRACT _v_31 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXT_CONTRACT) to state 177 *)
                  _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_31 MenhirState0649
              | EXT_CODE_ANNOT _v_32 ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXT_CODE_ANNOT) to state 178 *)
                  _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_32 MenhirState0649
              | EXT_AT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXT_AT) to state 179 *)
                  _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | EXITS ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (EXITS) to state 180 *)
                  _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | ENSURES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (ENSURES) to state 181 *)
                  _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | DISJOINT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (DISJOINT) to state 182 *)
                  _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | DECREASES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (DECREASES) to state 183 *)
                  _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | CONTRACT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (CONTRACT) to state 184 *)
                  _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | CONTINUES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (CONTINUES) to state 185 *)
                  _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | COMPLETE ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (COMPLETE) to state 186 *)
                  _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | CHECK ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (CHECK) to state 187 *)
                  _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | BREAKS ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (BREAKS) to state 188 *)
                  _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | BEHAVIORS ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (BEHAVIORS) to state 80 *)
                  _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | BEHAVIOR ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (BEHAVIOR) to state 189 *)
                  _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | AXIOMATIC ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (AXIOMATIC) to state 190 *)
                  _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | AXIOM ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (AXIOM) to state 191 *)
                  _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | ASSUMES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (ASSUMES) to state 192 *)
                  _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | ASSIGNS ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (ASSIGNS) to state 193 *)
                  _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | ASSERT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (ASSERT) to state 194 *)
                  _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | ALLOCATES ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (ALLOCATES) to state 195 *)
                  _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | ADMIT ->
                  let _menhir_stack = MenhirCell1_STRUCT (_menhir_stack, MenhirState0644, _startpos_24, _endpos_25) in
                  (* Shifting (ADMIT) to state 196 *)
                  _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0649
              | COLON ->
                  (* Reducing production c_keyword -> STRUCT *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_25, _startpos_24) in
                  let _v = _menhir_action_147 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | STRING_LITERAL _v_34 ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_34 MenhirState0644
          | STRING_CONSTANT _v_35 ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_35 MenhirState0644
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | SIGNED ->
              (* Shifting (SIGNED) to state 650 *)
              (* State 650: *)
              let _startpos_36 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_37 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | SHORT ->
                  let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, MenhirState0644, _startpos_36, _endpos_37) in
                  (* Shifting (SHORT) to state 267 *)
                  _menhir_run_0267 _menhir_stack _menhir_lexbuf _menhir_lexer
              | LONG ->
                  let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, MenhirState0644, _startpos_36, _endpos_37) in
                  (* Shifting (LONG) to state 269 *)
                  _menhir_run_0269 _menhir_stack _menhir_lexbuf _menhir_lexer
              | INT ->
                  let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, MenhirState0644, _startpos_36, _endpos_37) in
                  (* Shifting (INT) to state 273 *)
                  _menhir_run_0273 _menhir_stack _menhir_lexbuf _menhir_lexer
              | CHAR ->
                  let _menhir_stack = MenhirCell1_SIGNED (_menhir_stack, MenhirState0644, _startpos_36, _endpos_37) in
                  (* Shifting (CHAR) to state 274 *)
                  _menhir_run_0274 _menhir_stack _menhir_lexbuf _menhir_lexer
              | COLON ->
                  (* Reducing production c_keyword -> SIGNED *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_37, _startpos_36) in
                  let _v = _menhir_action_144 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | SHORT ->
              (* Shifting (SHORT) to state 651 *)
              (* State 651: *)
              let _startpos_39 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_40 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | INT ->
                  let _menhir_stack = MenhirCell1_SHORT (_menhir_stack, MenhirState0644, _startpos_39, _endpos_40) in
                  (* Shifting (INT) to state 276 *)
                  _menhir_run_0276 _menhir_stack _menhir_lexbuf _menhir_lexer
              | COLON ->
                  (* Reducing production c_keyword -> SHORT *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_40, _startpos_39) in
                  let _v = _menhir_action_143 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> SHORT *)
                  let _v_42 = _menhir_action_754 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_39 _v_42 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | REAL ->
              (* Shifting (REAL) to state 652 *)
              (* State 652: *)
              let _startpos_43 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_44 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production is_acsl_typename -> REAL *)
                  let _v_45 = _menhir_action_384 () in
                  _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_44 _startpos_43 _v_45 MenhirState0644 _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> REAL *)
                  let _v_46 = _menhir_action_743 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_43 _v_46 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LONG ->
              (* Shifting (LONG) to state 653 *)
              (* State 653: *)
              let _startpos_47 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_48 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | LONG ->
                  let _menhir_stack = MenhirCell1_LONG (_menhir_stack, MenhirState0644, _startpos_47, _endpos_48) in
                  (* Shifting (LONG) to state 279 *)
                  _menhir_run_0279 _menhir_stack _menhir_lexbuf _menhir_lexer
              | INT ->
                  let _menhir_stack = MenhirCell1_LONG (_menhir_stack, MenhirState0644, _startpos_47, _endpos_48) in
                  (* Shifting (INT) to state 281 *)
                  _menhir_run_0281 _menhir_stack _menhir_lexbuf _menhir_lexer
              | DOUBLE ->
                  let _menhir_stack = MenhirCell1_LONG (_menhir_stack, MenhirState0644, _startpos_47, _endpos_48) in
                  (* Shifting (DOUBLE) to state 282 *)
                  _menhir_run_0282 _menhir_stack _menhir_lexbuf _menhir_lexer
              | COLON ->
                  (* Reducing production c_keyword -> LONG *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_48, _startpos_47) in
                  let _v = _menhir_action_142 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> LONG *)
                  let _v_50 = _menhir_action_760 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_47 _v_50 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | INT_CONSTANT _v_51 ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_51 MenhirState0644
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | INTEGER ->
              (* Shifting (INTEGER) to state 654 *)
              (* State 654: *)
              let _startpos_52 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_53 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production is_acsl_typename -> INTEGER *)
                  let _v_54 = _menhir_action_383 () in
                  _menhir_run_0107 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_53 _startpos_52 _v_54 MenhirState0644 _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> INTEGER *)
                  let _v_55 = _menhir_action_742 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_52 _v_55 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | INT ->
              (* Shifting (INT) to state 655 *)
              (* State 655: *)
              let _startpos_56 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_57 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> INT *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_57, _startpos_56) in
                  let _v = _menhir_action_141 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> INT *)
                  let _v_59 = _menhir_action_750 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_56 _v_59 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | IDENTIFIER_EXT _v_60 ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_60 MenhirState0644
          | IDENTIFIER _v_61 ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_61 MenhirState0644
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | FLOAT_CONSTANT _v_62 ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_62 MenhirState0644
          | FLOAT ->
              (* Shifting (FLOAT) to state 656 *)
              (* State 656: *)
              let _startpos_63 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_64 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> FLOAT *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_64, _startpos_63) in
                  let _v = _menhir_action_139 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> FLOAT *)
                  let _v_66 = _menhir_action_772 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_63 _v_66 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | EXT_GLOBAL_BLOCK _v_67 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_67 MenhirState0644
          | EXT_GLOBAL _v_68 ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_68 MenhirState0644
          | EXT_CONTRACT _v_69 ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_69 MenhirState0644
          | EXT_CODE_ANNOT _v_70 ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_70 MenhirState0644
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ENUM ->
              (* Shifting (ENUM) to state 657 *)
              (* State 657: *)
              let _startpos_71 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_72 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | WRITES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (WRITES) to state 1 *)
                  _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | VARIANT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (VARIANT) to state 134 *)
                  _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | TYPENAME _v_73 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (TYPENAME) to state 156 *)
                  _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v_73 MenhirState0657
              | TYPE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (TYPE) to state 135 *)
                  _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | TERMINATES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (TERMINATES) to state 136 *)
                  _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | SLICE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (SLICE) to state 141 *)
                  _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | RETURNS ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (RETURNS) to state 157 *)
                  _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | REQUIRES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (REQUIRES) to state 158 *)
                  _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | REAL ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (REAL) to state 23 *)
                  _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | READS ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (READS) to state 24 *)
                  _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | PREDICATE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (PREDICATE) to state 159 *)
                  _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | PRAGMA ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (PRAGMA) to state 160 *)
                  _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | MODULE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (MODULE) to state 161 *)
                  _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | MODEL ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (MODEL) to state 162 *)
                  _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | LOOP ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (LOOP) to state 163 *)
                  _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | LOGIC ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (LOGIC) to state 164 *)
                  _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | LEMMA ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (LEMMA) to state 165 *)
                  _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | LABEL ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (LABEL) to state 33 *)
                  _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | INVARIANT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (INVARIANT) to state 166 *)
                  _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | INTEGER ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (INTEGER) to state 35 *)
                  _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | INDUCTIVE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (INDUCTIVE) to state 167 *)
                  _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | INCLUDE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (INCLUDE) to state 168 *)
                  _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | IMPACT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (IMPACT) to state 169 *)
                  _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | IDENTIFIER_EXT _v_74 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (IDENTIFIER_EXT) to state 170 *)
                  _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v_74 MenhirState0657
              | IDENTIFIER _v_75 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (IDENTIFIER) to state 42 *)
                  _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_75 MenhirState0657
              | GLOBAL ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (GLOBAL) to state 171 *)
                  _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | FUNCTION ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (FUNCTION) to state 172 *)
                  _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | FREES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (FREES) to state 173 *)
                  _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | EXT_LET ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXT_LET) to state 174 *)
                  _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | EXT_GLOBAL_BLOCK _v_76 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
                  _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v_76 MenhirState0657
              | EXT_GLOBAL _v_77 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXT_GLOBAL) to state 176 *)
                  _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v_77 MenhirState0657
              | EXT_CONTRACT _v_78 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXT_CONTRACT) to state 177 *)
                  _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v_78 MenhirState0657
              | EXT_CODE_ANNOT _v_79 ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXT_CODE_ANNOT) to state 178 *)
                  _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v_79 MenhirState0657
              | EXT_AT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXT_AT) to state 179 *)
                  _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | EXITS ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (EXITS) to state 180 *)
                  _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | ENSURES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (ENSURES) to state 181 *)
                  _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | DISJOINT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (DISJOINT) to state 182 *)
                  _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | DECREASES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (DECREASES) to state 183 *)
                  _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | CONTRACT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (CONTRACT) to state 184 *)
                  _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | CONTINUES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (CONTINUES) to state 185 *)
                  _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | COMPLETE ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (COMPLETE) to state 186 *)
                  _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | CHECK ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (CHECK) to state 187 *)
                  _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | BREAKS ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (BREAKS) to state 188 *)
                  _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | BEHAVIORS ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (BEHAVIORS) to state 80 *)
                  _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | BEHAVIOR ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (BEHAVIOR) to state 189 *)
                  _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | AXIOMATIC ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (AXIOMATIC) to state 190 *)
                  _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | AXIOM ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (AXIOM) to state 191 *)
                  _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | ASSUMES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (ASSUMES) to state 192 *)
                  _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | ASSIGNS ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (ASSIGNS) to state 193 *)
                  _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | ASSERT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (ASSERT) to state 194 *)
                  _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | ALLOCATES ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (ALLOCATES) to state 195 *)
                  _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | ADMIT ->
                  let _menhir_stack = MenhirCell1_ENUM (_menhir_stack, MenhirState0644, _startpos_71, _endpos_72) in
                  (* Shifting (ADMIT) to state 196 *)
                  _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0657
              | COLON ->
                  (* Reducing production c_keyword -> ENUM *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_72, _startpos_71) in
                  let _v = _menhir_action_137 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 658 *)
              (* State 658: *)
              let _startpos_81 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_82 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> DOUBLE *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_82, _startpos_81) in
                  let _v = _menhir_action_136 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> DOUBLE *)
                  let _v_84 = _menhir_action_773 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_81 _v_84 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | CHAR ->
              (* Shifting (CHAR) to state 659 *)
              (* State 659: *)
              let _startpos_85 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_86 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> CHAR *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_86, _startpos_85) in
                  let _v = _menhir_action_132 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> CHAR *)
                  let _v_88 = _menhir_action_747 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_85 _v_88 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 660 *)
              (* State 660: *)
              let _startpos_89 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_90 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> BOOLEAN *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_90, _startpos_89) in
                  let _v = _menhir_action_133 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> BOOLEAN *)
                  let _v_92 = _menhir_action_744 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_89 _v_92 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | BOOL ->
              (* Shifting (BOOL) to state 661 *)
              (* State 661: *)
              let _startpos_93 = _menhir_lexbuf.Lexing.lex_start_p in
              let _endpos_94 = _menhir_lexbuf.Lexing.lex_curr_p in
              let _tok = _menhir_lexer _menhir_lexbuf in
              (match (_tok : MenhirBasics.token) with
              | COLON ->
                  (* Reducing production c_keyword -> BOOL *)
                  let (_menhir_s, _endpos__1_, _startpos__1_) = (MenhirState0644, _endpos_94, _startpos_93) in
                  let _v = _menhir_action_134 () in
                  _menhir_goto_c_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
              | ADMIT | ALLOCATES | ASSERT | ASSIGNS | ASSUMES | AXIOM | AXIOMATIC | BEHAVIOR | BEHAVIORS | BREAKS | CHECK | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EXITS | EXT_AT | EXT_CODE_ANNOT _ | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER _ | IDENTIFIER_EXT _ | IMPACT | INCLUDE | INDUCTIVE | INVARIANT | LABEL | LEMMA | LOGIC | LOOP | LPAR | MODEL | MODULE | PRAGMA | PREDICATE | READS | REQUIRES | RETURNS | SLICE | STAR | TERMINATES | TYPE | VARIANT | WRITES ->
                  (* Reducing production type_spec(typename) -> BOOL *)
                  let _v_96 = _menhir_action_746 () in
                  _menhir_run_0371 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos_93 _v_96 MenhirState0644 _tok
              | _ ->
                  (* Initiating error handling *)
                  _eRR ())
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0644
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | COMMA ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMMA) to state 527 *)
          _menhir_run_0527 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0610
      | RBRACE ->
          (* Reducing production ne_lexpr_list -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_551 _1 in
          _menhir_goto_ne_lexpr_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0514 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 514: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 515 *)
          (* State 515: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0515 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0527 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr as 'stack) -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 527: *)
      let _menhir_stack = MenhirCell1_COMMA (_menhir_stack, _menhir_s) in
      let _menhir_s = MenhirState0527 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_lexpr_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0898 ->
          _menhir_run_0899 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1188 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1082 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0762 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0332 ->
          _menhir_run_0727 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0353 ->
          _menhir_run_0584 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0621 ->
          _menhir_run_0584 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0368 ->
          _menhir_run_0584 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0396 ->
          _menhir_run_0584 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0442 ->
          _menhir_run_0584 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0532 ->
          _menhir_run_0533 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0527 ->
          _menhir_run_0528 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0501 ->
          _menhir_run_0502 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0899 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_PRAGMA, ttv_result) _menhir_cell1_any_identifier -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 899: *)
      match (_tok : MenhirBasics.token) with
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 900 *)
          (* State 900: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_any_identifier (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell1_PRAGMA (_menhir_stack, _, _, _) = _menhir_stack in
          let MenhirCell1_LOOP (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production loop_pragma -> LOOP PRAGMA any_identifier ne_lexpr_list SEMICOLON *)
          let (_endpos, _4, _endpos__5_) = (_endpos_0, _v, _endpos_0) in
          let _v = _menhir_action_531 _3 _4 _endpos__5_ _startpos__1_ in
          let _startpos = _startpos__1_ in
          (* State 922: *)
          let _menhir_stack = MenhirCell1_loop_pragma (_menhir_stack, _menhir_s, _v, _startpos) in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0922
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0922
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0922
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0922
          | ADMIT_LEMMA | AXIOM | AXIOMATIC | CHECK_LEMMA | CONTRACT | EOF | EXT_AT | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FUNCTION | GLOBAL | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | TYPE | VOLATILE ->
              (* Reducing production loop_annot_opt -> *)
              let _v_0 = _menhir_action_515 () in
              _menhir_run_0932 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v_0 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0762 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 762: *)
      (* Reducing production ne_zones -> ne_lexpr_list *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_579 _1 in
      _menhir_goto_ne_zones _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_ne_zones : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1082 ->
          _menhir_run_0947 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0945 ->
          _menhir_run_0947 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1188 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1164 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1161 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1076 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1073 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1041 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0992 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0952 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0948 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0942 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0940 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0904 ->
          _menhir_run_0907 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0002 ->
          _menhir_run_0753 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0947 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_ASSIGNS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 947: *)
      match (_tok : MenhirBasics.token) with
      | FROM ->
          let _menhir_stack = MenhirCell1_ne_zones (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FROM) to state 948 *)
          (* State 948: *)
          let _menhir_s = MenhirState0948 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOTHING ->
              (* Shifting (NOTHING) to state 905 *)
              _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COMPLETE | CONTINUES | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FREES | IDENTIFIER_EXT _ | REQUIRES | RETURNS | SEMICOLON ->
          (* Reducing production zones -> ne_zones *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_857 _1 in
          _menhir_goto_zones _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0907 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 907: *)
      (* Reducing production zones -> ne_zones *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_857 _1 in
      _menhir_goto_zones _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0753 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VOLATILE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 753: *)
      let _menhir_stack = MenhirCell1_ne_zones (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 754 *)
          _menhir_run_0754 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0753
      | READS ->
          (* Shifting (READS) to state 756 *)
          _menhir_run_0756 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0753
      | SEMICOLON ->
          (* Reducing production volatile_opt -> *)
          let _v_0 = _menhir_action_797 () in
          _menhir_run_0760 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0754 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 754: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_WRITES (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0754 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0756 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 756: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_READS (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0756 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0760 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_VOLATILE, ttv_result) _menhir_cell1_ne_zones -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 760: *)
      (* The current token is SEMICOLON. *)
      (* Shifting (SEMICOLON) to state 761 *)
      (* State 761: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_ne_zones (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_VOLATILE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production decl -> VOLATILE ne_zones volatile_opt SEMICOLON *)
      let (_endpos__4_, _3) = (_endpos, _v) in
      let _v = _menhir_action_215 _2 _3 in
      _menhir_goto_decl _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0727 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_SEPARATED _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 727: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 728 *)
          (* State 728: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_SEPARATED (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> SEPARATED LPAR ne_lexpr_list RPAR *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_464 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0584 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 584: *)
      (* Reducing production lexpr_list -> ne_lexpr_list *)
      let _1 = _v in
      let _v = _menhir_action_488 _1 in
      _menhir_goto_lexpr_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_lexpr_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0353 ->
          _menhir_run_0715 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0621 ->
          _menhir_run_0608 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0368 ->
          _menhir_run_0608 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0396 ->
          _menhir_run_0599 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0442 ->
          _menhir_run_0585 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0533 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LBRACE, ttv_result) _menhir_cell1_ne_label_args _menhir_cell0_RBRACE _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 533: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 534 *)
          (* State 534: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell0_RBRACE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_ne_label_args (_menhir_stack, _, _3) = _menhir_stack in
          let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> full_identifier LBRACE ne_label_args RBRACE LPAR ne_lexpr_list RPAR *)
          let (_endpos__7_, _6) = (_endpos_0, _v) in
          let _v = _menhir_action_466 _1 _3 _6 _endpos__7_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0528 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 528: *)
      let MenhirCell1_COMMA (_menhir_stack, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_lexpr_list -> lexpr COMMA ne_lexpr_list *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_552 _1 _3 in
      _menhir_goto_ne_lexpr_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0502 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LPAR -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 502: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 503 *)
          (* State 503: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> full_identifier LPAR ne_lexpr_list RPAR *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_465 _1 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0604 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_LSQUARE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 604: *)
      match (_tok : MenhirBasics.token) with
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 605 *)
          (* State 605: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LSQUARE (_menhir_stack, _menhir_s) = _menhir_stack in
          (* Reducing production array_path_elt -> LSQUARE lexpr RSQUARE *)
          let _2 = _v in
          let _v = _menhir_action_056 _2 in
          _menhir_goto_array_path_elt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0604
      | DOTDOT ->
          (* Reducing production lexpr_option -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_490 _1 in
          _menhir_goto_lexpr_option _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0601 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LAMBDA, ttv_result) _menhir_cell1_binders _menhir_cell0_SEMICOLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 601: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0601
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_binders (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_LAMBDA (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_binder -> LAMBDA binders SEMICOLON lexpr *)
          let (_endpos__4_, _4) = (_endpos, _v) in
          let _v = _menhir_action_412 _2 _4 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_binder _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0597 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_INITIALIZED, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 597: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 598 *)
          (* State 598: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_INITIALIZED (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> INITIALIZED opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_427 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0597
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0595 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_FRESH, ttv_result) _menhir_cell1_opt_label_2 _menhir_cell0_LPAR, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 595: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 596 *)
          (* State 596: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_COMMA (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _4, _, _) = _menhir_stack in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_2 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_FRESH (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> FRESH opt_label_2 LPAR lexpr COMMA lexpr RPAR *)
          let (_endpos__7_, _6) = (_endpos_0, _v) in
          let _v = _menhir_action_429 _2 _4 _6 _endpos__7_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__7_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0595
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0593 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_FRESH, ttv_result) _menhir_cell1_opt_label_2 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 593: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | COMMA ->
          (* Shifting (COMMA) to state 594 *)
          (* State 594: *)
          let _menhir_stack = MenhirCell1_COMMA (_menhir_stack, MenhirState0593) in
          let _menhir_s = MenhirState0594 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0593
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0591 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_FREEABLE, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 591: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 592 *)
          (* State 592: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_FREEABLE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> FREEABLE opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_434 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0591
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0590 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_FORALL, ttv_result) _menhir_cell1_binders _menhir_cell0_SEMICOLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 590: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0590
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_binders (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_FORALL (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_binder -> FORALL binders SEMICOLON lexpr *)
          let (_endpos__4_, _4) = (_endpos, _v) in
          let _v = _menhir_action_410 _2 _4 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_binder _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0589 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_EXISTS, ttv_result) _menhir_cell1_binders _menhir_cell0_SEMICOLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 589: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0589
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell0_SEMICOLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_binders (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_EXISTS (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_binder -> EXISTS binders SEMICOLON lexpr *)
          let (_endpos__4_, _4) = (_endpos, _v) in
          let _v = _menhir_action_411 _2 _4 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_binder _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0587 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_DANGLING, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 587: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 588 *)
          (* State 588: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_DANGLING (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> DANGLING opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_428 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0587
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0582 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_BLOCK_LENGTH, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 582: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 583 *)
          (* State 583: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_BLOCK_LENGTH (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> BLOCK_LENGTH opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_431 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0582
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0580 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_BASE_ADDR, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 580: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 581 *)
          (* State 581: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_BASE_ADDR (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> BASE_ADDR opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_430 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0580
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0576 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_AT _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 576: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | COMMA ->
          (* Shifting (COMMA) to state 577 *)
          (* State 577: *)
          let _menhir_stack = MenhirCell1_COMMA (_menhir_stack, MenhirState0576) in
          let _menhir_s = MenhirState0577 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0576
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0573 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ALLOCATION, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 573: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 574 *)
          (* State 574: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_ALLOCATION (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> ALLOCATION opt_label_1 LPAR lexpr RPAR *)
          let _endpos__5_ = _endpos_0 in
          let _v = _menhir_action_435 _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0573
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0571 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_ALLOCABLE, ttv_result) _menhir_cell1_opt_label_1 _menhir_cell0_LPAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 571: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 572 *)
          (* State 572: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_opt_label_1 (_menhir_stack, _, _2) = _menhir_stack in
          let MenhirCell1_ALLOCABLE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> ALLOCABLE opt_label_1 LPAR lexpr RPAR *)
          let (_4, _endpos__5_) = (_v, _endpos_0) in
          let _v = _menhir_action_433 _2 _4 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0571
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0570 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_string _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 570: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0570
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_string (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> string COLON lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_407 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0540 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_LSQUARE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 540: *)
      match (_tok : MenhirBasics.token) with
      | RSQUARE ->
          (* Shifting (RSQUARE) to state 541 *)
          (* State 541: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_LSQUARE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner LSQUARE lexpr RSQUARE *)
          let (_endpos__4_, _3) = (_endpos_0, _v) in
          let _v = _menhir_action_452 _1 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0540
      | DOTDOT ->
          (* Reducing production lexpr_option -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_490 _1 in
          _menhir_goto_lexpr_option _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0539 : type  ttv_stack ttv_result. (((((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_QUESTION, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COLON2 as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 539: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0539
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_COLON2 (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell1_QUESTION (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr QUESTION lexpr COLON2 lexpr *)
          let (_endpos__5_, _5) = (_endpos, _v) in
          let _v = _menhir_action_405 _1 _3 _5 _endpos__5_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__5_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0526 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_IFF as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 526: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0526
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | IFF | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_IFF (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr IFF lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_395 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0524 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_AND as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 524: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0524
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0524
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0524
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0524
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0524
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0524
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AND | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_AND (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr AND lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_397 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0522 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_BIFF as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 522: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0522
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0522
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0522
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0522
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0522
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_BIFF (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr BIFF lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_403 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0520 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_BIMPLIES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 520: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0520
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0520
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0520
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0520
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0520
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_BIMPLIES (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr BIMPLIES lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_402 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0518 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_IMPLIES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 518: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0518
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | IFF | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_IMPLIES (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr IMPLIES lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_394 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0516 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_any_identifier _menhir_cell0_COLON as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 516: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0516
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell0_COLON (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> any_identifier COLON lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_406 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0512 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_AMP as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 512: *)
      match (_tok : MenhirBasics.token) with
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0512
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_AMP (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr AMP lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_399 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0510 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_HAT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 510: *)
      match (_tok : MenhirBasics.token) with
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0510
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0510
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_HAT (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr HAT lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_401 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0508 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_HATHAT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 508: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0508
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_HATHAT (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr HATHAT lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_398 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0506 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_OR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 506: *)
      match (_tok : MenhirBasics.token) with
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0506
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_OR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr OR lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_396 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0504 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 504: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | COMMA ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMMA) to state 527 *)
          _menhir_run_0527 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0504
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COMPLETE | CONTINUES | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FREES | FROM | IDENTIFIER_EXT _ | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUAREPIPE | SEMICOLON | WRITES ->
          (* Reducing production ne_lexpr_list -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_551 _1 in
          _menhir_goto_ne_lexpr_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0498 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_IN -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 498: *)
      match (_tok : MenhirBasics.token) with
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_IN (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr IN lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_404 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0496 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_PIPE as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 496: *)
      match (_tok : MenhirBasics.token) with
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0496
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0496
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0496
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          let MenhirCell1_PIPE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr -> lexpr PIPE lexpr *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_400 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0494 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_QUESTION as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 494: *)
      let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | PIPE ->
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | OR ->
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | IN ->
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | IMPLIES ->
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | IFF ->
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | HATHAT ->
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | HAT ->
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | COLON2 ->
          (* Shifting (COLON2) to state 538 *)
          (* State 538: *)
          let _menhir_stack = MenhirCell1_COLON2 (_menhir_stack, MenhirState0494) in
          let _menhir_s = MenhirState0538 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | BIMPLIES ->
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | BIFF ->
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | AND ->
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | AMP ->
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0494
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0492 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr_option _menhir_cell0_DOTDOT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 492: *)
      match (_tok : MenhirBasics.token) with
      | QUESTION ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (QUESTION) to state 493 *)
          _menhir_run_0493 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | PIPE ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PIPE) to state 495 *)
          _menhir_run_0495 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | OR ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OR) to state 505 *)
          _menhir_run_0505 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | IN ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IN) to state 497 *)
          _menhir_run_0497 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | IMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPLIES) to state 517 *)
          _menhir_run_0517 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | IFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IFF) to state 525 *)
          _menhir_run_0525 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | HATHAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HATHAT) to state 507 *)
          _menhir_run_0507 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | HAT ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (HAT) to state 509 *)
          _menhir_run_0509 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | BIMPLIES ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIMPLIES) to state 519 *)
          _menhir_run_0519 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | BIFF ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BIFF) to state 521 *)
          _menhir_run_0521 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | AND ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AND) to state 523 *)
          _menhir_run_0523 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | AMP ->
          let _menhir_stack = MenhirCell1_lexpr (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 511 *)
          _menhir_run_0511 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0492
      | RPAR | RSQUARE ->
          (* Reducing production lexpr_option -> lexpr *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_490 _1 in
          _menhir_goto_lexpr_option _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0567 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_relation, ttv_result) _menhir_cell1_lexpr_inner -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 567: *)
      let MenhirCell1_lexpr_inner (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_relation (_menhir_stack, _menhir_s, _1, _startpos__1_) = _menhir_stack in
      (* Reducing production rel_list -> relation lexpr_inner rel_list *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_628 _1 _2 _3 _endpos__3_ _startpos__1_ in
      _menhir_goto_rel_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _v _menhir_s _tok
  
  and _menhir_run_0490 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 490: *)
      (* Reducing production lexpr_rel -> lexpr_end_rel *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_491 _1 in
      _menhir_goto_lexpr_rel _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0557 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_GTGT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 557: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | PLUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 548 *)
          _menhir_run_0548 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | MINUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 552 *)
          _menhir_run_0552 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0557
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | NE | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | STARHAT | WITH | WRITES ->
          let MenhirCell1_GTGT (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner GTGT lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_470 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0555 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_LTLT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 555: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | PLUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 548 *)
          _menhir_run_0548 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | MINUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 552 *)
          _menhir_run_0552 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0555
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | NE | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | STARHAT | WITH | WRITES ->
          let MenhirCell1_LTLT (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner LTLT lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_471 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0553 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_MINUS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 553: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0553
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0553
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0553
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0553
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0553
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0553
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | STARHAT | WITH | WRITES ->
          let MenhirCell1_MINUS (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner MINUS lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_444 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0551 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_PERCENT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 551: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0551
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0551
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0551
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_PERCENT (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner PERCENT lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_447 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0549 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_PLUS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 549: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0549
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0549
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0549
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0549
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0549
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0549
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | STARHAT | WITH | WRITES ->
          let MenhirCell1_PLUS (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner PLUS lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_443 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0547 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_SLASH as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 547: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0547
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0547
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0547
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_SLASH (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner SLASH lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_446 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0483 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_STAR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 483: *)
      match (_tok : MenhirBasics.token) with
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0483
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0483
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0483
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          let MenhirCell1_STAR (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner STAR lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_445 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0481 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_lexpr_inner, ttv_result) _menhir_cell1_STARHAT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 481: *)
      match (_tok : MenhirBasics.token) with
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | PLUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 548 *)
          _menhir_run_0548 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | MINUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 552 *)
          _menhir_run_0552 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | LTLT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LTLT) to state 554 *)
          _menhir_run_0554 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | GTGT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GTGT) to state 556 *)
          _menhir_run_0556 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0481
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LE | LT | NE | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | STARHAT | WITH | WRITES ->
          let MenhirCell1_STARHAT (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
          (* Reducing production lexpr_inner -> lexpr_inner STARHAT lexpr_inner *)
          let (_endpos__3_, _3) = (_endpos, _v) in
          let _v = _menhir_action_448 _1 _3 _endpos__3_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0478 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 478: *)
      match (_tok : MenhirBasics.token) with
      | STARHAT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STARHAT) to state 479 *)
          _menhir_run_0479 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | STAR ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 482 *)
          _menhir_run_0482 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | SLASH ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLASH) to state 546 *)
          _menhir_run_0546 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | PLUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 548 *)
          _menhir_run_0548 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | PERCENT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PERCENT) to state 550 *)
          _menhir_run_0550 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | NE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (NE) to state 558 *)
          _menhir_run_0558 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | MINUS ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 552 *)
          _menhir_run_0552 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | LTLT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LTLT) to state 554 *)
          _menhir_run_0554 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | LT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LT) to state 559 *)
          _menhir_run_0559 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | LSQUARE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUARE) to state 484 *)
          _menhir_run_0484 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | LE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LE) to state 560 *)
          _menhir_run_0560 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | GTGT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GTGT) to state 556 *)
          _menhir_run_0556 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | GT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GT) to state 561 *)
          _menhir_run_0561 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | GE ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GE) to state 562 *)
          _menhir_run_0562 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | EQUAL ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EQUAL) to state 563 *)
          _menhir_run_0563 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | EQ ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EQ) to state 564 *)
          _menhir_run_0564 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | DOT ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOT) to state 542 *)
          _menhir_run_0542 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | ARROW ->
          let _menhir_stack = MenhirCell1_lexpr_inner (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ARROW) to state 544 *)
          _menhir_run_0544 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0478
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOTDOT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | OR | PIPE | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | WITH | WRITES ->
          (* Reducing production lexpr_end_rel -> lexpr_inner *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_413 _1 in
          _menhir_goto_lexpr_end_rel _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1035 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _menhir_s _tok ->
      (* State 1035: *)
      (* Reducing production clause_kw -> post_cond *)
      let (_endpos__1_, _1) = (_endpos, _v) in
      let _v = _menhir_action_163 _1 in
      _menhir_goto_clause_kw _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0098 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 98: *)
      (* Reducing production is_acsl_spec -> post_cond *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_370 _1 in
      _menhir_goto_is_acsl_spec _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1261 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1261: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> RESULT *)
      let _ = _menhir_action_116 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1262 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1262: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> REGISTER *)
      let _ = _menhir_action_115 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1263 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1263: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> RBRACE *)
      let _v = _menhir_action_846 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1264 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1264: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> QUESTION *)
      let _v = _menhir_action_845 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1265 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1265: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> PLUS *)
      let _v = _menhir_action_844 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1266 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1266: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> PIPE *)
      let _v = _menhir_action_843 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1267 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1267: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> PI *)
      let _v = _menhir_action_842 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1268 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1268: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> PERCENT *)
      let _v = _menhir_action_841 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1269 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1269: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> OR *)
      let _v = _menhir_action_840 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1270 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1270: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> OLD *)
      let _ = _menhir_action_113 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1271 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1271: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> OFFSET *)
      let _ = _menhir_action_114 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1272 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1272: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> OBJECT_POINTER *)
      let _ = _menhir_action_123 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1273 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1273: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> NULL *)
      let _ = _menhir_action_112 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1274 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1274: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> NOTHING *)
      let _ = _menhir_action_111 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1275 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1275: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> NOT *)
      let _v = _menhir_action_839 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1276 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1276: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> NE *)
      let _v = _menhir_action_838 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1277 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1277: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> MINUS *)
      let _v = _menhir_action_837 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1278 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1278: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LTLT *)
      let _v = _menhir_action_836 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1279 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1279: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LT *)
      let _v = _menhir_action_835 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1280 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1280: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LSQUAREPIPE *)
      let _v = _menhir_action_834 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1281 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1281: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LSQUARE *)
      let _v = _menhir_action_833 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1282 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1282: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LPAR *)
      let _v = _menhir_action_832 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1283 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1283: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> LET *)
      let _ = _menhir_action_110 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1284 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1284: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LE *)
      let _v = _menhir_action_831 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1285 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1285: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> LBRACE *)
      let _v = _menhir_action_830 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1286 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1286: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> LAMBDA *)
      let _ = _menhir_action_109 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1287 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1287: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> INT_CONSTANT *)
      let _v = _menhir_action_811 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1288 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1288: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> INTER *)
      let _ = _menhir_action_108 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1289 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1289: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> INITIALIZED *)
      let _ = _menhir_action_129 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1290 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1290: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> IN *)
      let _v = _menhir_action_856 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1291 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1291: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> IMPLIES *)
      let _v = _menhir_action_829 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1292 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1292: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> IFF *)
      let _v = _menhir_action_828 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1293 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1293: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> HATHAT *)
      let _v = _menhir_action_827 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1294 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1294: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> HAT *)
      let _v = _menhir_action_826 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1295 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1295: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> GTGT *)
      let _v = _menhir_action_825 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1296 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1296: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> GT *)
      let _v = _menhir_action_824 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1297 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1297: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> GHOST *)
      let _v = _menhir_action_823 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1298 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1298: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> GE *)
      let _v = _menhir_action_822 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1299 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1299: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> FROM *)
      let _ = _menhir_action_107 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1300 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1300: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> FRESH *)
      let _ = _menhir_action_106 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1301 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1301: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> FREEABLE *)
      let _ = _menhir_action_105 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1302 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1302: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> FORALL *)
      let _ = _menhir_action_104 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1303 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1303: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> FLOAT_CONSTANT *)
      let _v = _menhir_action_812 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1304 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1304: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> FALSE *)
      let _ = _menhir_action_103 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1305 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1305: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> EXISTS *)
      let _v = _menhir_action_821 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1306 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1306: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> EQUAL *)
      let _v = _menhir_action_820 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1307 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1307: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> EQ *)
      let _v = _menhir_action_819 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1308 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1308: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> EMPTY *)
      let _ = _menhir_action_102 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1309 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1309: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> DYNAMIC *)
      let _ = _menhir_action_101 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1310 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1310: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> DOTDOTDOT *)
      let _v = _menhir_action_818 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1311 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1311: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> DOTDOT *)
      let _v = _menhir_action_817 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1312 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1312: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> DOT *)
      let _v = _menhir_action_816 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1313 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1313: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> DOLLAR *)
      let _v = _menhir_action_815 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1314 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1314: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> DANGLING *)
      let _ = _menhir_action_130 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1315 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1315: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> COMMA *)
      let _v = _menhir_action_810 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1316 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1316: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> COLONCOLON *)
      let _v = _menhir_action_809 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1317 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1317: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> COLON2 *)
      let _v = _menhir_action_808 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1318 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1318: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> COLON *)
      let _v = _menhir_action_807 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1319 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1319: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> BSUNION *)
      let _ = _menhir_action_121 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1320 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1320: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> BSTYPE *)
      let _ = _menhir_action_119 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1321 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1321: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> BSGHOST *)
      let _ = _menhir_action_100 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1322 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1322: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> BLOCK_LENGTH *)
      let _ = _menhir_action_099 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1323 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1323: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> BIMPLIES *)
      let _v = _menhir_action_806 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1324 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1324: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> BIFF *)
      let _v = _menhir_action_805 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1325 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1325: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> BASE_ADDR *)
      let _ = _menhir_action_098 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1326 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1326: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> AUTOMATIC *)
      let _ = _menhir_action_096 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1327 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1327: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> AT *)
      let _ = _menhir_action_097 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1328 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1328: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> ARROW *)
      let _v = _menhir_action_804 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1329 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1329: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> AND *)
      let _v = _menhir_action_803 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1330 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1330: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production wildcard -> AMP *)
      let _v = _menhir_action_802 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1331 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1331: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> ALLOCATION *)
      let _ = _menhir_action_095 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_1332 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1332: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production bs_keyword -> ALLOCABLE *)
      let _ = _menhir_action_094 () in
      _menhir_goto_bs_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok
  
  and _menhir_run_0108 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 108: *)
      (* Reducing production non_logic_keyword -> is_acsl_spec *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_583 _1 in
      _menhir_goto_non_logic_keyword _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1373 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1373: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production stmt_markup -> INT_CONSTANT *)
      let _1 = _v in
      let _v = _menhir_action_656 _1 in
      _menhir_goto_stmt_markup _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_stmt_markup_attr : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState1376 ->
          _menhir_run_1377 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState1372 ->
          _menhir_run_1374 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1377 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_stmt_markup -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1377: *)
      let MenhirCell1_stmt_markup (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production stmt_markup_attr -> stmt_markup stmt_markup_attr *)
      let _2 = _v in
      let _v = _menhir_action_658 _1 _2 in
      _menhir_goto_stmt_markup_attr _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_1374 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_EXT_AT -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 1374: *)
      (* The current token is COLON. *)
      (* Shifting (COLON) to state 1375 *)
      (* State 1375: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_EXT_AT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ext_at_stmt_markup -> EXT_AT stmt_markup_attr COLON *)
      let _2 = _v in
      let _v = _menhir_action_230 _2 in
      _menhir_goto_ext_at_stmt_markup _menhir_stack _menhir_lexbuf _menhir_lexer _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_ext_at_stmt_markup : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1367 ->
          _menhir_run_1420 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState1418 ->
          _menhir_run_1420 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState1392 ->
          _menhir_run_1401 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | MenhirState1396 ->
          _menhir_run_1401 _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1420 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 1420: *)
      let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | SLICE ->
          (* Shifting (SLICE) to state 854 *)
          _menhir_run_0854 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | LOOP ->
          (* Shifting (LOOP) to state 890 *)
          _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 970 *)
          _menhir_run_0970 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | IMPACT ->
          (* Shifting (IMPACT) to state 986 *)
          _menhir_run_0986 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | IDENTIFIER_EXT _v_0 ->
          (* Shifting (IDENTIFIER_EXT) to state 992 *)
          _menhir_run_0992 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1420
      | IDENTIFIER _v_1 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1420
      | FOR ->
          (* Shifting (FOR) to state 1001 *)
          _menhir_run_1001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | EXT_CODE_ANNOT _v_2 ->
          (* Shifting (EXT_CODE_ANNOT) to state 1041 *)
          _menhir_run_1041 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1420
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 1379 *)
          _menhir_run_1379 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 913 *)
          _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1044 *)
          _menhir_run_1044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | CHECK ->
          (* Shifting (CHECK) to state 1047 *)
          _menhir_run_1047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 1178 *)
          _menhir_run_1178 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | ASSERT ->
          (* Shifting (ASSERT) to state 1050 *)
          _menhir_run_1050 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 917 *)
          _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1053 *)
          _menhir_run_1053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | ADMIT ->
          (* Shifting (ADMIT) to state 1056 *)
          _menhir_run_1056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1420
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0854 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 854: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_SLICE (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 855 *)
          (* State 855: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_PRAGMA (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0855 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0970 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 970: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_INVARIANT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState0970 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0986 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 986: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_IMPACT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 987 *)
          (* State 987: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_PRAGMA (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState0987 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0992 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 992: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_IDENTIFIER_EXT (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0992
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0992
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0992
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0992
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0992
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0992
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0992
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0992
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0992
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0992
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0992
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0992
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0992
      | SEMICOLON ->
          (* Reducing production extension_content -> *)
          let _v_12 = _menhir_action_278 () in
          _menhir_run_0993 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1001 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1001: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_FOR (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1001 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 9 *)
          _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 13 *)
          _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 16 *)
          _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 17 *)
          _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 18 *)
          _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 25 *)
          _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 26 *)
          _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 27 *)
          _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 28 *)
          _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 29 *)
          _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 31 *)
          _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 32 *)
          _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 34 *)
          _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 37 *)
          _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 38 *)
          _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 39 *)
          _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 41 *)
          _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 43 *)
          _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 44 *)
          _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 48 *)
          _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
          _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 50 *)
          _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 52 *)
          _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 53 *)
          _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 61 *)
          _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 74 *)
          _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 82 *)
          _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 83 *)
          _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 84 *)
          _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 86 *)
          _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 97 *)
          _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1041 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 1041: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_EXT_CODE_ANNOT (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1041
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1041
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1041
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1041
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | NOTHING ->
          (* Shifting (NOTHING) to state 905 *)
          _menhir_run_0905 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState1041
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState1041
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState1041
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState1041
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState1041
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState1041
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState1041
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState1041
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1041
      | SEMICOLON ->
          (* Reducing production extension_content -> *)
          let _v_12 = _menhir_action_278 () in
          _menhir_run_1042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1044 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1044: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CHECK_INVARIANT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1044 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1047 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1047: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_CHECK (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1047 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1178 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1178: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      (* Reducing production annotation -> BSGHOST *)
      let (_endpos__1_, _startpos__1_) = (_endpos, _startpos) in
      let _v = _menhir_action_045 _endpos__1_ _startpos__1_ in
      _menhir_goto_annotation _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _v _menhir_s _tok
  
  and _menhir_run_1050 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1050: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ASSERT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1050 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1053 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1053: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ADMIT_INVARIANT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1053 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1056 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s ->
      (* State 1056: *)
      let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _menhir_stack = MenhirCell1_ADMIT (_menhir_stack, _menhir_s, _startpos, _endpos) in
      let _menhir_s = MenhirState1056 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1401 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _startpos _v _menhir_s _tok ->
      (* State 1401: *)
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | SLICE ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (SLICE) to state 854 *)
          _menhir_run_0854 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | READS ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | LOOP ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (LOOP) to state 890 *)
          _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | LABEL ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (INVARIANT) to state 970 *)
          _menhir_run_0970 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | IMPACT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (IMPACT) to state 986 *)
          _menhir_run_0986 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | IDENTIFIER_EXT _v_0 ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (IDENTIFIER_EXT) to state 992 *)
          _menhir_run_0992 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1401
      | IDENTIFIER _v_1 ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1401
      | FOR ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (FOR) to state 1001 *)
          _menhir_run_1001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | EXT_CODE_ANNOT _v_2 ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 1041 *)
          _menhir_run_1041 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1401
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (CONTRACT) to state 1379 *)
          _menhir_run_1379 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (CHECK_LOOP) to state 913 *)
          _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (CHECK_INVARIANT) to state 1044 *)
          _menhir_run_1044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | CHECK ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (CHECK) to state 1047 *)
          _menhir_run_1047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | BSGHOST ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (BSGHOST) to state 1178 *)
          _menhir_run_1178 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | ASSERT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (ASSERT) to state 1050 *)
          _menhir_run_1050 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (ADMIT_LOOP) to state 917 *)
          _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (ADMIT_INVARIANT) to state 1053 *)
          _menhir_run_1053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | ADMIT ->
          let _menhir_stack = MenhirCell1_ext_at_stmt_markup (_menhir_stack, _menhir_s, _v, _startpos) in
          (* Shifting (ADMIT) to state 1056 *)
          _menhir_run_1056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1401
      | EOF | FUNCTION | MODULE ->
          (* Reducing production ext_function_specs -> ext_at_stmt_markup *)
          let _v = _menhir_action_245 () in
          _menhir_goto_ext_function_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1371 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1371: *)
      (* Reducing production ext_identifier -> any_identifier *)
      let _1 = _v in
      let _v = _menhir_action_264 _1 in
      _menhir_goto_ext_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_ext_identifier : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1384 ->
          _menhir_run_1385 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1379 ->
          _menhir_run_1382 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1368 ->
          _menhir_run_1369 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1385 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_MODULE -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1385: *)
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1386 *)
          (* State 1386: *)
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_MODULE (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
          (* Reducing production ext_module_markup -> MODULE ext_identifier COLON *)
          let _2 = _v in
          let _v = _menhir_action_267 _2 in
          (* State 1387: *)
          let _menhir_stack = MenhirCell1_ext_module_markup (_menhir_stack, _menhir_s, _v) in
          (match (_tok : MenhirBasics.token) with
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 2 *)
              _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | TYPE ->
              (* Shifting (TYPE) to state 763 *)
              _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 860 *)
              _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | MODEL ->
              (* Shifting (MODEL) to state 882 *)
              _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | LOGIC ->
              (* Shifting (LOGIC) to state 956 *)
              _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | LEMMA ->
              (* Shifting (LEMMA) to state 965 *)
              _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 973 *)
              _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 1352 *)
              _menhir_run_1352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 1355 *)
              _menhir_run_1355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 1361 *)
              _menhir_run_1361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | EXT_GLOBAL_BLOCK _v_0 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
              _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1387
          | EXT_GLOBAL _v_1 ->
              (* Shifting (EXT_GLOBAL) to state 1164 *)
              _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1387
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 1173 *)
              _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 1179 *)
              _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | AXIOM ->
              (* Shifting (AXIOM) to state 1214 *)
              _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 1203 *)
              _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1387
          | EOF | FUNCTION | MODULE ->
              (* Reducing production ext_global_clauses_opt -> *)
              let _v_2 = _menhir_action_256 () in
              _menhir_run_1388 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1387 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1382 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_CONTRACT -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1382: *)
      (* Reducing production ext_identifier_opt -> ext_identifier *)
      let _1 = _v in
      let _v = _menhir_action_266 _1 in
      _menhir_goto_ext_identifier_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
  
  and _menhir_run_1369 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_FUNCTION -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1369: *)
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1370 *)
          (* State 1370: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_FUNCTION (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production ext_function_markup -> FUNCTION ext_identifier COLON *)
          let (_2, _endpos__3_) = (_v, _endpos) in
          let _v = _menhir_action_242 _2 _endpos__3_ _startpos__1_ in
          (* State 1392: *)
          let _menhir_stack = MenhirCell1_ext_function_markup (_menhir_stack, _menhir_s, _v) in
          (match (_tok : MenhirBasics.token) with
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 2 *)
              _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | TYPE ->
              (* Shifting (TYPE) to state 763 *)
              _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 860 *)
              _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | MODEL ->
              (* Shifting (MODEL) to state 882 *)
              _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | LOGIC ->
              (* Shifting (LOGIC) to state 956 *)
              _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | LEMMA ->
              (* Shifting (LEMMA) to state 965 *)
              _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 973 *)
              _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 1352 *)
              _menhir_run_1352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 1355 *)
              _menhir_run_1355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 1361 *)
              _menhir_run_1361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | EXT_GLOBAL_BLOCK _v_0 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
              _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1392
          | EXT_GLOBAL _v_1 ->
              (* Shifting (EXT_GLOBAL) to state 1164 *)
              _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1392
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 1372 *)
              _menhir_run_1372 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 1379 *)
              _menhir_run_1379 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 1173 *)
              _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 1179 *)
              _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | AXIOM ->
              (* Shifting (AXIOM) to state 1214 *)
              _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 1203 *)
              _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1392
          | EOF | FUNCTION | MODULE ->
              (* Reducing production ext_function_specs_opt -> *)
              let _v = _menhir_action_248 () in
              _menhir_goto_ext_function_specs_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1362 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_EXT_LET as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1362: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | EQUAL ->
          (* Shifting (EQUAL) to state 1363 *)
          (* State 1363: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState1363 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1357 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_GLOBAL _menhir_cell0_EXT_LET as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1357: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | EQUAL ->
          (* Shifting (EQUAL) to state 1358 *)
          (* State 1358: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_EQUAL (_menhir_stack, _startpos, _endpos) in
          let _menhir_s = MenhirState1358 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1335 : type  ttv_stack. ttv_stack -> _ -> _ -> (ttv_stack, _menhir_box_annot) _menhir_state -> _ -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s _tok ->
      (* State 1335: *)
      (* Reducing production wildcard -> any_identifier *)
      let _v = _menhir_action_800 () in
      _menhir_goto_wildcard _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1180 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_AXIOMATIC as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1180: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 1181 *)
          (* State 1181: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LBRACE (_menhir_stack, _startpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | TYPE ->
              (* Shifting (TYPE) to state 1182 *)
              _menhir_run_1182 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 1185 *)
              _menhir_run_1185 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | LOGIC ->
              (* Shifting (LOGIC) to state 1192 *)
              _menhir_run_1192 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | LEMMA ->
              (* Shifting (LEMMA) to state 965 *)
              _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 973 *)
              _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 1173 *)
              _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 1179 *)
              _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | AXIOM ->
              (* Shifting (AXIOM) to state 1198 *)
              _menhir_run_1198 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 1203 *)
              _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1181
          | RBRACE ->
              (* Reducing production logic_decls -> *)
              let _v_1 = _menhir_action_499 () in
              _menhir_run_1209 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1159 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_EXT_GLOBAL_BLOCK as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1159: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | LBRACE ->
          (* Shifting (LBRACE) to state 1160 *)
          (* State 1160: *)
          let _startpos_0 = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LBRACE (_menhir_stack, _startpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | IDENTIFIER_EXT _v_1 ->
              (* Shifting (IDENTIFIER_EXT) to state 1161 *)
              _menhir_run_1161 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1160
          | EXT_GLOBAL_BLOCK _v_2 ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
              _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState1160
          | EXT_GLOBAL _v_3 ->
              (* Shifting (EXT_GLOBAL) to state 1164 *)
              _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState1160
          | RBRACE ->
              (* Reducing production ext_decls -> *)
              let _v_4 = _menhir_action_235 () in
              _menhir_run_1171 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0997 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_GLOBAL _menhir_cell0_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 997: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 998 *)
          (* State 998: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0998 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WSTRING_CONSTANT _v ->
              (* Shifting (WSTRING_CONSTANT) to state 3 *)
              _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 6 *)
              _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_READ ->
              (* Shifting (VALID_READ) to state 7 *)
              _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_RANGE ->
              (* Shifting (VALID_RANGE) to state 117 *)
              _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_INDEX ->
              (* Shifting (VALID_INDEX) to state 120 *)
              _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID_FUNCTION ->
              (* Shifting (VALID_FUNCTION) to state 123 *)
              _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VALID ->
              (* Shifting (VALID) to state 125 *)
              _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNALLOCATED ->
              (* Shifting (UNALLOCATED) to state 128 *)
              _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPEOF ->
              (* Shifting (TYPEOF) to state 129 *)
              _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 131 *)
              _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TRUE ->
              (* Shifting (TRUE) to state 132 *)
              _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TILDE ->
              (* Shifting (TILDE) to state 133 *)
              _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 324 *)
              _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRING_LITERAL _v ->
              (* Shifting (STRING_LITERAL) to state 137 *)
              _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STRING_CONSTANT _v ->
              (* Shifting (STRING_CONSTANT) to state 138 *)
              _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 326 *)
              _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STAR ->
              (* Shifting (STAR) to state 140 *)
              _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 327 *)
              _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 328 *)
              _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SEPARATED ->
              (* Shifting (SEPARATED) to state 331 *)
              _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 333 *)
              _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RESULT ->
              (* Shifting (RESULT) to state 334 *)
              _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 335 *)
              _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REGISTER ->
              (* Shifting (REGISTER) to state 336 *)
              _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 337 *)
              _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 338 *)
              _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PLUS ->
              (* Shifting (PLUS) to state 339 *)
              _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PI ->
              (* Shifting (PI) to state 340 *)
              _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OLD ->
              (* Shifting (OLD) to state 341 *)
              _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OFFSET ->
              (* Shifting (OFFSET) to state 343 *)
              _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | OBJECT_POINTER ->
              (* Shifting (OBJECT_POINTER) to state 346 *)
              _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NULL ->
              (* Shifting (NULL) to state 349 *)
              _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | NOT ->
              (* Shifting (NOT) to state 350 *)
              _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 354 *)
              _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 355 *)
              _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MINUS ->
              (* Shifting (MINUS) to state 352 *)
              _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LSQUAREPIPE ->
              (* Shifting (LSQUAREPIPE) to state 353 *)
              _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LPAR ->
              (* Shifting (LPAR) to state 356 *)
              _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 358 *)
              _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 360 *)
              _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LET ->
              (* Shifting (LET) to state 361 *)
              _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 367 *)
              _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LBRACE ->
              (* Shifting (LBRACE) to state 368 *)
              _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LAMBDA ->
              (* Shifting (LAMBDA) to state 370 *)
              _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 393 *)
              _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT_CONSTANT _v ->
              (* Shifting (INT_CONSTANT) to state 394 *)
              _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | INTER ->
              (* Shifting (INTER) to state 395 *)
              _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INITIALIZED ->
              (* Shifting (INITIALIZED) to state 397 *)
              _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 400 *)
              _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 401 *)
              _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 402 *)
              _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 403 *)
              _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 404 *)
              _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 405 *)
              _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FRESH ->
              (* Shifting (FRESH) to state 406 *)
              _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 410 *)
              _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREEABLE ->
              (* Shifting (FREEABLE) to state 411 *)
              _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FORALL ->
              (* Shifting (FORALL) to state 414 *)
              _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT_CONSTANT _v ->
              (* Shifting (FLOAT_CONSTANT) to state 417 *)
              _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FALSE ->
              (* Shifting (FALSE) to state 418 *)
              _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 419 *)
              _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
              _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 421 *)
              _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 422 *)
              _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 423 *)
              _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 424 *)
              _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 425 *)
              _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXISTS ->
              (* Shifting (EXISTS) to state 426 *)
              _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 429 *)
              _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EMPTY ->
              (* Shifting (EMPTY) to state 430 *)
              _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DYNAMIC ->
              (* Shifting (DYNAMIC) to state 431 *)
              _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 432 *)
              _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 433 *)
              _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DANGLING ->
              (* Shifting (DANGLING) to state 434 *)
              _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 437 *)
              _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 438 *)
              _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 439 *)
              _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 440 *)
              _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSUNION ->
              (* Shifting (BSUNION) to state 441 *)
              _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BSTYPE ->
              (* Shifting (BSTYPE) to state 443 *)
              _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 449 *)
              _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BLOCK_LENGTH ->
              (* Shifting (BLOCK_LENGTH) to state 450 *)
              _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 453 *)
              _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BASE_ADDR ->
              (* Shifting (BASE_ADDR) to state 454 *)
              _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 457 *)
              _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 458 *)
              _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AUTOMATIC ->
              (* Shifting (AUTOMATIC) to state 459 *)
              _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AT ->
              (* Shifting (AT) to state 460 *)
              _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 462 *)
              _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 463 *)
              _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 464 *)
              _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AMP ->
              (* Shifting (AMP) to state 465 *)
              _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATION ->
              (* Shifting (ALLOCATION) to state 466 *)
              _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 469 *)
              _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCABLE ->
              (* Shifting (ALLOCABLE) to state 470 *)
              _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 473 *)
              _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0988 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_IMPACT _menhir_cell0_PRAGMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 988: *)
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0988
      | WRITES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VOID ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VALID_READ ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VALID_RANGE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VALID_INDEX ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VALID_FUNCTION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | VALID ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | UNSIGNED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | UNION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | UNALLOCATED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | TYPEOF ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | TYPENAME _v_1 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0988
      | TYPE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | TRUE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | TILDE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | STRUCT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | STRING_LITERAL _v_2 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0988
      | STRING_CONSTANT _v_3 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0988
      | STATIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | STAR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | SLICE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | SIZEOF ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | SIGNED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | SHORT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | SEPARATED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 989 *)
          (* State 989: *)
          let _endpos_4 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_PRAGMA (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_IMPACT (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production impact_pragma -> IMPACT PRAGMA any_identifier SEMICOLON *)
          let (_endpos__4_, _3) = (_endpos_4, _v) in
          let _v = _menhir_action_339 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_impact_pragma _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | RETURNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | RESULT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | REGISTER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | REAL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | READS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | PLUS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | PI ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | OLD ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | OFFSET ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | OBJECT_POINTER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | NULL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | NOT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | MODULE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | MODEL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | MINUS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LSQUAREPIPE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LPAR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LOOP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LONG ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LOGIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LET ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LEMMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LBRACE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LAMBDA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | LABEL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INT_CONSTANT _v_5 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0988
      | INTER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INTEGER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INITIALIZED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | IMPACT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | IF ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | IDENTIFIER_EXT _v_6 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0988
      | IDENTIFIER _v_7 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0988
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FRESH ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FREES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FREEABLE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FORALL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FOR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FLOAT_CONSTANT _v_8 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0988
      | FLOAT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | FALSE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | EXT_GLOBAL_BLOCK _v_9 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0988
      | EXT_GLOBAL _v_10 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0988
      | EXT_CONTRACT _v_11 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0988
      | EXT_CODE_ANNOT _v_12 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState0988
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | EXITS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | EXISTS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ENUM ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ENSURES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | EMPTY ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ELSE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | DYNAMIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | DECREASES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | DANGLING ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CONST ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHECK ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CHAR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | CASE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BSUNION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BSTYPE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BREAKS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BOOLEAN ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BOOL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BLOCK_LENGTH ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | BASE_ADDR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | AXIOM ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | AUTOMATIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | AT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ASSERT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | AMP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ALLOCATION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ALLOCABLE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | ADMIT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0988
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0938 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 938: *)
      (* Reducing production behavior_name -> any_identifier *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_082 _1 in
      _menhir_goto_behavior_name _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_behavior_name : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1101 ->
          _menhir_run_1102 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_0935 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_0935 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1131 ->
          _menhir_run_0935 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0935 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0910 ->
          _menhir_run_0935 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1102 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_BEHAVIOR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1102: *)
      let _menhir_stack = MenhirCell1_behavior_name (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1103 *)
          (* State 1103: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 1104 *)
              _menhir_run_1104 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1103
          | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_REQUIRES | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | REQUIRES | RETURNS | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production assumes -> *)
              let _v_1 = _menhir_action_063 () in
              _menhir_run_1112 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _v_1 MenhirState1103 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0935 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 935: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_behavior_name (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMMA) to state 936 *)
          (* State 936: *)
          let _menhir_s = MenhirState0936 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | ASSIGNS | ASSUMES | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON | COMPLETE | CONTINUES | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FREES | IDENTIFIER_EXT _ | REQUIRES | RETURNS | SEMICOLON ->
          (* Reducing production ne_behavior_name_list -> behavior_name *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_535 _1 in
          _menhir_goto_ne_behavior_name_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_behavior_name_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1131 ->
          _menhir_run_1132 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1125 ->
          _menhir_run_1126 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState1001 ->
          _menhir_run_1002 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0936 ->
          _menhir_run_0937 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok
      | MenhirState0910 ->
          _menhir_run_0911 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1132 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_COMPLETE _menhir_cell0_BEHAVIORS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1132: *)
      match (_tok : MenhirBasics.token) with
      | RETURNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | IDENTIFIER_EXT _v_0 ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1132
      | FREES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | EXT_CONTRACT _v_1 ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1132
      | EXITS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | EOF ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ENSURES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | DECREASES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | BREAKS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1132
      | SEMICOLON ->
          (* Reducing production behavior_name_list -> ne_behavior_name_list *)
          let _1 = _v in
          let _v = _menhir_action_084 _1 in
          _menhir_goto_behavior_name_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_behavior_name_list : type  ttv_stack ttv_result. (ttv_stack _menhir_cell0_BEHAVIORS as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState1131 ->
          _menhir_run_1134 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState1125 ->
          _menhir_run_1128 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1126 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_DISJOINT _menhir_cell0_BEHAVIORS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1126: *)
      match (_tok : MenhirBasics.token) with
      | RETURNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 1015 *)
          _menhir_run_1015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | IDENTIFIER_EXT _v_0 ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 1016 *)
          _menhir_run_1016 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState1126
      | FREES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREES) to state 1017 *)
          _menhir_run_1017 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | EXT_CONTRACT _v_1 ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 1018 *)
          _menhir_run_1018 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1126
      | EXITS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | EOF ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EOF) to state 1019 *)
          _menhir_run_1019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ENSURES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 1020 *)
          _menhir_run_1020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | DECREASES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 1021 *)
          _menhir_run_1021 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 1022 *)
          _menhir_run_1022 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_REQUIRES) to state 1023 *)
          _menhir_run_1023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 1024 *)
          _menhir_run_1024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 1025 *)
          _menhir_run_1025 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 1026 *)
          _menhir_run_1026 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | BREAKS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 1027 *)
          _menhir_run_1027 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 1028 *)
          _menhir_run_1028 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 1029 *)
          _menhir_run_1029 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 1030 *)
          _menhir_run_1030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_REQUIRES) to state 1031 *)
          _menhir_run_1031 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 1032 *)
          _menhir_run_1032 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 1033 *)
          _menhir_run_1033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 1034 *)
          _menhir_run_1034 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1126
      | SEMICOLON ->
          (* Reducing production behavior_name_list -> ne_behavior_name_list *)
          let _1 = _v in
          let _v = _menhir_action_084 _1 in
          _menhir_goto_behavior_name_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_1002 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FOR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 1002: *)
      let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 1003 *)
          (* State 1003: *)
          let _endpos_0 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos_0) in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 1004 *)
              _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 970 *)
              _menhir_run_0970 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | EXT_CODE_ANNOT _v_1 ->
              (* Shifting (EXT_CODE_ANNOT) to state 1041 *)
              _menhir_run_1041 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState1003
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 1007 *)
              _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 1044 *)
              _menhir_run_1044 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | CHECK ->
              (* Shifting (CHECK) to state 1047 *)
              _menhir_run_1047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | ASSERT ->
              (* Shifting (ASSERT) to state 1050 *)
              _menhir_run_1050 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 1010 *)
              _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 1053 *)
              _menhir_run_1053 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | ADMIT ->
              (* Shifting (ADMIT) to state 1056 *)
              _menhir_run_1056 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1003
          | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_LEMMA | ADMIT_RETURNS | ALLOCATES | ASSIGNS | AXIOM | AXIOMATIC | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_LEMMA | CHECK_RETURNS | COMPLETE | CONTINUES | CONTRACT | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_AT | EXT_CONTRACT _ | EXT_GLOBAL _ | EXT_GLOBAL_BLOCK _ | EXT_LET | FREES | FUNCTION | GLOBAL | IDENTIFIER_EXT _ | INCLUDE | INDUCTIVE | LEMMA | LOGIC | MODEL | MODULE | PREDICATE | RETURNS | TERMINATES | TYPE | VOLATILE ->
              (* Reducing production requires -> *)
              let _v_2 = _menhir_action_636 () in
              _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_0 _endpos_0 _v_2 MenhirState1003 _tok
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0937 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_behavior_name -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 937: *)
      let MenhirCell1_behavior_name (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production ne_behavior_name_list -> behavior_name COMMA ne_behavior_name_list *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_536 _1 _3 in
      _menhir_goto_ne_behavior_name_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0911 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_FOR as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 911: *)
      let _menhir_stack = MenhirCell1_ne_behavior_name_list (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Shifting (COLON) to state 912 *)
          (* State 912: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _menhir_stack = MenhirCell0_COLON (_menhir_stack, _endpos) in
          let _menhir_s = MenhirState0912 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | LOOP ->
              (* Shifting (LOOP) to state 890 *)
              _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 910 *)
              _menhir_run_0910 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 913 *)
              _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 917 *)
              _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0898 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_LOOP, ttv_result) _menhir_cell1_PRAGMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 898: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0898
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | TYPENAME _v_1 ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0898
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | STRING_LITERAL _v_2 ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0898
      | STRING_CONSTANT _v_3 ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0898
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INT_CONSTANT _v_4 ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_4 MenhirState0898
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | IDENTIFIER_EXT _v_5 ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0898
      | IDENTIFIER _v_6 ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0898
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FLOAT_CONSTANT _v_7 ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0898
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | EXT_GLOBAL_BLOCK _v_8 ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0898
      | EXT_GLOBAL _v_9 ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0898
      | EXT_CONTRACT _v_10 ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0898
      | EXT_CODE_ANNOT _v_11 ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0898
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0898
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0896 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_FOR -> _ -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _v _tok ->
      (* State 896: *)
      let MenhirCell1_FOR (_menhir_stack, _, _, _) = _menhir_stack in
      let MenhirCell1_lexpr (_menhir_stack, _menhir_s, _1, _startpos__1_, _) = _menhir_stack in
      (* Reducing production variant -> lexpr FOR any_identifier *)
      let (_endpos__3_, _3) = (_endpos, _v) in
      let _v = _menhir_action_795 _1 _3 in
      _menhir_goto_variant _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_run_0856 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_SLICE _menhir_cell0_PRAGMA as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 856: *)
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v_0 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0 MenhirState0856
      | WRITES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VOLATILE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VOID ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VALID_READ ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VALID_RANGE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VALID_INDEX ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VALID_FUNCTION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | VALID ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | UNSIGNED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | UNION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | UNALLOCATED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | TYPEOF ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | TYPENAME _v_1 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v_1 MenhirState0856
      | TYPE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | TRUE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | TILDE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | TERMINATES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | STRUCT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | STRING_LITERAL _v_2 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v_2 MenhirState0856
      | STRING_CONSTANT _v_3 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v_3 MenhirState0856
      | STATIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | STAR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | SLICE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | SIZEOF ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | SIGNED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | SHORT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | SEPARATED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | SEMICOLON ->
          (* Shifting (SEMICOLON) to state 857 *)
          (* State 857: *)
          let _endpos_4 = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell0_PRAGMA (_menhir_stack, _, _) = _menhir_stack in
          let MenhirCell1_SLICE (_menhir_stack, _menhir_s, _startpos__1_, _) = _menhir_stack in
          (* Reducing production slice_pragma -> SLICE PRAGMA any_identifier SEMICOLON *)
          let (_endpos__4_, _3) = (_endpos_4, _v) in
          let _v = _menhir_action_647 _3 _endpos__4_ _startpos__1_ in
          _menhir_goto_slice_pragma _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__4_ _startpos__1_ _v _menhir_s _tok
      | RETURNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | RESULT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | REQUIRES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | REGISTER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | REAL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | READS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | PREDICATE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | PRAGMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | PLUS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | PI ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | OLD ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | OFFSET ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | OBJECT_POINTER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | NULL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | NOT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | MODULE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | MODEL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | MINUS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LSQUAREPIPE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LPAR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LOOP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LONG ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LOGIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LET ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LEMMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LBRACE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LAMBDA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | LABEL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INVARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INT_CONSTANT _v_5 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v_5 MenhirState0856
      | INTER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INTEGER ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INITIALIZED ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INDUCTIVE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | INCLUDE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | IMPACT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | IF ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | IDENTIFIER_EXT _v_6 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v_6 MenhirState0856
      | IDENTIFIER _v_7 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v_7 MenhirState0856
      | GLOBAL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FRESH ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FREES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FREEABLE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FORALL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FOR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FLOAT_CONSTANT _v_8 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v_8 MenhirState0856
      | FLOAT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | FALSE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | EXT_LET ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | EXT_GLOBAL_BLOCK _v_9 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v_9 MenhirState0856
      | EXT_GLOBAL _v_10 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v_10 MenhirState0856
      | EXT_CONTRACT _v_11 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v_11 MenhirState0856
      | EXT_CODE_ANNOT _v_12 ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v_12 MenhirState0856
      | EXT_AT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | EXITS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | EXISTS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ENUM ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ENSURES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | EMPTY ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ELSE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | DYNAMIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | DOUBLE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | DISJOINT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | DECREASES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | DANGLING ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CONTRACT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CONTINUES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CONST ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | COMPLETE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_RETURNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_REQUIRES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_LOOP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_LEMMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_INVARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_EXITS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_ENSURES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_CONTINUES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK_BREAKS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHECK ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CHAR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | CASE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BSUNION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BSTYPE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BREAKS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BOOLEAN ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BOOL ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BLOCK_LENGTH ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BEHAVIORS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BEHAVIOR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | BASE_ADDR ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | AXIOMATIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | AXIOM ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | AUTOMATIC ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | AT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ASSUMES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ASSIGNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ASSERT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | AMP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ALLOCATION ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ALLOCATES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ALLOCABLE ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_RETURNS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_REQUIRES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_LOOP ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_LEMMA ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_INVARIANT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_EXITS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_ENSURES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_CONTINUES ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT_BREAKS ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | ADMIT ->
          let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0856
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0765 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_TYPE, ttv_result) _menhir_cell1_INVARIANT as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 765: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | LPAR ->
          (* Shifting (LPAR) to state 766 *)
          (* State 766: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LPAR (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0766 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 767 *)
              _menhir_run_0767 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 768 *)
              _menhir_run_0768 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 777 *)
              _menhir_run_0777 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 156 *)
              _menhir_run_0156 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 779 *)
              _menhir_run_0779 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 781 *)
              _menhir_run_0781 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 790 *)
              _menhir_run_0790 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 792 *)
              _menhir_run_0792 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 793 *)
              _menhir_run_0793 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 798 *)
              _menhir_run_0798 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 799 *)
              _menhir_run_0799 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 800 *)
              _menhir_run_0800 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 801 *)
              _menhir_run_0801 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 803 *)
              _menhir_run_0803 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 804 *)
              _menhir_run_0804 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 805 *)
              _menhir_run_0805 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 806 *)
              _menhir_run_0806 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0757 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_READS as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 757: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 754 *)
          _menhir_run_0754 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0757
      | READS ->
          (* Shifting (READS) to state 756 *)
          _menhir_run_0756 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0757
      | SEMICOLON ->
          (* Reducing production volatile_opt -> *)
          let _v_0 = _menhir_action_797 () in
          _menhir_run_0758 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0758 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_READS, ttv_result) _menhir_cell1_any_identifier -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 758: *)
      let MenhirCell1_any_identifier (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_READS (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production volatile_opt -> READS any_identifier volatile_opt *)
      let _3 = _v in
      let _v = _menhir_action_798 _2 _3 in
      _menhir_goto_volatile_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_goto_volatile_opt : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0753 ->
          _menhir_run_0760 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0755 ->
          _menhir_run_0759 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0757 ->
          _menhir_run_0758 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0759 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_WRITES, ttv_result) _menhir_cell1_any_identifier -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 759: *)
      let MenhirCell1_any_identifier (_menhir_stack, _, _2, _, _) = _menhir_stack in
      let MenhirCell1_WRITES (_menhir_stack, _menhir_s, _, _) = _menhir_stack in
      (* Reducing production volatile_opt -> WRITES any_identifier volatile_opt *)
      let _3 = _v in
      let _v = _menhir_action_799 _2 _3 in
      _menhir_goto_volatile_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0755 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_WRITES as 'stack) -> _ -> _ -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 755: *)
      let _menhir_stack = MenhirCell1_any_identifier (_menhir_stack, _menhir_s, _v, _startpos, _endpos) in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 754 *)
          _menhir_run_0754 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0755
      | READS ->
          (* Shifting (READS) to state 756 *)
          _menhir_run_0756 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState0755
      | SEMICOLON ->
          (* Reducing production volatile_opt -> *)
          let _v_0 = _menhir_action_797 () in
          _menhir_run_0759 _menhir_stack _menhir_lexbuf _menhir_lexer _v_0
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0112 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 112: *)
      (* Reducing production label_name -> any_identifier *)
      let _1 = _v in
      let _v = _menhir_action_393 _1 in
      _menhir_goto_label_name _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_goto_label_name : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0577 ->
          _menhir_run_0578 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState0876 ->
          _menhir_run_0102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0103 ->
          _menhir_run_0102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | MenhirState0008 ->
          _menhir_run_0102 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0578 : type  ttv_stack ttv_result. (((ttv_stack, ttv_result) _menhir_cell1_AT _menhir_cell0_LPAR, ttv_result) _menhir_cell1_lexpr, ttv_result) _menhir_cell1_COMMA -> _ -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 578: *)
      match (_tok : MenhirBasics.token) with
      | RPAR ->
          (* Shifting (RPAR) to state 579 *)
          (* State 579: *)
          let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
          let _tok = _menhir_lexer _menhir_lexbuf in
          let MenhirCell1_COMMA (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_lexpr (_menhir_stack, _, _3, _, _) = _menhir_stack in
          let MenhirCell0_LPAR (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_AT (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
          (* Reducing production lexpr_inner -> AT LPAR lexpr COMMA label_name RPAR *)
          let (_endpos__6_, _5) = (_endpos, _v) in
          let _v = _menhir_action_462 _3 _5 _endpos__6_ _startpos__1_ in
          _menhir_goto_lexpr_inner _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__6_ _startpos__1_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0102 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 102: *)
      match (_tok : MenhirBasics.token) with
      | COMMA ->
          let _menhir_stack = MenhirCell1_label_name (_menhir_stack, _menhir_s, _v) in
          (* Shifting (COMMA) to state 103 *)
          (* State 103: *)
          let _menhir_s = MenhirState0103 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOLATILE ->
              (* Shifting (VOLATILE) to state 4 *)
              _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VOID ->
              (* Shifting (VOID) to state 5 *)
              _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 9 *)
              _menhir_run_0009 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNSIGNED ->
              (* Shifting (UNSIGNED) to state 10 *)
              _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | UNION ->
              (* Shifting (UNION) to state 11 *)
              _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPENAME _v ->
              (* Shifting (TYPENAME) to state 12 *)
              _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 13 *)
              _menhir_run_0013 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 14 *)
              _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STRUCT ->
              (* Shifting (STRUCT) to state 15 *)
              _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | STATIC ->
              (* Shifting (STATIC) to state 16 *)
              _menhir_run_0016 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 17 *)
              _menhir_run_0017 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIZEOF ->
              (* Shifting (SIZEOF) to state 18 *)
              _menhir_run_0018 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SIGNED ->
              (* Shifting (SIGNED) to state 19 *)
              _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SHORT ->
              (* Shifting (SHORT) to state 20 *)
              _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 21 *)
              _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 22 *)
              _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REAL ->
              (* Shifting (REAL) to state 23 *)
              _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 25 *)
              _menhir_run_0025 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 26 *)
              _menhir_run_0026 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 27 *)
              _menhir_run_0027 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 28 *)
              _menhir_run_0028 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 29 *)
              _menhir_run_0029 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LONG ->
              (* Shifting (LONG) to state 30 *)
              _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 31 *)
              _menhir_run_0031 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 32 *)
              _menhir_run_0032 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 34 *)
              _menhir_run_0034 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INTEGER ->
              (* Shifting (INTEGER) to state 35 *)
              _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INT ->
              (* Shifting (INT) to state 36 *)
              _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 37 *)
              _menhir_run_0037 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 38 *)
              _menhir_run_0038 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 39 *)
              _menhir_run_0039 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IF ->
              (* Shifting (IF) to state 40 *)
              _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 41 *)
              _menhir_run_0041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 43 *)
              _menhir_run_0043 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 44 *)
              _menhir_run_0044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 45 *)
              _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FOR ->
              (* Shifting (FOR) to state 46 *)
              _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FLOAT ->
              (* Shifting (FLOAT) to state 47 *)
              _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 48 *)
              _menhir_run_0048 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 49 *)
              _menhir_run_0049 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 50 *)
              _menhir_run_0050 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 51 *)
              _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 52 *)
              _menhir_run_0052 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 53 *)
              _menhir_run_0053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 54 *)
              _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENUM ->
              (* Shifting (ENUM) to state 55 *)
              _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 56 *)
              _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ELSE ->
              (* Shifting (ELSE) to state 57 *)
              _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DOUBLE ->
              (* Shifting (DOUBLE) to state 58 *)
              _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 59 *)
              _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 60 *)
              _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 61 *)
              _menhir_run_0061 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 62 *)
              _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONST ->
              (* Shifting (CONST) to state 63 *)
              _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 64 *)
              _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_RETURNS ->
              (* Shifting (CHECK_RETURNS) to state 65 *)
              _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_REQUIRES ->
              (* Shifting (CHECK_REQUIRES) to state 66 *)
              _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LOOP ->
              (* Shifting (CHECK_LOOP) to state 67 *)
              _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_LEMMA ->
              (* Shifting (CHECK_LEMMA) to state 68 *)
              _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_INVARIANT ->
              (* Shifting (CHECK_INVARIANT) to state 69 *)
              _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_EXITS ->
              (* Shifting (CHECK_EXITS) to state 70 *)
              _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_ENSURES ->
              (* Shifting (CHECK_ENSURES) to state 71 *)
              _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_CONTINUES ->
              (* Shifting (CHECK_CONTINUES) to state 72 *)
              _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK_BREAKS ->
              (* Shifting (CHECK_BREAKS) to state 73 *)
              _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 74 *)
              _menhir_run_0074 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHAR ->
              (* Shifting (CHAR) to state 75 *)
              _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CASE ->
              (* Shifting (CASE) to state 76 *)
              _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 77 *)
              _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOLEAN ->
              (* Shifting (BOOLEAN) to state 78 *)
              _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BOOL ->
              (* Shifting (BOOL) to state 79 *)
              _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 81 *)
              _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 82 *)
              _menhir_run_0082 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 83 *)
              _menhir_run_0083 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 84 *)
              _menhir_run_0084 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 85 *)
              _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 86 *)
              _menhir_run_0086 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 87 *)
              _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_RETURNS ->
              (* Shifting (ADMIT_RETURNS) to state 88 *)
              _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_REQUIRES ->
              (* Shifting (ADMIT_REQUIRES) to state 89 *)
              _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LOOP ->
              (* Shifting (ADMIT_LOOP) to state 90 *)
              _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_LEMMA ->
              (* Shifting (ADMIT_LEMMA) to state 91 *)
              _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_INVARIANT ->
              (* Shifting (ADMIT_INVARIANT) to state 92 *)
              _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_EXITS ->
              (* Shifting (ADMIT_EXITS) to state 93 *)
              _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_ENSURES ->
              (* Shifting (ADMIT_ENSURES) to state 94 *)
              _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_CONTINUES ->
              (* Shifting (ADMIT_CONTINUES) to state 95 *)
              _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT_BREAKS ->
              (* Shifting (ADMIT_BREAKS) to state 96 *)
              _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 97 *)
              _menhir_run_0097 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | RBRACE ->
          (* Reducing production ne_label_list -> label_name *)
          let _1 = _v in
          let _v = _menhir_action_549 _1 in
          _menhir_goto_ne_label_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_goto_ne_label_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      match _menhir_s with
      | MenhirState0876 ->
          _menhir_run_0877 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | MenhirState0103 ->
          _menhir_run_0104 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | MenhirState0008 ->
          _menhir_run_0100 _menhir_stack _menhir_lexbuf _menhir_lexer _v
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_0877 : type  ttv_stack ttv_result. ((ttv_stack, ttv_result) _menhir_cell1_full_identifier _menhir_cell0_LBRACE as 'stack) -> _ -> _ -> _ -> ('stack, ttv_result) _menhir_state -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s ->
      (* State 877: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 878 *)
      (* State 878: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | LT ->
          let _menhir_stack = MenhirCell1_ne_label_list (_menhir_stack, _menhir_s, _v) in
          let _menhir_stack = MenhirCell0_RBRACE (_menhir_stack, _endpos) in
          (* Shifting (LT) to state 879 *)
          (* State 879: *)
          let _startpos = _menhir_lexbuf.Lexing.lex_start_p in
          let _menhir_stack = MenhirCell0_LT (_menhir_stack, _startpos) in
          let _menhir_s = MenhirState0879 in
          let _tok = _menhir_lexer _menhir_lexbuf in
          (match (_tok : MenhirBasics.token) with
          | WRITES ->
              (* Shifting (WRITES) to state 1 *)
              _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | VARIANT ->
              (* Shifting (VARIANT) to state 134 *)
              _menhir_run_0134 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TYPE ->
              (* Shifting (TYPE) to state 135 *)
              _menhir_run_0135 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | TERMINATES ->
              (* Shifting (TERMINATES) to state 136 *)
              _menhir_run_0136 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | SLICE ->
              (* Shifting (SLICE) to state 141 *)
              _menhir_run_0141 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | RETURNS ->
              (* Shifting (RETURNS) to state 157 *)
              _menhir_run_0157 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | REQUIRES ->
              (* Shifting (REQUIRES) to state 158 *)
              _menhir_run_0158 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | READS ->
              (* Shifting (READS) to state 24 *)
              _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PREDICATE ->
              (* Shifting (PREDICATE) to state 159 *)
              _menhir_run_0159 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | PRAGMA ->
              (* Shifting (PRAGMA) to state 160 *)
              _menhir_run_0160 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODULE ->
              (* Shifting (MODULE) to state 161 *)
              _menhir_run_0161 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | MODEL ->
              (* Shifting (MODEL) to state 162 *)
              _menhir_run_0162 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOOP ->
              (* Shifting (LOOP) to state 163 *)
              _menhir_run_0163 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LOGIC ->
              (* Shifting (LOGIC) to state 164 *)
              _menhir_run_0164 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LEMMA ->
              (* Shifting (LEMMA) to state 165 *)
              _menhir_run_0165 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | LABEL ->
              (* Shifting (LABEL) to state 33 *)
              _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INVARIANT ->
              (* Shifting (INVARIANT) to state 166 *)
              _menhir_run_0166 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INDUCTIVE ->
              (* Shifting (INDUCTIVE) to state 167 *)
              _menhir_run_0167 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | INCLUDE ->
              (* Shifting (INCLUDE) to state 168 *)
              _menhir_run_0168 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IMPACT ->
              (* Shifting (IMPACT) to state 169 *)
              _menhir_run_0169 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | IDENTIFIER_EXT _v ->
              (* Shifting (IDENTIFIER_EXT) to state 170 *)
              _menhir_run_0170 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | IDENTIFIER _v ->
              (* Shifting (IDENTIFIER) to state 42 *)
              _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | GLOBAL ->
              (* Shifting (GLOBAL) to state 171 *)
              _menhir_run_0171 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FUNCTION ->
              (* Shifting (FUNCTION) to state 172 *)
              _menhir_run_0172 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | FREES ->
              (* Shifting (FREES) to state 173 *)
              _menhir_run_0173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_LET ->
              (* Shifting (EXT_LET) to state 174 *)
              _menhir_run_0174 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXT_GLOBAL_BLOCK _v ->
              (* Shifting (EXT_GLOBAL_BLOCK) to state 175 *)
              _menhir_run_0175 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_GLOBAL _v ->
              (* Shifting (EXT_GLOBAL) to state 176 *)
              _menhir_run_0176 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CONTRACT _v ->
              (* Shifting (EXT_CONTRACT) to state 177 *)
              _menhir_run_0177 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_CODE_ANNOT _v ->
              (* Shifting (EXT_CODE_ANNOT) to state 178 *)
              _menhir_run_0178 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
          | EXT_AT ->
              (* Shifting (EXT_AT) to state 179 *)
              _menhir_run_0179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | EXITS ->
              (* Shifting (EXITS) to state 180 *)
              _menhir_run_0180 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ENSURES ->
              (* Shifting (ENSURES) to state 181 *)
              _menhir_run_0181 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DISJOINT ->
              (* Shifting (DISJOINT) to state 182 *)
              _menhir_run_0182 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | DECREASES ->
              (* Shifting (DECREASES) to state 183 *)
              _menhir_run_0183 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTRACT ->
              (* Shifting (CONTRACT) to state 184 *)
              _menhir_run_0184 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CONTINUES ->
              (* Shifting (CONTINUES) to state 185 *)
              _menhir_run_0185 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | COMPLETE ->
              (* Shifting (COMPLETE) to state 186 *)
              _menhir_run_0186 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | CHECK ->
              (* Shifting (CHECK) to state 187 *)
              _menhir_run_0187 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BREAKS ->
              (* Shifting (BREAKS) to state 188 *)
              _menhir_run_0188 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIORS ->
              (* Shifting (BEHAVIORS) to state 80 *)
              _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | BEHAVIOR ->
              (* Shifting (BEHAVIOR) to state 189 *)
              _menhir_run_0189 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOMATIC ->
              (* Shifting (AXIOMATIC) to state 190 *)
              _menhir_run_0190 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | AXIOM ->
              (* Shifting (AXIOM) to state 191 *)
              _menhir_run_0191 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSUMES ->
              (* Shifting (ASSUMES) to state 192 *)
              _menhir_run_0192 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSIGNS ->
              (* Shifting (ASSIGNS) to state 193 *)
              _menhir_run_0193 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ASSERT ->
              (* Shifting (ASSERT) to state 194 *)
              _menhir_run_0194 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ALLOCATES ->
              (* Shifting (ALLOCATES) to state 195 *)
              _menhir_run_0195 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | ADMIT ->
              (* Shifting (ADMIT) to state 196 *)
              _menhir_run_0196 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
          | _ ->
              (* Initiating error handling *)
              _eRR ())
      | COLON | EQUAL | LPAR | READS | SEMICOLON ->
          let MenhirCell0_LBRACE (_menhir_stack, _) = _menhir_stack in
          let MenhirCell1_full_identifier (_menhir_stack, _menhir_s, _1, _, _) = _menhir_stack in
          (* Reducing production poly_id -> full_identifier LBRACE ne_label_list RBRACE *)
          let _3 = _v in
          let _v = _menhir_action_600 _1 _3 in
          _menhir_goto_poly_id _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0104 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_label_name -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 104: *)
      let MenhirCell1_label_name (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ne_label_list -> label_name COMMA ne_label_list *)
      let _3 = _v in
      let _v = _menhir_action_550 _1 _3 in
      _menhir_goto_ne_label_list _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
  
  and _menhir_run_0100 : type  ttv_stack ttv_result. (ttv_stack, ttv_result) _menhir_cell1_LBRACE -> _ -> _ -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v ->
      (* State 100: *)
      (* The current token is RBRACE. *)
      (* Shifting (RBRACE) to state 101 *)
      (* State 101: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      let MenhirCell1_LBRACE (_menhir_stack, _menhir_s, _startpos__1_) = _menhir_stack in
      (* Reducing production opt_label_list -> LBRACE ne_label_list RBRACE *)
      let (_2, _endpos__3_) = (_v, _endpos) in
      let _v = _menhir_action_588 _2 in
      _menhir_goto_opt_label_list _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__3_ _startpos__1_ _v _menhir_s _tok
  
  and _menhir_goto_opt_label_list : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState0406 ->
          _menhir_run_0407 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0470 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0466 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0454 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0450 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0434 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0411 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0397 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0346 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0343 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0125 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0120 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0117 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | MenhirState0007 ->
          _menhir_run_0114 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_goto_ext_fun_specs : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      match _menhir_s with
      | MenhirState1418 ->
          _menhir_run_1419 _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok
      | MenhirState1367 ->
          _menhir_run_1416 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1419 : type  ttv_stack. (ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_fun_spec -> _ -> _ -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _tok ->
      (* State 1419: *)
      let MenhirCell1_ext_fun_spec (_menhir_stack, _menhir_s, _1) = _menhir_stack in
      (* Reducing production ext_fun_specs -> ext_fun_spec ext_fun_specs *)
      let _2 = _v in
      let _v = _menhir_action_241 _1 _2 in
      _menhir_goto_ext_fun_specs _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_1416 : type  ttv_stack. ((ttv_stack, _menhir_box_ext_spec) _menhir_cell1_ext_global_clauses_opt as 'stack) -> _ -> _ -> _ -> ('stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1416: *)
      match (_tok : MenhirBasics.token) with
      | FUNCTION ->
          let _menhir_stack = MenhirCell1_ext_fun_specs (_menhir_stack, _menhir_s, _v) in
          (* Shifting (FUNCTION) to state 1368 *)
          _menhir_run_1368 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1416
      | EOF | MODULE ->
          (* Reducing production ext_module_specs_opt -> ext_fun_specs *)
          let _1 = _v in
          let _v = _menhir_action_273 _1 in
          _menhir_goto_ext_module_specs_opt _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
      | _ ->
          _menhir_fail ()
  
  and _menhir_run_1398 : type  ttv_stack. ttv_stack -> _ -> _ -> _ -> (ttv_stack, _menhir_box_ext_spec) _menhir_state -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok ->
      (* State 1398: *)
      (* Reducing production ext_function_spec -> ext_fun_spec *)
      let _1 = _v in
      let _v = _menhir_action_244 _1 in
      _menhir_goto_ext_function_spec _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s _tok
  
  and _menhir_run_0499 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 499: *)
      match (_tok : MenhirBasics.token) with
      | COLON ->
          (* Reducing production any_identifier -> identifier *)
          let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_049 _1 in
          _menhir_goto_any_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_INVARIANT | ADMIT_LEMMA | ADMIT_LOOP | ADMIT_REQUIRES | ADMIT_RETURNS | ALLOCATES | AMP | AND | ARROW | ASSIGNS | ASSUMES | BEHAVIOR | BIFF | BIMPLIES | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_INVARIANT | CHECK_LEMMA | CHECK_LOOP | CHECK_REQUIRES | CHECK_RETURNS | COLON2 | COMMA | COMPLETE | CONTINUES | DECREASES | DISJOINT | DOT | DOTDOT | ENSURES | EOF | EQ | EQUAL | EXITS | EXT_CONTRACT _ | FOR | FREES | FROM | GE | GT | GTGT | HAT | HATHAT | IDENTIFIER_EXT _ | IFF | IMPLIES | IN | LBRACE | LE | LPAR | LSQUARE | LT | LTLT | MINUS | NE | OR | PERCENT | PIPE | PLUS | QUESTION | RBRACE | READS | REQUIRES | RETURNS | RPAR | RSQUARE | RSQUAREPIPE | SEMICOLON | SLASH | STAR | STARHAT | WITH | WRITES ->
          (* Reducing production full_identifier -> identifier *)
          let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
          let _v = _menhir_action_284 id in
          _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  and _menhir_run_0200 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 200: *)
      (* Reducing production full_identifier -> identifier *)
      let (_endpos_id_, _startpos_id_, id) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_284 id in
      _menhir_goto_full_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos_id_ _startpos_id_ _v _menhir_s _tok
  
  and _menhir_run_0110 : type  ttv_stack ttv_result. ttv_stack -> _ -> _ -> _ -> _ -> _ -> (ttv_stack, ttv_result) _menhir_state -> _ -> ttv_result =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _startpos _v _menhir_s _tok ->
      (* State 110: *)
      (* Reducing production any_identifier -> identifier *)
      let (_endpos__1_, _startpos__1_, _1) = (_endpos, _startpos, _v) in
      let _v = _menhir_action_049 _1 in
      _menhir_goto_any_identifier _menhir_stack _menhir_lexbuf _menhir_lexer _endpos__1_ _startpos__1_ _v _menhir_s _tok
  
  let _menhir_run_0000 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_annot =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 0: *)
      let _menhir_s = MenhirState0000 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 2 *)
          _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 763 *)
          _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 14 *)
          _menhir_run_0014 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 854 *)
          _menhir_run_0854 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 21 *)
          _menhir_run_0021 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 22 *)
          _menhir_run_0022 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 860 *)
          _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 882 *)
          _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 890 *)
          _menhir_run_0890 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 956 *)
          _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 965 *)
          _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 970 *)
          _menhir_run_0970 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 973 *)
          _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 986 *)
          _menhir_run_0986 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 992 *)
          _menhir_run_0992 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 995 *)
          _menhir_run_0995 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 45 *)
          _menhir_run_0045 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 1001 *)
          _menhir_run_1001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
          _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 1164 *)
          _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 51 *)
          _menhir_run_0051 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 1041 *)
          _menhir_run_1041 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 54 *)
          _menhir_run_0054 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 56 *)
          _menhir_run_0056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 59 *)
          _menhir_run_0059 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 60 *)
          _menhir_run_0060 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 62 *)
          _menhir_run_0062 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 64 *)
          _menhir_run_0064 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 913 *)
          _menhir_run_0913 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1173 *)
          _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 1044 *)
          _menhir_run_1044 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 1047 *)
          _menhir_run_1047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSGHOST ->
          (* Shifting (BSGHOST) to state 1178 *)
          _menhir_run_1178 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 77 *)
          _menhir_run_0077 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 81 *)
          _menhir_run_0081 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 1179 *)
          _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 1214 *)
          _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 85 *)
          _menhir_run_0085 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 1050 *)
          _menhir_run_1050 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 87 *)
          _menhir_run_0087 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 917 *)
          _menhir_run_0917 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1203 *)
          _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 1053 *)
          _menhir_run_1053 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 1056 *)
          _menhir_run_1056 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  let _menhir_run_1351 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_ext_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 1351: *)
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 2 *)
          _menhir_run_0002 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | TYPE ->
          (* Shifting (TYPE) to state 763 *)
          _menhir_run_0763 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 860 *)
          _menhir_run_0860 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | MODEL ->
          (* Shifting (MODEL) to state 882 *)
          _menhir_run_0882 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | LOGIC ->
          (* Shifting (LOGIC) to state 956 *)
          _menhir_run_0956 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | LEMMA ->
          (* Shifting (LEMMA) to state 965 *)
          _menhir_run_0965 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 973 *)
          _menhir_run_0973 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 1352 *)
          _menhir_run_1352 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 1355 *)
          _menhir_run_1355 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 1361 *)
          _menhir_run_1361 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 1158 *)
          _menhir_run_1158 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1351
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 1164 *)
          _menhir_run_1164 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1351
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 1173 *)
          _menhir_run_1173 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 1179 *)
          _menhir_run_1179 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | AXIOM ->
          (* Shifting (AXIOM) to state 1214 *)
          _menhir_run_1214 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 1203 *)
          _menhir_run_1203 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1351
      | CONTRACT | EOF | EXT_AT | FUNCTION | MODULE ->
          (* Reducing production ext_global_clauses_opt -> *)
          let _v = _menhir_action_256 () in
          _menhir_run_1367 _menhir_stack _menhir_lexbuf _menhir_lexer _v MenhirState1351 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  let _menhir_run_1421 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_lexpr_eof =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 1421: *)
      let _menhir_s = MenhirState1421 in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | WSTRING_CONSTANT _v ->
          (* Shifting (WSTRING_CONSTANT) to state 3 *)
          _menhir_run_0003 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | WRITES ->
          (* Shifting (WRITES) to state 1 *)
          _menhir_run_0001 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOLATILE ->
          (* Shifting (VOLATILE) to state 4 *)
          _menhir_run_0004 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VOID ->
          (* Shifting (VOID) to state 5 *)
          _menhir_run_0005 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VARIANT ->
          (* Shifting (VARIANT) to state 6 *)
          _menhir_run_0006 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_READ ->
          (* Shifting (VALID_READ) to state 7 *)
          _menhir_run_0007 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_RANGE ->
          (* Shifting (VALID_RANGE) to state 117 *)
          _menhir_run_0117 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_INDEX ->
          (* Shifting (VALID_INDEX) to state 120 *)
          _menhir_run_0120 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID_FUNCTION ->
          (* Shifting (VALID_FUNCTION) to state 123 *)
          _menhir_run_0123 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | VALID ->
          (* Shifting (VALID) to state 125 *)
          _menhir_run_0125 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNSIGNED ->
          (* Shifting (UNSIGNED) to state 10 *)
          _menhir_run_0010 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNION ->
          (* Shifting (UNION) to state 11 *)
          _menhir_run_0011 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | UNALLOCATED ->
          (* Shifting (UNALLOCATED) to state 128 *)
          _menhir_run_0128 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPEOF ->
          (* Shifting (TYPEOF) to state 129 *)
          _menhir_run_0129 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TYPENAME _v ->
          (* Shifting (TYPENAME) to state 12 *)
          _menhir_run_0012 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | TYPE ->
          (* Shifting (TYPE) to state 131 *)
          _menhir_run_0131 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TRUE ->
          (* Shifting (TRUE) to state 132 *)
          _menhir_run_0132 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TILDE ->
          (* Shifting (TILDE) to state 133 *)
          _menhir_run_0133 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | TERMINATES ->
          (* Shifting (TERMINATES) to state 324 *)
          _menhir_run_0324 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRUCT ->
          (* Shifting (STRUCT) to state 15 *)
          _menhir_run_0015 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STRING_LITERAL _v ->
          (* Shifting (STRING_LITERAL) to state 137 *)
          _menhir_run_0137 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STRING_CONSTANT _v ->
          (* Shifting (STRING_CONSTANT) to state 138 *)
          _menhir_run_0138 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | STATIC ->
          (* Shifting (STATIC) to state 326 *)
          _menhir_run_0326 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | STAR ->
          (* Shifting (STAR) to state 140 *)
          _menhir_run_0140 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SLICE ->
          (* Shifting (SLICE) to state 327 *)
          _menhir_run_0327 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIZEOF ->
          (* Shifting (SIZEOF) to state 328 *)
          _menhir_run_0328 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SIGNED ->
          (* Shifting (SIGNED) to state 19 *)
          _menhir_run_0019 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SHORT ->
          (* Shifting (SHORT) to state 20 *)
          _menhir_run_0020 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | SEPARATED ->
          (* Shifting (SEPARATED) to state 331 *)
          _menhir_run_0331 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RETURNS ->
          (* Shifting (RETURNS) to state 333 *)
          _menhir_run_0333 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | RESULT ->
          (* Shifting (RESULT) to state 334 *)
          _menhir_run_0334 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 335 *)
          _menhir_run_0335 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REGISTER ->
          (* Shifting (REGISTER) to state 336 *)
          _menhir_run_0336 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | REAL ->
          (* Shifting (REAL) to state 23 *)
          _menhir_run_0023 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | READS ->
          (* Shifting (READS) to state 24 *)
          _menhir_run_0024 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PREDICATE ->
          (* Shifting (PREDICATE) to state 337 *)
          _menhir_run_0337 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PRAGMA ->
          (* Shifting (PRAGMA) to state 338 *)
          _menhir_run_0338 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PLUS ->
          (* Shifting (PLUS) to state 339 *)
          _menhir_run_0339 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | PI ->
          (* Shifting (PI) to state 340 *)
          _menhir_run_0340 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OLD ->
          (* Shifting (OLD) to state 341 *)
          _menhir_run_0341 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OFFSET ->
          (* Shifting (OFFSET) to state 343 *)
          _menhir_run_0343 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | OBJECT_POINTER ->
          (* Shifting (OBJECT_POINTER) to state 346 *)
          _menhir_run_0346 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NULL ->
          (* Shifting (NULL) to state 349 *)
          _menhir_run_0349 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | NOT ->
          (* Shifting (NOT) to state 350 *)
          _menhir_run_0350 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODULE ->
          (* Shifting (MODULE) to state 354 *)
          _menhir_run_0354 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MODEL ->
          (* Shifting (MODEL) to state 355 *)
          _menhir_run_0355 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | MINUS ->
          (* Shifting (MINUS) to state 352 *)
          _menhir_run_0352 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LSQUAREPIPE ->
          (* Shifting (LSQUAREPIPE) to state 353 *)
          _menhir_run_0353 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LPAR ->
          (* Shifting (LPAR) to state 356 *)
          _menhir_run_0356 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOOP ->
          (* Shifting (LOOP) to state 358 *)
          _menhir_run_0358 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LONG ->
          (* Shifting (LONG) to state 30 *)
          _menhir_run_0030 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LOGIC ->
          (* Shifting (LOGIC) to state 360 *)
          _menhir_run_0360 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LET ->
          (* Shifting (LET) to state 361 *)
          _menhir_run_0361 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LEMMA ->
          (* Shifting (LEMMA) to state 367 *)
          _menhir_run_0367 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LBRACE ->
          (* Shifting (LBRACE) to state 368 *)
          _menhir_run_0368 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LAMBDA ->
          (* Shifting (LAMBDA) to state 370 *)
          _menhir_run_0370 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | LABEL ->
          (* Shifting (LABEL) to state 33 *)
          _menhir_run_0033 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INVARIANT ->
          (* Shifting (INVARIANT) to state 393 *)
          _menhir_run_0393 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT_CONSTANT _v ->
          (* Shifting (INT_CONSTANT) to state 394 *)
          _menhir_run_0394 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | INTER ->
          (* Shifting (INTER) to state 395 *)
          _menhir_run_0395 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INTEGER ->
          (* Shifting (INTEGER) to state 35 *)
          _menhir_run_0035 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INT ->
          (* Shifting (INT) to state 36 *)
          _menhir_run_0036 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INITIALIZED ->
          (* Shifting (INITIALIZED) to state 397 *)
          _menhir_run_0397 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INDUCTIVE ->
          (* Shifting (INDUCTIVE) to state 400 *)
          _menhir_run_0400 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | INCLUDE ->
          (* Shifting (INCLUDE) to state 401 *)
          _menhir_run_0401 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IMPACT ->
          (* Shifting (IMPACT) to state 402 *)
          _menhir_run_0402 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IF ->
          (* Shifting (IF) to state 40 *)
          _menhir_run_0040 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | IDENTIFIER_EXT _v ->
          (* Shifting (IDENTIFIER_EXT) to state 403 *)
          _menhir_run_0403 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | IDENTIFIER _v ->
          (* Shifting (IDENTIFIER) to state 42 *)
          _menhir_run_0042 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | GLOBAL ->
          (* Shifting (GLOBAL) to state 404 *)
          _menhir_run_0404 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FUNCTION ->
          (* Shifting (FUNCTION) to state 405 *)
          _menhir_run_0405 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FRESH ->
          (* Shifting (FRESH) to state 406 *)
          _menhir_run_0406 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREES ->
          (* Shifting (FREES) to state 410 *)
          _menhir_run_0410 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FREEABLE ->
          (* Shifting (FREEABLE) to state 411 *)
          _menhir_run_0411 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FORALL ->
          (* Shifting (FORALL) to state 414 *)
          _menhir_run_0414 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FOR ->
          (* Shifting (FOR) to state 46 *)
          _menhir_run_0046 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FLOAT_CONSTANT _v ->
          (* Shifting (FLOAT_CONSTANT) to state 417 *)
          _menhir_run_0417 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | FLOAT ->
          (* Shifting (FLOAT) to state 47 *)
          _menhir_run_0047 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | FALSE ->
          (* Shifting (FALSE) to state 418 *)
          _menhir_run_0418 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_LET ->
          (* Shifting (EXT_LET) to state 419 *)
          _menhir_run_0419 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXT_GLOBAL_BLOCK _v ->
          (* Shifting (EXT_GLOBAL_BLOCK) to state 420 *)
          _menhir_run_0420 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_GLOBAL _v ->
          (* Shifting (EXT_GLOBAL) to state 421 *)
          _menhir_run_0421 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CONTRACT _v ->
          (* Shifting (EXT_CONTRACT) to state 422 *)
          _menhir_run_0422 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_CODE_ANNOT _v ->
          (* Shifting (EXT_CODE_ANNOT) to state 423 *)
          _menhir_run_0423 _menhir_stack _menhir_lexbuf _menhir_lexer _v _menhir_s
      | EXT_AT ->
          (* Shifting (EXT_AT) to state 424 *)
          _menhir_run_0424 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXITS ->
          (* Shifting (EXITS) to state 425 *)
          _menhir_run_0425 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EXISTS ->
          (* Shifting (EXISTS) to state 426 *)
          _menhir_run_0426 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENUM ->
          (* Shifting (ENUM) to state 55 *)
          _menhir_run_0055 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ENSURES ->
          (* Shifting (ENSURES) to state 429 *)
          _menhir_run_0429 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | EMPTY ->
          (* Shifting (EMPTY) to state 430 *)
          _menhir_run_0430 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ELSE ->
          (* Shifting (ELSE) to state 57 *)
          _menhir_run_0057 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DYNAMIC ->
          (* Shifting (DYNAMIC) to state 431 *)
          _menhir_run_0431 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DOUBLE ->
          (* Shifting (DOUBLE) to state 58 *)
          _menhir_run_0058 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DISJOINT ->
          (* Shifting (DISJOINT) to state 432 *)
          _menhir_run_0432 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DECREASES ->
          (* Shifting (DECREASES) to state 433 *)
          _menhir_run_0433 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | DANGLING ->
          (* Shifting (DANGLING) to state 434 *)
          _menhir_run_0434 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTRACT ->
          (* Shifting (CONTRACT) to state 437 *)
          _menhir_run_0437 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONTINUES ->
          (* Shifting (CONTINUES) to state 438 *)
          _menhir_run_0438 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CONST ->
          (* Shifting (CONST) to state 63 *)
          _menhir_run_0063 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | COMPLETE ->
          (* Shifting (COMPLETE) to state 439 *)
          _menhir_run_0439 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_RETURNS ->
          (* Shifting (CHECK_RETURNS) to state 65 *)
          _menhir_run_0065 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 66 *)
          _menhir_run_0066 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LOOP ->
          (* Shifting (CHECK_LOOP) to state 67 *)
          _menhir_run_0067 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_LEMMA ->
          (* Shifting (CHECK_LEMMA) to state 68 *)
          _menhir_run_0068 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_INVARIANT ->
          (* Shifting (CHECK_INVARIANT) to state 69 *)
          _menhir_run_0069 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_EXITS ->
          (* Shifting (CHECK_EXITS) to state 70 *)
          _menhir_run_0070 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_ENSURES ->
          (* Shifting (CHECK_ENSURES) to state 71 *)
          _menhir_run_0071 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_CONTINUES ->
          (* Shifting (CHECK_CONTINUES) to state 72 *)
          _menhir_run_0072 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK_BREAKS ->
          (* Shifting (CHECK_BREAKS) to state 73 *)
          _menhir_run_0073 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHECK ->
          (* Shifting (CHECK) to state 440 *)
          _menhir_run_0440 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CHAR ->
          (* Shifting (CHAR) to state 75 *)
          _menhir_run_0075 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | CASE ->
          (* Shifting (CASE) to state 76 *)
          _menhir_run_0076 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSUNION ->
          (* Shifting (BSUNION) to state 441 *)
          _menhir_run_0441 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BSTYPE ->
          (* Shifting (BSTYPE) to state 443 *)
          _menhir_run_0443 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BREAKS ->
          (* Shifting (BREAKS) to state 449 *)
          _menhir_run_0449 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOLEAN ->
          (* Shifting (BOOLEAN) to state 78 *)
          _menhir_run_0078 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BOOL ->
          (* Shifting (BOOL) to state 79 *)
          _menhir_run_0079 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BLOCK_LENGTH ->
          (* Shifting (BLOCK_LENGTH) to state 450 *)
          _menhir_run_0450 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIORS ->
          (* Shifting (BEHAVIORS) to state 80 *)
          _menhir_run_0080 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BEHAVIOR ->
          (* Shifting (BEHAVIOR) to state 453 *)
          _menhir_run_0453 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | BASE_ADDR ->
          (* Shifting (BASE_ADDR) to state 454 *)
          _menhir_run_0454 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOMATIC ->
          (* Shifting (AXIOMATIC) to state 457 *)
          _menhir_run_0457 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AXIOM ->
          (* Shifting (AXIOM) to state 458 *)
          _menhir_run_0458 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AUTOMATIC ->
          (* Shifting (AUTOMATIC) to state 459 *)
          _menhir_run_0459 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AT ->
          (* Shifting (AT) to state 460 *)
          _menhir_run_0460 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSUMES ->
          (* Shifting (ASSUMES) to state 462 *)
          _menhir_run_0462 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSIGNS ->
          (* Shifting (ASSIGNS) to state 463 *)
          _menhir_run_0463 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ASSERT ->
          (* Shifting (ASSERT) to state 464 *)
          _menhir_run_0464 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | AMP ->
          (* Shifting (AMP) to state 465 *)
          _menhir_run_0465 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATION ->
          (* Shifting (ALLOCATION) to state 466 *)
          _menhir_run_0466 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCATES ->
          (* Shifting (ALLOCATES) to state 469 *)
          _menhir_run_0469 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ALLOCABLE ->
          (* Shifting (ALLOCABLE) to state 470 *)
          _menhir_run_0470 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_RETURNS ->
          (* Shifting (ADMIT_RETURNS) to state 88 *)
          _menhir_run_0088 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 89 *)
          _menhir_run_0089 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LOOP ->
          (* Shifting (ADMIT_LOOP) to state 90 *)
          _menhir_run_0090 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_LEMMA ->
          (* Shifting (ADMIT_LEMMA) to state 91 *)
          _menhir_run_0091 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_INVARIANT ->
          (* Shifting (ADMIT_INVARIANT) to state 92 *)
          _menhir_run_0092 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_EXITS ->
          (* Shifting (ADMIT_EXITS) to state 93 *)
          _menhir_run_0093 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_ENSURES ->
          (* Shifting (ADMIT_ENSURES) to state 94 *)
          _menhir_run_0094 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_CONTINUES ->
          (* Shifting (ADMIT_CONTINUES) to state 95 *)
          _menhir_run_0095 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT_BREAKS ->
          (* Shifting (ADMIT_BREAKS) to state 96 *)
          _menhir_run_0096 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | ADMIT ->
          (* Shifting (ADMIT) to state 473 *)
          _menhir_run_0473 _menhir_stack _menhir_lexbuf _menhir_lexer _menhir_s
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
  let _menhir_run_1425 : type  ttv_stack. ttv_stack -> _ -> _ -> _menhir_box_spec =
    fun _menhir_stack _menhir_lexbuf _menhir_lexer ->
      (* State 1425: *)
      let _endpos = _menhir_lexbuf.Lexing.lex_curr_p in
      let _tok = _menhir_lexer _menhir_lexbuf in
      match (_tok : MenhirBasics.token) with
      | REQUIRES ->
          (* Shifting (REQUIRES) to state 1004 *)
          _menhir_run_1004 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1425
      | CHECK_REQUIRES ->
          (* Shifting (CHECK_REQUIRES) to state 1007 *)
          _menhir_run_1007 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1425
      | ADMIT_REQUIRES ->
          (* Shifting (ADMIT_REQUIRES) to state 1010 *)
          _menhir_run_1010 _menhir_stack _menhir_lexbuf _menhir_lexer MenhirState1425
      | ADMIT_BREAKS | ADMIT_CONTINUES | ADMIT_ENSURES | ADMIT_EXITS | ADMIT_RETURNS | ALLOCATES | ASSIGNS | BEHAVIOR | BREAKS | CHECK_BREAKS | CHECK_CONTINUES | CHECK_ENSURES | CHECK_EXITS | CHECK_RETURNS | COMPLETE | CONTINUES | DECREASES | DISJOINT | ENSURES | EOF | EXITS | EXT_CONTRACT _ | FREES | IDENTIFIER_EXT _ | RETURNS | TERMINATES ->
          (* Reducing production requires -> *)
          let _v = _menhir_action_636 () in
          _menhir_run_1059 _menhir_stack _menhir_lexbuf _menhir_lexer _endpos _endpos _v MenhirState1425 _tok
      | _ ->
          (* Initiating error handling *)
          _eRR ()
  
end

let spec =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_spec v = _menhir_run_1425 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

let lexpr_eof =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_lexpr_eof v = _menhir_run_1421 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

let ext_spec =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_ext_spec v = _menhir_run_1351 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

let annot =
  fun _menhir_lexer _menhir_lexbuf ->
    let _menhir_stack = () in
    let MenhirBox_annot v = _menhir_run_0000 _menhir_stack _menhir_lexbuf _menhir_lexer in
    v

# 2123 "src/kernel_internals/parsing/logic_parser.mly"
  

(*
Local Variables:
compile-command: "make -C ../../.."
End:
*)

# 111044 "src/kernel_internals/parsing/logic_parser.ml"
